<?php 

if (!isset($_GET['itemID'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_GET['store']);
	$storeName = $mySQL->singleResult();
	
	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = $_GET['itemID'].'- Transaction History';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	


$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(15);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(24);;
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(12);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(18);


$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Item Transaction History')
			->setCellValue('A2',$storeName['STORENAME'])
			;

//Put each record in a new cell
$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();
						
$mySQL->query("SELECT its.* FROM table_inventtrans its
  		WHERE its.ITEMID=:itemID AND its.COMPANY=:company AND its.STORE=:store ORDER BY its.CREATEDDT DESC");
$mySQL->addParam(":itemID",$_GET['itemID']);
$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
$mySQL->addParam(":store",$_GET['store']);							
$sales = $mySQL->resultSet();


$objPHPExcel->getActiveSheet()->setCellValue('A5','Transaction Reference');
$objPHPExcel->getActiveSheet()->setCellValue('B5','Item No');
$objPHPExcel->getActiveSheet()->setCellValue('C5','Qty');
$objPHPExcel->getActiveSheet()->setCellValue('D5','Transaction Date');

$ic = 6;
	foreach($sales as $sale)
	{
		$date = date_create($sale['CREATEDDT']);
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,$sale['TRANSREFID']);
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$sale['ITEMID']);
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$sale['QTY']);
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,date_format($date,'m/d/Y h:i A'));
		$ic++;
	}

$objPHPExcel->getActiveSheet()
			->mergeCells('A'.$ic.':B'.$ic)
			->setCellValue('A'.$ic,'Total');
$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,'=sum(C6:C'.($ic-1).')');					

	
//$objPHPExcel->getActiveSheet()->getStyle("A1:H2")->applyFromArray($style);
$objPHPExcel->getActiveSheet()->getStyle("A5:D".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle("C5:C".($ic-1))->applyFromArray($alignmentRight);
//$objPHPExcel->getActiveSheet()->getStyle('A1:H'.($ic-1))->getAlignment()->setWrapText(true); 
$objPHPExcel->getActiveSheet()->getStyle('C6:C'.$ic)->getNumberFormat()->setFormatCode('#,##0.00');

// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("Transaction History");

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>