<?php 

if (!isset($_POST['generateCollection'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
	
	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'Inventory Onhand Report';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	
	
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(10);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(24);;
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(105);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(15);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(15);

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Inventory Onhand Report by Item')
			->setCellValue('A2',$storeName['STORENAME'])
			->setCellValue('A3','As of '.date_format(date_create(),'m/d/Y'))
			;

//Put each record in a new cell
$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();

$mySQL->query('SELECT ivt.ITEMID
				,ivt.ITEMNAME
				,srl.SERIALNUMBER
				,IFNULL(price.AMOUNT,0) AMOUNT
			FROM `table_inventtable` ivt
			LEFT JOIN `table_serialnumber_available` srl ON srl.ItemId = ivt.ItemId AND srl.CURLOCATION =:store
			LEFT JOIN `app_setup` setup  ON setup.SETUPNAME =:priceGroup AND setup.STORE = :store
			LEFT JOIN `table_price_group` price ON price.ItemId = ivt.ItemId AND price.PRICEGROUP = setup.VALUE
			WHERE srl.SERIALNUMBER IS NOT NULL
			and srl.IFAVAILABLE = 1
		');
$mySQL->addParam(":priceGroup",'PRICEGROUP');	
$mySQL->addParam(":store",$_POST['store']);	
$onHand = $mySQL->resultSet();


$objPHPExcel->getActiveSheet()->setCellValue('A5','Item number');
$objPHPExcel->getActiveSheet()->setCellValue('B5','Item Description');
$objPHPExcel->getActiveSheet()->setCellValue('C5','Serial Number');
$objPHPExcel->getActiveSheet()->setCellValue('D5','O/H Avg Unit Price');

$ic = 6;
	foreach ($onHand as $items) {
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,$items['ITEMID']);
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$items['ITEMNAME']);
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,"'".$items['SERIALNUMBER']);
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,(($items['AMOUNT'] != 0)?$items['AMOUNT']:'-'));
		$ic++;
	}
	
/* $objPHPExcel->getActiveSheet()
			->mergeCells('A'.$ic.':B'.$ic)
			->setCellValue('A'.$ic,'Total');
$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,'=sum(C6:C'.($ic-1).')');			
$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,'=sum(D6:D'.($ic-1).')'); */	

	
//$objPHPExcel->getActiveSheet()->getStyle("A1:H2")->applyFromArray($style);
$objPHPExcel->getActiveSheet()->getStyle("A5:D".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle("C5:D".($ic-1))->applyFromArray($alignmentRight);
$objPHPExcel->getActiveSheet()->getStyle('D5')->getAlignment()->setWrapText(true); 
$objPHPExcel->getActiveSheet()->getStyle('D6:D'.($ic))->getNumberFormat()->setFormatCode('#,##0.00');

// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("Inventory Onhand");

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>