<?php 

if (!isset($_POST['generateCollection'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL1.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
	
	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'Sales Report per Item';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	
$sDate = date_create($_POST['fromDate']);
$sDate1 = date_create($_POST['toDate']);

$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(15);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(24);;
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(15);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(105);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(10);

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Sales Item Summary with Serial Number')
			->setCellValue('A2',$storeName['STORENAME'])
			->setCellValue('A3','Period: '.date_format($sDate,'m/d/Y').' to '.date_format($sDate1,'m/d/Y'))
			;

//Put each record in a new cell
$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();
						
$mySQL->query("SELECT sn.SERIALNUMBER
				,tln.ITEMID
				,ivt.ITEMNAME
				,hdr.TRANSTYPE
				,SUM(CASE 
					WHEN IFNULL(sn.SERIALNUMBER,1) = 1 THEN tln.QTY
					ELSE CASE WHEN hdr.TRANSTYPE = 'Sales' THEN 1
						ELSE -1 END
				 END) AS Qty
				,IFNULL(tln.SubTotal,0) / tln.QTY SalesPrice
			FROM `table_transaction_header` hdr
			LEFT JOIN `table_transaction_lines` tln ON tln.TRANSACTIONID = hdr.TRANSACTIONID
			LEFT JOIN (SELECT DISTINCT DOCUMENTREF,ITEMID,LINENUM,TRANSTYPE,SERIALNUMBER FROM `table_serialnumber_logs`) sn ON sn.DOCUMENTREF = tln.TRANSACTIONID AND sn.ITEMID = tln.ITEMID AND sn.LINENUM = tln.LINENUM AND sn.TRANSTYPE IN (3,4)
			LEFT JOIN `table_inventtable` ivt ON ivt.ITEMID = tln.ITEMID
			WHERE hdr.STORE = :store
			AND hdr.TRANSTYPE IN ('Sales','Return')
			AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
			GROUP BY sn.SERIALNUMBER
				,tln.ITEMID
				,ivt.ITEMNAME
				 ,IFNULL(tln.SubTotal,0) / tln.QTY
			HAVING SUM(CASE 
					WHEN IFNULL(sn.SERIALNUMBER,1) = 1 THEN tln.QTY
					ELSE CASE WHEN hdr.TRANSTYPE = 'Sales' THEN 1
						ELSE -1 END
				 END) != 0");
$mySQL->addParam(":store",$_POST['store']);
$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));							
$sales = $mySQL->resultSet();


$objPHPExcel->getActiveSheet()->setCellValue('A5','Serial Number');
$objPHPExcel->getActiveSheet()->setCellValue('B5','Item No');
$objPHPExcel->getActiveSheet()->setCellValue('C5','Item Name');
$objPHPExcel->getActiveSheet()->setCellValue('D5','Qty Sold');
$objPHPExcel->getActiveSheet()->setCellValue('E5','Price WT');

$ic = 6;
	foreach($sales as $sale)
	{
		$serial = isset($sale['SERIALNUMBER'])?"'".$sale['SERIALNUMBER']:'';
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,$serial);
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$sale['ITEMID']);
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$sale['ITEMNAME']);
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$sale['Qty']);
		$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,(($sale['SalesPrice'] != 0)?$sale['SalesPrice']:'-'));
		$ic++;
	}

$objPHPExcel->getActiveSheet()
			->mergeCells('A'.$ic.':C'.$ic)
			->setCellValue('A'.$ic,'Grand Total');
$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,'=sum(D6:D'.($ic-1).')');			
$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,'=sum(D6:E'.($ic-1).')');			

	
//$objPHPExcel->getActiveSheet()->getStyle("A1:H2")->applyFromArray($style);
$objPHPExcel->getActiveSheet()->getStyle("A5:E".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle("D5:E".($ic-1))->applyFromArray($alignmentRight);
//$objPHPExcel->getActiveSheet()->getStyle('A1:H'.($ic-1))->getAlignment()->setWrapText(true); 
$objPHPExcel->getActiveSheet()->getStyle('E6:E'.$ic)->getNumberFormat()->setFormatCode('#,##0.00');

// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("Sales per Serial");

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>