<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}

	
	//if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Shipped TON') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		$mySQL->query('SELECT hdr.TRANSREFID,
			CASE hdr.TRANSFERTYPE
				WHEN 1 THEN :dDelivery
				WHEN 2 THEN :dPullout
				WHEN 3 THEN :pDelivery
				WHEN 4 THEN :pPullout
				WHEN 5 THEN :ccDelivery
				WHEN 6 THEN :ccPullout
				WHEN 7 THEN :csDelivery
				WHEN 8 THEN :csPullout
				WHEN 9 THEN :sDelivery
				WHEN 10 THEN :sPullout
				WHEN 11 THEN :eDelivery
				WHEN 12 THEN :ePullout
				WHEN 13 THEN :salesInTrust
				WHEN 14 THEN :whs
				WHEN 15 THEN :kDelivery
				WHEN 16 THEN :kPullout
			END TRANSFERTYPE,
			IFNULL(strFrom.STORENAME,hdr.WHFROM) WHFROM,
			IFNULL(strTo.STORENAME,hdr.WHTO) WHTO,
			hdr.SHIPDATE,hdr.STATUS,hdr.CREATEDDT 
			FROM table_ton_header hdr 
			LEFT JOIN setup_stores strFrom ON hdr.WHFROM=strFrom.STORECODE
			LEFT JOIN setup_stores strTo ON hdr.WHTO=strTo.STORECODE
			WHERE hdr.COMPANY=:company');
		$mySQL->addParam(":dDelivery",' Depot Delivery');
		$mySQL->addParam(":dPullout",' Depot Pullout');
		$mySQL->addParam(":pDelivery",' Prod Delivery');
		$mySQL->addParam(":pPullout",' Prod Pullout');
		$mySQL->addParam(":ccDelivery",' Concession Delivery');
		$mySQL->addParam(":ccPullout",' Concession Pullout');
		$mySQL->addParam(":csDelivery",' Consignment Delivery');
		$mySQL->addParam(":csPullout",' Consignment Pullout');
		$mySQL->addParam(":sDelivery",' Showroom Delivery');
		$mySQL->addParam(":sPullout",' Showroom Pullout');
		$mySQL->addParam(":eDelivery",' Ext Con Delivery');
		$mySQL->addParam(":ePullout",' Ext Con Pullout');
		$mySQL->addParam(":salesInTrust",' Sales in Trust');
		$mySQL->addParam(":whs",' WHS Transfer');
		$mySQL->addParam(":kDelivery",'Kiosk Delivery');
		$mySQL->addParam(":kPullout",'Kiosk Pullout');
		$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$rows = $mySQL->resultSet();

		$response = array();
		$posts = array();

		foreach ($rows as $row) {
			$date = date_create($row['SHIPDATE']);
			$date1 = date_create($row['CREATEDDT']);
			$posts[] = array($row['TRANSREFID'],$row['TRANSFERTYPE'],$row['WHFROM'],$row['WHTO'],date_format($date,'m/d/Y h:i A'),date_format($date1,'m/d/Y h:i A'),'<button onclick="loadSerialNumber(\''.$row['TRANSREFID'].'\')" data-toggle="modal" data-target="#sendToStore" class="badge btn-success">'.$row['STATUS'].'</button>');
		}

		$response['aaData'] = $posts;

		$fp = fopen('loads/TONlogs.json', 'w');
		fwrite($fp, json_encode($response));
		fclose($fp);
		

		
		
	/* }else{
		header('location: accesserror');
	} */

}

?>


<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="HTML5 Admin Template" />
		<meta name="description" content="Porto Admin - Responsive HTML5 Template">
		<meta name="author" content="okler.net">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

	
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Sent to Store Logs</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cloud-upload"></i>
									</a>
								</li>
								<li><span>Shipped TON</span></li>
								<li><a href="tonlogs">Sent to Store Logs</a></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Sent TON Logs</h2>
							</header>
							<div class="panel-body">
								
								<table class="table table-bordered table-striped" id="datatable-ajax" data-url="loads/TONlogs.json">
									<thead>
										<tr>
											<th>TON #</th>
											<th>Type</th>
											<th>FROM</th>
											<th>TO</th>
											<th>Shipped Date</th>
											<th>Sent Date</th>
											<th>Status</th>
										</tr>
									</thead>
									<tbody>
									

									</tbody>
								</table>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>

			<?php include 'includes/rightbar.php'; ?>





		</section>


		
<div class="modal fade" id="sendToStore" tabindex="-1" role="dialog" aria-labelledby="storeEdit" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Received TON</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="sendToStoreList">

			</div>
			
		</div>
		
	</div>
</div>



		<script type="text/javascript">
			function loadSerialNumber(tonNumber){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('sendToStoreList');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						} );

					}
				}
				xmlhttp.open('GET', 'loads/loadSerialNumber1AX.php?ton='+tonNumber, true);
				xmlhttp.send();
			}
		</script>

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.ajax.js"></script>
		<script src="classes/notifications.js"></script>



		
	</body>
</html>