<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Application Setup') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		// $mySQL->query('SELECT * FROM app_setup');
		// $rows = $mySQL->resultSet();



		if (isset($_POST['store']) || isset($_GET['store'])) {
			if (isset($_POST['store']) && !isset($_GET['store'])) {
				$storeCode = $_POST['storeCode'];
			}elseif(!isset($_POST['store']) && isset($_GET['store'])){
				$storeCode = $_GET['store'];
			}
			$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
			$mySQL->addParam(":storeCode",$storeCode);
			$tmepstoreName = $mySQL->singleResult();
			$storeName = $tmepstoreName['STORENAME'];
		}else{
			$storeName = 'HQ';
		}

	
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="setupUpdated" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("setupUpdated").click();
				                });
				          	</script>';
					}
				}

				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Application Setup</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-gears"></i>
									</a>
								</li>
								<li><span>Application Setup</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="appsetup">
								<div class="form-group">
									<div class="col-md-6">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-btn">
													<button class="btn btn-success" type="submit" name="store">Load</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title"><span class="text-danger"><?php echo $storeName; ?></span> Application Setup</h2>
							</header>
							<div class="panel-body">
						
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>Setup</th>
											<th>Description</th>
											<th>Value</th>
											<th>Update</th>
										</tr>
									</thead>
									<tbody>

								<?php

									if (isset($_POST['store']) || isset($_GET['store'])) {

										if (isset($_POST['store']) && !isset($_GET['store'])) {
											$storeCode = $_POST['storeCode'];
										}elseif(!isset($_POST['store']) && isset($_GET['store'])){
											$storeCode = $_GET['store'];
										}
										
										$mySQL->query('SELECT * FROM app_setup WHERE STORE=:store');
										$mySQL->addParam(":store",$storeCode);
										$rows = $mySQL->resultSet();
									}else{
										$mySQL->query('SELECT * FROM app_setup WHERE STORE=:store');
										$mySQL->addParam(":store",'HQ');
										$rows = $mySQL->resultSet();
									}
									foreach ($rows as $row) {
										if ($row['YESNO']==1) {
											$value = ($row['VALUE']==1 ? 'Yes' : 'No');
										}else{
											$value = $row['VALUE'];
										}
										echo '
											<tr>
												<td>'.$row['LABEL'].'</td>
												<td>'.$row['DESCRIPTION'].'</td>
												<td>'.$value.'</td>
												<td>

									';
										if ($row['YESNO']==1) {
											echo'
												<div class="switch switch-sm switch-primary">
													<input onchange="toggleYesNo(this.checked,'.$row['RECID'].',\''.$row['LABEL'].'\')" type="checkbox" name="switch" data-plugin-ios-switch '.($row['VALUE']==1 ? 'checked' : '').' />
												</div>
											';
										}else{
											if ($row['SETUPNAME']=='PRICEDISC') {
												echo'
													<button onclick="loadDynamicSetup('.$row['RECID'].',1,\''.$row['STORE'].'\')" data-toggle="modal" data-target="#setupApp" class="badge btn-primary"><i class="fa fa-edit"></i></button>
												';
											}else{
												echo'
													<button onclick="loadDynamicSetup('.$row['RECID'].',0,\''.$row['STORE'].'\')" data-toggle="modal" data-target="#setupApp" class="badge btn-primary"><i class="fa fa-edit"></i></button>
												';
											}
											
										}
									echo'
													
												</td>

											</tr>
										';
									}
									
								?>
										

									</tbody>
								</table>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>
























<!-- modals: start -->


<div class="modal fade" id="setupApp" tabindex="-1" role="dialog" aria-labelledby="setupApp" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Update Application Setup</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="appSetup">
				
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			function toggleYesNo(value,recID,setupName){
				var status = '';
				if (value) { 
					status = 'Allow';
					var val = 1;
				}else{
					status = 'Disallow';
					var val = 0;
				}
				if (confirm('Are you sure to '+status+' '+setupName+' ?') == true) {
					window.location.href = "functions/toggleSetup.php?recID="+recID+'&val='+val;
				}
			}




			function loadDynamicSetup(recID,priceDisc,store){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('appSetup');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;

						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);

					}
				}
				xmlhttp.open('GET', 'loads/appSetupModal.php?id='+recID+'&pd='+priceDisc+'&store='+store, true);
				xmlhttp.send();
			}


			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>