<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Bypass Codes') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	}else{
		header('location: dashboard');
	}

	
}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />


		<style type="text/css">
			.byPassCodes{
				font-family: 'Courier New', monospace;
			}
		</style>

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>

			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php' ?>

				<button id="generatedSuccess" class="hidden"></button>
				<button id="updatedInfo" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("generatedSuccess").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("updatedInfo").click();
				                });
				          	</script>';
					}
					
				}

				?>



			
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Active Codes</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-unlock-alt"></i>
									</a>
								</li>
								<li><span>Bypass Codes</span></li>
								<li><a href="bypasscodes">Active Codes</a> </li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<div class="row">
						<form method="post" action="functions/generateCodes.php">
							<div class="form-group">
								<div class="col-md-12">
									<div class="input-group mb-md">
											<span class="input-group-addon">Store</span>
											<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
												<option selected value="">Select Store</option>
									<?php
										$mySQL->query('SELECT * FROM setup_stores WHERE COMPANY=:company AND STORECODE!=:hq AND STORECODE!=:hq1 AND STORECODE!=:hq2 AND STORECODE!=:hq3 AND STORECODE!=:hq4 AND STORECODE!=:hq5');
										$mySQL->addParam(":hq",'HQ');
										$mySQL->addParam(":hq1",'01');
										$mySQL->addParam(":hq2",'06');
										$mySQL->addParam(":hq3",'09');
										$mySQL->addParam(":hq4",'14');
										$mySQL->addParam(":hq5",'XMWH');
										$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
										$stores = $mySQL->resultSet();
										foreach ($stores as $store) {
											echo '<option value="'.$store['STORECODE'].'">'.$store['STORENAME'].'</option>';
										}
									?>
											</select>
											<span class="input-group-addon">Max Codes</span>
											<input value="10" name="maxCode" type="number" class="form-control">
											<span class="input-group-btn">
												<button class="btn btn-success" name="generateCodes" type="submit">Generate</button>
											</span>
										
									</div>
								</div>
							</div>
						</form>
					</div>
					<div class="row">
						<div class="col-md-12">
							<div class="tabs tabs-vertical tabs-left tabs-primary">
								<ul class="nav nav-tabs col-sm-3 col-xs-5">
						<?php
							
							$active = 1;
							foreach ($stores as $store) {
								$mySQL->query('SELECT COUNT(1) FROM table_bypasscodes WHERE STORE=:store AND COMPANY=:company AND USED=:zero');
								$mySQL->addParam(":store",$store['STORECODE']);
								$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
								$mySQL->addParam(":zero",0);
								$activeCount = $mySQL->singleResult();

								echo '
									<li class="'.($active==1 ? 'active' : '').'">
										<a href="#store'.$store['RECID'].'" data-toggle="tab">'.$store['STORENAME'].' <span class="badge btn-danger">'.($activeCount[0]!=0 ? $activeCount[0] : '').'</span></a>
									</li>
								';
								$active = 0;
							}
						?>
								</ul>





								<div class="tab-content">
						<?php
							$active = 1;
							foreach ($stores as $store) {
								$mySQL->query('SELECT * FROM table_bypasscodes WHERE STORE=:store AND COMPANY=:company AND USED=:zero');
								$mySQL->addParam(":store",$store['STORECODE']);
								$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
								$mySQL->addParam(":zero",0);
								$activeCodes = $mySQL->resultSet();
								echo '
									<div id="store'.$store['RECID'].'" class="tab-pane '.($active==1 ? 'active' : '').'">
										<table class="table byPassCodes">
											<thead>
												<tr>
													<th>Key</th>
													<th>Password</th>
												</tr>
											</thead>
											<tbody>
								';
									foreach ($activeCodes as $activeCode) {
										echo '
											<tr>
												<td>'.$activeCode['BYPASSKEY'].'</td>
												<td>'.$activeCode['PASSWORD'].'</td>
											</tr>
										';
									}
								echo '
											</tbody>
										</table>
									</div>
								';
								$active = 0;
							}

						?>
									
									
								</div>
							</div>
						</div>
					</div>
				</section>



				



			</div>

			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>

		<script src="assets/vendor/jquery-ui/js/jquery-ui-1.10.4.custom.js"></script>
		<script src="assets/vendor/jquery-ui-touch-punch/jquery.ui.touch-punch.js"></script>
		<script src="assets/vendor/jquery-appear/jquery.appear.js"></script>
		<script src="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.js"></script>
		<script src="assets/vendor/jquery-easypiechart/jquery.easypiechart.js"></script>
		<script src="assets/vendor/flot/jquery.flot.js"></script>
		<script src="assets/vendor/flot-tooltip/jquery.flot.tooltip.js"></script>
		<script src="assets/vendor/flot/jquery.flot.pie.js"></script>
		<script src="assets/vendor/flot/jquery.flot.categories.js"></script>
		<script src="assets/vendor/flot/jquery.flot.resize.js"></script>
		<script src="assets/vendor/jquery-sparkline/jquery.sparkline.js"></script>
		<script src="assets/vendor/raphael/raphael.js"></script>
		<script src="assets/vendor/morris/morris.js"></script>
		<script src="assets/vendor/gauge/gauge.js"></script>
		<script src="assets/vendor/snap-svg/snap.svg.js"></script>
		<script src="assets/vendor/liquid-meter/liquid.meter.js"></script>
		<script src="assets/vendor/jqvmap/jquery.vmap.js"></script>
		<script src="assets/vendor/jqvmap/data/jquery.vmap.sampledata.js"></script>
		<script src="assets/vendor/jqvmap/maps/jquery.vmap.world.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.africa.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.asia.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.australia.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.europe.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.north-america.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.south-america.js"></script>
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		

	
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
<!-- 		<script src="assets/javascripts/dashboard/examples.dashboard.js"></script> -->
		<script src="classes/notifications.js"></script>
	</body>
</html>