<?php
date_default_timezone_set("Asia/Manila");
set_time_limit(0);
class axSQL
{
	// private $host = 'HO1DB01';
	// private $user = '';
	// private $pass = '';
	// private $dbname = 'SPC_AX2010_LIVE';



	private $host = 'HO1DB01';
	private $user = '';
	private $pass = '';
	private $dbname = 'SPC_AX2010_LIVE';

	private $dbh;
	private $error;
	private $stmt;

	public function __construct()
	{
		// Set DSN
		$dsn = 'sqlsrv:server='. $this->host . ';database=' . $this->dbname;
		// set Options
		$options = array(
			PDO::ATTR_PERSISTENT => true,
			PDO::ATTR_ERRMODE    => PDO::ERRMODE_EXCEPTION
		);
		//Create new PDO
		try {
			$this->dbh = new PDO($dsn, $this->user, $this->pass);
		} catch (PDOEception $e) {
			$this->error = $e->getMessage();
		}
	}


	public function query($query){
		$this->stmt = $this->dbh->prepare($query);
	}

	public function addParam($param,$value,$type = null){
		if (is_null($type)){
			switch (true) {
				case is_int($value):
					$type = PDO::PARAM_INT;
					break;
				case is_bool($value):
					$type = PDO::PARAM_BOOL;
					break;
				case is_null($value):
					$type = PDO::PARAM_NULL;
					break;
				default:
					$type = PDO::PARAM_STR;
			}
		}
		$this->stmt->bindValue($param,$value,$type);
	}

	public function execute(){
		$this->stmt->execute();
	}

	public function lastInsertId(){
		$this->dbh->lastInsertId();
	}

	public function resultSet(){
		$this->execute();
		return $this->stmt->fetchAll(PDO::FETCH_ASSOC);
	}

	public function singleResult(){
		$this->execute();
		return $this->stmt->fetch();
	}
}
?>