<?php
date_default_timezone_set("Asia/Manila");
set_time_limit(0);
ini_set('display_errors', 0);
$isiPad = (bool) strpos($_SERVER['HTTP_USER_AGENT'],'iPad');
class mySQL
{
// -------------------------------------CONNECTION STRING START--------------------------------------------

	//-----------------------DEVELOPMENT----------------------------------

	// private $host = '31.220.62.89';
	// private $user = 'alviarad_kadaj30';
	// private $pass = 'okuz12neoc9h';
	// private $dbname = 'alviarad_db_trial';

	private $host = '31.22.4.227';
	private $user = 'mistorep_sonus';
	private $pass = '@sonusAdmin2021';
	private $dbname = 'mistorep_sonus_main';


	private $dbh;
	private $error;
	private $stmt;



	//----------------------------------------------------------------


	//-----------------------PRODUCTION----------------------------------

	// private $host = 'localhost';
	// private $user = 'root';
	// private $pass = '';
	// private $dbname = 'alviarad_db_alviarmedical';
	// private $dbh;
	// private $error;
	// private $stmt;
	
	//----------------------------------------------------------------

	public function __construct()
	{
		// Set DSN
		$dsn = 'mysql:host='. $this->host . ';dbname=' . $this->dbname;
		// set Options
		$options = array(
			PDO::ATTR_PERSISTENT => true,
			PDO::ATTR_ERRMODE    => PDO::ERRMODE_EXCEPTION
		);
		//Create new PDO
		try {
			$this->dbh = new PDO($dsn, $this->user,$this->pass,$options);
		} catch (PDOEception $e) {
			$this->error = $e->getMessage();
		}
	}


	public function query($query){
		$this->stmt = $this->dbh->prepare($query);
	}

	public function addParam($param,$value,$type = null){
		if (is_null($type)){
			switch (true) {
				case is_int($value):
					$type = PDO::PARAM_INT;
					break;
				case is_bool($value):
					$type = PDO::PARAM_BOOL;
					break;
				case is_null($value):
					$type = PDO::PARAM_NULL;
					break;
				default:
					$type = PDO::PARAM_STR;
			}
		}
		$this->stmt->bindValue($param,$value,$type);
	}

	public function execute(){
		$this->stmt->execute();
	}

	public function lastInsertId(){
		// $this->dbh->lastInsertId();
		$this->query('SELECT LAST_INSERT_ID()');
		$lastID = $this->singleResult();
		return $lastID[0];
	}

	public function resultSet(){
		$this->execute();
		return $this->stmt->fetchAll(PDO::FETCH_ASSOC);
	}

	public function singleResult(){
		$this->execute();
		return $this->stmt->fetch();
	}

// -------------------------------------CONNECTION STRING END--------------------------------------------



	public function getYearSetup(){
		$this->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:title AND STORE!=:store');
		$this->addParam(":title",'PULLOUTYEAR');
		$this->addParam(":store",'HQ');
		$pulloutYear = $this->singleResult();
		return $pulloutYear[0];
	}

	public function getPageTitle($company,$store){
		if (is_null($company) || empty($company) ) {
			return "Invalid Company Setup";
		}else{
			$this->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:title AND COMPANY=:company AND STORE=:store');
			$this->addParam(":title",'PAGETITLE');
			$this->addParam(":company",$company);
			$this->addParam(":store",$store);
			$pageTitle = $this->singleResult();
			if (trim($pageTitle[0]) == '' || is_null($pageTitle[0]) || empty($pageTitle[0])) {
				return "Invalid Company Setup";
			}else{
				return $pageTitle[0];
			}
			
		}
	}

	public function getCurrentUser($username){
		$this->query('SELECT * FROM setup_users WHERE USERNAME=:username');
		$this->addParam(":username",$username);
		$currentUser = $this->singleResult();
		return $currentUser;
	}

	public function acceptStoreTrans($store,$company){
		$this->query('SELECT COUNT(1) FROM app_sync_cycle WHERE STORE=:store AND COMPANY=:company AND UPDATE1=:one AND OPEN=:one AND UPDATE2=:one AND CLOSE=:one');
		$this->addParam(":store",$store);
		$this->addParam(":company",$company);
		$this->addParam(":one",1);

		$storeOpen = $this->singleResult();
		if ($storeOpen[0] == 0) {
			return false;
		}else{
			return true;
		}
	}

	public function acceptHOTrans($store,$company){
		$this->query('SELECT COUNT(1) FROM app_sync_portal WHERE STORE=:store AND COMPANY=:company AND OPEN=:one');
		$this->addParam(":store",$store);
		$this->addParam(":company",$company);
		$this->addParam(":one",1);
		$hoOpen = $this->singleResult();
		if ($hoOpen[0] == 0) {
			return false;
		}else{
			return true;
		}
	}


	public function userKeyGranted($username,$moduleName){
		$this->query('SELECT COUNT(1) FROM setup_user_keys WHERE USERNAME=:username AND MODULENAME=:moduleName');
		$this->addParam(":username",$username);
		$this->addParam(":moduleName",$moduleName);
		$grantedKey = $this->singleResult();
		if ($grantedKey[0] == 0) {
			return false;
		}else{
			return true;
		}
	}


	public function getPriceDetails($itemID,$store,$company,$username){
		$this->query('SELECT TRANDISC FROM temp_transaction_header WHERE USERNAME=:username');
		$this->addParam(":username",$username);
		$tranDisc = $this->singleResult();

		$this->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setupName AND STORE=:store');
		$this->addParam(":setupName",'PRICEDISC');
		$this->addParam(":store",$store);
		$priceDisc = $this->singleResult();

		$this->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setupName AND STORE=:store');
		$this->addParam(":setupName",'PRICEGROUP');
		$this->addParam(":store",$store);
		$priceGroup = $this->singleResult();

		if ($priceDisc[0]=='' && $tranDisc[0]=='') {
			$this->query('SELECT pg.AMOUNT,:zero DISCAMOUNT,:zero DISCPERCENT
			FROM table_price_group pg WHERE pg.ITEMID=:itemID AND pg.COMPANY=:company');
			$this->addParam(":itemID",$itemID);
			$this->addParam(":company",$company);
			$this->addParam(":zero",0.00);
			$priceDetails = $this->singleResult();
		}else{
			$this->query('SELECT 
						IFNULL((SELECT AMOUNT FROM table_price_group WHERE ITEMID=:itemID AND PRICEGROUP=:defaultPG),0) AMOUNT,
						CASE IFNULL((SELECT AMOUNT FROM table_price_group WHERE ITEMID=:itemID AND PRICEGROUP=:defaultPG),0)
							WHEN 0 THEN 0
							WHEN NULL THEN 0
						ELSE
							IFNULL((SELECT DISCAMOUNT FROM table_price_discount 
								WHERE (ITEMID=:itemID OR ITEMID=:all) 
								AND (STORE=:store OR STORE=:all) 
								AND COMPANY=:company 
								AND ISACTIVE!=:zero
								AND FROMDATE <= :dateNow 
								AND TODATE >= :dateNow
								AND PRICEDISCID=:priceDiscID),0) 
							
						END DISCAMOUNT,
						CASE IFNULL((SELECT AMOUNT FROM table_price_group WHERE ITEMID=:itemID AND PRICEGROUP=:defaultPG),0)
							WHEN 0 THEN 0
							WHEN NULL THEN 0
						ELSE
							IFNULL((SELECT td.VALUE FROM setup_transaction_discount td JOIN 
								setup_transaction_discount_store str ON td.TRANDISCID=str.TRANDISCID AND td.COMPANY=str.COMPANY
								WHERE (str.STORE=:store OR str.STORE=:all)
								AND td.COMPANY=:company
								AND td.ISACTIVE!=:zero
								AND td.FROMDATE <= :dateNow
								AND td.TODATE >= :dateNow
								AND td.TRANDISCID=:tranDisc),
											IFNULL((SELECT DISCPERCENT FROM table_price_discount 
												WHERE (ITEMID=:itemID OR ITEMID=:all) 
												AND (STORE=:store OR STORE=:all) 
												AND COMPANY=:company 
												AND ISACTIVE!=:zero
												AND FROMDATE <= :dateNow 
												AND TODATE >= :dateNow
												AND PRICEDISCID=:priceDiscID),0) 
								)
						END DISCPERCENT
						');
			$this->addParam(":itemID",$itemID);
			$this->addParam(":store",$store);
			$this->addParam(":company",$company);
			$this->addParam(":dateNow",date('Y-m-d'));
			$this->addParam(":all",'ALL');
			$this->addParam(":zero",0);
			$this->addParam(":priceDiscID",$priceDisc[0]);
			$this->addParam(":defaultPG",$priceGroup[0]);
			$this->addParam(":tranDisc",$tranDisc[0]);
			$priceDetails = $this->singleResult();
		}
		return $priceDetails;
	}


	public function logAppTrail($actionType,$moduleName,$tablename,$tableRecID,$reference,$preValue,$curValue,$remarks,$username){
		$this->query('INSERT INTO app_trail (ACTIONTYPE,MODULENAME,TABLENAME,TABLERECID,REFERENCE,PREVALUE,CURVALUE,REMARKS,USERNAME,DTSTAMP,COMPANY) VALUES (:actionType,:moduleName,:tablename,:tableRecID,:reference,:preValue,:curValue,:remarks,:username,:trailDT,:company)');
		$this->addParam(":actionType",$actionType);
		$this->addParam(":moduleName",$moduleName);
		$this->addParam(":tablename",$tablename);
		$this->addParam(":tableRecID",$tableRecID);
		$this->addParam(":reference",$reference);
		$this->addParam(":preValue",$preValue);
		$this->addParam(":curValue",$curValue);
		$this->addParam(":remarks",$remarks);
		$this->addParam(":username",$username);
		$this->addParam(":trailDT",date('Y-m-d H:i:s'));
		$this->addParam(":company",'05');
		$this->execute();
	}


	public function insertInventTrans($company,$store,$transrefID,$itemID,$qty,$createdBy,$createdDT,$transType){
		$this->query('INSERT INTO table_inventtrans (COMPANY,STORE,TRANSREFID,ITEMID,QTY,CREATEDBY,CREATEDDT,TRANSTYPE) VALUES (:company,:store,:transrefID,:itemID,:qty,:createdBy,:createdDT,:transType)');
		$this->addParam(":company",$company);
		$this->addParam(":store",$store);
		$this->addParam(":transrefID",$transrefID);
		$this->addParam(":itemID",$itemID);
		$this->addParam(":qty",$qty);
		$this->addParam(":createdBy",$createdBy);
		$this->addParam(":createdDT",$createdDT);
		$this->addParam(":transType",$transType);
		$this->execute();
	}

	public function insertSerialNumberLogs($whFrom,$whTo,$docRef,$transType,$lineNum,$itemID,$ean,$serialNumber,$createdDt,$createdBy,$company){
		 $this->query('INSERT INTO table_serialnumber_logs (WHFROM,WHTO,DOCUMENTREF,TRANSTYPE,LINENUM,ITEMID,EAN,SERIALNUMBER,CREATEDDT,CREATEDBY,COMPANY) VALUES (:tFRom,:tTo,:curRef,:type,:lineNum,:itemID,:ean,:serialNumber,:createdDt,:createdBy,:company)');
        $this->addParam(":tFRom",$whFrom);
        $this->addParam(":tTo",$whTo);
        $this->addParam(":curRef",$docRef);
        $this->addParam(":type",$transType);
        $this->addParam(":lineNum",$lineNum);
        $this->addParam(":itemID",$itemID);
        $this->addParam(":ean",$ean);
        $this->addParam(":serialNumber",$serialNumber);
        $this->addParam(":createdDt",$createdDt);
        $this->addParam(":createdBy",$createdBy);
        $this->addParam(":company",$company);
        $this->execute();
	}

	public function generateTransactionId($store){
		$this->query('SELECT ALIAS FROM setup_stores WHERE STORECODE=:store');
        $this->addParam(":store",$store);
        $storePrefix = $this->singleResult();

        $this->query('SELECT COUNT(1) FROM table_transaction_header WHERE YEAR(CREATEDDT)=:year AND MONTH(CREATEDDT)=:month AND DAY(CREATEDDT)=:day');
        $this->addParam(":year",date('Y'));
        $this->addParam(":month",date('m'));
        $this->addParam(":day",date('d'));
        $tranCount = $this->singleResult();
        
        $transactionID = $storePrefix[0].date("Ymd").sprintf('%04d',$tranCount[0]+1);
        return $transactionID;
	}


	// public function updateInventSum($company,$store,$itemID,$qty){
	// 	$this->query('SELECT COUNT(1) FROM table_inventsum WHERE COMPANY=:company AND STORE=:store AND ITEMID=:itemID');
	// 	$this->addParam(":itemID",$itemID);
	// 	$this->addParam(":store",$store);
	// 	$this->addParam(":company",$company);
	// 	$existing = $this->singleResult();
	// 	if ($existing[0] == 0) {
	// 		$this->query('SELECT * FROM setup_begbal WHERE COMPANY=:company AND STORE=:store AND ITEMID=:itemID');
	// 		$this->addParam(":itemID",$itemID);
	// 		$this->addParam(":store",$store);
	// 		$this->addParam(":company",$company);
	// 		$begbal = $this->singleResult();
	// 		if ($begbal['RECID'] != 0 && $begbal['RECID'] != '') {
	// 			$this->query('INSERT INTO table_inventtrans (COMPANY,STORE,TRANSREFID,ITEMID,QTY,CREATEDBY,CREATEDDT) VALUES (:company,:store,:transrefID,:itemID,:qty,:createdBy,:createdDT)');
	// 			$this->addParam(":company",$company);
	// 			$this->addParam(":store",$store);
	// 			$this->addParam(":transrefID",'Beginning Balance');
	// 			$this->addParam(":itemID",$itemID);
	// 			$this->addParam(":qty",$begbal['QTY']);
	// 			$this->addParam(":createdBy",'Beginning Balance');
	// 			$this->addParam(":createdDT",date('Y-m-d H:i:s'));
	// 			$this->execute();
	// 			$begQty = $begbal['QTY'];
	// 		}else{
	// 			$begQty = 0;
	// 		}
	// 		$this->query('INSERT INTO table_inventsum (COMPANY,STORE,ITEMID,QTY) VALUES (:company,:store,:itemID,:qty)');
	// 		$this->addParam(":itemID",$itemID);
	// 		$this->addParam(":store",$store);
	// 		$this->addParam(":company",$company);
	// 		$this->addParam(":qty",$begQty + $qty);
	// 		$this->execute();
	// 	}else{
	// 		$this->query('UPDATE table_inventsum SET QTY=QTY+:qty WHERE COMPANY=:company AND STORE=:store AND ITEMID=:itemID');
	// 		$this->addParam(":itemID",$itemID);
	// 		$this->addParam(":store",$store);
	// 		$this->addParam(":company",$company);
	// 		$this->addParam(":qty",$qty);
	// 		$this->execute();

	// 	}
	// }




}
?>