function ipadView(){
	document.getElementById("sideNav").click();
}

(function( $ ) {

	'use strict';


	var stack_bar_top = {"dir1": "down", "dir2": "up", "push": "top", "spacing1": 0, "spacing2": 0};

	/*
	USER NOTIFICATIONS
	*/
	$('#userSaved').click(function() {
		new PNotify({
			title: 'User Saved',
			text: 'New User successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#userUpdated').click(function() {
		new PNotify({
			title: 'User Updated',
			text: 'User Data successfully updated.',
			type: 'info',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#userAddFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Username Already exist. \n Please use unique Username.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#userDelete').click(function() {
		new PNotify({
			title: 'User Deleted',
			text: 'User successfully deleted.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#userDeleteFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Cannot Delete User with active.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#userUpdateFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Update Failed.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});



	/*
	STORE NOTIFICATIONS
	*/
	$('#storeSaved').click(function() {
		new PNotify({
			title: 'Store Saved',
			text: 'New Store successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#storeUpdated').click(function() {
		new PNotify({
			title: 'Store Updated',
			text: 'Store Information successfully updated.',
			type: 'info',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#storeAddFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Store Already exist. \n Please use unique Store Code and Store Name.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#storeDelete').click(function() {
		new PNotify({
			title: 'Store Deleted',
			text: 'Store successfully deleted.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});





	$('#receiveTON').click(function() {
		new PNotify({
			title: 'Success',
			text: 'TON Received.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});



	/*
	INDEX NOTIFICATIONS
	*/

	$('#defaultStoreChanged').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Default Store Changed.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#updatedInfo').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Account Information Updated.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#failedUpload').click(function() {
		new PNotify({
			title: 'Upload Failed',
			text: 'Cannot Upload Image right now. \n Please try again later.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#invalidFormat').click(function() {
		new PNotify({
			title: 'Invalid Image Format',
			text: 'Profile Picture Upload Failed. \n Please try another Image.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#incorrectPassword').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Incorrect Current Password.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#passwordNotMatch').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Password did not match',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#changedPassword').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Account Password Changed.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	/*
	EMPLOYEE NOTIFICATIONS
	*/
	
	$('#employeeSaved').click(function() {
		new PNotify({
			title: 'Employee Saved',
			text: 'New Employee successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	
	$('#employeeFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Format.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#employeeExists').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Employee Already Exists',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#employeeInvalid').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Employee data.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#invalidFirstname').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Employee First Name.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#invalidLastname').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Employee Last Name.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#invalidPosition').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Employee Position.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#employeeDuplicate').click(function() {
		new PNotify({
			title: 'Error',
			text: 'File has duplicate records.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	/*
	VOUCHER NOTIFICATIONS
	*/
	
	$('#voucherSaved').click(function() {
		new PNotify({
			title: 'Vouchers Saved',
			text: 'New vouchers successfully uploaded. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#voucherAssigned').click(function() {
		new PNotify({
			title: 'Vouchers Assigned',
			text: 'Voucher is successfully assigned to store.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#voucherSubmitted').click(function() {
		new PNotify({
			title: 'Vouchers Submitted',
			text: 'Voucher is successfully submitted for approval.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#voucherApproved').click(function() {
		new PNotify({
			title: 'Vouchers Approved',
			text: 'Voucher is successfully Approved.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#voucherDeclined').click(function() {
		new PNotify({
			title: 'Vouchers Declined',
			text: 'Vouchers has been declined.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#assignmentRemove').click(function() {
		new PNotify({
			title: 'Store Assignment Removed',
			text: 'Voucher store assignment is successfully removed.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#voucherFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Format.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#voucherExists').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Voucher Already Exists.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#voucherData').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Data Format.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	/*
	ITEM NOTIFICATIONS
	*/
	$('#itemSaved').click(function() {
		new PNotify({
			title: 'Item Saved',
			text: 'New Item successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#itemUpdated').click(function() {
		new PNotify({
			title: 'Item Updated',
			text: 'Item Information successfully updated.',
			type: 'info',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#itemAddFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Item Already exist. \n Please use unique Item ID.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});



	/*
	PRICE DISCOUNT NOTIFICATIONS
	*/
	$('#discountSaved').click(function() {
		new PNotify({
			title: 'Discount Saved',
			text: 'New Discount successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#discountUpdated').click(function() {
		new PNotify({
			title: 'Discount Updated',
			text: 'Discount Information successfully updated.',
			type: 'info',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#discountAddFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Discount Name Already Exist.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#discountAddFailed1').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Validation Date',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});


	/*
	REGULAR SALES NOTIFICATIONS
	*/
	// $('#itemSaved').click(function() {
	// 	new PNotify({
	// 		title: 'Item Saved',
	// 		text: 'New Item successfully saved. \n Check it on the list.',
	// 		type: 'success',
	// 		nonblock: {
	// 			nonblock: true,
	// 			nonblock_opacity: .2
	// 		}
	// 	});
	// });

	// $('#itemUpdated').click(function() {
	// 	new PNotify({
	// 		title: 'Item Updated',
	// 		text: 'Item Information successfully updated.',
	// 		type: 'info',
	// 		nonblock: {
	// 			nonblock: true,
	// 			nonblock_opacity: .2
	// 		}
	// 	});
	// });

	$('#alreadyScanned').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Serial Number Already Scanned.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#sentToStore').click(function() {
		new PNotify({
			title: 'TON Sent',
			text: 'TON successfully	sent to Store.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});


	$('#existingTON').click(function() {
		new PNotify({
			title: 'Error',
			text: 'TON Already exist.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#storeClosed').click(function() {
		new PNotify({
			title: 'Store Offline',
			text: 'Store is offline and currently can&apos;t accept transactions. \n Please advise store personel to open the sync app.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#receivedPullOut').click(function() {
		new PNotify({
			title: 'TON Received',
			text: 'TON Pullout successfully	received.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});


	$('#invalidSerial').click(function() {
		new PNotify({
			title: 'Invalid Serial Number',
			text: 'Serial Number/s does not exist or not available on Pullout Store.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	
	$('#insufficientSOH').click(function() {
		new PNotify({
			title: 'Insufficient Stock on hand',
			text: 'Pullout will lead to negative Stock on hand.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});




	$('#invalidTransaction').click(function() {
		new PNotify({
			title: 'Invalid Transaction',
			text: 'Transaction reference not found !',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});


	$('#savedReturn').click(function() {
		new PNotify({
			title: 'Return Transaction Submitted',
			text: 'Please do Syncing Application to sync data with Main Office.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			}
		});
	});

	$('#approvedReturn').click(function() {
		new PNotify({
			title: 'Return Transaction Approved',
			text: 'Please Advise Store to do Syncing Application.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#declinedReturn').click(function() {
		new PNotify({
			title: 'Return Transaction Declined',
			text: 'Please Advise Store to do Syncing Application.',
			type: 'warning',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#refundCredit').click(function() {
		new PNotify({
			title: 'Return Credit Refunded',
			text: 'Return Credit Refund has been deducted from your cash tenders.',
			type: 'warning',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#approvedBypass').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Return Transaction Bypassed/Override.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#invalidKey').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Bypass Key or Password !',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#invalidCredentials').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Supervisor Credentials !',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});





	/*
	PRESELLING(MO) NOTIFICATIONS
	*/
	$('#preSellSaved').click(function() {
		new PNotify({
			title: 'Pre-Selling Saved',
			text: 'Pre-Selling successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#preSellUpdated').click(function() {
		new PNotify({
			title: 'Pre-Selling Updated',
			text: 'Pre-Selling Information successfully updated.',
			type: 'info',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#preSellAddFailed').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Pre-Selling Already exist. \n Please use unique Pre-Selling Name.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#preSellDelete').click(function() {
		new PNotify({
			title: 'Pre-Selling Deleted',
			text: 'Pre-Selling successfully deleted.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#preSellDeleteItem').click(function() {
		new PNotify({
			title: 'Pre-Selling Item Deleted',
			text: 'Pre-Selling Item successfully deleted.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});


	$('#preSellDeleteStore').click(function() {
		new PNotify({
			title: 'Pre-Selling Store Deleted',
			text: 'Pre-Selling Store successfully deleted.',
			addclass: 'notification-dark',
			icon: 'fa fa-trash-o',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#newCustomerAdd').click(function() {
		new PNotify({
			title: 'Customer Saved',
			text: 'Customer successfully saved. \n Check it on the list.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});



	$('#serialAdded').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Serial Number successfully saved.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#serialAlreadyAdded').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Serial Number Already Scanned.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});
	$('#serialInvalid').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid Serial Number.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});




	$('#invalidWJ').click(function() {
		new PNotify({
			title: 'Error',
			text: 'WJ Number not found.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#existingWJ').click(function() {
		new PNotify({
			title: 'Error',
			text: 'WJ Already Applied.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#wjApplied').click(function() {
		new PNotify({
			title: 'Success',
			text: 'WJ Applied.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});









	$('#generatedSuccess').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Bypass Codes Generated.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});


	$('#setupUpdated').click(function() {
		new PNotify({
			title: 'Updated',
			text: 'Application Setup successfully updated.',
			type: 'info',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});














	//RECEIVING NOTIF

	$('#tagNotMatch').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Serial Number Tagging vs actual Receive Qty not match.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#receivedItem').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Tagged Item/s Received.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#withDes').click(function() {
		new PNotify({
			title: 'Warning',
			text: 'TON Reported with Discrepancy. Please check your discrepancy report.',
			type: 'warning',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});



	//DISCREPANCY NOTIF

	$('#approvedDiscre').click(function() {
		new PNotify({
			title: 'Success',
			text: 'Discrepancy Report Approved.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#declinedDiscre').click(function() {
		new PNotify({
			title: 'Warning',
			text: 'Discrepancy Report Declined.',
			type: 'warning',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#invalidRecID').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Invalid AX Transaction. Please do AX process first.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#zeroVal').click(function() {
		new PNotify({
			title: 'Error',
			text: 'No Item/s tagged.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#receivedDisc').click(function() {
		new PNotify({
			title: 'Success',
			text: 'TON Received with Discrepancy.',
			type: 'success',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});

	$('#invalidDR').click(function() {
		new PNotify({
			title: 'Error',
			text: 'Cannot Report TON Discrepancy with Qty To Receive or Tagged Serial Number/s.',
			type: 'error',
			stack: stack_bar_top,
			width: "95%",
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			},
			delay: 20000,
		});
	});






	/*
	Non-blocking notifications
	*/
	$('#non-blocking-primary').click(function() {
		new PNotify({
			title: 'Non-Blocking',
			text: 'I\'m a special kind of notice called "non-blocking". When you hover over me I\'ll fade to show the elements underneath. Feel free to click any of them just like I wasn\'t even here.\n\nNote: HTML links don\'t trigger in some browsers, due to security settings.',
			addclass: 'notification-primary',
			icon: 'fa fa-twitter',
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
		   }
		});
	});

	$('#non-blocking-notice').click(function() {
		new PNotify({
			title: 'Non-Blocking',
			text: 'I\'m a special kind of notice called "non-blocking". When you hover over me I\'ll fade to show the elements underneath. Feel free to click any of them just like I wasn\'t even here.\n\nNote: HTML links don\'t trigger in some browsers, due to security settings.',
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			}
		});
	});

	$('#non-blocking-success').click(function() {
		new PNotify({
			title: 'Non-Blocking',
			text: 'I\'m a special kind of notice called "non-blocking". When you hover over me I\'ll fade to show the elements underneath. Feel free to click any of them just like I wasn\'t even here.\n\nNote: HTML links don\'t trigger in some browsers, due to security settings.',
			type: 'success',
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			}
		});
	});

	$('#non-blocking-info').click(function() {
		new PNotify({
			title: 'Non-Blocking',
			text: 'I\'m a special kind of notice called "non-blocking". When you hover over me I\'ll fade to show the elements underneath. Feel free to click any of them just like I wasn\'t even here.\n\nNote: HTML links don\'t trigger in some browsers, due to security settings.',
			type: 'info',
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			}
		});
	});

	$('#non-blocking-error').click(function() {
		new PNotify({
			title: 'Non-Blocking',
			text: 'I\'m a special kind of notice called "non-blocking". When you hover over me I\'ll fade to show the elements underneath. Feel free to click any of them just like I wasn\'t even here.\n\nNote: HTML links don\'t trigger in some browsers, due to security settings.',
			type: 'error',
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			}
		});
	});

	$('#non-blocking-dark').click(function() {
		new PNotify({
			title: 'Non-Blocking',
			text: 'I\'m a special kind of notice called "non-blocking". When you hover over me I\'ll fade to show the elements underneath. Feel free to click any of them just like I wasn\'t even here.\n\nNote: HTML links don\'t trigger in some browsers, due to security settings.',
			addclass: 'notification-dark',
			icon: 'fa fa-user',
			nonblock: {
				nonblock: true,
				nonblock_opacity: .2
			}
		});
	});

	

	

}).apply( this, [ jQuery ]);