<?php
if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{


	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;

		require 'classes/axSQL.php';
		$axSQL = new axSQL;
	} catch (Exception $e) {
		header('location: conError');
	}

	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Journal') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	}else{
		header('location: dashboard');
	}
	

}

if (isset($_POST['seachPreCount']) || isset($_POST['seachPostCount'])) {
	$mySQL->query('SELECT COUNT(1) FROM table_adjustments WHERE WJNUMBER LIKE :wjNumber');
	$mySQL->addParam(":wjNumber",$_POST['wjNumber']."%");
	$existing = $mySQL->singleResult();
	if ($existing[0]==0) {
		$axSQL->query('SELECT hdr.JOURNALID,hdr.DESCRIPTION,hdr.POSTED,dim.INVENTLOCATIONID,il.NAME,ln.ITEMID,it.ITEMNAME,ln.QTY FROM INVENTJOURNALTABLE hdr 
		LEFT JOIN INVENTJOURNALTRANS ln ON hdr.JOURNALID=ln.JOURNALID AND hdr.DATAAREAID=ln.DATAAREAID 
		LEFT JOIN INVENTDIM dim ON ln.INVENTDIMID=dim.INVENTDIMID AND ln.DATAAREAID=dim.DATAAREAID 
		LEFT JOIN INVENTTABLE it ON ln.ITEMID=it.ITEMID AND ln.DATAAREAID=it.DATAAREAID
		LEFT JOIN INVENTLOCATION il ON dim.INVENTLOCATIONID=il.INVENTLOCATIONID AND dim.DATAAREAID=il.DATAAREAID
		WHERE hdr.JOURNALID = :wjNumber AND hdr.JOURNALTYPE = :counting AND hdr.DATAAREAID=:company');
		$axSQL->addParam(":wjNumber",$_POST['wjNumber']);
		$axSQL->addParam(":counting",4);
		$axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$items = $axSQL->resultSet();
		if ($items) {
			if (isset($_POST['seachPreCount'])) {
				$activePreCount = 'active';
				$activePostCount = '';
			}elseif (isset($_POST['seachPostCount'])) {
				$activePreCount = '';
				$activePostCount = 'active';
			}else{
				$activePreCount = 'active';
				$activePostCount = '';
			}
		}else{
			header('location: counting?notif='.md5(1));
		}
	}else{
		header('location: counting?notif='.md5(2));
	}
}else{
	$activePreCount = 'active';
	$activePostCount = '';
}


?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>

			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php' ?>

				<button id="invalidWJ" class="hidden"></button>
				<button id="existingWJ" class="hidden"></button>
				<button id="wjApplied" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidWJ").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("existingWJ").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("wjApplied").click();
				                });
				          	</script>';
					}
					
				}

				?>


			
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Counting</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-exchange"></i>
									</a>
								</li>
								<li><span>Journal</span></li>
								<li>
									<a href="counting">Counting</a>
								</li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					
					<div class="row">
						<div class="col-md-12">
							<div class="tabs tabs-primary">
								<ul class="nav nav-tabs nav-justified">
									<li class="<?php echo $activePreCount ?>">
										<a href="#preCount" data-toggle="tab">Pre-Count</a>
									</li>
									<li class="<?php echo $activePostCount ?>">
										<a href="#postCount" data-toggle="tab">Post-Count</a>
									</li>
								</ul>


								<div class="tab-content">
									<div id="preCount" class="tab-pane <?php echo $activePreCount ?>">
										<div class="row">
											<form method="post" action="counting">
												<div class="form-group">
													<div class="col-md-6">
														<div class="input-group mb-md">
															<input required placeholder="Input Pre-Count WJ Number" type="text" class="form-control" name="wjNumber">
															<span class="input-group-btn">
																<button class="btn btn-success" type="submit" name="seachPreCount">Search</button>
															</span>
														</div>
													</div>
												</div>
											</form>
											<div class="col-md-12">
									<?php
										if (isset($_POST['seachPreCount'])) {
											echo '

												<table class="table table-striped table-bordered display">
													<thead>
														<tr>
															<th>WJ Number</th>
															<th>Description</th>
															<th>Store</th>
															<th>Item ID</th>
															<th>Item Name</th>
															<th>Qty</th>
															<th>Onhand</th>
														</tr>
													</thead>
													<tbody>
											';
												$promtStr = '';
												$disableApply = '';
												foreach ($items as $item) {
													$mySQL->query('SELECT IFNULL(QTY,0) QTY FROM table_inventsum WHERE ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
													$mySQL->addParam(":itemID",$item['ITEMID']);
													$mySQL->addParam(":store",$item['INVENTLOCATIONID']);
													$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
													$onHand = $mySQL->singleResult();
													echo '
														<tr>
															<td>'.$item['JOURNALID'].'</td>
															<td>'.$item['DESCRIPTION'].'</td>
															<td>'.$item['NAME'].'</td>
															<td>'.$item['ITEMID'].'</td>
															<td>'.$item['ITEMNAME'].'</td>
															<td>'.number_format($item['QTY']).'</td>
															<td>'.number_format($onHand['QTY']).'</td>
														</tr>
													';
													if ($item['POSTED']==0) {
														$promtStr = '<small class="text-danger text-bold">WJ not Posted.</small>';
														$disableApply = 'disabled';
													}elseif ($item['QTY']>=0) {
														$promtStr = '<small class="text-danger text-bold">Pre-Count must be negative Qty.</small>';
														$disableApply = 'disabled';
													}elseif (number_format($item['QTY']) != number_format($onHand['QTY']*-1)) {
														$promtStr = '<small class="text-danger text-bold">Pre-Count Quantity not matched.</small>';
														$disableApply = 'disabled';
													}
												}
											echo '
														
													</tbody>
												</table>
												<div style="margin-top: 40px;" class="text-right">
													<form id="formPreCount" method="post" action="functions/applyCounting.php">
														<input type="hidden" name="wjType" value="Pre-Count">
														<input type="hidden" name="wjNumber" value="'.$_POST['wjNumber'].'">
													</form>
													<button id="preCountButton" '.$disableApply.' class="btn btn-primary" onclick="applyPreCount();">Apply</button>
													<br>'.$promtStr.'
												</div>
											';
										}
									?>
											</div>
										</div>
									</div>



									<div id="postCount" class="tab-pane <?php echo $activePostCount ?>">
										<div class="row">
											<form method="post" action="counting">
												<div class="form-group">
													<div class="col-md-6">
														<div class="input-group mb-md">
															<input required placeholder="Input Post-Count WJ Number" type="text" class="form-control" name="wjNumber">
															<span class="input-group-btn">
																<button class="btn btn-success" type="submit" name="seachPostCount">Search</button>
															</span>
														</div>
													</div>
												</div>
											</form>
											<div class="col-md-12">
									<?php
										if (isset($_POST['seachPostCount'])) {
											echo '
												<table class="table table-striped table-bordered display">
													<thead>
														<tr>
															<th>WJ Number</th>
															<th>Store</th>
															<th>Item ID</th>
															<th>Item Name</th>
															<th>Qty</th>
															<th>Onhand</th>
														</tr>
													</thead>
													<tbody>
											';
												$promtStr = '';
												$disableApply = '';
												foreach ($items as $item) {
													$mySQL->query('SELECT IFNULL(QTY,0) QTY FROM table_inventsum WHERE ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
													$mySQL->addParam(":itemID",$item['ITEMID']);
													$mySQL->addParam(":store",$item['INVENTLOCATIONID']);
													$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
													$onHand = $mySQL->singleResult();
													echo '
														<tr>
															<td>'.$item['JOURNALID'].'</td>
															<td>'.$item['NAME'].'</td>
															<td>'.$item['ITEMID'].'</td>
															<td>'.$item['ITEMNAME'].'</td>
															<td>'.number_format($item['QTY']).'</td>
															<td>'.number_format($onHand['QTY']).'</td>
														</tr>
													';
													if ($item['POSTED']==0) {
														$promtStr = '<small class="text-danger text-bold">WJ not Posted.</small>';
														$disableApply = 'disabled';
													}elseif ($item['QTY']<=0) {
														$promtStr = '<small class="text-danger text-bold">Post-Count must be positive Qty.</small>';
														$disableApply = 'disabled';
													}
												}
											echo '
														
													</tbody>
												</table>
												<div style="margin-top: 40px;" class="text-right">
													<form id="formPostCount" method="post" action="functions/applyCounting.php">
														<input type="hidden" name="wjType" value="Post-Count">
														<input type="hidden" name="wjNumber" value="'.$_POST['wjNumber'].'">
														
													</form>
													<button id="postCountButton" '.$disableApply.' class="btn btn-primary" onclick="applyPostCount();">Apply</button>
													<br>'.$promtStr.'
												</div>
											';
										}
									?>
											</div>
										</div>
									</div>
						
									
									
								</div>
							</div>
						</div>
					</div>
				</section>



				



			</div>

			<?php include 'includes/rightbar.php'; ?>
		</section>


		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();
			} );
			function applyPreCount(){
				if (confirm('Are you sure to Apply Pre-Counting ?') == true) {
					document.getElementById('formPreCount').submit();
					document.getElementById('preCountButton').disabled = true;
					document.getElementById('preCountButton').innerHTML = 'Loading... Please wait.';
				}
			}

			function applyPostCount(){
				if (confirm('Are you sure to Apply Post-Counting ?') == true) {
					document.getElementById('formPostCount').submit();
					document.getElementById('postCountButton').disabled = true;
					document.getElementById('postCountButton').innerHTML = 'Loading... Please wait.';
				}
			}
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>


		<!-- Examples -->
<!-- 		<script src="assets/javascripts/dashboard/examples.dashboard.js"></script> -->
		<script src="classes/notifications.js"></script>
	</body>
</html>