<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;

	} catch (Exception $e) {
		 $_SESSION['CONERROR'] = nl2br($e);
		 header('location: conError');
	}

	
	$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	$date = date_create($currentUser['CREATEDDT']);

	$mySQL->query('SELECT str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND usr.DEFAULTSTORE=:one');
	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
	$mySQL->addParam(":one",1);
	$curStore = $mySQL->singleResult();

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>

			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php' ?>

				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Dashboard</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-home"></i>
									</a>
								</li>
								<li><span>Dashboard</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>



					<!-- <section class="row">
						<div class="col-md-4 col-lg-4 col-xl-3">
							<section class="panel panel-featured-top panel-featured-primary">
								<div class="panel-body">
									<div class="widget-summary widget-summary-sm">
										<div class="widget-summary-col widget-summary-col-icon">
											<div class="summary-icon bg-primary">
												<i class="fa fa-shopping-cart"></i>
											</div>
										</div>
										<div class="widget-summary-col">
											<div class="summary">
												<h4 class="title">Regular Sales Today</h4>
												<div class="info">
													<strong class="amount">P1,281</strong>
												</div>
											</div>
											<div class="summary-footer">
												<a class="text-muted text-uppercase">(view all)</a>
											</div>
										</div>
									</div>
								</div>
							</section>
						</div>
						<div class="col-md-4 col-lg-4 col-xl-3">
							<section class="panel panel-featured-top panel-featured-secondary">
								<div class="panel-body">
									<div class="widget-summary widget-summary-sm">
										<div class="widget-summary-col widget-summary-col-icon">
											<div class="summary-icon bg-secondary">
												<i class="fa fa-history"></i>
											</div>
										</div>
										<div class="widget-summary-col">
											<div class="summary">
												<h4 class="title">Return Sales Today</h4>
												<div class="info">
													<strong class="amount">P1,281</strong>
												</div>
											</div>
											<div class="summary-footer">
												<a class="text-muted text-uppercase">(view all)</a>
											</div>
										</div>
									</div>
								</div>
							</section>
						</div>
						<div class="col-md-4 col-lg-4 col-xl-3">
							<section class="panel panel-featured-top panel-featured-success">
								<div class="panel-body">
									<div class="widget-summary widget-summary-sm">
										<div class="widget-summary-col widget-summary-col-icon">
											<div class="summary-icon bg-success">
												<i class="fa fa-cloud-download"></i>
											</div>
										</div>
										<div class="widget-summary-col">
											<div class="summary">
												<h4 class="title">TON for Receiving</h4>
												<div class="info">
													<strong class="amount">0</strong>
												</div>
											</div>
											<div class="summary-footer">
												<a class="text-muted text-uppercase">(view all)</a>
											</div>
										</div>
									</div>
								</div>
							</section>
						</div>

						<div class="col-md-12">
							<section class="panel">
								<header class="panel-heading">
									<div class="panel-actions">
										<a href="#" class="fa fa-caret-down"></a>
									</div>
					
									<h2 class="panel-title">Daily Sales</h2>
									<p class="panel-subtitle"></p>
								</header>
								<div class="panel-body">
									<?php
										$mySQL->query('SELECT TRANSACTIONDT,SUM(TOTALPAYABLE) SALES FROM table_transaction_header WHERE MONTH(TRANSACTIONDT)=:month GROUP BY TRANSACTIONDT');
										$mySQL->addParam("month",date('m'));
										$rows = $mySQL->resultSet();
										$toParseArray = '';
										foreach ($rows as $row) {
											$date = date_create($row['TRANSACTIONDT']);
											$toParseArray = $toParseArray.'{
																				"y": "'.date_format($date,'M-d').'",
																				"a": "'.$row['SALES'].'"
																			},';
										}
										$toParseArray = substr($toParseArray, 0, -1);
									?>
									<div id="dailySales" data-locations='<?php echo '['.$toParseArray.']' ?>'> 
									<div class="chart chart-md" id="morrisLine"></div>
									<script type="text/javascript">
										var morrisLineData = $('#dailySales').data('locations');
									</script>
								</div>
							</section>
						</div>


						<div class="col-md-12">
							<section class="panel">
								<header class="panel-heading">
									<div class="panel-actions">
										<a href="#" class="fa fa-caret-down"></a>
									</div>
					
									<h2 class="panel-title">Monthly Sales</h2>
									<p class="panel-subtitle"></p>
								</header>
								<div class="panel-body">
									<?php
										$mySQL->query('SELECT MONTHNAME(STR_TO_DATE(MONTH(TRANSACTIONDT),:mon)) SMONTH,SUM(TOTALPAYABLE) SALES
											FROM table_transaction_header WHERE YEAR(TRANSACTIONDT)=:year	
											GROUP BY  MONTHNAME(STR_TO_DATE(MONTH(TRANSACTIONDT),:mon))');
										$mySQL->addParam(":year",date('Y'));
										$mySQL->addParam(":mon",'%m');
										$rows = $mySQL->resultSet();
										$toParseArray = '';
										foreach ($rows as $row) {
											$toParseArray = $toParseArray.'{
																				"y": "'.$row['SMONTH'].'",
																				"a": "'.$row['SALES'].'"
																			},';
										}
										$toParseArray = substr($toParseArray, 0, -1);
														
									?>
									<div id="monthlySales" data-locations='<?php echo '['.$toParseArray.']' ?>'> 
									<div class="chart chart-md" id="morrisLine1"></div>
									<script type="text/javascript">
										var morrisLineData1 = $('#monthlySales').data('locations');
									</script>
					
								</div>
							</section>
						</div>
					</section> -->







				</section>



				



			</div>

			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/jquery-appear/jquery.appear.js"></script>
		<script src="assets/vendor/jquery-easypiechart/jquery.easypiechart.js"></script>
		<script src="assets/vendor/flot/jquery.flot.js"></script>
		<script src="assets/vendor/flot-tooltip/jquery.flot.tooltip.js"></script>
		<script src="assets/vendor/flot/jquery.flot.pie.js"></script>
		<script src="assets/vendor/flot/jquery.flot.categories.js"></script>
		<script src="assets/vendor/flot/jquery.flot.resize.js"></script>
		<script src="assets/vendor/jquery-sparkline/jquery.sparkline.js"></script>
		<script src="assets/vendor/raphael/raphael.js"></script>
		<script src="assets/vendor/morris/morris.js"></script>
		<script src="assets/vendor/gauge/gauge.js"></script>
		<script src="assets/vendor/snap-svg/snap.svg.js"></script>
		<script src="assets/vendor/liquid-meter/liquid.meter.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<!-- <script src="assets/javascripts/ui-elements/examples.charts.js"></script> -->
		<script type="text/javascript">
			// (function() {
			// 	var plot = $.plot('#flotBars', [flotBarsData], {
			// 		colors: ['#8CC9E8'],
			// 		series: {
			// 			bars: {
			// 				show: true,
			// 				barWidth: 0.8,
			// 				align: 'center'
			// 			}
			// 		},
			// 		xaxis: {
			// 			mode: 'categories',
			// 			tickLength: 0,
			// 			valueFormatString: "#,##0.##",
			// 			parseTime: false,
			// 		},
			// 		grid: {
			// 			hoverable: true,
			// 			clickable: true,
			// 			borderColor: 'rgba(0,0,0,0.1)',
			// 			borderWidth: 1,
			// 			labelMargin: 15,
			// 			backgroundColor: 'transparent'
			// 		},
			// 		tooltip: true,
			// 		tooltipOpts: {
			// 			content: '%y',
			// 			shifts: {
			// 				x: -10,
			// 				y: 20
			// 			},
			// 			defaultTheme: false
			// 		}
			// 	});
			// })();


			Morris.Line({
				resize: true,
				parseTime: false,
				element: 'morrisLine',
				data: morrisLineData,
				xkey: 'y',
				ykeys: ['a'],
				labels: ['Actual Sales'],
				hideHover: true,
				lineColors: ['#0088cc', '#734ba9'],
			});
			Morris.Line({
				resize: true,
				parseTime: false,
				element: 'morrisLine1',
				data: morrisLineData1,
				xkey: 'y',
				ykeys: ['a'],
				labels: ['Actual Sales'],
				hideHover: true,
				lineColors: ['#0088cc', '#734ba9'],
			});
		</script>
		
	</body>
</html>