<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}

	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Discrepancy Report') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		//if ($mySQL->acceptStoreTrans($_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
		//	header('location: closestore?next=receiving');
		//	exit();
		//}else{
			if (isset($_POST['searchStat'])) {
				$status = $_POST['status'];
			}else{
				$status = 'Reported with Discrepancy';
			}
			
		//}	
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		<link rel="stylesheet" href="assets/vendor/jstree/themes/default/style.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="approvedDiscre" class="hidden"></button>
				<button id="declinedDiscre" class="hidden"></button>
				<button id="invalidRecID" class="hidden"></button>
				<button id="receivedDisc" class="hidden"></button>
				
				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("approvedDiscre").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("declinedDiscre").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidRecID").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("receivedDisc").click();
				                });
				          	</script>';
					}
				}
				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Discrepancy Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-file"></i>
									</a>
								</li>
								<li><span>Discrepancy Report</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="discrepancy">
								<div class="form-group">
									<div class="col-md-6">
										<div class="input-group mb-md">
											
												<select name="status" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option <?php echo ($status=='Reported with Discrepancy' ? 'selected' : ''); ?> value="Reported with Discrepancy">Reported with Discrepancy</option>
													<option <?php echo ($status=='Approved Discrepancy Report' ? 'selected' : ''); ?> value="Approved Discrepancy Report">Approved Discrepancy Report</option>
													<option <?php echo ($status=='Received with Discrepancy' ? 'selected' : ''); ?> value="Received with Discrepancy">Received with Discrepancy</option>

												</select>
												<span class="input-group-btn">
													<button class="btn btn-success" type="submit" name="searchStat">Load</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>

								
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title"><?php echo $status; ?> List</h2>
							</header>


	 						<!-- display for desktop/laptop  -->
							<div class="panel-body">
								
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>TON</th>
											<th>FROM</th>
											<th>TO</th>
											<th>STATUS DATE</th>
											<th>STATUS</th>
											<th>VIEW</th>
										</tr>
									</thead>
									<tbody>

								<?php
									

									if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Receive TON') == true && $mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Shipped TON') == false) {

										$mySQL->query('SELECT ton.*,
											(SELECT CREATEDDT FROM table_ton_status WHERE TRANSREFID=ton.TRANSREFID AND STATUS=ton.STATUS ORDER BY RECID DESC LIMIT 1) LOGDATE,
											IFNULL(strFrm.STORENAME,ton.WHFROM) WHFROM, 
											IFNULL(strTo.STORENAME,ton.WHTO) WHTO
											FROM table_ton_header ton 
											LEFT JOIN setup_stores strFrm ON ton.WHFROM=strFrm.STORECODE AND ton.COMPANY=strFrm.COMPANY
											LEFT JOIN setup_stores strTo ON ton.WHTO=strTo.STORECODE AND ton.COMPANY=strTo.COMPANY
											WHERE ton.STATUS=:status AND ton.WHTO=:store AND ton.COMPANY=:company');
										$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
										$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
										if (isset($_POST['searchStat'])) {
											$mySQL->addParam(":status",$_POST['status']);
										}else{
											$mySQL->addParam(":status",'Reported with Discrepancy');
										}
										
										$rows = $mySQL->resultSet();
									}elseif($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Receive TON') == false && $mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Shipped TON') == true){
										$mySQL->query('SELECT ton.*,
											(SELECT CREATEDDT FROM table_ton_status WHERE TRANSREFID=ton.TRANSREFID AND STATUS=ton.STATUS ORDER BY RECID DESC LIMIT 1) LOGDATE,
											IFNULL(strFrm.STORENAME,ton.WHFROM) WHFROM, 
											IFNULL(strTo.STORENAME,ton.WHTO) WHTO
											FROM table_ton_header ton 
											LEFT JOIN setup_stores strFrm ON ton.WHFROM=strFrm.STORECODE AND ton.COMPANY=strFrm.COMPANY
											LEFT JOIN setup_stores strTo ON ton.WHTO=strTo.STORECODE AND ton.COMPANY=strTo.COMPANY
											WHERE ton.STATUS=:status AND ton.COMPANY=:company');
										$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
										if (isset($_POST['searchStat'])) {
											$mySQL->addParam(":status",$_POST['status']);
										}else{
											$mySQL->addParam(":status",'Reported with Discrepancy');
										}
										$rows = $mySQL->resultSet();
									}


									foreach ($rows as $row) {
										$date = date_create($row['LOGDATE']);
										echo '
											<tr>
												<td>'.$row['TRANSREFID'].'</td>
												<td>'.$row['WHFROM'].'</td>
												<td>'.$row['WHTO'].'</td>
												<td>'.date_format($date,'m/d/y h:ia').'</td>
												<td>
													<span class="btn btn-xs btn-default">'.$row['STATUS'].'</span>
												</td>
												<td>
													<button onclick="loadDiscrepancyReport('.$row['RECID'].');" data-toggle="modal" data-target="#viewReport" class="badge btn-primary">View TON</button>
												</td>
											</tr>
										';
									}
								?>
									</tbody>
								</table>
							</div>



							
						</section>
				</section>
			</div>






<div class="modal fade" id="viewReport" tabindex="-1" role="dialog" aria-labelledby="storeEdit" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Discrepancy Report Details</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="reportView">

			</div>
			
		</div>
		
	</div>
</div>







			<?php include 'includes/rightbar.php'; ?>
		</section>

		<script type="text/javascript">

			$(document).ready(function() {
			    $('table.display').DataTable();
			} );


			// function disableReceiveButton(){
			// 	 document.getElementById('receiveFromStoreButton').disabled=true;
			// }

			function receiveDiscrepancy(){
				if (confirm('Are you sure to Receive TON with Discrepancy ?') == true) {
					document.getElementById('recButton').disabled = true;
					var form = document.getElementById('recForm');
					form.submit();
				}
			}

			
			function processReport(type){
				if (type == 1) {
					if (confirm('Are you sure to Approve Discrepancy Report ?') == true) {
						document.getElementById('appButton').disabled = true;
						document.getElementById('decButton').disabled = true;
						var form = document.getElementById('appForm');
						form.submit();
					}
				}else{
					if (confirm('Are you sure to Decline Discrepancy Report ?') == true) {
						document.getElementById('appButton').disabled = true;
						document.getElementById('decButton').disabled = true;
						var form = document.getElementById('decForm');
						form.submit();
						
					}
				}
			}
		


			function loadDiscrepancyReport(recID){
				document.getElementById('sectionLoader').style.display='block';
				var receiver = document.getElementById('reportView');
				receiver.innerHTML = '';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();

						} );
					}
				}
				xmlhttp.open('GET', 'loads/loadDiscrepancyReport.php?id='+recID, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		<script src="assets/vendor/jstree/jstree.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>

		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/ui-elements/examples.treeview.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>