<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Employee') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		
		$mySQL->query('SELECT it.* FROM setup_employee it 
			WHERE it.COMPANY=:company');
		$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$rows = $mySQL->resultSet();
		
	}else{
		header('location: accesserror');
	}



}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>


				<button id="employeeSaved" class="hidden"></button>
				<button id="employeeFailed" class="hidden"></button>
				<button id="employeeExists" class="hidden"></button>
				<button id="employeeInvalid" class="hidden"></button>
				<button id="employeeDuplicate" class="hidden"></button>
				<button id="invalidFirstname" class="hidden"></button>
				<button id="invalidLastname" class="hidden"></button>
				<button id="invalidPosition" class="hidden"></button>
				<button id="storeUpdate" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("employeeSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("employeeFailed").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("employeeExists").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("employeeInvalid").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("employeeDuplicate").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(6)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidFirstname").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(7)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidLastname").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(8)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidPosition").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(9)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("storeUpdate").click();
				                });
				          	</script>';
					}
				}

				?>
				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Employee List</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cube"></i>
									</a>
								</li>
								<li><span>Employee List</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
								<h2 class="panel-title">Employee List</h2>
							</header>


							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md">
											<button data-toggle="modal" data-target="#addEmployee" class="btn btn-success"> Add Employee <i class="fa fa-plus"></i></button>
											<button data-toggle="modal" data-target="#uploadEmployee" class="hidden btn btn-primary"> Upload Employee <i class="fa fa-upload"></i></button>
										</div>
									</div>
								</div>
								
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>Full Name</th>
											<th>Position</th>
											<th>ID Number</th>
											<th>Active</th>
											<th>Stores</th>
											<th class="hidden">Action</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['FULLNAME'].'</td>
												<td>'.$row['POSITION'].'</td>
												<td>'.$row['EMPLID'].'</td>
												<td><div class="switch switch-sm switch-primary">
														<input onchange="tagEmployee('.$row['RECID'].',this.checked);" type="checkbox" name="switch" data-plugin-ios-switch '.($row['ACTIVE']==1 ? 'checked' : '').'>
														
													</div>
												</td>
												<td>
													<button onclick="loadStores(\''.$row['RECID'].'\')" data-target="#userStores" data-toggle="modal" class="badge btn-xs btn-success">View Store/s</button> 
												</td>
												<td  class="hidden">
													<button onclick="loadDynamicUser('.$row['RECID'].')" data-toggle="modal" data-target="#userEdit" class="badge btn-primary"><i class="fa fa-pencil"></i></button>
												</td>

											</tr>
										';
									}
								?>
									</tbody>
								</table>
							</div>


						</section>
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->
<div class="modal fade" id="addEmployee" tabindex="-1" role="dialog" aria-labelledby="addEmployee" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add New User</h4>
			</div>
			<form action="functions/employeeSave.php" method="post">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Last Name
								</span>
								<input name="lname" required type="text" class="form-control" placeholder="Input Last Name (Required)">
							</div>
			 			</div>
						
						<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									First Name
								</span>
								<input name="fname" required type="text" class="form-control" placeholder="Input First Name (Required)">
							</div>
			 			</div>
						
						<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Middle Name
								</span>
								<input name="mname" type="text" class="form-control" placeholder="Input Middle Name (Optional)">
							</div>
			 			</div>
						
						<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									ID Number
								</span>
								<input name="idnum" required type="text" class="form-control" placeholder="Input ID Number (Required)">
							</div>
			 			</div>
			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Job Title
								</span>
								<!-- <input name="jobTitle" required type="text" class="form-control" placeholder="Input Job Title"> -->
								<select  data-plugin-selectTwo required name="jobTitle" class="form-control">
									<option selected value="">Select Position</option>
									<option value="Store Personnel">Store Personnel</option>
									<option value="Store Cashier">Store Cashier</option>
									<option value="Store Supervisor">Store Supervisor</option>
								</select>
							</div>
			 			</div>
						
			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Default Store
								</span>
								<select  data-plugin-selectTwo required name="store" class="form-control">
									<option selected value="">Select Default Store</option>
									<?php
										$mySQL->query('SELECT * FROM setup_stores');
										$stores = $mySQL->resultSet();
										foreach ($stores as $store) {
											echo '<option value="'.$store['STORECODE'].'">'.$store['STORENAME'].'</option>';
										}
									?>
								</select>
							</div>
			 			</div>


			 			

			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="saveUser" class="btn btn-primary btn-sm">Save Employee</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="userEdit" tabindex="-1" role="dialog" aria-labelledby="sectionEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Edit User</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editUser">
				
			</div>
			
		</div>
		
	</div>
</div>


<div class="modal fade" id="userStores" tabindex="-1" role="dialog" aria-labelledby="userStores" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">User Stores</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="storeUser">
				
			</div>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="uploadEmployee" tabindex="-1" role="dialog" aria-labelledby="uploadEmployee" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Upload Employee list</h4>
			</div>
			<form action="functions/uploadEmployee.php" method="post" enctype="multipart/form-data">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Browse
								</span>
								<input name="employeeFile" id="employeeFile" required type="file" accept=".csv" class="form-control">
							</div>
			 			</div>
			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="uploadEmployee" onClick="return checkFile();" class="btn btn-primary btn-sm">Upload</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="viewLogs" tabindex="-1" role="dialog" aria-labelledby="viewLogs" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Logs</h4>
			</div>
			
			<div class="modal-body">
				<img width="100%" id="sectionLoader2" style="display: none;" src="images/page-loader.gif">
				<div id="voucherLogs">
					
				</div>
			</div>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="generateCode" tabindex="-1" role="dialog" aria-labelledby="psItems" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Generate Key Code</h4>
			</div>
				
			<div class="modal-body">
				<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
				<div id="generatedCode">
					
				</div>
			</div>
			
		</div>
		
	</div>
</div>




<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script src="assets/javascripts/ajaxsubmit/ajax-jquery17.js"></script> 
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>

		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/forms/examples.advanced.form.js" /></script>
		
		<script src="classes/notifications.js"></script>
		
		<script type="text/javascript">
			
			$(document).ready(function() {
			    $('table.display').DataTable();

			} );
			
			function loadDynamicUser(recID){
				document.getElementById('sectionLoader').style.display='block';
				document.getElementById('editUser').innerHTML = '';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editUser');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/employeeEditModal.php?id='+recID, true);
				xmlhttp.send();
			}
			
			function loadStores(recID){
				document.getElementById('sectionLoader').style.display='block';
				document.getElementById('storeUser').innerHTML = '';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('storeUser');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/salesRepStore.php?id='+recID, true);
				xmlhttp.send();
			}
			
			function checkFile() {
				var fileElement = document.getElementById("voucherFile");
				var fileExtension = "";
				if (fileElement.value.lastIndexOf(".") > 0) {
					fileExtension = fileElement.value.substring(fileElement.value.lastIndexOf(".") + 1, fileElement.value.length);
				}
				if (fileExtension.toLowerCase() == "csv") {
					return true;
				}
				else {
					alert("You must select a csv file for upload");
					return false;
				}
			}
			
			function tagEmployee(recID,status){
	            var xmlhttp = new XMLHttpRequest();
	            if(status==true){
	                xmlhttp.open('GET', 'functions/activateEmployee.php?id='+recID+'&status=1', true);
	            }
	            else{
	                xmlhttp.open('GET', 'functions/activateEmployee.php?id='+recID+'&status=0', true);
	            }
	            xmlhttp.send();
	            
	        }
			
			
			
		</script>
		
	</body>
</html>