<?php 

if (!isset($_POST['generateSalesReport'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL1.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
	
	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'Invoice Registry';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$borderTop = array(
		'borders' => array(
			'top' => array('style' => PHPExcel_Style_Border::BORDER_THIN
							,'color'=>array('rgb' => '000000')
			)
		)
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	
	


$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(4); 
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(18); 
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(11); 
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(10); 
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(45); 
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(18); 
$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(12); 

$sDate = date_create($_POST['fromDate']);
$sDate1 = date_create($_POST['toDate']);

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Invoice Registry')
			->setCellValue('A2',$storeName['STORENAME'])
			->setCellValue('A3','Coverage Date from '.date_format($sDate,'m/d/Y').' to '.date_format($sDate1,'m/d/Y'))
			;


$objPHPExcel->getActiveSheet()->setCellValue('A6','IC');
$objPHPExcel->getActiveSheet()->setCellValue('B6','Transaction ID');
$objPHPExcel->getActiveSheet()->setCellValue('C6','Date');
$objPHPExcel->getActiveSheet()->setCellValue('D6','Type');
$objPHPExcel->getActiveSheet()->setCellValue('E6','Item');
$objPHPExcel->getActiveSheet()->setCellValue('F6','Description');
$objPHPExcel->getActiveSheet()->setCellValue('G6','Qty');
$objPHPExcel->getActiveSheet()->setCellValue('H6','Serial');
$objPHPExcel->getActiveSheet()->setCellValue('I6','Sales Price');
$objPHPExcel->getActiveSheet()->setCellValue('J6','Disc. Amt');
$objPHPExcel->getActiveSheet()->setCellValue('K6','Disc. %');
$objPHPExcel->getActiveSheet()->setCellValue('L6','Net Price');

$ic = 7;
//Put each record in a new cell
$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();

if ($_POST['type'] == 'ALL') {
	$mySQL->query('SELECT DISTINCT hdr.TRANSTYPE
					,hdr.TRANSACTIONID
					,hdr.GROSSAMOUNT
					,hdr.VATABLESALES
					,hdr.VATAMOUNT
					,hdr.TRANSACTIONDT
					,st.STORENAME
					,ivt.ITEMNAME
					,dtl.ITEMID
					,dtl.SALESPRICE
					,dtl.DISCAMOUNT
					,dtl.DISCPERCENT
					,dtl.SALESPRICE
					,CASE WHEN IFNULL(serl.SERIALNUMBER,0) = 0 THEN dtl.SUBTOTAL
						ELSE CASE WHEN hdr.TRANSTYPE = :ret THEN (dtl.SUBTOTAL/dtl.QTY) * -1
						ELSE dtl.SUBTOTAL/dtl.QTY END
					END AS SUBTOTAL
					,CASE WHEN IFNULL(serl.SERIALNUMBER,0) = 0 THEN dtl.QTY
						ELSE CASE WHEN hdr.TRANSTYPE = :ret THEN -1
						ELSE 1 END
					END AS QTY
					,serl.SERIALNUMBER
				FROM table_transaction_header hdr
				LEFT JOIN table_transaction_lines dtl ON dtl.TRANSACTIONID = hdr.TRANSACTIONID
				LEFT JOIN table_inventtable ivt ON ivt.ITEMID = dtl.ITEMID
				LEFT JOIN table_serialnumber_logs serl ON serl.DOCUMENTREF = dtl.TRANSACTIONID AND serl.ITEMID = dtl.ITEMID AND serl.LINENUM = dtl.LINENUM and (serl.TRANSTYPE = 4 or serl.TRANSTYPE =3)
				LEFT JOIN setup_stores st ON st.STORECODE = hdr.STORE 
		WHERE hdr.STORE like :store
		AND hdr.TRANSTYPE != :refund
		AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
		order by hdr.TRANSACTIONID,dtl.LINENUM
		');
	$mySQL->addParam(":refund",'Refund');
}elseif ($_POST['type'] == 'Sales and Return') {
	$mySQL->query('SELECT DISTINCT hdr.TRANSTYPE
					,hdr.TRANSACTIONID
					,hdr.GROSSAMOUNT
					,hdr.VATABLESALES
					,hdr.VATAMOUNT
					,hdr.TRANSACTIONDT
					,st.STORENAME
					,ivt.ITEMNAME
					,dtl.ITEMID
					,dtl.SALESPRICE
					,dtl.DISCAMOUNT
					,dtl.DISCPERCENT
					,dtl.SALESPRICE
					,CASE WHEN IFNULL(serl.SERIALNUMBER,0) = 0 THEN dtl.SUBTOTAL
						ELSE CASE WHEN hdr.TRANSTYPE = :ret THEN (dtl.SUBTOTAL/dtl.QTY) * -1
						ELSE dtl.SUBTOTAL/dtl.QTY END
					END AS SUBTOTAL
					,CASE WHEN IFNULL(serl.SERIALNUMBER,0) = 0 THEN dtl.QTY
						ELSE CASE WHEN hdr.TRANSTYPE = :ret THEN -1
						ELSE 1 END
					END AS QTY
					,serl.SERIALNUMBER
				FROM table_transaction_header hdr
				LEFT JOIN table_transaction_lines dtl ON dtl.TRANSACTIONID = hdr.TRANSACTIONID
				LEFT JOIN table_inventtable ivt ON ivt.ITEMID = dtl.ITEMID
				LEFT JOIN table_serialnumber_logs serl ON serl.DOCUMENTREF = dtl.TRANSACTIONID AND serl.ITEMID = dtl.ITEMID AND serl.LINENUM = dtl.LINENUM and serl.TRANSTYPE = 5
				LEFT JOIN setup_stores st ON st.STORECODE = hdr.STORE 
				WHERE hdr.STORE like :store
				AND hdr.TRANSTYPE in (:sales,:return)
				AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
				order by hdr.TRANSACTIONID,dtl.LINENUM');
	$mySQL->addParam(":sales",'Sales');
	$mySQL->addParam(":return",'Return');
	$typeParam = '';
}else{
	$mySQL->query('SELECT DISTINCT hdr.TRANSTYPE
					,hdr.TRANSACTIONID
					,hdr.GROSSAMOUNT
					,hdr.VATABLESALES
					,hdr.VATAMOUNT
					,hdr.TRANSACTIONDT
					,st.STORENAME
					,ivt.ITEMNAME
					,dtl.ITEMID
					,dtl.SALESPRICE
					,dtl.DISCAMOUNT
					,dtl.DISCPERCENT
					,dtl.SALESPRICE
					,CASE WHEN IFNULL(serl.SERIALNUMBER,0) = 0 THEN dtl.SUBTOTAL
						ELSE CASE WHEN hdr.TRANSTYPE = :ret THEN (dtl.SUBTOTAL/dtl.QTY) * -1
						ELSE dtl.SUBTOTAL/dtl.QTY END
					END AS SUBTOTAL
					,CASE WHEN IFNULL(serl.SERIALNUMBER,0) = 0 THEN dtl.QTY
						ELSE CASE WHEN hdr.TRANSTYPE = :ret THEN -1
						ELSE 1 END
					END AS QTY
					,serl.SERIALNUMBER
				FROM table_transaction_header hdr
				LEFT JOIN table_transaction_lines dtl ON dtl.TRANSACTIONID = hdr.TRANSACTIONID
				LEFT JOIN table_inventtable ivt ON ivt.ITEMID = dtl.ITEMID
				LEFT JOIN table_serialnumber_logs serl ON serl.DOCUMENTREF = dtl.TRANSACTIONID AND serl.ITEMID = dtl.ITEMID AND serl.LINENUM = dtl.LINENUM and serl.TRANSTYPE = 5
				LEFT JOIN setup_stores st ON st.STORECODE = hdr.STORE 
				WHERE hdr.STORE like :store
				AND hdr.TRANSTYPE =:type
				AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
				order by hdr.TRANSACTIONID,dtl.LINENUM
		');
	$mySQL->addParam(":type",$_POST['type']);
}

$store = ($_POST['store'] == "All") ? '%' : $_POST['store'];
$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
$mySQL->addParam(":store",$store);
$mySQL->addParam(":ret",'Return');
$header = $mySQL->resultSet();
$counter=1;
foreach($header as $hdr)
{
	$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,$counter);
	$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$hdr['TRANSACTIONID']);
	$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,date_format(date_create($hdr['TRANSACTIONDT']),'m-d-Y'));
	$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$hdr['TRANSTYPE']);
	$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,$hdr['ITEMID']);
	$objPHPExcel->getActiveSheet()->setCellValue('F'.$ic,$hdr['ITEMNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('G'.$ic,$hdr['QTY']);
	$objPHPExcel->getActiveSheet()->setCellValue('H'.$ic,(isset($hdr['SERIALNUMBER'])?"'".$hdr['SERIALNUMBER']:''));
	$objPHPExcel->getActiveSheet()->setCellValue('I'.$ic,$hdr['SALESPRICE']);
	$objPHPExcel->getActiveSheet()->setCellValue('J'.$ic,$hdr['DISCAMOUNT']);
	$objPHPExcel->getActiveSheet()->setCellValue('K'.$ic,$hdr['DISCPERCENT']);
	$objPHPExcel->getActiveSheet()->setCellValue('L'.$ic,$hdr['SUBTOTAL']);
	$ic++;
	$counter++;
}

$objPHPExcel->getActiveSheet()->setCellValue('G'.$ic,"=sum(G7:G".($ic-1).")");
$objPHPExcel->getActiveSheet()->setCellValue('I'.$ic,"=sum(I7:I".($ic-1).")");
$objPHPExcel->getActiveSheet()->setCellValue('J'.$ic,"=sum(J7:J".($ic-1).")");
$objPHPExcel->getActiveSheet()->setCellValue('K'.$ic,"=sum(K7:K".($ic-1).")");
$objPHPExcel->getActiveSheet()->setCellValue('L'.$ic,"=sum(L7:L".($ic-1).")");

$objPHPExcel->getActiveSheet()->getStyle('I7:L'.($ic))->getNumberFormat()->setFormatCode('#,##0.00');
$objPHPExcel->getActiveSheet()->getStyle("A6:L".($ic))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle("G7:L".($ic))->applyFromArray($alignmentRight);
$objPHPExcel->getActiveSheet()->getStyle('I6:L6')->applyFromArray($style);
 $objPHPExcel->getActiveSheet()
				->mergeCells('A'.$ic.':F'.$ic)
				->setCellValue('A'.$ic,'Totals');
$objPHPExcel->getActiveSheet()->getStyle("A".($ic))->applyFromArray($alignmentCenter);
$objPHPExcel->getActiveSheet()->getStyle("A".($ic).":L".($ic))->applyFromArray($style);
$objPHPExcel->getActiveSheet()->getStyle("G".($ic).":L".($ic))->applyFromArray($alignmentRight);

// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("Invoice Registry");

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>