<?php 

if (!isset($_POST['generateSyncLogs'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;
	
	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'Store Sync Logs';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	
	
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(20);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(24);;
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(15);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(20);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(8);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(12);

$fDate = date_create($_POST['fromDate'].' 00:00:00');
$tDate = date_create($_POST['toDate'].' 23:59:59');

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Store Sync Logs')
			;

//Put each record in a new cell

if (trim($_POST['store']) == '' || is_null($_POST['store']) || empty($_POST['store'])) {
	$mySQL->query('select 
		sync.`Store`
		,st.`STORENAME`
		,sync.`UserID`
		,usr.FULLNAME
		,date_add(sync.`DateTime`, interval 13 hour) as DateTime
		,case sync.`Type`
			when 0 then :start
			when 1 then :end
		end as STAT
		,sync.TotalRecords
	from table_StoreSyncRec sync
	left join setup_stores st on st.`STORECODE` = sync.`Store`
	left join setup_users usr on usr.USERNAME = sync.USERID
	where date_add(sync.`DateTime`, interval 13 hour) between :date1 and :date2');
}
else
{
	$mySQL->query('select 
				sync.`Store`
				,st.`STORENAME`
				,sync.`UserID`
				,usr.FULLNAME
				,date_add(sync.`DateTime`, interval 13 hour) as DateTime
				,case sync.`Type`
					when 0 then :start
					when 1 then :end
				end as STAT
				,sync.TotalRecords
			from table_StoreSyncRec sync
			left join setup_stores st on st.`STORECODE` = sync.`Store`
			left join setup_users usr on usr.USERNAME = sync.USERID
			where sync.STORE = :store and date_add(sync.`DateTime`, interval 13 hour) between :date1 and :date2');
	$mySQL->addParam(":store",$_POST['store']);
}
$mySQL->addParam(":start",'Start');
$mySQL->addParam(":end",'End');
$mySQL->addParam(":date1",date_format($fDate,'Y-m-d H:i:s'));
$mySQL->addParam(":date2",date_format($tDate,'Y-m-d H:i:s'));
$rows = $mySQL->resultSet();


$objPHPExcel->getActiveSheet()->setCellValue('A5','Store');
$objPHPExcel->getActiveSheet()->setCellValue('B5','User');
$objPHPExcel->getActiveSheet()->setCellValue('C5','Date Time');
$objPHPExcel->getActiveSheet()->setCellValue('D5','Type');
$objPHPExcel->getActiveSheet()->setCellValue('E5','Record Count');

$ic = 6;
foreach ($rows as $row) {
	$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,$row['STORENAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$row['FULLNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$row['DateTime']);
	$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$row['STAT']);
	$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,$row['TotalRecords']);
	$ic++;
}

$objPHPExcel->getActiveSheet()->getStyle('A5:E'.($ic-1))->applyFromArray($dataFormat);
// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("Inventory Onhand");

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>