<?php 

if (!isset($_POST['generateReport'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;


	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'User Management';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$borderTop = array(
		'borders' => array(
			'top' => array('style' => PHPExcel_Style_Border::BORDER_THIN
							,'color'=>array('rgb' => '000000')
			)
		)
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	
	


$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(4); 
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(30); 
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(35); 
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(21); 
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(8); 
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(21); 
$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(21); 

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','User List')
			->setCellValue('A2','As of '.date_format(date_create(),'m/d/Y'))
			;


$objPHPExcel->getActiveSheet()->setCellValue('A4','IC');
$objPHPExcel->getActiveSheet()->setCellValue('B4','USERNAME');
$objPHPExcel->getActiveSheet()->setCellValue('C4','FULL NAME');
$objPHPExcel->getActiveSheet()->setCellValue('D4','PASSWORD');
$objPHPExcel->getActiveSheet()->setCellValue('E4','TYPE');
$objPHPExcel->getActiveSheet()->setCellValue('F4','SPECIAL ACCESS');
$objPHPExcel->getActiveSheet()->setCellValue('G4','ACTIVE');
$objPHPExcel->getActiveSheet()->setCellValue('H4','CREATED DT');
$objPHPExcel->getActiveSheet()->setCellValue('I4','MODIFIED DT');

$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();
$mySQL->query('SELECT USERNAME
,FULLNAME
,PASSWORD
,USERTYPE
,CASE WHEN USERLEVEL = 3 THEN :yes
ELSE :no END AS SPECIALACCESS
,CASE when ACTIVE = 1 then :yes
	else :no end as ACTIVE
,CREATEDDT
,MODIFIEDDT
FROM setup_users');
$mySQL->addParam(":yes",'Yes');
$mySQL->addParam(":no",'No');
$users = $mySQL->resultSet();

$ic = 5;
foreach($users as $user)
{
	$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,($ic-4));
	$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$user['USERNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$user['FULLNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$user['PASSWORD']);
	$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,$user['USERTYPE']);
	$objPHPExcel->getActiveSheet()->setCellValue('F'.$ic,$user['SPECIALACCESS']);
	$objPHPExcel->getActiveSheet()->setCellValue('G'.$ic,$user['ACTIVE']);
	$objPHPExcel->getActiveSheet()->setCellValue('H'.$ic,date_format(date_create($user['CREATEDDT']),'Y-m-d h:i:s'));
	$objPHPExcel->getActiveSheet()->setCellValue('I'.$ic,date_format(date_create($user['MODIFIEDDT']),'Y-m-d h:i:s'));
	$ic++;
}


$objPHPExcel->getActiveSheet()->getStyle("A5:I".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle('A4:I4')->applyFromArray($style);

// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("User List");

$objPHPExcel->createSheet();
$objPHPExcel->setActiveSheetIndex(1);
$objPHPExcel->getActiveSheet()->setTitle('Store Assignment');

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Store Assignment')
			->setCellValue('A2','As of '.date_format(date_create(),'m/d/Y'))
			;


$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(4); 
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(25); 
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(30); 
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(10); 

$objPHPExcel->getActiveSheet()->setCellValue('A4','IC');
$objPHPExcel->getActiveSheet()->setCellValue('B4','USERNAME');
$objPHPExcel->getActiveSheet()->setCellValue('C4','FULLNAME');
$objPHPExcel->getActiveSheet()->setCellValue('D4','STORECODE');
$objPHPExcel->getActiveSheet()->setCellValue('E4','STORE');
$objPHPExcel->getActiveSheet()->setCellValue('F4','DEFAULT');

$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();

$mySQL->query('SELECT ust.USERNAME
	,usr.FULLNAME
	,ust.STORECODE
	,st.STORENAME
	,CASE ust.DEFAULTSTORE WHEN 1 THEN :yes
	ELSE :no END AS DEFAULTSTORE
FROM setup_user_store ust
LEFT JOIN setup_stores st ON st.STORECODE = ust.STORECODE
LEFT JOIN setup_users usr ON usr.USERNAME = ust.USERNAME
ORDER BY ust.USERNAME');
$mySQL->addParam(":yes",'Yes');
$mySQL->addParam(":no",'No');
$users = $mySQL->resultSet();

$ic = 5;
foreach($users as $user)
{
	$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,($ic-4));
	$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$user['USERNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$user['FULLNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$user['STORECODE']);
	$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,$user['STORENAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('F'.$ic,$user['DEFAULTSTORE']);
	$ic++;
}

$objPHPExcel->getActiveSheet()->getStyle("A5:F".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle('A4:F4')->applyFromArray($style);

$objPHPExcel->createSheet();
$objPHPExcel->setActiveSheetIndex(2);
$objPHPExcel->getActiveSheet()->setTitle('User Modules');

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','User Modules')
			->setCellValue('A2','As of '.date_format(date_create(),'m/d/Y'))
			;


$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(4); 
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(25); 
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(18); 
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(25); 

$objPHPExcel->getActiveSheet()->setCellValue('A4','IC');
$objPHPExcel->getActiveSheet()->setCellValue('B4','USERNAME');
$objPHPExcel->getActiveSheet()->setCellValue('C4','FULLNAME');
$objPHPExcel->getActiveSheet()->setCellValue('D4','MODULENAME');
$objPHPExcel->getActiveSheet()->setCellValue('E4','CREATEDDT');

$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();

$mySQL->query('SELECT usr.USERNAME,usr.FULLNAME,umod.MODULENAME,umod.CREATEDDT FROM setup_users usr
		LEFT JOIN setup_user_keys umod ON usr.USERNAME = umod.USERNAME');
$users = $mySQL->resultSet();

$ic = 5;
foreach($users as $user)
{
	$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,($ic-4));
	$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$user['USERNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$user['FULLNAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$user['MODULENAME']);
	$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,date_format(date_create($user['CREATEDDT']),'Y-m-d h:i:s'));
	$ic++;
}

$objPHPExcel->getActiveSheet()->getStyle("A5:E".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle('A4:E4')->applyFromArray($style);

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>