<?php 

if (!isset($_POST['exportVoucherList'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;


	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'Voucher List';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("Voucher List")->setSubject("Voucher List")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$borderTop = array(
		'borders' => array(
			'top' => array('style' => PHPExcel_Style_Border::BORDER_THIN
							,'color'=>array('rgb' => '000000')
			)
		)
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	
	


$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(4); 
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(10); 
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(10); 
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(8); 
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(10); 
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(15); 
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(10); 
$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(15); 

$objPHPExcel->getActiveSheet()
			->setCellValue('A1','Voucher List')
			->setCellValue('A2','As of '.date_format(date_create(),'m/d/Y'))
			;


$objPHPExcel->getActiveSheet()->setCellValue('A4','IC');
$objPHPExcel->getActiveSheet()->setCellValue('B4','Voucher');
$objPHPExcel->getActiveSheet()->setCellValue('C4','Voucher Code');
$objPHPExcel->getActiveSheet()->setCellValue('D4','Value');
$objPHPExcel->getActiveSheet()->setCellValue('E4','Type');
$objPHPExcel->getActiveSheet()->setCellValue('F4','Valid From');
$objPHPExcel->getActiveSheet()->setCellValue('G4','Valid To');
$objPHPExcel->getActiveSheet()->setCellValue('H4','Available');
$objPHPExcel->getActiveSheet()->setCellValue('I4','Active');

$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();
$mySQL->query('SELECT 
	`VoucherType`
	,`VoucherCode`
	,`Value`
	,`ValueType`
	,`Start`
	,`end`
	,CASE `Available` WHEN 1 THEN :no ELSE :yes END AS Available
	,CASE `Active` WHEN 1 THEN :active ELSE :inactive END AS Active
 FROM table_vouchers
 ');
$mySQL->addParam(":yes",'Used');
$mySQL->addParam(":no",'Unused');
$mySQL->addParam(":active",'Active');
$mySQL->addParam(":inactive",'Inactive');
$users = $mySQL->resultSet();

$ic = 5;
foreach($users as $user)
{
	$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,($ic-4));
	$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$user['VoucherType']);
	$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$user['VoucherCode']);
	$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$user['Value']);
	$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,$user['ValueType']);
	$objPHPExcel->getActiveSheet()->setCellValue('F'.$ic,date_format(date_create($user['Start']),'Y-m-d'));
	$objPHPExcel->getActiveSheet()->setCellValue('G'.$ic,date_format(date_create($user['end']),'Y-m-d'));
	$objPHPExcel->getActiveSheet()->setCellValue('H'.$ic,$user['Available']);
	$objPHPExcel->getActiveSheet()->setCellValue('I'.$ic,$user['Active']);
	$ic++;
}


$objPHPExcel->getActiveSheet()->getStyle("A5:I".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle('A4:I4')->applyFromArray($style);


header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>