<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   if (isset($_POST['returnSubmit'])) {
      $mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $mySQL->addParam(":type",'Return');
      $tranHdr = $mySQL->singleResult();

      $mySQL->query('SELECT temp.ITEMID,temp.SALESPRICE,temp.DISCAMOUNT,temp.DISCPERCENT,it.EAN,
      SUM(temp.QTY) QTY, 
      SUM(temp.SUBTOTAL) SUBTOTAL
      FROM temp_transaction temp JOIN table_inventtable it ON temp.ITEMID=it.ITEMID
      WHERE temp.TRANSTYPE=:type AND temp.USERNAME=:username 
      GROUP BY temp.ITEMID,temp.SALESPRICE,temp.DISCAMOUNT,temp.DISCPERCENT,it.EAN');
      $mySQL->addParam(":type",'Return');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $tranLines = $mySQL->resultSet();

   	if ($tranHdr && $tranLines) {


         $mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID AND COMPANY=:company AND STORE=:store');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":transID",$tranHdr['TRANREF']);
         $tranHeader = $mySQL->singleResult();

         $mySQL->query('SELECT ALIAS FROM setup_stores WHERE STORECODE=:store');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $storePrefix = $mySQL->singleResult();

         $mySQL->query('SELECT COUNT(1) FROM table_return_header WHERE YEAR(CREATEDDT)=:year AND MONTH(CREATEDDT)=:month AND DAY(CREATEDDT)=:day');
         $mySQL->addParam(":year",date('Y'));
         $mySQL->addParam(":month",date('m'));
         $mySQL->addParam(":day",date('d'));
         $tranCount = $mySQL->singleResult();
         $returnID = $storePrefix[0].date("Ymd").sprintf('%03d',$tranCount[0]+1).'R';
         $transactionRef = $tranHdr['TRANREF'];


         $credit = 0;
         foreach ($tranLines as $tranLine) {
            $mySQL->query('INSERT INTO table_return_lines (RETURNID,QTY,ITEMID,EAN,SALESPRICE,DISCAMOUNT,DISCPERCENT,SUBTOTAL,CREATEDDT,COMPANY,STORE) VALUES (:returnID,:qty,:itemID,:ean,:salesPrice,:discAmount,:discPercent,:subTotal,:createdDt,:company,:store)');
            $mySQL->addParam(":returnID",$returnID);
            $mySQL->addParam(":itemID",$tranLine['ITEMID']);
            $mySQL->addParam(":ean",$tranLine['EAN']);
            $mySQL->addParam(":qty",$tranLine['QTY']);
            $mySQL->addParam(":salesPrice",$tranLine['SALESPRICE']);
            $mySQL->addParam(":discAmount",$tranLine['DISCAMOUNT']);
            $mySQL->addParam(":discPercent",$tranLine['DISCPERCENT']);
            $mySQL->addParam(":subTotal",$tranLine['SUBTOTAL']);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $mySQL->execute();

            // $mySQL->insertInventTrans(
            //    $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
            //    $_SESSION['MI-KIOSK_STORE-ONLINE'],
            //    $returnID,
            //    $tranLine['ITEMID'],
            //    $tranLine['QTY'],
            //    $_SESSION['MI-KIOSK_USER-ONLINE'],
            //    date('Y-m-d H:i:s'),
            //    'Return'
            // );

            $credit = $credit + $tranLine['SUBTOTAL'];
         }

         if ($tranHeader['EWTINC']==1) {
            $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
            $mySQL->addParam(":setup",'EWT');
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $ewtMult = $mySQL->singleResult();

            $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
            $mySQL->addParam(":setup",'VAT');
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $vatPercent = $mySQL->singleResult();

            $ewtVatEx = $credit / $vatPercent['VALUE'];
            $ewtAmount = ($ewtVatEx * $ewtMult['VALUE']); 
         }else{
            $ewtAmount = 0;
         }

         $mySQL->query('SELECT temp.*,it.EAN FROM temp_transaction temp JOIN table_inventtable it ON temp.ITEMID=it.ITEMID 
            WHERE temp.SERIALNUMBER IS NOT NULL AND 
            temp.SERIALNUMBER != :whitespace AND temp.USERNAME=:username AND temp.TRANSTYPE=:return');
         $mySQL->addParam(":whitespace",'');
         $mySQL->addParam(":return",'Return');
         $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $serials = $mySQL->resultSet();
         $lineNum = 1;
         foreach ($serials as $serial) {
           $mySQL->insertSerialNumberLogs(
               $transactionRef,
               $transactionRef,
               $returnID,
               5,
               $lineNum,
               $serial['ITEMID'],
               $serial['EAN'],
               $serial['SERIALNUMBER'],
               date('Y-m-d H:i:s'),
               $_SESSION['MI-KIOSK_USER-ONLINE'],
               $_SESSION['MI-KIOSK_COMPANYID-ONLINE']
            );
           $lineNum++;
         }

         $mySQL->query('INSERT INTO table_return_header (RETURNID,TRANSACTIONID,CREDITEDAMOUNT,CREDITBALANCE,TRANSACTIONDT,COMPANY,STORE,CREATEDDT,CREATEDBY,REASON) VALUES (:returnID,:transactionID,:creditedAmount,:creditBalance,:transactionDt,:company,:store,:createdDt,:createdBy,:reason)');
         $mySQL->addParam(":returnID",$returnID);
         $mySQL->addParam(":transactionID",$transactionRef);
         $mySQL->addParam(":creditedAmount",$credit-$ewtAmount);
         $mySQL->addParam(":creditBalance",0);
         $mySQL->addParam(":transactionDt",date('Y-m-d'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":reason",$_POST['reason']);
         $mySQL->execute();

         $lastInsertId = $mySQL->lastInsertId();

         $mySQL->logAppTrail(
            'INSERT',
            'Transactions',
            'table_return_header',
            $lastInsertId,
            $returnID,
            '',
            '',
            'Saved Return Sales Trasansaction',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );


         
         header('location: terminateTransaction.php?type=Return&notif='.md5(1));
        
   	}else{
   		header('location: ../newsales');
   	}
   }

?>