<?php
   require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

    $mySQL->query('SELECT * FROM setup_stores WHERE STORECODE!=:hq');
    $mySQL->addParam(":hq",'HQ');
    $stores = $mySQL->resultSet();
    $storeStr = '';
    foreach ($stores as $store) {
      $storeStr =  $storeStr."'".$store['STORECODE']."'".",";
    }
    $storeStr = substr($storeStr, 0, -1);

   
   try {
      require '../classes/axSQL.php';
      $axSQL = new axSQL;

      $axSQL->query('SELECT DISTINCT itt.ITEMID,itt.ITEMNAME,itt.BOMUNITID,
                    ISNULL((SELECT TOP 1 ITEMBARCODE 
                       FROM INVENTITEMBARCODE 
                       WHERE ITEMID=it.ITEMID AND DATAAREAID=it.DATAAREAID AND (USEFORPRINTING=1 OR USEFORINPUT=1)
                       ORDER BY RECID DESC),it.ITEMID) ITEMBARCODE,
                    ISNULL((SELECT TOP 1 TAGGED 
                         FROM ITD_XIAOMI_IMEI_TAGGING_TABLE 
                         WHERE ITEMID=it.ITEMID AND DATAAREAID=it.DATAAREAID),0) SERIALIZED
                   FROM INVENTTRANS it
                   LEFT JOIN INVENTDIM dim
                     ON it.INVENTDIMID = dim.INVENTDIMID
                     AND it.DATAAREAID = dim.DATAAREAID
                   LEFT JOIN INVENTLOCATION il
                     ON dim.INVENTLOCATIONID = il.INVENTLOCATIONID
                     AND dim.DATAAREAID = il.DATAAREAID
                   LEFT JOIN INVENTTABLE itt 
                      ON itt.ITEMID = it.ITEMID
                      AND itt.DATAAREAID = it.DATAAREAID
                   WHERE it.DATAAREAID = :company
                   AND itt.DIMENSION3_ in (:dimension,:blackShrk)
                   AND il.INVENTLOCATIONID IN ('.$storeStr.')');
      $axSQL->addParam(":dimension",'009');
      $axSQL->addParam(":blackShrk",'012');
      $axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
      $items = $axSQL->resultSet();
      if ($items) {
		  
		require '../classes/mySQL.php';
		$mySQL = new mySQL;
		
         $mySQL->query('TRUNCATE table_inventtable');
         $mySQL->execute();
         $mySQL->query('TRUNCATE table_price_group');
         $mySQL->execute();
         foreach ($items as $item) {
            $mySQL->query('INSERT INTO table_inventtable (COMPANY,ITEMID,ITEMNAME,EAN,BOMUNIT,SERIALIZED,CREATEDDT,CREATEDBY) VALUES (:company,:itemID,:itemName,:ean,:bomUnit,:serialized,:createdDT,:createdBy)');
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":itemID",$item['ITEMID']);
            $mySQL->addParam(":itemName",str_replace("'", "", $item['ITEMNAME']));
            $mySQL->addParam(":ean",$item['ITEMBARCODE']);
            $mySQL->addParam(":bomUnit",$item['BOMUNITID']);
            $mySQL->addParam(":serialized",$item['SERIALIZED']);
            $mySQL->addParam(":createdDT",date('Y-m-d H:i:s'));
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->execute();
			
			
            $axSQL->query('SELECT pd.ITEMRELATION,pd.ACCOUNTRELATION, ISNULL(pd.AMOUNT,0) AMOUNT
                           FROM PRICEDISCTABLE pd
                           LEFT JOIN  INVENTDIM dim 
                              ON dim.INVENTDIMID = pd.INVENTDIMID
                               AND dim.DATAAREAID= pd.DATAAREAID
                           LEFT JOIN INVENTTABLE it 
                               ON it.ITEMID = pd.ITEMRELATION
                               AND it.DATAAREAID = pd.DATAAREAID
                           WHERE pd.DATAAREAID = :company
                              AND pd.FROMDATE < GETDATE() 
                              AND (pd.TODATE > GETDATE() OR pd.TODATE=:noDate)
                              AND dim.INVENTSIZEID = :grade
                              AND pd.ITEMRELATION = :itemID');
            $axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $axSQL->addParam(":grade",'G00');
            //$axSQL->addParam(":psp",'PSP00001');
            //$axSQL->addParam(":gnine",'G09');
            $axSQL->addParam(":noDate",'1900-01-01 00:00:00.000');
            $axSQL->addParam(":itemID",$item['ITEMID']);
            $prices = $axSQL->resultSet();
			
            foreach ($prices as $price) {
               $mySQL->query('INSERT INTO table_price_group (PRICEGROUP,ITEMID,AMOUNT,CREATEDDT,CREATEDBY,COMPANY) VALUES (:priceGroup,:itemID,:amount,:createdDT,:createdBy,:company)');
               $mySQL->addParam(":priceGroup",$price['ACCOUNTRELATION']);
               $mySQL->addParam(":itemID",$price['ITEMRELATION']);
               $mySQL->addParam(":amount",$price['AMOUNT']);
               $mySQL->addParam(":createdDT",date('Y-m-d H:i:s'));
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->execute();
			  
            }
         }
      }

      echo '
         <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <strong>Done !</strong> Item Details are now updated. <a href="items">Please Refresh the page.</a>
         </div>
      ';

      $mySQL->logAppTrail(
         'UPDATE',
         'Item Details',
         'table_inventtable|table_price_group',
         0,
         '',
         '',
         '',
         'Synced Item Details from AX',
         $_SESSION['MI-KIOSK_USER-ONLINE']
      );

   } catch (Exception $e) {
      echo '
         <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <strong>Connection error !</strong> Can&apos;t connect to AX. Please contact IT Department.'.$e->getMessage().'
         </div>

      ';
   }
   


  

    


  
         

         
     

?>