<?php 

function isDate($value) 
{
    if (!$value) {
        return false;
    }

    try {
        new \DateTime($value);
        return true;
    } catch (\Exception $e) {
        return false;
    }
}

if(isset($_POST['uploadVoucher']))
{
	try{
		session_start();
		require '../classes/mySQL.php';
		$mySQL = new mySQL;
		
		$fileMimes = array(
			'text/x-comma-separated-values',
			'text/comma-separated-values',
			'application/octet-stream',
			'application/vnd.ms-excel',
			'application/x-csv',
			'text/x-csv',
			'text/csv',
			'application/csv',
			'application/excel',
			'application/vnd.msexcel',
			'text/plain'
		);

		// Validate whether selected file is a CSV file
		if (!empty($_FILES['voucherFile']['name']) && in_array($_FILES['voucherFile']['type'], $fileMimes))
		{
				//echo $_FILES['voucherFile']['error'];
				// Open uploaded CSV file with read-only mode
				//echo file_get_contents($_FILES['voucherFile']['tmp_name']);
				
				$csvFile = fopen($_FILES['voucherFile']['tmp_name'], 'r');
	 
				// Skip the first line
				$header = fgetcsv($csvFile);
				
				if(count($header) == 6 && $header[0] == "VOUCHER" && $header[1] == "CODE" && $header[2] == "VALUE" && $header[3] == "TYPE" && $header[4] == "PROMO START" && $header[5] == "PROMO END")
				{
					$voucher = "";
					$vouLogs = "";
					while (($getData = fgetcsv($csvFile)) !== FALSE) {
						
						if(isDate($getData[4]) && isDate($getData[5]) &&  is_numeric($getData[2]))
						{
						// Get row data
							$type = $getData[0];
							$code = $getData[1];
							$value = $getData[2];
							$valueType = $getData[3];
							$start = date_format(date_create($getData[4]),'Y-m-d H:i:s');
							$end = date_format(date_create($getData[5]),'Y-m-d H:i:s');
							
							$company = $_SESSION['MI-KIOSK_COMPANYID-ONLINE'];
							
							// If record already exists in the database
							$mySQL->query("SELECT RECID from table_vouchers where VOUCHERTYPE = :type and VOUCHERCODE = :code and COMPANY = :company");
							$mySQL->addParam(":type",$type);
							$mySQL->addParam(":code",$code);
							$mySQL->addParam(":company",$company);
							$result = $mySQL->singleResult();
						
							if ($result['RECID'] > 0)
							{
								header("Location: ../voucher?notif=".md5(4));
								exit;
							}
							else
							{
								$voucher = $voucher."('".$type."','".$code."',".$value.",'".$valueType."','".$start."','".$end."',1,'Uploaded',NOW(),'".$company."'),";
								$vouLogs = $vouLogs."('".$type."','".$code."',1,'Uploaded','','".$_SESSION['MI-KIOSK_USER-ONLINE']."',NOW(),'".$_SESSION['MI-KIOSK_USER-ONLINE']."'),";
								/* $mySQL->query("insert into table_vouchers (VOUCHERTYPE,VOUCHERCODE,VALUE,VALUETYPE,START,END,AVAILABLE,STATUS,CREATEDDATE,COMPANY) values (:type,:code,:value,:valType,:start,:end,:avail,:status,NOW(),:company)");
								$mySQL->addParam(":type",$type);
								$mySQL->addParam(":code",$code);
								$mySQL->addParam(":value",$value);
								$mySQL->addParam(":valType",$valueType);
								$mySQL->addParam(":company",$company);
								$mySQL->addParam(":start",$start);
								$mySQL->addParam(":end",$end);
								$mySQL->addParam(":avail",1);
								$mySQL->addParam(":status",'Uploaded');
								$mySQL->execute();
								
								$mySQL->query("insert into table_voucher_logs (VOUCHERTYPE,VOUCHERCODE,AVAILABLE,STATUS,STORE,CREATEDBY,CREATEDDT,COMPANY) values (:type,:code,:avail,:status,:store,:created,NOW(),:company)");
								$mySQL->addParam(":type",$type);
								$mySQL->addParam(":code",$code);
								$mySQL->addParam(":avail",1);
								$mySQL->addParam(":store",'');
								$mySQL->addParam(":status",'Uploaded');
								$mySQL->addParam(":company",$company);
								$mySQL->addParam(":created",$_SESSION['MI-KIOSK_USER-ONLINE']);
								$mySQL->execute();
								
								$voucherId = $mySQL->lastInsertId();
								$record = $type.'-'.$code.'-'.$value.'-'.$valueType;
								$mySQL->logAppTrail(
								   'INSERT',
								   'Vouchers',
								   'table_vouchers',
								   $voucherId,
								   $record,
								   '',
								   '',
								   'Added New Voucher',
								   $_SESSION['MI-KIOSK_USER-ONLINE']
								); */
							}
						}
						else
						{	
							header("Location: ../voucher?notif=".md5(5));
							exit;
						}
					}
					
					$voucher = rtrim($voucher,",");
					$mySQL->query("insert into table_vouchers (VOUCHERTYPE,VOUCHERCODE,VALUE,VALUETYPE,START,END,AVAILABLE,STATUS,CREATEDDATE,COMPANY) values ".$voucher);
					$mySQL->execute();
					
					$vouLogs = rtrim($vouLogs,",");
					$mySQL->query("insert into table_voucher_logs (VOUCHERTYPE,VOUCHERCODE,AVAILABLE,STATUS,STORE,CREATEDBY,CREATEDDT,COMPANY) values ".$vouLogs);
					$mySQL->execute();
		 
					// Close opened CSV file
					fclose($csvFile);
					
		 
					header("Location: ../voucher?notif=".md5(1)); 
				}
				else
				{
					header("Location: ../voucher?notif=".md5(2));
				}
			 
		}
	
	}
	catch(Exception  $e)
	{
		echo 'Message: ' .$e->getMessage();
	}
}


	
	
	
	

?>