<?php 
function isDate($value) 
{
    if (!$value) {
        return false;
    }

    try {
        new \DateTime($value);
        return true;
    } catch (\Exception $e) {
        return false;
    }
}

if(isset($_FILES['voucherFile']))
{
	try{
		session_start();
		require '../classes/mySQL.php';
		$mySQL = new mySQL;
		
		$fileMimes = array(
			'text/x-comma-separated-values',
			'text/comma-separated-values',
			'application/octet-stream',
			'application/vnd.ms-excel',
			'application/x-csv',
			'text/x-csv',
			'text/csv',
			'application/csv',
			'application/excel',
			'application/vnd.msexcel',
			'text/plain'
		);

		// Validate whether selected file is a CSV file
		if (!empty($_FILES['voucherFile']['name']) && in_array($_FILES['voucherFile']['type'], $fileMimes))
		{
				//echo $_FILES['voucherFile']['error'];
				// Open uploaded CSV file with read-only mode
				//echo file_get_contents($_FILES['voucherFile']['tmp_name']);
				
				$csvFile = fopen($_FILES['voucherFile']['tmp_name'], 'r');
	 
				// Skip the first line
				$header = fgetcsv($csvFile);
				
				if(count($header) == 6 && $header[0] == "VOUCHER" && $header[1] == "CODE" && $header[2] == "VALUE" && $header[3] == "TYPE" && $header[4] == "PROMO START" && $header[5] == "PROMO END")
				{
					$voucher = "";
					$header = true;
					$next = "";
					while (($getData = fgetcsv($csvFile)) !== FALSE) {
						
						if ($header)
						{
							$mySQL->query("SELECT MAX(RECID) from table_voucher_header where COMPANY = :company");
							$mySQL->addParam(":company", $_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
							$seq = $mySQL->singleResult();
							$next = "VCR".sprintf('%06d',$seq[0]+1);
							
							$mySQL->query("insert into table_voucher_header(VOUCHERREF,CREATEDBY,COMPANY) values (:ref,:user,:company)");
							$mySQL->addParam(":ref",$next);
							$mySQL->addParam(":user", $_SESSION['MI-KIOSK_USER-ONLINE']);
							$mySQL->addParam(":company", $_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
							$mySQL->execute();
						}
						$header = false;
						
						// Get row data
						$type = $getData[0];
						$code = $getData[1];
						$value = $getData[2];
						$valueType = $getData[3];
						$start = date_format(date_create($getData[4]),'Y-m-d H:i:s');
						$end = date_format(date_create($getData[5]),'Y-m-d H:i:s');
						
						$company = $_SESSION['MI-KIOSK_COMPANYID-ONLINE'];
						
						$remarks = "";
						// If record already exists in the database
						$mySQL->query("SELECT RECID from table_vouchers where VOUCHERTYPE = :type and VOUCHERCODE = :code and COMPANY = :company");
						$mySQL->addParam(":type",$type);
						$mySQL->addParam(":code",$code);
						$mySQL->addParam(":company",$company);
						$result = $mySQL->singleResult();
						
						$mySQL->query("SELECT max(VOUCHERREF) VOUCHERREF from table_voucher_lines where VOUCHERTYPE = :type and VOUCHERCODE = :code and COMPANY = :company");
						$mySQL->addParam(":type",$type);
						$mySQL->addParam(":code",$code);
						$mySQL->addParam(":company",$company);
						$result1 = $mySQL->singleResult();
					
						
						if ($result['RECID'] > 0)
						{
							$remarks = $remarks."Record is already exists;";
						}
						
						if ($result1['VOUCHERREF'] != '')
						{
							$remarks = $remarks."Voucher is already uploaded in ".$result1['VOUCHERREF'].";";
						}
						
						if(!isDate($getData[4]))
						{
							$remarks = $remarks."Start Date is not a valid date format;";
						}
						if(!isDate($getData[5]))
						{
							$remarks = $remarks."End Date is not a valid date format;";
						}
						if(!is_numeric($getData[2]))
						{
							$remarks = $remarks."Value is not numeric;";
						}
						
						$voucher = $voucher."('".$next."','".$type."','".$code."','".$value."','".$valueType."','".$start."','".$end."','".$company."','".$remarks."'),";
						
					}
					
					$voucher = rtrim($voucher,",");
					$mySQL->query("insert into table_voucher_lines (VOUCHERREF,VOUCHERTYPE,VOUCHERCODE,VALUE,VALUETYPE,STARTDATE,ENDDATE,COMPANY,REMARKS) values ".$voucher);
					$mySQL->execute();
					
					// Close opened CSV file
					fclose($csvFile);
					
		 
					header("Location: ../upVoucher?notif=".md5(1)); 
				}
				else
				{
					header("Location: ../upVoucher?notif=".md5(2));
				}
			 
		}
	
	}
	catch(Exception  $e)
	{
		echo 'Message: ' .$e->getMessage();
	}
}


	
	
	
	

?>