<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Item Details') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		
		$mySQL->query('SELECT it.* FROM table_inventtable it 
			WHERE it.COMPANY=:company');
		$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$rows = $mySQL->resultSet();
		
	}else{
		header('location: accesserror');
	}



}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>


				<button id="itemSaved" class="hidden"></button>
				<button id="itemUpdated" class="hidden"></button>
				<button id="itemAddFailed" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("itemSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("itemUpdated").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("itemAddFailed").click();
				                });
				          	</script>';
					}
				}

				?>
				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Item Details</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cube"></i>
									</a>
								</li>
								<li><span>Item Details</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
								<h2 class="panel-title">Item Details</h2>
							</header>


							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md">
											<button data-toggle="modal" data-target="#addNewItem" class="btn btn-primary"> Add New Item <i class="fa fa-plus"></i></button>

											<button id="updateButton" onclick="updateItemDetails();" class="btn btn-success"> Update Item Details <i class="fa fa-refresh"></i></button>
										</div>

										<div id="progressImg" style="display:none;">
											<h5 class="text-center">Updating Item Details..</h5>  
											<img src="images/progressBar.gif" width="100%" style="height: 50px;">
										</div>

										<div id="promptHandler">
											
										</div>
										

										
									</div>
								</div>
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>ITEMID</th>
											<th>BARCODE</th>
											<th>ITEM NAME</th>
											<th>Prices</th>
											<th>SERIALIZED</th>
											<th>EDIT</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['ITEMID'].'</td>
												<td>'.$row['EAN'].'</td>
												<td>'.$row['ITEMNAME'].'</td>
												<td>
													<button onclick="loadPrices(\''.$row['ITEMID'].'\')" data-toggle="modal" data-target="#itemPrices" class="badge btn-primary"><i class="fa fa-eye"></i> View</button>
												</td>
												<td>
													<div class="switch switch-sm switch-primary">
														<input onchange="tagSerialized('.$row['RECID'].',this.checked);" type="checkbox" name="switch" data-plugin-ios-switch '.($row['SERIALIZED']==1 ? 'checked' : '').'>
													</div>
												</td>
												<td>
													<button onclick="loadDynamicItem('.$row['RECID'].')" data-toggle="modal" data-target="#itemEdit" class="badge btn-primary"><i class="fa fa-pencil"></i></button>
												</td>

											</tr>
										';
									}
								?>
									</tbody>
								</table>
							</div>


						</section>
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->



<div class="modal fade" id="addNewItem" tabindex="-1" role="dialog" aria-labelledby="addNewItem" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add New Item</h4>
			</div>
			<form action="functions/itemSave.php" method="post">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-5">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Item ID
								</span>
								<input name="itemID" required type="text" class="form-control" placeholder="Input AX Item ID">
							</div>
			 			</div>

			 			<div class="col-md-7">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Barcode
								</span>
								<input name="barcode" type="text" class="form-control" placeholder="Input Barcode">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Item Name
								</span>
								<input name="itemName" required type="text" class="form-control" placeholder="Input Item Name">
							</div>
			 			</div>
			 			
			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="saveItem" class="btn btn-primary btn-sm">Save Item</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>


<div class="modal fade" id="itemEdit" tabindex="-1" role="dialog" aria-labelledby="itemEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Edit Item</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editItem">
				
			</div>
			
		</div>
		
	</div>
</div>


<div class="modal fade" id="itemPrices" tabindex="-1" role="dialog" aria-labelledby="itemPrices" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Item Price Group</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="priceItem">
				
			</div>
			
		</div>
		
	</div>
</div>


<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>

		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/forms/examples.advanced.form.js" /></script>
		
		<script src="classes/notifications.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();

			} );
			
			function loadDynamicItem(recID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editItem');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'loads/itemEditModal.php?id='+recID, true);
				xmlhttp.send();
			}

			function loadPrices(itemID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('priceItem');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'loads/itemPricesModal.php?itemID='+itemID, true);
				xmlhttp.send();
			}

			function tagSerialized(recID,status){
	            var xmlhttp = new XMLHttpRequest();
	            if(status==true){
	                xmlhttp.open('GET', 'functions/serializedItem.php?id='+recID+'&status=1', true);
	            }
	            else{
	                xmlhttp.open('GET', 'functions/serializedItem.php?id='+recID+'&status=0', true);
	            }
	            xmlhttp.send();
	            
	        }

	        function updateItemDetails(){
				document.getElementById('updateButton').disabled = true;
				document.getElementById('progressImg').style.display = 'block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('promptHandler');
						document.getElementById('progressImg').style.display = 'none';
						document.getElementById('updateButton').disabled = false;
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'functions/updateItemDetails.php', true);
				xmlhttp.send();
			}
		</script>
		
	</body>
</html>