<?php

   

  if (isset($_GET['id'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;
  	session_start();

  	$mySQL->query('SELECT ton.*,
  	 	IFNULL(strFrm.STORENAME,ton.WHFROM) WHFROM, 
		IFNULL(strTo.STORENAME,ton.WHTO) WHTO,
		(SELECT CREATEDDT FROM table_ton_status WHERE TRANSREFID=ton.TRANSREFID AND STATUS=ton.STATUS ORDER BY RECID DESC LIMIT 1) CREATEDDT,
		(SELECT usr.FULLNAME FROM table_ton_status stat LEFT JOIN setup_users usr ON stat.CREATEDBY=usr.USERNAME WHERE TRANSREFID=ton.TRANSREFID AND (STATUS=:received OR STATUS=:received1) ORDER BY ton.RECID DESC LIMIT 1) USER

  		FROM table_ton_header ton
  		LEFT JOIN setup_stores strFrm ON ton.WHFROM=strFrm.STORECODE AND ton.COMPANY=strFrm.COMPANY
		LEFT JOIN setup_stores strTo ON ton.WHTO=strTo.STORECODE AND ton.COMPANY=strTo.COMPANY
  		WHERE ton.RECID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$mySQL->addParam(":received",'Partially Received');
  	$mySQL->addParam(":received1",'Received By Store');
  	$tonHeader = $mySQL->singleResult();

  	$date = date_create($tonHeader['CREATEDDT']);

	$mySQL->query('SELECT ln.*,it.ITEMNAME FROM table_ton_lines ln LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY WHERE ln.TRANSREFID=:ton');
	$mySQL->addParam(":ton",$tonHeader['TRANSREFID']);
	$tonLines = $mySQL->resultSet();

  	$mySQL->query('SELECT slog.*,it.ITEMNAME,
  		(SELECT COUNT(1) FROM table_serialnumber_logs 
  			WHERE DOCUMENTREF=slog.DOCUMENTREF 
  			AND SERIALNUMBER=slog.SERIALNUMBER AND TRANSTYPE=:one) RECEIVED
  		FROM table_serialnumber_logs slog 
  		LEFT JOIN table_inventtable it ON slog.ITEMID=it.ITEMID AND slog.COMPANY=it.COMPANY
  		WHERE slog.DOCUMENTREF=:ton AND slog.TRANSTYPE=:zero');
  	$mySQL->addParam(":ton",$tonHeader['TRANSREFID']);
  	$mySQL->addParam(":zero",0);
  	$mySQL->addParam(":one",1);
  	$serials = $mySQL->resultSet();

  	

  	echo '
  		<div class="modal-body">
			<div class="panel">
				<div class="panel-heading">
					<div class="row">
						<div class="col-md-6">
							<p class="text-bold">
								TON Number: <i class="text-dark">'.$tonHeader['TRANSREFID'].'</i> <br> 
								From: <i class="text-dark">'.$tonHeader['WHFROM'].'</i><br> 
								To: <i class="text-dark">'.$tonHeader['WHTO'].'</i>
								
							</p>
						</div>
						<div class="col-md-6">
							<p class="text-bold">
							Status: <i class="text-dark">'.$tonHeader['STATUS'].'</i><br>
							Received By: <i class="text-dark">'.$tonHeader['USER'].'</i><br> 
							Received Date: <i class="text-dark">'.date_format($date,'M d, Y h:iA').'</i>
							</p>
						</div>
					</div>
				</div>
				<div class="panel-body">
					<table class="table table-striped display" id="">
						<thead>
							<tr>
								<th>Item ID</th>
								<th>Item Name</th>
								<th>Qty Shipped</th>
								<th>Qty Received</th>
							</tr>
						</thead>
						<tbody>

				';
					foreach ($tonLines as $tonLine) {
						$mySQL->query('SELECT IFNULL(SUM(QTY),0) FROM table_inventtrans WHERE TRANSREFID=:ton AND ITEMID=:itemID AND STORE=:store');
						$mySQL->addParam(":ton",$tonLine['TRANSREFID']);
						$mySQL->addParam(":store",$tonLine['WHTO']);
						$mySQL->addParam(":itemID",$tonLine['ITEMID']);
						$qtyReceived = $mySQL->singleResult();
						echo '
							<tr>
								<td>'.$tonLine['ITEMID'].'</td>
								<td>'.$tonLine['ITEMNAME'].'</td>
								<td class="'.($tonLine['QTYSHIPPED']!=$qtyReceived[0] ? 'text-danger' : '').' text-bold">
									'.$tonLine['QTYSHIPPED'].'
								</td>
								<td class="'.($tonLine['QTYSHIPPED']!=$qtyReceived[0] ? 'text-danger' : '').' text-bold">'.$qtyReceived[0].'
								</td>
							</tr>
						';
					}
				echo'
								
						</tbody>
					</table>
				</div>

				<hr>
				<h4 class="text-bold">Serial Numbers</h4>

				<div class="panel-body">
					<table class="table table-striped display" id="">
						<thead>
							<tr>
								<th>Item ID</th>
								<th>Item Name</th>
								<th>Serial Number</th>
								<th>Status</th>
							</tr>
						</thead>
						<tbody>
					';
					foreach ($serials as $serial) {
						if ($serial['RECEIVED'] == 0) {
							$status = 'Di Natanggap';
							$color = 'danger';
						}else{
							$status = 'Natanggap';
							$color = 'success';
						}

						// elseif ($serial['TAGGED'] == 1) {
						// 	$status = 'Natanggap';
						// 	$color = 'primary';
						// }elseif ($serial['TAGGED'] == 0) {
						// }

						echo '
							<tr>
								<td>'.$serial['ITEMID'].'</td>
								<td>'.$serial['ITEMNAME'].'</td>
								<td>'.$serial['SERIALNUMBER'].'</td>
								<td><span class="btn btn-xs btn-'.$color.'"><i class="fa '.($color=='danger' ? 'fa-times' : 'fa-check').'"></i> '.$status.'</span></td>
							</tr>
						';

					}
					echo'
							
						</tbody>
					</table>
				</div>

	';
		if($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Shipped TON') == true && $tonHeader['STATUS']=='Reported with Discrepancy'){
			echo '
				<div class="row">
					<br>
					<div class="form-group">
						<div class="col-md-6">
							<form id="appForm" method="post" action="functions/processDiscrepancy.php">
								<input type="hidden" value="'.$tonHeader['RECID'].'" name="recID">
								<input type="hidden" value="1" name="approve">
							</form>
							<button id="appButton" onclick="processReport(1);" class="btn btn-success">Approve</button>
							
						</div>
						<div class="col-md-6 text-right">
							<form id="decForm" method="post" action="functions/processDiscrepancy.php">
								<input type="hidden" value="'.$tonHeader['RECID'].'" name="recID">
								<input type="hidden" value="1" name="decline">
							</form>
							<button id="decButton" onclick="processReport(0);" class="btn btn-danger">Decline</button>
						</div>
					</div>
				</div>

			';
		}
		if($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Receive TON') == true && $tonHeader['STATUS']=='Approved Discrepancy Report'){
			echo '
				<div class="row">
					<br>
					<div class="form-group">
						<div class="col-md-12 text-right">
							<form id="recForm" method="post" action="functions/receiveDiscrepancy.php">
								<input type="hidden" value="'.$tonHeader['RECID'].'" name="recID">
								<input type="hidden" value="'.$tonHeader['TRANSREFID'].'" name="ton">
								<input type="hidden" value="1" name="decline">
							</form>
							<button id="recButton" onclick="receiveDiscrepancy();" class="btn btn-success">Receive with Discrepancy</button>
						</div>
					</div>
				</div>

			';
		}
	echo '

			</div>	
		</div>

		
  	';
  }






?>	


