<?php

   

  if (isset($_GET['id'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	session_start();

  	$mySQL->query('SELECT * FROM table_return_header WHERE RECID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$tranHeader = $mySQL->singleResult();
  	$tranDt = date_create($tranHeader['CREATEDDT']);

  	echo '
  			<div class="table-responsive panel-body">
				<table class="table table-bordered">
					<thead>
						<tr>
							<th width="30%">Return ID: </th>
							<td>'.$tranHeader['RETURNID'].'</td>
						</tr>
						<tr>
							<th width="30%">Transaction Ref #:</th>
							<td>'.$tranHeader['TRANSACTIONID'].'</td>
						</tr>
						<tr>
							<th width="30%">Credit Amount:</th>
							<td>P'.number_format($tranHeader['CREDITEDAMOUNT'],2).'</td>
						</tr>
						<tr>
							<th width="30%">Credit Balance:</th>
							<td>P'.number_format($tranHeader['CREDITBALANCE'],2).'</td>
						</tr>
						<tr>
							<th width="30%">Status: </th>
							<td>'.$tranHeader['STATUS'].'</td>
						</tr>
						<tr>
						<tr>
							<th width="30%">Return Transaction Date:</th>
							<td>'.date_format($tranDt,'F d, Y h:i a').'</td>
						</tr>
						<tr>
							<th width="30%">Return Reason:</th>
							<td>'.nl2br($tranHeader['REASON']).'</td>
						</tr>
					
					</thead>
					
				</table>


	';
		$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:tranID');
		$mySQL->addParam(":tranID",$tranHeader['TRANSACTIONID']);
		$tranRef = $mySQL->singleResult();
		$date1 = date_create($tranRef['TRANSACTIONDT']);

		$date = strtotime($tranRef['TRANSACTIONDT']);
	    $nDATE= strtotime(date('Y-m-d'));

	    $diff = $nDATE - $date; 
	    $dayDiff = abs(round($diff / 86400));

	    $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
		$mySQL->addParam(":setup",'RETURNDAYS');
		$mySQL->addParam(":store",$tranRef['STORE']);
		$validity = $mySQL->singleResult();

            


	echo '
				<hr>
				<div class="alert alert-'.($dayDiff > $validity['VALUE'] ? 'danger' : 'info').'">
					<strong>'.$tranRef['TRANSACTIONID'].' Transaction Date: '.date_format($date1,'M d, Y').'</strong>. Transaction was <strong>'.$dayDiff.'</strong> day/s ago.
				</div>
				<hr>


				<table class="table table-bordered display">
					<thead>
						<tr>
							<th colspan="7" class="text-center">Return Transaction Items</th>
						</tr>
						<tr>
							<th>Qty</th>
							<th>Item ID</th>
							<th>Item Name</th>
							<th>Sales Price</th>
							<th>Disc. Amt</th>
							<th>Disc. %</th>
							<th>Sub Total</th>
						</tr>
					</thead>
					<tbody>
	';
		$mySQL->query('SELECT ln.*,it.ITEMNAME,it.SERIALIZED FROM table_return_lines ln
			LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY
			WHERE ln.RETURNID=:transID');
		$mySQL->addParam(":transID",$tranHeader['RETURNID']);
		$tranLines = $mySQL->resultSet();
		foreach ($tranLines as $tranLine) {
			echo '
				<tr>
					<td>'.$tranLine['QTY'].'</td>
					<td>'.$tranLine['ITEMID'].'</td>
					<td>'.$tranLine['ITEMNAME'].'
	';
		if ($tranLine['SERIALIZED'] == 1) {
			$mySQL->query('SELECT * FROM table_serialnumber_logs WHERE DOCUMENTREF=:transID AND TRANSTYPE=:five AND ITEMID=:itemID AND EAN=:ean');
			$mySQL->addParam(":transID",$tranHeader['RETURNID']);
			$mySQL->addParam(":five",5);
			$mySQL->addParam(":itemID",$tranLine['ITEMID']);
			$mySQL->addParam(":ean",$tranLine['EAN']);
			$serials = $mySQL->resultSet();
			echo '
				<ol>
		';
			foreach ($serials as $serial) {
				echo '<li>'.$serial['SERIALNUMBER'].'</li>';
			}
		echo '			
				</ol>
			';
		}
	echo'
						
					</td>
					<td class="text-right" >P'.number_format($tranLine['SALESPRICE'],2).'</td>
					<td class="text-right" >P'.number_format($tranLine['DISCAMOUNT'],2).'</td>
					<td class="text-right" >'.number_format($tranLine['DISCPERCENT'],2).'%</td>
					<td class="text-right" >P'.number_format($tranLine['SUBTOTAL'],2).'</td>
				</tr>
			';
		}
	echo '

					</tbody>

				</table>
				
			</div>


  	';
  	if (isset($_GET['approval']) && $tranHeader['STATUS'] == 'Pending') {
  		echo '

			<div class="modal-footer">
				<form method="post" action="functions/processReturnOrder.php">	
					<div class="checkbox-custom checkbox-danger text-left">
						<input type="checkbox" name="allowRefund" id="checkboxExample5">
						<label class="text-bold" for="checkboxExample5">Allow Refund</label>
					</div>
					<input type="hidden" name="retID" value="'.$tranHeader['RETURNID'].'">
					<input type="hidden" name="store" value="'.$tranHeader['STORE'].'">
					<button class="btn btn-danger" type="submit" name="decline">Decline</button>
					<button class="btn btn-success" type="submit" name="approve">Approve</button>
				</form>
			</div>

  		';
  	}
  }




?>	


		