<?php

   

  if (isset($_GET['id'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	$mySQL->query('SELECT pre.*,IFNULL(REPLACE(it.ITEMNAME, :dqoute,:whitespace),pre.ITEMID) ITEMNAME FROM table_presell_items pre 
  		LEFT JOIN table_inventtable it ON pre.ITEMID=it.ITEMID AND pre.COMPANY=it.COMPANY 
  		WHERE pre.PRESELLINGID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$mySQL->addParam(":dqoute",'"');
  	$mySQL->addParam(":whitespace",'');
  	$items = $mySQL->resultSet();

  	$mySQL->query('SELECT ln.*,IFNULL(str.STORENAME,ln.STORE) STORENAME FROM table_presell_lines ln LEFT JOIN setup_stores str ON ln.STORE=str.STORECODE AND ln.COMPANY=str.COMPANY WHERE ln.PRESELLINGID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$stores = $mySQL->resultSet();

  	$mySQL->query('SELECT * FROM table_presell_header WHERE PRESELLINGID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$preHeader = $mySQL->singleResult();

  	echo '
  		<h2 class="panel-title text-primary">'.$preHeader['PRESELLINGNAME'].'</h2>
  		<small class="text-primary">'.$preHeader['DESCRIPTION'].'</small>
  		<hr>

  		<div class="row">
  			<div class="col-md-6">
  				<div class="panel panel-featured panel-featured-success">
		  			<div class="panel-heading">
		  				<h2 class="panel-title">Add New Item</h2>
		  			</div>
		  			<div class="panel-body">
		  				<form id="itemForm" method="post" action="functions/addPreSellItem.php">
				  			<input id="preSellId" type="hidden" value="'.$_GET['id'].'" name="preSellId">
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<select onchange="changePriceValue(this.value);" id="itemID" name="itemID" required data-plugin-selectTwo class="form-control populate">
											<option value="">Select Item ID</option>
									';
										$mySQL->query('SELECT ITEMID,ITEMNAME FROM table_inventtable');
										$userStores = $mySQL->resultSet();
										foreach ($userStores as $userStore) {
											echo '<option value="'.$userStore['ITEMID'].'">'.$userStore['ITEMID'].' - '.$userStore['ITEMNAME'].'</option>';
										}
									echo '
										</select>
									</div>
								</div>
								<hr>
								<input type="hidden" value="0.00" id="unitPrice">
								<div class="col-md-12">
									<div class="input-group">
										<span class="input-group-addon">Qty</span>
										<input onblur="computePriceValue()" id="qty" required value="1" type="number" min="1" class="form-control" name="qty" placeholder="Qty">
										<span class="input-group-addon">Price</span>
										<input id="price" required type="number" step="0.01" min="0" value="0.00" name="price" class="form-control" placeholder="Total Price">
										
									</div>
								</div>
								
								<div class="col-md-12 text-right">
									<br>
									<button id="addItem3" type="submit" name="addPreSellItem" class="btn btn-success"><i class="fa fa-plus"></i> Add Item</button>
								</div>
							</div>
						</form>
		  			</div>
		  		</div>
  			</div>

  			<div class="col-md-6">
  				<div class="panel panel-featured panel-featured-success">
		  			<div class="panel-heading">
		  				<h2 class="panel-title">Add Store Allocation</h2>
		  			</div>
		  			<div class="panel-body">
		  				<form id="storeForm" method="post" action="functions/addPreSellStore.php">
				  			<input id="preSellId2" type="hidden" value="'.$_GET['id'].'" name="preSellId">
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<select id="store" name="store" required data-plugin-selectTwo class="form-control populate">
											<option value="">Select Store</option>
									';
										$mySQL->query('SELECT STORECODE,STORENAME FROM setup_stores');
										$userStores = $mySQL->resultSet();
										foreach ($userStores as $userStore) {
											echo '<option value="'.$userStore['STORECODE'].'">'.$userStore['STORECODE'].' - '.$userStore['STORENAME'].'</option>';
										}
									echo '
										</select>
									</div>
								</div>
								<hr>
								<div class="col-md-12">
									<div class="input-group">
										<span class="input-group-addon">Allocated Set/s</span>
										<input required value="1" type="number" min="1" value="1" name="allocated" class="form-control" placeholder="Remaining Set/s">
									</div>
								</div>
								<div class="col-md-12 text-right">
									<br>
									<button id="addStore3" type="submit" name="addPreSellStore" class="btn btn-success"><i class="fa fa-plus"></i> Add Store</button>
								</div>
							</div>
						</form>
		  			</div>
		  		</div>
  			</div>

  			<div class="col-md-6">
  				<div class="panel panel-featured panel-featured-danger">
		  			<div class="panel-heading">
		  				<h2 class="panel-title">Pre-Selling Items</h2>
		  			</div>
		  			<div class="panel-body">
			  			<table class="table table-bordered table-striped">
							<thead>
								<tr>
									<th>Item</th>
									<th>Qty</th>
									<th>Price</th>
									<th>Remove</th>
								</tr>
							</thead>
							<tbody>
				';
					foreach ($items as $item) {
						echo '
							<tr>
								<td>'.$item['ITEMNAME'].'</td>
								<td>'.$item['QTY'].'</td>
								<td>'.number_format($item['PRICE'],2).'</td>
								<td>
									<button onclick="deletePreSellItem(\''.$item['RECID'].'\',\''.$item['ITEMNAME'].'\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i></button>
								</td>
							</tr>

						';
					}
				echo'
							</tbody>
						</table>

			  		</div>
		  		</div>
  			</div>


  			<div class="col-md-6">
  				<div class="panel panel-featured panel-featured-danger">
		  			<header class="panel-heading">
		  				<h2 class="panel-title">Store Allocation</h2>
		  			</header>
		  			<div class="panel-body">
		  				<table class="table table-bordered table-striped">
							<thead>
								<tr>
									<th>Store</th>
									<th>Allocated Set/s</th>
									<th>Remaining Set/s</th>
									<th>Remove</th>
								</tr>
							</thead>
							<tbody>
				';
					foreach ($stores as $store) {
						echo '
							<tr>
								<td>'.$store['STORENAME'].'</td>
								<td>'.number_format($store['ALLOCATEDSETS']).'</td>
								<td>'.number_format($store['REMAININGSETS']).'</td>
								<td>
									'.($store['ALLOCATEDSETS']==$store['REMAININGSETS'] ? '<button onclick="deletePreSellStore(\''.$store['RECID'].'\',\''.$store['STORENAME'].'\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i></button>' : '').'
									
								</td>
							</tr>

						';
					}
				echo'
							</tbody>
						</table>
		  			</div>
		  		</div>
  			</div>



  		</div>
  	
  		
  		
		

  	';


}

?>	


		
    	<!-- <script type="text/javascript">


    		$(document).ready(function(){
          		

	           
	        })
    		
    	</script> -->