<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Transactions') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		if ($mySQL->acceptStoreTrans($_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
			header('location: closestore?next=newpresales');
			exit();
		}else{
			$mySQL->query('SELECT COUNT(1) FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
			$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
			$mySQL->addParam(":type",'PreSell');
			$existHdr = $mySQL->singleResult();
			if ($existHdr[0] == 0) {
				$mySQL->query('INSERT INTO temp_transaction_header (USERNAME,TRANSTYPE) VALUES (:username,:type)');
				$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
				$mySQL->addParam(":type",'PreSell');
				$mySQL->execute();
			}
			$mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
			$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
			$mySQL->addParam(":type",'PreSell');
			$tempHdr = $mySQL->singleResult();

			$mySQL->query('SELECT CUSTOMERNAME FROM table_customer WHERE CUSTOMERID=:customerID');
			$mySQL->addParam(":customerID",$tempHdr['CUSTOMERID']);
			$customerName = $mySQL->singleResult();
		}


		

	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body <?php echo 'onload="loadTempTransaction(\'PreSell\'); '.($isiPad==true ? 'ipadView();' : '').'"' ?>>
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="alreadyScanned" class="hidden"></button>
				<button id="newCustomerAdd" class="hidden"></button>
				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("alreadyScanned").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("newCustomerAdd").click();
				                });
				          	</script>';
					}
				}

				?>

				<section role="main" class="content-body">
					<header class="page-header">
						<h2>New Pre-Selling</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-money"></i>
									</a>
								</li>
								<li><a href="transactions">Transactions</a></li>
								<li><a href="presales">Pre-Selling</a></li>
								<li><span>New Pre-Selling</span></li>
							</ol>
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

						
					<!-- start: page -->
						<div class="row">

							<div class="col-md-12">
								<section class="panel">
									<header class="panel-heading">
										<div class="row">
											<div class="form-group">
												<div class="col-md-6">
													<div class="input-group">
														<span class="input-group-addon">
															<div class="checkbox-custom checkbox-success">
																<input onclick="updateVAT(this.checked,'PreSell')" type="checkbox" <?php echo ($tempHdr['VAT'] == 1 ? 'checked' : ''); ?> id="checkboxExample3">
																<label for="checkboxExample3"><strong>VAT</strong></label>
															</div>
														</span>
														<input <?php echo ($tempHdr['VAT'] == 1 ? 'disabled' : ''); ?> onblur="updateVATRef(this.value,'PreSell');" id="vatRef" value="<?php echo $tempHdr['VATREF'] ?>" placeholder="Input VAT Exempt Reference" type="text" class="form-control">
													</div>
												</div>
												<div class="col-md-6">
													<div class="input-group">
														<span class="input-group-addon">
															<div class="checkbox-custom checkbox-success">
																<input  onclick="updateEWT(this.checked,'PreSell')" type="checkbox" <?php echo ($tempHdr['EWT'] == 1 ? 'checked' : ''); ?> id="checkboxExample4">
																<label for="checkboxExample4"><strong>EWT</strong></label>
															</div>
														</span>
														<input <?php echo ($tempHdr['EWT'] == 1 ? '' : 'disabled'); ?> onblur="updateEWTRef(this.value,'PreSell');" id="ewt" value="<?php echo $tempHdr['EWTREF'] ?>" placeholder="Input 2307 Reference" type="text" class="form-control">
													</div>
												</div>

												<div class="col-md-12"><hr></div>


												<div class="col-md-4">
													<button data-toggle="modal" data-target="#preSellList" class="btn btn-success"> <i class="fa fa-external-link"></i> Select Pre-Selling</button>
													<!-- <div class="input-group">
														<span class="input-group-addon">
															<i class="fa fa-search"></i>
														</span>
														<input  onkeyup="itemManualSearch(this.value)" id="manual" placeholder="Manual Item Search here" type="text" class="form-control">
													</div> -->
												</div>
												<div class="col-md-8 text-right">
													<h5 class="text-bold">
														Sold To: <?php echo $customerName[0] ?>
														<button data-toggle="modal" data-target="#customerSelect" class="btn btn-success btn-xs"> <i class="fa fa-user"></i> Select Customer</button>
													</h5>
												</div>
											</div>
										</div>
									</header>

									<div id="manualSearchResult">
										
									</div>
								</section>
							</div>

							<div class="col-md-12 panel-body" id="tempTrans">
								
							</div>
						</div>
				</section>
			</div>







<!-- modals: start -->

<div class="modal fade" id="cancelTransaction" tabindex="-1" role="dialog" aria-labelledby="cancelTransaction" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title text-dark text-bold" id="myModalLabel">Cancel Transaction</h4>
			</div>
			<div class="modal-body">
				<div class="h4">Are you sure to cancel the transaction ?</div>
			</div>
			<div class="modal-footer">
				<button class="btn btn-default" data-dismiss="modal">Close</button>
				<a href="functions/terminateTransaction.php?type=PreSell" class="btn btn-danger"><i class="fa fa-times"></i> Cancel Transaction</a>
			</div>
		</div>
		
	</div>
</div>

<div class="modal fade" id="printReceipt" tabindex="-1" role="dialog" aria-labelledby="printReceipt" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title text-dark text-bold" id="myModalLabel">Print Sales Order</h4>
			</div>
			<div class="modal-body">
				<div class="h4">Are you sure to finish transaction ?</div>
			</div>
			<div class="modal-footer">
				<button class="btn btn-default" data-dismiss="modal">Close</button>
				<a href="functions/saveNewPreSales.php" class="btn btn-success"><i class="fa fa-file-text"></i> Print Sales Order</a>
			</div>
		</div>
		
	</div>
</div>



							

<div class="modal fade" id="tenderModal" tabindex="-1" role="dialog" aria-labelledby="tenderModal" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title text-dark text-bold" id="myModalLabel">Tender</h4>
			</div>
			<div class="modal-body">
				<div class="panel">
					<div class="panel-header">
						<form method="post" action="functions/addPaymentTender.php">
							<input type="hidden" name="transType" value="PreSell">
							<div class="form-group">
								<div class="col-md-12">
					 				<div class="input-group input-group-sm mb-md">
										<span class="input-group-addon">
											Payment Type
										</span>
										<select onchange="triggerRequired(this.value);" name="type" required data-plugin-selectTwo class="form-control populate">
						<?php
							$mySQL->query('SELECT * FROM app_payment_types ORDER BY RECID');
							//WHERE PAYMENTTYPE!=:return
							//$mySQL->addParam(":return",'RETURN CREDIT');
							$payments = $mySQL->resultSet();
							foreach ($payments as $payment) {
								echo '<option value="'.$payment['PAYMENTTYPE'].'" >'.$payment['PAYMENTTYPE'].'</option>';
							}
						?>
										</select>
									</div>
					 			</div>

					 			<script type="text/javascript">
					 				function triggerRequired(type){
					 					if (type=='CASH' || type=='Cash') {
					 						document.getElementById('tenderRef').required = false;
					 					}else if (type=='RETURN CREDIT') {
					 						useReturnCredit('PreSell');
					 					}else{
					 						document.getElementById('tenderRef').required = true;
					 					}
					 					
					 				}
					 			</script>

					 			<div id="tenderParam">
					 				<div class="col-md-12">
						 				<div class="input-group input-group-sm mb-md">
											<span class="input-group-addon">
												Amount
											</span>
											<input name="amount" step="0.01" min="0" required type="number" class="form-control" placeholder="Enter Amount">
										</div>
						 			</div>

									<div class="col-md-12">
						 				<div class="input-group input-group-sm mb-md">
											<span class="input-group-addon">
												Reference
											</span>
											<input id="tenderRef" name="reference" value="" type="text" class="form-control" placeholder="Leave if N/A">
										</div>
						 			</div>

						 			<div class="col-md-12 text-right">
						 				<button type="submit" name="saveTender" class="btn btn-primary pull-right"><i class="fa fa-money"></i> Tender</button>
						 			</div>

						 			
						 			
					 			</div>

					 			


							</div>
						</form>
					</div>
					<hr>
					<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
					<div id="tenderArea">
						
					</div>

					
				</div>
				
			</div>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="searchResult" tabindex="-1" role="dialog" aria-labelledby="searchResult" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Input Serial Number</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">

			<div class="modal-body">
  				<div class="form-group">				 			
		 			<div class="col-md-12">
		 				<div class="input-group input-group-sm mb-md">
							<span class="input-group-addon">
								Serial Number
							</span>
							<input name="serialNumber" id="serialNumber" required type="text" class="form-control" placeholder="Scan Serial Number Here">
						</div>
		 			</div>
				</div>
  			</div>
			<div id="resultSearch">
				
			</div>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="scannedSerial" tabindex="-1" role="dialog" aria-labelledby="scannedSerial" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Scanned Serial Number</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="scannedSerialArea">

				
			</div>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="preSellList" tabindex="-1" role="dialog" aria-labelledby="preSellList" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Valid Pre-Selling List</h4>
			</div>
			<div class="modal-body">
				<div class="table-responsive">
					<table class="table table-bordered">
						<thead>
							<tr>
								<th>Pre-Selling</th>
								<th>Validity</th>
								<th>Items</th>
								<th>Rem. Set</th>
								<th>Pre-Sell</th>
							</tr>
						</thead>
						<tbody>
		<?php
			$mySQL->query('SELECT hdr.*,ln.ALLOCATEDSETS,ln.REMAININGSETS FROM table_presell_header hdr JOIN table_presell_lines ln ON hdr.PRESELLINGID=ln.PRESELLINGID AND hdr.COMPANY=ln.COMPANY WHERE hdr.DATEFROM <= :dateNow AND hdr.DATETO >= :dateNow AND ln.STORE=:store');
			$mySQL->addParam(":dateNow",date('Y-m-d'));
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$rows = $mySQL->resultSet();
			foreach ($rows as $row) {
				$fDate = date_create($row['DATEFROM']);
				$tDate = date_create($row['DATETO']);
				echo '
					<tr>
						<td><strong>'.$row['PRESELLINGNAME'].' </strong> - '.$row['DESCRIPTION'].'</td>
						<td><span style="margin-bottom: 2px;" class="btn btn-xs btn-default">'.date_format($fDate,'M d, Y').'</span> to <span style="margin-bottom: 2px;" class="btn btn-xs btn-default">'.date_format($tDate,'M d, Y').'</span></td>
						<td width="30%">
					';
						$mySQL->query('SELECT pre.*, IFNULL(it.ITEMNAME,pre.ITEMID) ITEMNAME 
							FROM table_presell_items pre 
							JOIN table_inventtable it 
							ON pre.ITEMID=it.ITEMID 
							AND pre.COMPANY=it.COMPANY 
							WHERE pre.PRESELLINGID=:preSellId');
						$mySQL->addParam(":preSellId",$row['PRESELLINGID']);
						$items = $mySQL->resultSet();
						foreach ($items as $item) {
							echo '<span style="margin-bottom: 2px;" class="btn btn-xs btn-default"><strong>'.$item['QTY'].' </strong> - '.$item['ITEMNAME'].' / <strong>P'.number_format($item['PRICE'],2).'</strong></span> ';
						}
					echo '
							
						</td>
						<td>'.number_format($row['REMAININGSETS']).'</td>
						<td>
							
							'.($row['REMAININGSETS'] > 0 ? '<a href="functions/addPreSellTemp.php?id='.$row['PRESELLINGID'].'" class="btn btn-xs btn-success">Pre-Sell</a>' : '' ).'
						</td>
					</tr>
				';
			}
		?>
						</tbody>
					</table>
				</div>
			</div>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="customerSelect" tabindex="-1" role="dialog" aria-labelledby="customerSelect" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Pre-Sell Customer</h4>
			</div>
			<div class="modal-body">
				<form method="post" action="functions/preSellAddCustomer.php">
					<section class="panel">
						<header class="panel-heading">
							<div class="panel-actions">
								<a href="#" class="fa fa-caret-down"></a>
								<a href="#" class="fa fa-times"></a>
							</div>

							<h2 class="panel-title">New Customer</h2>

							<p class="panel-subtitle">
								Add New Customer on List.
							</p>
						</header>

						<div class="panel-body">
							<div class="row form-group">
								<div class="col-lg-12">
									<input required type="text" name="customerName" placeholder="Enter Customer Name" class="form-control">
								</div>
							</div>
						</div>
						<footer class="panel-footer text-right">
							<button type="submit" name="addCustomer" class="btn btn-primary">Add Customer</button>
						</footer>
					</section>
				</form>
				<form method="post" action="functions/preSellSelectCustomer.php">
					<div class="row">
						<div class="col-md-12">
							<div class="input-group">
								<span class="input-group-addon">
									<i class="fa fa-user"></i> Select Customer
								</span>
								<select required name="customerID" data-plugin-selectTwo class="form-control populate" class="form-control" required>
									<option selected value="">Select Customer</option>
						<?php
							$mySQL->query('SELECT CUSTOMERID,CUSTOMERNAME FROM table_customer');
							$customers = $mySQL->resultSet();
							foreach ($customers as $customer) {
								echo '<option value="'.$customer['CUSTOMERID'].'">'.$customer['CUSTOMERNAME'].'</option>';
							}
						?>
								</select>
								<span class="input-group-btn">
									<button class="btn btn-success" name="selectCustomer" type="submit">Select</button>
								</span>
							</div>
						</div>
					</div>
				</form>
			</div>
			
		</div>
		
	</div>
</div>






















<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript" src="scripts/newPreSell.js"></script>
			
			
		
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>

		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>