<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Transactions') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		if ($mySQL->acceptStoreTrans($_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
			header('location: closestore?next=newreturn');
			exit();
		}else{
			$mySQL->query('DELETE FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
			$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
			$mySQL->addParam(":type",'Return');
			$mySQL->execute();
			$validReturn = false;
			if (isset($_POST['searchTrans'])) {
				$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID AND COMPANY=:company AND STORE=:store');
				$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
				$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
				$mySQL->addParam(":transID",$_POST['transactionNo']);
				$tranHeader = $mySQL->singleResult();
				if ($tranHeader) {
					$mySQL->query('INSERT INTO temp_transaction_header (USERNAME,TRANSTYPE,TRANREF) VALUES (:username,:type,:tranRef)');
					$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
					$mySQL->addParam(":type",'Return');
					$mySQL->addParam(":tranRef",$_POST['transactionNo']);
					$mySQL->execute();
					
					$mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
					$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
					$mySQL->addParam(":type",'Return');
					$tempHdr = $mySQL->singleResult();
					$validReturn = true;
				}else{
					header('location: newreturn?notif='.md5(1));
				}
			}
		}

		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="invalidTransaction" class="hidden"></button>
				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidTransaction").click();
				                });
				          	</script>';
					}
				}

				?>

				<section role="main" class="content-body">
					<header class="page-header">
						<h2>New Return</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-money"></i>
									</a>
								</li>
								<li><a href="transactions">Transactions</a></li>
								<li><a href="return">Return Sales</a></li>
								<li><span>New Return</span></li>
							</ol>
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

						
					<!-- start: page -->
						<div class="row">

							<div class="col-md-12">
								<section class="panel">
									<header class="panel-heading">
										<div class="row">
											<div class="form-group">
												<form method="post" action="newreturn">
													<div class="col-md-6">
														<div class="input-group">
															<span class="input-group-addon">
																<i class="fa fa-file-text-o"></i>
															</span>
															<input value="<?php echo (isset($_POST['searchTrans']) ? $_POST['transactionNo'] : ''); ?>" required name="transactionNo" name="dateSearch" placeholder="Input Transaction #" type="text" class="form-control">
															<span class="input-group-btn">
																<button class="btn btn-warning" name="searchTrans" type="submit">Search</button>
															</span>
														</div>
													</div>
										<?php
											if ($validReturn == true) {
												$date1 = date_create($tranHeader['TRANSACTIONDT']);
												$date = strtotime($tranHeader['TRANSACTIONDT']);
												$nDATE= strtotime(date('Y-m-d'));
												$diff = $nDATE - $date; 
												$agingDays = abs(round($diff / 86400));




												echo '
													<div class="col-md-6 text-right">
														<a data-toggle="modal" href="#allItems" class="btn btn-success" name="showItems" ><i class="fa fa-list"></i> Show All Items</a>

													</div>
													<div class="col-md-12">
													<br>
														<h5 class="text-bold">Transaction Date: <i>'.date_format($date1,'M d, Y').'</i></h5>
														<h5 class="text-bold">Aging Days: <i>'.$agingDays.' Day/s</i></h5>
													</div>
												';
											}

										?>
													
												</form>
												

									<?php
										// if ($validReturn == true) {
										// 	echo '
										//		<div class="col-md-12"><hr></div>
										// 		<div class="col-md-6">
										// 			<div class="input-group">
										// 				<span class="input-group-addon">
										// 					<i class="fa fa-search"></i>
										// 				</span>
										// 				<input id="barcodeScanned" name="barcode" placeholder="Input or Scan Item Barcode here" type="text" class="form-control">
										// 			</div>
										// 			<div id="barcodePrompt">
													
										// 			</div>
										// 		</div>

										// 		<div class="col-md-6">
										// 			<div class="input-group">
										// 				<span class="input-group-addon">
										// 					<i class="fa fa-barcode"></i>
										// 				</span>
										// 				<input id="serialNumber2" name="serialNumber2" placeholder="Input or Scan Item Serial Number here" disabled type="text" class="form-control">
										// 			</div>
										// 			<div id="serialPrompt">
														
										// 			</div>
										// 		</div>
										// 	';
										// }
									?>
											</div>
										</div>
									</header>
								</section>
							</div>

							<div class="col-md-12 panel-body" id="tempTrans">
							<?php
								if (isset($_POST['searchTrans'])) {
									echo '
										<div class="table-responsive">
											<table class="table invoice-items">
												<thead>
													<tr class="h5 text-dark">
														<th class="text-semibold">Qty</th>
														<th class="text-semibold">Item</th>
														<th class="text-semibold text-right">Sales Price</th>
														<th class="text-semibold text-right">Disc. Amount</th>
														<th class="text-semibold text-right">Disc. %</th>
														<th class="text-semibold text-right">Sub Total</th>
														<th class="text-semibold">Delete</th>
													</tr>
												</thead>
												<tbody>
									';
									$mySQL->query('SELECT USERNAME,TRANSTYPE,ITEMID,ITEMNAME,SALESPRICE,DISCPERCENT, DISCAMOUNT,
										  		SUM(QTY) QTY, 
										  		SUM(SUBTOTAL) SUBTOTAL
										  		FROM temp_transaction WHERE TRANSTYPE=:return AND USERNAME=:username 
										  		GROUP BY USERNAME,TRANSTYPE,ITEMID,ITEMNAME,SALESPRICE,DISCPERCENT,DISCAMOUNT');
									$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
									$mySQL->addParam(":return",'Return');
									$returnLines = $mySQL->resultSet();
									$totalCredit = 0;
									foreach ($returnLines as $returnLine) {
										$mySQL->query('SELECT SERIALIZED FROM table_inventtable WHERE ITEMID=:itemID');
										$mySQL->addParam(":itemID",$returnLine['ITEMID']);
										$serializedItem = $mySQL->singleResult();
										echo '
											<tr>
												<td>'.$returnLine['QTY'].'</td>
												<td class="text-semibold text-dark">
													'.($serializedItem[0] == 0 ? $returnLine['ITEMNAME'] : '<a onclick="showScannedSerials(\''.$returnLine['ITEMID'].'\');" href="#scannedSerial" data-toggle="modal">'.$returnLine['ITEMNAME'].'</a>').'
													
												</td>
												<td class="text-right">P'.number_format($returnLine['SALESPRICE'],2).'</td>
												<td class="text-right">P'.number_format($returnLine['DISCAMOUNT'],2).'</td>
												<td class="text-right">'.number_format($returnLine['DISCPERCENT'],2).'%</td>
												<td class="text-right">P'.number_format($returnLine['SUBTOTAL'],2).'</td>
												<td>
													<button onclick="deleteLine(\''.$returnLine['ITEMID'].'\',\''.$returnLine['ITEMNAME'].'\')" class="badge btn-danger"><i class="fa fa-trash-o"></i></button>
												</td>
											</tr>
										';
										$totalCredit = $totalCredit + $returnLine['SUBTOTAL'];
									}
									
									echo '
												</tbody>
											</table>
										</div>
										<div class="invoice-summary">
											<div class="row">
												<div class="col-sm-4 col-sm-offset-8">
													<table class="table h5 text-dark">
														<tbody>
												';
													if ($tranHeader['EWTINC']==1) {
														$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
											            $mySQL->addParam(":setup",'EWT');
											            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
											            $ewtMult = $mySQL->singleResult();

											            $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
											            $mySQL->addParam(":setup",'VAT');
											            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
											            $vatPercent = $mySQL->singleResult();

											            $ewtVatEx = $totalCredit / $vatPercent['VALUE'];
					               						$ewtAmount = ($ewtVatEx * $ewtMult['VALUE']);
					               						echo '
					               							<tr class="">
																<td class="text-right" colspan="2">EWT Amount</td>
																<td class="text-right">P'.number_format($ewtAmount,2).'</td>
															</tr>
					               						';
													}else{
														$ewtAmount = 0;
													}
												echo'
															<tr class="h4 text-danger">
																<td class="text-right" colspan="2">Total Credit</td>
																<td class="text-right">P'.number_format($totalCredit-$ewtAmount,2).'</td>
															</tr>
														</tbody>
													</table>
												</div>
											</div>
										</div>

										<div class="text-left pull-left">
											<button data-toggle="modal" data-target="#cancelTransaction" class="btn btn-danger"><i class="fa fa-times"></i>  Cancel Transaction</button>
										</div>

										<div class="text-right">
											<button '.($returnLines ? '' : 'disabled').' data-toggle="modal" data-target="#submitReturn" class="btn btn-primary"><i class="fa fa-credit-card"></i>  Submit </button>
										</div>
									';
								}


							?>
						  		
							</div>
						</div>
				</section>
			</div>







<!-- modals: start -->

<div class="modal fade" id="cancelTransaction" tabindex="-1" role="dialog" aria-labelledby="cancelTransaction" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title text-dark text-bold" id="myModalLabel">Cancel Transaction</h4>
			</div>
			<div class="modal-body">
				<div class="h4">Are you sure to cancel the transaction ?</div>
			</div>
			<div class="modal-footer">
				<button class="btn btn-default" data-dismiss="modal">Close</button>
				<a href="functions/terminateTransaction.php?type=Return" class="btn btn-danger"><i class="fa fa-times"></i> Cancel Transaction</a>
			</div>
		</div>
		
	</div>
</div>

<div class="modal fade" id="submitReturn" tabindex="-1" role="dialog" aria-labelledby="submitReturn" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title text-dark text-bold" id="myModalLabel">Submit Return Sales</h4>
			</div>
			<form method="post" action="functions/saveReturnSales.php">
			<div class="modal-body">
				<div class="h4">Are you sure to Submit return sales ?</div>
				<hr>
				<div class="row">
					<div class="col-sm-12">
						<div class="form-group">
							<label class="control-label">Return Reason:</label>
							<textarea name="reason" required class="form-control" placeholder="Input Return Reason"></textarea>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button class="btn btn-default" data-dismiss="modal">Close</button>
				<button name="returnSubmit" type="submit" class="btn btn-primary"><i class="fa fa-credit-card"></i> Submit</button>
			</div>
			</form>
		</div>
		
	</div>
</div>




<?php
	if ($validReturn == true) {
		echo '
			<div class="modal fade" id="allItems" tabindex="-1" role="dialog" aria-labelledby="allItems" aria-hidden="true">
				<div class="modal-dialog modal-lg">		
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
							<h4 class="modal-title" id="myModalLabel">Transaction Items</h4>
						</div>

						<div class="modal-body">
			  				<div class="table-responsove">
			  					<table class="table table-boredered display" id="">
			  						<thead>
			  							<tr>
			  								<th>Barcode</th>
				  							<th>Item Name</th>
				  							<th>Serial Number</th>
				  							<th>Sales Price</th>
				  							<th>Disc. Amt.</th>
				  							<th>Disc. %</th>
				  							<th>Sub Total</th>
				  							<th>Return</th>
			  							</tr>
			  						</thead>
			  						<tbody>
			';
				$mySQL->query('SELECT ln.*,it.ITEMNAME,it.SERIALIZED FROM table_transaction_lines ln
					LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY
					WHERE ln.TRANSACTIONID=:transID AND ln.STORE=:store AND ln.COMPANY=:company');
				$mySQL->addParam(":transID",$_POST['transactionNo']);
				$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
				$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
				$lines = $mySQL->resultSet();
				foreach ($lines as $line) {
					if ($line['SERIALIZED'] == 1) {
						$mySQL->query('SELECT DISTINCT SERIALNUMBER FROM table_serialnumber_available WHERE ITEMID=:itemID AND EAN=:ean AND CURREFERENCE=:curRef AND CURLOCATION=:curLocation AND COMPANY=:company');
						$mySQL->addParam(":itemID",$line['ITEMID']);
						$mySQL->addParam(":ean",$line['EAN']);
						$mySQL->addParam(":curRef",$_POST['transactionNo']);
						$mySQL->addParam(":curLocation",$_POST['transactionNo']);
						$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
						$serials = $mySQL->resultSet();
						foreach ($serials as $serial) {
							$mySQL->query('SELECT COUNT(1) FROM temp_transaction WHERE SERIALNUMBER=:serialNumber');
							$mySQL->addParam(":serialNumber",$serial['SERIALNUMBER']);
							$serialCount = $mySQL->singleResult();
							if ($serialCount[0] == 0) {
								echo '
									<tr>
		  								<td>'.$line['EAN'].'</td>
		  								<td>'.$line['ITEMNAME'].'</td>	
		  								<td>'.$serial['SERIALNUMBER'].'</td>
		  								<td class="text-right">P'.number_format($line['SALESPRICE'],2).'</td>
		  								<td class="text-right">P'.number_format($line['DISCAMOUNT'],2).'</td>
		  								<td class="text-right">'.number_format($line['DISCPERCENT'],2).'%</td>
		  								<td class="text-right">P'.number_format($line['SUBTOTAL'] / $line['QTY'],2).'</td>
		  								<td>
		  									<a href="functions/addReturnItem.php?id='.$line['RECID'].'&serialNumber='.$serial['SERIALNUMBER'].'" class="btn btn-xs btn-danger">Return</a>
		  								</td>
		  							</tr>
								';
							}
							
						}
					}else{
						$mySQL->query('SELECT COUNT(1) FROM temp_transaction WHERE ITEMID=:itemID AND USERNAME=:username AND TRANSTYPE=:return');
						$mySQL->addParam(":itemID",$line['ITEMID']);
						$mySQL->addParam(":return",'Return');
						$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
						$nonSerialCount = $mySQL->singleResult();

						$mySQL->query('SELECT SUM(ln.QTY) FROM table_return_header hdr JOIN table_return_lines ln ON hdr.RETURNID=ln.RETURNID AND hdr.COMPANY=ln.COMPANY WHERE hdr.TRANSACTIONID=:transactionID 
							AND ln.ITEMID=:itemID');
						$mySQL->addParam(":itemID",$line['ITEMID']);
						$mySQL->addParam(":transactionID",$_POST['transactionNo']);
						$returnedQty = $mySQL->singleResult();


						$totalReturn = $nonSerialCount[0] + $returnedQty[0];
						for ($i=0; $i < ($line['QTY'] - $totalReturn); $i++) { 
							echo '
								<tr>
	  								<td>'.$line['EAN'].'</td>
	  								<td>'.$line['ITEMNAME'].'</td>	
	  								<td></td>
	  								<td class="text-right">P'.number_format($line['SALESPRICE'],2).'</td>
	  								<td class="text-right">P'.number_format($line['DISCAMOUNT'],2).'</td>
	  								<td class="text-right">'.number_format($line['DISCPERCENT'],2).'%</td>
	  								<td class="text-right">P'.number_format($line['SUBTOTAL'] / $line['QTY'],2).'</td>
	  								<td>
	  									<a href="functions/addReturnItem.php?id='.$line['RECID'].'" class="btn btn-xs btn-danger">Return</a>
	  								</td>
	  							</tr>
							';
						}
					}
				}
			echo '
			  							
			  						</tbody>
			  					</table>
			  				</div>
			  			</div>
						
						
					</div>
					
				</div>
			</div>
		';
	}

?>








<div class="modal fade" id="scannedSerial" tabindex="-1" role="dialog" aria-labelledby="scannedSerial" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Scanned Serial Number</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="scannedSerialArea">

				
			</div>
			
		</div>
		
	</div>
</div>
<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->

		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();
			} );

			function deleteLine(itemID,ItemName){
				if (confirm('Are you sure to delete '+ItemName+' ?') == true) {
					var xmlhttp = new XMLHttpRequest();
					xmlhttp.onreadystatechange = function(){
						if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
							location.reload();
						}
					}
					xmlhttp.open('GET', 'functions/deleteTempItem.php?itemID='+itemID, true);
					xmlhttp.send();
				}
			}

			function showScannedSerials(itemID){
			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('scannedSerialArea');
			 			receiver.innerHTML = xmlhttp.responseText;
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'loads/showScannedSerials.php?itemID='+itemID, true);
			 	 xmlhttp.send();
			 }


			

		</script>
		
			
			
		
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>

		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>