<?php
if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'On Hand Stocks') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		if (isset($_POST['store']) && $_POST['storeCode'] != 'HQ') {
			$mySQL->query('SET SQL_BIG_SELECTS=1');
			$mySQL->execute();
			$mySQL->query('SELECT str.STORECODE,str.STORENAME,it.ITEMID,it.ITEMNAME,it.EAN,IFNULL(qty.AVAIL,0) AVAIL
						FROM table_inventtable it
						LEFT JOIN setup_stores str
							ON it.COMPANY=str.COMPANY
						LEFT JOIN table_inventsum qty
							ON qty.COMPANY=it.COMPANY
							AND qty.STORE=str.STORECODE
							AND qty.ITEMID=it.ITEMID
						WHERE it.COMPANY=:company AND str.STORECODE=:store');
			$mySQL->addParam(":store",$_POST['storeCode']);
			$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
			$rows = $mySQL->resultSet();
		}
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>On Hand Stocks</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cubes"></i>
									</a>
								</li>
								<li><span>On Hand Stocks</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="onhand">
								<div class="form-group">
									<div class="col-md-6">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-btn">
													<button class="btn btn-success" type="submit" name="store">Load</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Item List</h2>
							</header>





							<div class="panel-body hidden-sm hidden-xs">
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>STORE</th>
											<th>ITEMID</th>
											<th>BARCODE</th>
											<th>ITEM NAME</th>
											<th>ON HAND</th>
											<th>Transactions</th>
										</tr>
									</thead>
									<tbody>

								<?php
								if (isset($_POST['store']) && $_POST['storeCode'] != 'HQ') {
								
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['STORENAME'].'</td>
												<td>'.$row['ITEMID'].'</td>
												<td>'.$row['EAN'].'</td>
												<td>'.$row['ITEMNAME'].'</td>
												<td>'.$row['AVAIL'].'</td>
												<td>
													<button onclick="loadInventTrans(\''.$row['ITEMID'].'\',\''.$row['STORECODE'].'\')" data-toggle="modal" data-target="#inventTrans" class="badge btn-primary"><i class="fa fa-eye"></i> View Transaction/s</button>
												</td>

											</tr>
										';
									}
								}
								?>
									</tbody>
								</table>
							</div>






							<div class="panel-body visible-sm visible-xs">
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>ITEMID</th>
											<!-- <th>STORE</th>
											<th>ITEM NAME</th> -->
											<th>ON HAND</th> 
											<th>Transactions</th>
										</tr>
									</thead>
									<tbody>

								<?php
								if (isset($_POST['store']) && $_POST['storeCode'] != 'HQ') {
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>
													<div class="panel panel-accordion panel-accordion-primary">
														<div class="panel-heading">
															<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionPrimary" href="#item'.$row['ITEMID'].'">
																<i class="fa fa-plus"></i>
															</a> '.$row['ITEMID'].'
														</div>
														<div id="item'.$row['ITEMID'].'" class="accordion-body collapse">
															<div class="panel-body">
																<ul>
																	<li><strong>Store: </strong>'.$row['STORENAME'].'</li>
																	<li><strong>Item: </strong>'.$row['ITEMNAME'].'</li>
																</ul>
															</div>
														</div>
													</div>


												</td>
												<td>'.$row['QTY'].'</td>
												<td>
													<button onclick="loadInventTrans(\''.$row['ITEMID'].'\',\''.$row['STORECODE'].'\')" data-toggle="modal" data-target="#inventTrans" class="badge btn-primary"><i class="fa fa-eye"></i> View Transaction/s</button>
												</td>

											</tr>
										';
									}
								}
								?>
									</tbody>
								</table>
							</div>



















						</section>
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->



<div class="modal fade" id="inventTrans" tabindex="-1" role="dialog" aria-labelledby="inventTrans" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Item Transactions</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="transactions">
				
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();
			} );
			function loadInventTrans(itemID,store){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('transactions');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						});
					}
				}
				xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<!-- <script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		 -->
		<script src="classes/notifications.js"></script>


		
	</body>
</html>