<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Pre-Selling') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		$mySQL->query('SELECT * FROM table_presell_header WHERE COMPANY=:company');
		$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$rows = $mySQL->resultSet();

	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="preSellSaved" class="hidden"></button>
				<button id="preSellUpdated" class="hidden"></button>
				<button id="preSellAddFailed" class="hidden"></button>
				<button id="preSellDelete" class="hidden"></button>
				<button id="preSellDeleteItem" class="hidden"></button>
				<button id="preSellDeleteStore" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("preSellSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("preSellUpdated").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("preSellAddFailed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("preSellDelete").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("preSellDeleteItem").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(6)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("preSellDeleteStore").click();
				                });
				          	</script>';
					}
				}

				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Pre-Selling</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-external-link"></i>
									</a>
								</li>
								<li><span>Pre-Selling</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Pre-Selling List</h2>
							</header>
							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md">
											<button data-toggle="modal" data-target="#addNewStore" class="btn btn-primary"> Add New Pre-Selling <i class="fa fa-plus"></i></button>
										</div>

									</div>
								</div>
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>Pre-Selling</th>
											<th>Description</th>
											<th>From</th>
											<th>To</th>
											<th>Store Allocation & Items</th>
											<th>Update</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										$fDate = date_create($row['DATEFROM']);
										$tDate = date_create($row['DATETO']);
										echo '
											<tr>
												<td>'.$row['PRESELLINGNAME'].'</td>
												<td>'.$row['DESCRIPTION'].'</td>
												<td>'.date_format($fDate,'M d, Y').'</td>
												<td>'.date_format($tDate,'M d, Y').'</td>
											
												<td>
													<button onclick="loadDynamicPresellItems(\''.$row['PRESELLINGID'].'\')" data-toggle="modal" data-target="#psItems" class="btn btn-xs btn-primary"><i class="fa fa-eye"></i> Store Allocation & Items</button>
												</td>
												<td>
													<button onclick="loadDynamicPresell('.$row['RECID'].')" data-toggle="modal" data-target="#preSellEdit" class="btn btn-xs btn-primary"><i class="fa fa-edit"></i> Update</button>
													
												</td>

											</tr>
										';
									}

								?>
										

									</tbody>
								</table>
							</div>
						</section>
					<!-- end: page -->

							<!-- <td>
								<button onclick="loadDynamicPresellStores(\''.$row['PRESELLINGID'].'\')" data-toggle="modal" data-target="#psStores" class="btn btn-xs btn-primary"><i class="fa fa-eye"></i> Stores</button>
							</td> -->


				</section>
			</div>
























<!-- modals: start -->
<div class="modal fade" id="addNewStore" tabindex="-1" role="dialog" aria-labelledby="addNewStore" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add New Pre-Selling</h4>
			</div>
			<form action="functions/preSellSave.php" method="post">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Pre-Selling Name
								</span>
								<input name="preSellName" required type="text" class="form-control" placeholder="Input Pre-Selling Name">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Description
								</span>
								<input name="preSellDesc" required type="text" class="form-control" placeholder="Input Description">
							</div>
			 			</div>

			 			<div class="col-md-6">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									From
								</span>
								<input name="fromDate" required type="date" class="form-control">
							</div>
			 			</div>
			 			<div class="col-md-6">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									To
								</span>
								<input name="toDate" required type="date" class="form-control">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<label class="form-label text-bold">Mechanics: </label>
			 				<textarea name="mechanics" required class="form-control"></textarea>
			 			</div>
			 			
			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="savePreSell" class="btn btn-primary btn-sm">Save Pre-Selling</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="psStores" tabindex="-1" role="dialog" aria-labelledby="psStores" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Manage Pre-Selling Stores</h4>
			</div>
			<div class="modal-body">
				<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
				<div id="manageStores">
					
				</div>
			</div>
			
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="psItems" tabindex="-1" role="dialog" aria-labelledby="psItems" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Manage Pre-Selling Items</h4>
			</div>
				
			<div class="modal-body">
				<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
				<div id="manageItems">
					
				</div>
			</div>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="preSellEdit" tabindex="-1" role="dialog" aria-labelledby="preSellEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Update Pre-Selling</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editPreSell">
				
			</div>
		</div>
		
	</div>
</div>

<?php
	$mySQL->query('SELECT * FROM table_price_group');
	$prices = $mySQL->resultSet();
	foreach ($prices as $price) {
		echo '<input type="hidden" id="'.$price['ITEMID'].'" value="'.$price['AMOUNT'].'">';
	}

?>


<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script src="assets/javascripts/ajaxsubmit/ajax-jquery17.js"></script> 
    	<!-- <script src="assets/javascripts/ajaxsubmit/malsup.js"></script> -->
		
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
	
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		

		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>

		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="classes/notifications.js"></script>
		
    	<script type="text/javascript">
			function deletePreSellStore(recID,name){
				if (confirm('Are you sure to remove Store Allocation to '+name+' ?') == true) {
					window.location.href ='functions/deletePreSellStore.php?id='+recID;
				}
			}

			function deletePreSellItem(recID,name){
				if (confirm('Are you sure to remove '+name+' ?') == true) {
					window.location.href ='functions/deletePreSellItem.php?id='+recID;
				}
			}

			function changePriceValue(itemID){
				var price  = document.getElementById(itemID).value;
				document.getElementById('unitPrice').value = price;
				computePriceValue();
			}

			function computePriceValue(){
				var qty  = document.getElementById('qty').value;
				var unitPrice = document.getElementById('unitPrice').value
				var totalPrice = unitPrice * qty;
				document.getElementById('price').value = totalPrice;
			}



			function loadDynamicPresell(recID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editPreSell');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/preSellEditModal.php?id='+recID, true);
				xmlhttp.send();
			}

			function loadDynamicPresellItems(preSellId){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				//$.getScript("assets/javascripts/ajaxsubmit/ajax-jquery17.js");
				$.getScript("assets/javascripts/ajaxsubmit/malsup.js");
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('manageItems');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
					
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}

						}).apply(this, [ jQuery ]);

						$('#itemForm').submit(function(e){
							$('#addItem3').prop('disabled', true);
							$("#addItem3").html("Adding Item...");
			                if($('#preSellId').val()){
			                     e.preventDefault()
			                     $(this).ajaxSubmit({
			                         success: function(){
			                             loadDynamicPresellItems($('#preSellId').val());
			                         },
			                         resetForm: true
			                    }) 
			                }
			            });

			            $('#storeForm').submit(function(e){
			            	$('#addStore3').prop('disabled', true);
							$("#addStore3").html("Adding Store...");
			                if($('#preSellId2').val()){
			                     e.preventDefault()
			                     $(this).ajaxSubmit({
			                         success: function(){
			                             loadDynamicPresellItems($('#preSellId').val());
			                         },
			                         resetForm: true
			                    }) 
			                }
			            });
					}
				}
				xmlhttp.open('GET', 'loads/preSellItemModal.php?id='+preSellId, true);
				xmlhttp.send();
			}


			function loadDynamicPresellStores(preSellId){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('manageStores');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/preSellStoreModal.php?id='+preSellId, true);
				xmlhttp.send();
			}
			
		</script>

		


		
	</body>
</html>