<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Default Discount') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		
	}else{
		header('location: accesserror');
	}
}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView();' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>


				<button id="discountSaved" class="hidden"></button>
				<button id="discountUpdated" class="hidden"></button>
				<button id="discountAddFailed" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountUpdated").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountAddFailed").click();
				                });
				          	</script>';
					}
				}

				?>
				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Default Discount</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-tag"></i>
									</a>
								</li>
								<li><span>Default Discount</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
								<h2 class="panel-title">Default Discount</h2>
							</header>


							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md">
											<button data-toggle="modal" data-target="#addNewItem" class="btn btn-primary"> Add Default Discount <i class="fa fa-plus"></i></button>

										</div>
									</div>
								</div>
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>NAME</th>
											<th>FROM</th>
											<th>TO</th>
											<th>DISCOUNT AMT.</th>
											<th>DISCOUNT %</th>
											<!-- <th>STORES & ITEMS</th> -->
											<th>ACTION</th>

										</tr>
									</thead>
									<tbody>

								<?php
									$mySQL->query('SELECT DISTINCT PRICEDISCID,DISCOUNTNAME,DESCRIPTION,FROMDATE,TODATE,DISCAMOUNT,DISCPERCENT FROM table_price_discount WHERE COMPANY=:company');
									$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
									$rows = $mySQL->resultSet();
									foreach ($rows as $row) {
										$date1 = date_create($row['FROMDATE']);
										$date2 = date_create($row['TODATE']);
										echo '
											<tr>
												<td>'.$row['DISCOUNTNAME'].'</td>
												<td>'.date_format($date1,'m/d/Y').'</td>
												<td>'.date_format($date2,'m/d/Y').'</td>
												<td>P'.number_format($row['DISCAMOUNT'],2).'</td>
												<td>'.number_format($row['DISCPERCENT'],2).'</td>
												
												<td>
													<button onclick="loadDynamicPrice(\''.$row['PRICEDISCID'].'\')" data-toggle="modal" data-target="#priceDiscEdit" class="btn btn-xs btn-primary"><i class="fa fa-pencil"></i> Update</button>
												</td>

											</tr>
										';
									}
								?>
									</tbody>
								</table>
							</div>

										<!-- <td>
													<button onclick="loadStoreItem(\''.$row['PRICEDISCID'].'\')" data-toggle="modal" data-target="#storeItems" class="badge btn-primary"><i class="fa fa-eye"></i> View</button>
												</td> -->

											<!-- <td>
												<div class="switch switch-sm switch-primary">
													<input onchange="tagSerialized('.$row['RECID'].',this.checked);" type="checkbox" name="switch" data-plugin-ios-switch '.($row['SERIALIZED']==1 ? 'checked' : '').'>
												</div>
											</td> -->

						</section>
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->



<div class="modal fade" id="addNewItem" tabindex="-1" role="dialog" aria-labelledby="addNewItem" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add Default Discount</h4>
			</div>
			<form onsubmit="disbleSaveButton();" action="functions/priceDiscountSave.php" method="post">
			<input name="allStore" type="hidden" value="ALL">
			<input name="allItem" type="hidden" value="ALL">
			<div class="modal-body">
			 		<div class="row">


						<!-- <div class="form-group hidden">
							<div class="col-md-12">
								<div class="input-group">
									<span class="input-group-addon">
										<div class="checkbox-custom checkbox-success">
											<input name="allStore" onclick="selectAllStore(this.checked);" type="checkbox" id="allStore">
											<label for="checkboxExample3"><strong>All Stores</strong></label>
										</div>
									</span>
									<select id="stores" name="stores[]" multiple data-plugin-selectTwo class="form-control populate" class="form-control" required>
										<?php
											$mySQL->query('SELECT STORECODE,STORENAME FROM setup_stores');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
									</select>
								</div>
							</div>
						</div>

						<div class="form-group hidden">
							<div class="col-md-12">
								<div class="input-group">
									<span class="input-group-addon">
										<div class="checkbox-custom checkbox-success">
											<input name="allItem" onclick="selectAllItem(this.checked);" type="checkbox" id="allItem">
											<label for="checkboxExample4"><strong>All Item</strong></label>
										</div>
									</span>
									<select id="items" name="items[]" multiple data-plugin-selectTwo class="form-control populate" class="form-control" required>
										<?php
											$mySQL->query('SELECT ITEMID,ITEMNAME FROM table_inventtable');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option value="'.$userStore['ITEMID'].'">'.$userStore['ITEMID'].' - '.$userStore['ITEMNAME'].'</option>';
											}
										?>
									</select>
								</div>
							</div>
						</div> -->


						<div class="form-group">
							<div class="col-md-12">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Default Discount Name
									</span>
									<input name="pdName" required type="text" class="form-control" placeholder="Input Default Discount Name">
								</div>
				 			</div>

				 			<div class="col-md-12">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Description
									</span>
									<input name="pdDesc" required type="text" class="form-control" placeholder="Input Description">
								</div>
				 			</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Discount Amt.
									</span>
									<input name="pdAmount" required type="number" min="0.00" step="0.01" class="form-control" value="0.00">
								</div>
				 			</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Discount %
									</span>
									<input name="pdPercent" required type="number" min="0.00" max="100.00" step="0.01" class="form-control" value="0.00">
								</div>
				 			</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										From Date
									</span>
									<input name="pdFrom" value="<?php echo date('m/d/Y'); ?>" required type="date" class="form-control">
								</div>
				 			</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										To Date
									</span>
									<input name="pdTo" value="<?php echo date('m/d/Y'); ?>" required type="date" class="form-control">
								</div>
				 			</div>

						</div>
			 		</div>
			 	
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button id="savePD" type="submit" name="savePriceDiscount" class="btn btn-primary btn-sm">Save Default Discount</button>
			</div>
			</form>
			
		</div>
	</div>
</div>




<div class="modal fade" id="storeItems" tabindex="-1" role="dialog" aria-labelledby="storeItems" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Store/s & Item/s</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="itemStore">
		
			</div>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="priceDiscEdit" tabindex="-1" role="dialog" aria-labelledby="priceDiscEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Default Discount Update</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editPriceDisc">
		
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>

		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/forms/examples.advanced.form.js" /></script>
		
		<script src="classes/notifications.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();

			} );

			// function selectAllStore(checked){
		 //    	document.getElementById("allStore").checked = true;
		 //    	document.getElementById("stores").disabled = false;
		 //    	if (checked == true) {
		 //    		var elements = document.getElementById("stores").options;
			// 	    for(var i = 0; i < elements.length; i++){
			// 	      elements[i].selected = true;
			// 	    }
			// 	    document.getElementById("stores").disabled = true;
			// 	    document.getElementById("stores").required = false;
		 //    	}else{
		 //    		document.getElementById("stores").value = '';
		 //    		document.getElementById("stores").required = true;
 		//     	}
		    	
		 //    }

		 //    function selectAllItem(checked){
		 //    	document.getElementById("items").disabled = false;
		 //    	document.getElementById("allItem").checked = true;
		 //    	if (checked == true) {
		 //    		var elements = document.getElementById("items").options;
			// 	    for(var i = 0; i < elements.length; i++){
			// 	      elements[i].selected = true;
			// 	    }
			// 	    document.getElementById("items").disabled = true;
			// 	    document.getElementById("items").required = false;
		 //    	}else{
		 //    		document.getElementById("items").value = '';
		 //    		document.getElementById("items").required = true;
 		//     	}
		    	
		 //    }

		 //    function selectAllStore1(checked){
		 //    	document.getElementById("stores1").disabled = false;
		 //    	if (checked == true) {
		 //    		var elements = document.getElementById("stores1").options;
			// 	    for(var i = 0; i < elements.length; i++){
			// 	      elements[i].selected = true;
			// 	    }
			// 	    document.getElementById("stores1").disabled = true;
			// 	    document.getElementById("stores1").required = false;
		 //    	}else{
		 //    		document.getElementById("stores1").value = '';
		 //    		document.getElementById("stores1").required = true;
 		//     	}
		    	
		 //    }

		 //    function selectAllItem1(checked){
		 //    	document.getElementById("items1").disabled = false;
		 //    	if (checked == true) {
		 //    		var elements = document.getElementById("items1").options;
			// 	    for(var i = 0; i < elements.length; i++){
			// 	      elements[i].selected = true;
			// 	    }
			// 	    document.getElementById("items1").disabled = true;
			// 	    document.getElementById("items1").required = false;
		 //    	}else{
		 //    		document.getElementById("items1").value = '';
		 //    		document.getElementById("items1").required = true;
 		//     	}
		    	
		 //   }


		    
		    function disbleSaveButton(){
		    	document.getElementById("savePD").disabled = true;
		    	document.getElementById("savePD").innerHTML = 'Saving. Please Wait...';
		    
		    }

	
			function loadStoreItem(pdID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('itemStore');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/loadDiscountStoreItem.php?pdID='+pdID, true);
				xmlhttp.send();
			}

			function loadDynamicPrice(pdID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editPriceDisc');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {
								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/priceDiscEditModal.php?pdID='+pdID, true);
				xmlhttp.send();
			}

			// function tagSerialized(recID,status){
	  //           var xmlhttp = new XMLHttpRequest();
	  //           if(status==true){
	  //               xmlhttp.open('GET', 'functions/serializedItem.php?id='+recID+'&status=1', true);
	  //           }
	  //           else{
	  //               xmlhttp.open('GET', 'functions/serializedItem.php?id='+recID+'&status=0', true);
	  //           }
	  //           xmlhttp.send();
	            
	  //       }

	      
		</script>
		
	</body>
</html>