<?php
if (!isset($_POST['generateCollection'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
	$sDate = date_create($_POST['fromDate']);
	$sDate1 = date_create($_POST['toDate']);

	$mySQL->query('SELECT SUM(GROSSAMOUNT) SALESTOTAL,SUM(VATABLESALES) SALESVATABLE,SUM(VATAMOUNT) SALESVAT, SUM(EWTAMOUNT) SALESEWT, SUM(TOTALPAYABLE) TOTALSALES FROM table_transaction_header hdr 
		WHERE hdr.TRANSTYPE=:sales AND hdr.STORE=:storeCode AND TRANSACTIONDT BETWEEN :date1 AND :date2');
	$mySQL->addParam(":sales",'Sales');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$salesParam = $mySQL->singleResult();

	$mySQL->query('SELECT SUM(GROSSAMOUNT - VATABLESALES) VATEX FROM table_transaction_header 
		WHERE TRANSTYPE=:sales AND STORE=:storeCode AND VATINC=:zero AND TRANSACTIONDT BETWEEN :date1 AND :date2');
	$mySQL->addParam(":sales",'Sales');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$mySQL->addParam(":zero",0);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$vatExSales = $mySQL->singleResult();

	$mySQL->query('SELECT SUM(GROSSAMOUNT) RETURNTOTAL,SUM(VATABLESALES) RETURNVATABLE,SUM(VATAMOUNT) RETURNVAT,SUM(EWTAMOUNT) RETURNEWT, SUM(TOTALPAYABLE) TOTALRETURN FROM table_transaction_header hdr WHERE hdr.TRANSTYPE=:return AND hdr.STORE=:storeCode AND TRANSACTIONDT BETWEEN :date1 AND :date2');
	$mySQL->addParam(":return",'Return');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$returnParam = $mySQL->singleResult();

	$netGross = $salesParam['SALESTOTAL'] +  $returnParam['RETURNTOTAL'];
	$netVatable = $salesParam['SALESVATABLE'] + $returnParam['RETURNVATABLE'];
	$netVAT = $salesParam['SALESVAT'] + $returnParam['RETURNVAT'];
}



// reference the Dompdf namespace
use Dompdf\Dompdf;

// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->set_option('defaultFont', 'Arial');
ob_start();
?>
<!DOCTYPE html>
<html class="fixed">
	<head>
		<!-- Basic -->
		<meta charset="UTF-8">
		<title></title>
		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		
		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style>
            /** 
                Set the margins of the page to 0, so the footer and the header
                can be of the full height and width !
             **/
            @page {
                margin: 0cm 0cm;
            }

            /** Define now the real margins of every page in the PDF **/
            body {
                margin-top: 8cm;
                margin-left: 1cm;
                margin-right: 1cm;
                margin-bottom: 2cm;
            }

            /** Define the header rules **/
            header {
                position: fixed;
                top: 0cm;
                left: 0cm;
                right: 0cm;
                height: 3cm;
            }

            /** Define the footer rules **/
            footer {
                position: fixed; 
                bottom: 0cm; 
                left: 0cm; 
                right: 0cm;
                height: 2cm;
            }
        </style>
	</head>
	<body id="printPage" class="print-body text-bold">


		 <!-- Define header and footer blocks before your content -->
        <header>
        	<div style="margin: 0.5cm 0.5cm;" class="row">
        		<div class="col-md-4">
        			<img src="images/miLogo2.png" width="25%" height="55%">
        		</div>
        		<div class="text-right col-md-8" style="margin-top: -2cm;">
        			<p class="text-bold">
        				<?php echo $storeName['STORENAME']; ?> Collection Report<br>
        				<?php echo date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y') ?>
        			</p>
        			
        		</div>
        	</div>
            <table style="margin: 0.5cm 1cm;" class="table table-bordered">
       <?php
       		echo '
       			<tr>
					<th class="text-danger">SALES BREAKDOWN</th>
					<th class="text-right">Sales</th>
					<th class="text-right">Return</th>
					<th class="text-right">Net</th>
				</tr>

				<tr>
					<th>Gross</th>
					<td class="text-right">'.number_format($salesParam['SALESTOTAL'],2).'</td>
					<td class="text-right">'.number_format($returnParam['RETURNTOTAL'],2).'</td>
					<th class="text-right">'.number_format($netGross,2).'</td>
				</tr>
	
				<tr>
					<th>VAT</th>
					<td class="text-right">'.number_format($salesParam['SALESVAT'],2).'</td>
					<td class="text-right">'.number_format($returnParam['RETURNVAT'],2).'</td>
					<th class="text-right">'.number_format($netVAT,2).'</td>
				</tr>


				<tr>
					<th>Net of VAT</th>
					<td class="text-right">'.number_format($salesParam['SALESVATABLE'],2).'</td>
					<td class="text-right">'.number_format($returnParam['RETURNVATABLE'],2).'</td>
					<th class="text-right">'.number_format($netVatable,2).'</td>
				</tr>
	';
		if ($vatExSales['VATEX'] != 0 ) {
			echo '
				<tr>
					<th>VAT Exempt</th>
					<td class="text-right">'.number_format($vatExSales['VATEX'],2).'</td>
		 			<td class="text-right">'.number_format(0.00,2).'</td>
					<th class="text-right">'.number_format($vatExSales['VATEX'],2).'</td>
				</tr>
			';
		}
		if ($salesParam['SALESEWT'] != 0 || $returnParam['RETURNEWT'] != 0) {
			echo '
				<tr>
					<th>EWT</th>
					<td class="text-right">'.number_format($salesParam['SALESEWT'],2).'</td>
					<td class="text-right">'.number_format($returnParam['RETURNEWT'],2).'</td>
					<th class="text-right">'.number_format($salesParam['SALESEWT'] + $returnParam['RETURNEWT'],2).'</td>
				</tr>
			';
		}

	echo '		

				<tr>
					<th>Total Sales</th>
					<th class="text-right">'.number_format($salesParam['TOTALSALES'],2).'</th>
					<th class="text-right">'.number_format($returnParam['TOTALRETURN'],2).'</th>
					<th class="text-right">'.number_format($salesParam['TOTALSALES'] + $returnParam['TOTALRETURN'],2).'</th>
				</tr>
       		';

       ?>
           </table>
        </header>

        <!-- <footer style="background-color: #eeeeee;">
            <p class="text-center">Page footer Details</p>
        </footer> -->


        <main>
           	<table class="table table-bordered">
				<thead>
					<tr>
						<th class="text-danger">TENDER BREAKDOWN</th>
						<th class="text-right">Sales</th>
						<th class="text-right">Pre Sales</th>
						<th class="text-right">Refund</th>
						<th class="text-right">Total</th>
					</tr>
				</thead>
				<tbody>
		<?php
			$mySQL->query('SELECT tdr.TENDERTYPE,
			SUM(CASE WHEN hdr.TRANSTYPE=:sales THEN tdr.AMOUNT ELSE 0 END ) SALES,
			SUM(CASE WHEN hdr.TRANSTYPE=:return THEN tdr.AMOUNT ELSE 0 END ) RETURNREFUND,
			SUM(CASE WHEN hdr.TRANSTYPE=:preSales THEN tdr.AMOUNT ELSE 0 END ) PRESALES
			FROM table_transaction_header hdr JOIN table_transaction_tender tdr
			ON hdr.TRANSACTIONID=tdr.TRANSACTIONID AND hdr.COMPANY=tdr.COMPANY
			WHERE hdr.TRANSACTIONDT BETWEEN :date1 AND :date2 AND hdr.STORE=:storeCode
			GROUP BY tdr.TENDERTYPE
			');
			$mySQL->addParam(":storeCode",$_POST['store']);
			$mySQL->addParam(":sales",'Sales');
			$mySQL->addParam(":return",'Refund');
			$mySQL->addParam(":preSales",'PreSales');
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$sales = $mySQL->resultSet();
			$totalSales = 0;
			foreach ($sales as $row) {
				$total = ($row['SALES'] + $row['PRESALES']) + $row['RETURNREFUND'];
				echo '
					<tr>
						<th>'.$row['TENDERTYPE'].'</th>
						<td class="text-right">'.number_format($row['SALES'],2).'</td>
						<td class="text-right">'.number_format($row['PRESALES'],2).'</td>
						<td class="text-right">'.number_format($row['RETURNREFUND'],2).'</td>
						<th class="text-right">'.number_format($total,2).'</td>
					</tr>

				';
				$totalSales = $totalSales + $total;
			}
		?>
					<tr>
						<th colspan="4" class="text-right">Total Collection: </th>
						<th class="text-right"><?php echo number_format($totalSales,2) ?></th>
					</tr>
				</tbody>
           	</table>
        </main>
		

		

										
		
	
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
			
	</body>
</html>


<?php
$html = ob_get_clean();
$dompdf->loadHtml($html);

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('Letter', 'landscape');

// Render the HTML as PDF
$dompdf->render();

// Output the generated PDF to Browser
$dompdf->stream('Collection-Report.pdf',Array('Attachment'=>0));




?>