<?php
if (!isset($_POST['generateCollection'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;
}



// reference the Dompdf namespace
use Dompdf\Dompdf;

// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->set_option('defaultFont', 'Arial');
ob_start();
?>
<!DOCTYPE html>
<html class="fixed">
	<head>
		<!-- Basic -->
		<meta charset="UTF-8">
		<title></title>
		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		
		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style>
            /** 
                Set the margins of the page to 0, so the footer and the header
                can be of the full height and width !
             **/
            @page {
                margin: 0cm 0cm;
            }

            /** Define now the real margins of every page in the PDF **/
            body {
                margin-top: 2.5cm;
                margin-left: 1cm;
                margin-right: 1cm;
            }

            /** Define the header rules **/
            header {
                position: fixed;
                top: 0cm;
                left: 0cm;
                right: 0cm;
                height: 2cm;
            }

            /** Define the footer rules **/
            footer {
                position: fixed; 
                bottom: 0cm; 
                left: 0cm; 
                right: 0cm;
                height: 1.5cm;
            }
			table{
				width:100%;
			}
		
			
		
        </style>
	</head>
	<body id="printPage" class="print-body text-bold">


		 <!-- Define header and footer blocks before your content -->
		<?php 
			$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
			$mySQL->addParam(":storeCode",$_POST['store']);
			$storeName = $mySQL->singleResult();
			
			$sDate = date_create($_POST['fromDate']);
			$sDate1 = date_create($_POST['toDate']);
		
		
			echo '<header>
					<div style="margin: 0.5cm 0.5cm;" class="row">
						
						<div class="text-center" style="margin-top: -2cm;">
							<p class="text-bold">
								'.$storeName['STORENAME'].'<br>Detailed Collection Report<br>Period Covered
								'.date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y').'
							</p>
							
						</div>
					</div>
				</header></br>';
					
			$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
							WHERE store =:store
							AND TRANSTYPE =:type
							AND VATINC = 1
							AND transactiondt between :date1 and :date2
							');
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(":type",'Sales');
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$salesVal = $mySQL->singleResult();
			
			$salesVatable = $salesVal['AMOUNT'] / 1.12;
			$salesVat = ($salesVal['AMOUNT'] / 1.12) * 0.12;
			
			$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
							WHERE store =:store
							AND TRANSTYPE =:type
							AND VATINC = 1
							AND transactiondt between :date1 and :date2
							');
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(":type",'Return');
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$returnVal = $mySQL->singleResult();
			
			$returnVatable = $returnVal['AMOUNT'] / 1.12;
			$returnVat = ($returnVal['AMOUNT'] / 1.12) * 0.12;
			
			
			$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
							WHERE store =:store
							AND TRANSTYPE =:type
							AND VATINC = 1
							AND transactiondt between :date1 and :date2
							');
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(":type",'PreSales');
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$preSales = $mySQL->singleResult();
			
			$preSalesVatable = $preSales['AMOUNT'] / 1.12;
			$preSalesVat = ($preSales['AMOUNT'] / 1.12) * 0.12;
			
			$mySQL->query('SELECT sum( case TRANSTYPE when :sales then GROSSAMOUNT end ) as SALES
							,sum(case TRANSTYPE when :return then GROSSAMOUNT end ) as RET
							,sum(case TRANSTYPE when :presales then GROSSAMOUNT end) as PRESALE
							,count(1) RECORD
							FROM table_transaction_header
							WHERE store =:store
							AND VATINC = 0
							AND transactiondt between :date1 and :date2
							');
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(":sales",'Sales');
			$mySQL->addParam(":return",'Return');
			$mySQL->addParam(":presales",'PreSales');
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$vatEx = $mySQL->singleResult();
			
			$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
							WHERE store =:store
							AND TRANSTYPE in (:sales,:return,:presale)
							AND transactiondt between :date1 and :date2
							');
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(":presale",'PreSales');
			$mySQL->addParam(":return",'Return');
			$mySQL->addParam(":sales",'Sales');
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$totalSales = $mySQL->singleResult();	
			
			echo'<hr>
				<h4><b>A. Sales Summary</b></h4>
				<table class="table-bordered table-striped" id="">
					<thead>
						<tr>
							<th class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
							<th class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
							<th class="text-center" style="background-color:#34495E;color:#fff">Pre Sales</th>
							<th class="text-center" style="background-color:#34495E;color:#fff">Approved Return</th>
							<th class="text-center" style="background-color:#34495E;color:#fff">Total Sales</th>
						</tr>
						<tr>
							<th colspan=5 class="text-danger">Sales Breakdown:</th>
						</tr>
			
						<tr>
							<th>Vatable Sales</th>
							<td class="text-right">'.number_format($salesVatable,2,'.',',').'</td>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($returnVatable*-1,2,'.',',').'</td>
							<td class="text-right">'.number_format($salesVatable+$returnVatable,2,'.',',').'</td>
						</tr>
						
						<tr>
							<th>Vat</th>
							<td class="text-right">'.number_format($salesVat,2,'.',',').'</td>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($returnVat*-1,2,'.',',').'</td>
							<td class="text-right">'.number_format($salesVat+$returnVat,2,'.',',').'</td>
						</tr>';
			
			
			
			if ($vatEx['RECORD'] != 0) {
					
					
					echo '
						<tr>
							<th>VatEx</th>
							<td class="text-right">'.number_format($vatEx['SALES'],2,'.',',').'</td>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($vatEx['RET']*-1,2,'.',',').'</td>
							<td class="text-right">'.number_format($vatEx['SALES']+$vatEx['RET'],2,'.',',').'</td>
						</tr>
					';
			} 
					

					
				echo	'<tr>
							<th class="text-danger">Total</th>
							<td class="text-right">'.number_format($salesVal['AMOUNT'],2,'.',',').'</td>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($returnVal['AMOUNT']*-1,2,'.',',').'</td>
							<td class="text-right">'.number_format($salesVal['AMOUNT']+$returnVal['AMOUNT'],2,'.',',').'</td>
						</tr>
						<tr>
							<th>&nbsp;</th>
							<td class="text-right"></td>
							<td class="text-right"></td>
							<td class="text-right"></td>
							<td class="text-right"></td>
						</tr>
						<tr>
							<th>Advance Payment</th>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($preSales['AMOUNT'],2,'.',',').'</td>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($preSales['AMOUNT'],2,'.',',').'</td>
						</tr>
						<tr>
							<th>&nbsp;</th>
							<td class="text-right"></td>
							<td class="text-right"></td>
							<td class="text-right"></td>
							<td class="text-right"></td>
						</tr>
						<tr>
							<th class="text-left" style="background-color:#34495E;color:#fff">Total Amount Collected</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($salesVal['AMOUNT']+$vatEx['SALES'],2,'.',',').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($preSales['AMOUNT']+$vatEx['PRESALE'],2,'.',',').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format(($returnVal['AMOUNT']+$vatEx['RET'])*-1,2,'.',',').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($totalSales['AMOUNT'],2,'.',',').'</th>
							
						</tr>
					</thead>
				</table>';
				
				$mySQL->query("SELECT PAYMENTTYPE,SUM(SALES) SALES,SUM(REFUND) REFUND
								FROM (
								SELECT RECID,PAYMENTTYPE,0 SALES,0 REFUND FROM app_payment_types 
								UNION ALL
								SELECT ptype.RECID,tender.TENDERTYPE,SUM(tender.AMOUNT) SALES, 0 REFUND FROM table_transaction_header hdr
								LEFT JOIN table_transaction_tender tender ON tender.TRANSACTIONID = hdr.TRANSACTIONID
								LEFT JOIN app_payment_types ptype ON ptype.PAYMENTTYPE = tender.TENDERTYPE
								WHERE hdr.STORE= :store
								AND hdr.TRANSTYPE IN ('Sales','PreSales')
								AND hdr.TRANSACTIONDT BETWEEN :date1 and :date2
								GROUP BY tender.TENDERTYPE,ptype.RECID
								UNION ALL
								SELECT ptype.RECID,tender.TENDERTYPE,0 SALES, SUM(tender.AMOUNT) REFUND FROM table_transaction_header hdr
								LEFT JOIN table_transaction_tender tender ON tender.TRANSACTIONID = hdr.TRANSACTIONID
								LEFT JOIN app_payment_types ptype ON ptype.PAYMENTTYPE = tender.TENDERTYPE
								WHERE hdr.STORE=:store
								AND hdr.TRANSTYPE IN ('Refund')
								AND hdr.TRANSACTIONDT BETWEEN :date1 and :date2
								GROUP BY tender.TENDERTYPE,ptype.RECID
								) src
								GROUP BY PAYMENTTYPE
								ORDER BY RECID");
								
				$mySQL->addParam(":store",$_POST['store']);
				$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
				$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
				$tenderParam = $mySQL->resultSet();	
				$collectedSale = 0;
				$collectedRefund = 0;
						
				
				echo'	
				<hr>
					<h4><b>B. Collection Summary</b></h4>
					<table class="table-bordered table-striped" id="">
						<thead>
							<tr>
								<th class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Approved Refund</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">TOTAL</th>
							</tr>
						</thead>
						<tbody>	
							<tr>
								<th colspan=4 class="text-danger">Tender Breakdown:</th>
							</tr>';
				foreach($tenderParam as $tender)
				{
					$collectedSale = $collectedSale + $tender['SALES'];
					$collectedRefund = $collectedRefund + $tender['REFUND'];
					echo"<tr>
								<td  class='text-left'>".(($tender['PAYMENTTYPE'] == 'RETURN CREDIT') ? $tender['PAYMENTTYPE'].' (USED)':$tender['PAYMENTTYPE'])."</td>
								<td  class='text-right'>".(($tender['SALES'] != 0) ?number_format($tender['SALES'],2,'.',',') : '')."</td>
								<td  class='text-right'>".(($tender['REFUND'] != 0) ?number_format($tender['REFUND']*-1,2,'.',',') : '')."</td>
								<td  class='text-right'>".((($tender['REFUND']+$tender['SALES']) != 0) ?number_format(($tender['REFUND']+$tender['SALES']),2,'.',',') : '')."</td>
						</tr>
					";
				} 
			 	
			 echo '
						<tr>
							<th class="text-left" style="background-color:#34495E;color:#fff">Total Collection</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($collectedSale!=0)?number_format($collectedSale,2,'.',','):'').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($collectedRefund!=0)?number_format($collectedRefund*-1,2,'.',','):'').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(number_format($collectedRefund+$collectedSale,2,'.',',')).'</th>
						</tr>
						</tbody>
				</table>';  
			
			$mySQL->query("SELECT ret.RETURNID,hdr.TRANSACTIONDT,tender.AMOUNT,ret.CREATEDDT CREATED,log.CREATEDDT APPROVED FROM table_transaction_header hdr
							LEFT JOIN table_transaction_tender tender ON tender.TRANSACTIONID = hdr.TRANSACTIONID
							LEFT JOIN table_return_header ret on ret.RETURNID = tender.REFERENCE
							left join table_return_logs log on log.RETURNID = ret.RETURNID and log.STATUS ='Approved'
							WHERE hdr.STORE=:store
							AND hdr.TRANSTYPE IN ('Sales')
							AND tender.TENDERTYPE ='RETURN CREDIT'
							AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
							GROUP BY tender.TENDERTYPE");
				$mySQL->addParam(":store",$_POST['store']);
				$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
				$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
				$usedCredit = $mySQL->resultSet();	
				$totalUsed;
			echo '<hr>
					<h4><b>C. Return Credits (Used)</b></h4>
			<table class="table-bordered table-striped" id="">
						<thead>
							<tr>
								<th class="text-center" style="background-color:#34495E;color:#fff">Return ID</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Amount</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Date Created</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Date Approved</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Date Applied</th>
							</tr>
						</thead>
						<tbody>	';
			foreach($usedCredit as $used)
			{
				$totalUsed = $totalUsed  + $used['AMOUNT'];
				echo '<tr>
							<td class="text-left">'.$used['RETURNID'].'</td>
							<td class="text-right">'.number_format($used['AMOUNT'],2,'.',',').'</td>
							<td class="text-right">'.date_format(date_create($used['CREATED']),'M d,Y').'</td>
							<td class="text-right">'.(isset($used['APPROVED'])?date_format(date_create($used['APPROVED']),'M d,Y'):'').'</td>
							<td class="text-right">'.(isset($used['TRANSACTIONDT'])?date_format(date_create($used['TRANSACTIONDT']),'M d,Y'):'').'</td>
						</tr>';
			}
			echo '
					<tr>
						<th class="text-left" style="background-color:#34495E;color:#fff">Totals</th>
						<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($totalUsed,2,'.',',').'</th>
						<th></th>
						<th></th>
						<th></th>
					</tr>
					</tbody>
				</table>';		
				
			$mySQL->query("SELECT hdr.RETURNID,hdr.CREDITEDAMOUNT AMOUNT, hdr.STATUS,hdr.CREATEDDT CREATED,logs.CREATEDDT APPROVED FROM `table_return_header` hdr
					left join `table_return_logs` `logs` on logs.RETURNID = hdr.RETURNID and logs.STATUS = hdr.STATUS
					where hdr.STATUS not in ('Used','Refunded','Disapproved')  
					and hdr.CREDITEDAMOUNT > 0
					and hdr.STORE =:store
					ORDER BY `hdr`.`TRANSACTIONDT` DESC");
			$mySQL->addParam(":store",$_POST['store']);
			$pendingCredit = $mySQL->resultSet();	
			
			echo '<hr>
					<h4><b>D. Return Credits (Pending)</b></h4>
			<table class="table-bordered table-striped" id="">
						<thead>
							<tr>
								<th class="text-center" style="background-color:#34495E;color:#fff">Return ID</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Amount</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Date Created</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Date Approved</th>
								<th class="text-center" style="background-color:#34495E;color:#fff">Status</th>
							</tr>
						</thead>
						<tbody>	';
			foreach($pendingCredit as $pending)
			{
				echo '<tr>
							<td class="text-left">'.$pending['RETURNID'].'</td>
							<td class="text-right">'.number_format($pending['AMOUNT'],2,'.',',').'</td>
							<td class="text-right">'.date_format(date_create($pending['CREATED']),'M d,Y').'</td>
							<td class="text-right">'.(isset($pending['APPROVED'])?date_format(date_create($pending['APPROVED']),'M d,Y'):'').'</td>
							<td class="text-right">'.$pending['STATUS'].'</td>
						</tr>';
			}
			echo '</tbody>
				</table>';	
				
			echo '
				<hr>
				<table class="table table-bordered table-striped" id="">
						<thead>
							<tr>
								<th class="text-left" style="background-color:#34495E;color:#fff">Net Variance: (A = B - C) </th>
								<th class="text-center" style="background-color:#34495E;color:#fff">'.number_format(($totalSales['AMOUNT']-(($collectedRefund+$collectedSale)-$totalUsed)),2,'.',',').'</th>
							</tr>
						</thead>
				</table>';
		?>
		
       <footer style="margin-left:20px;">
            <p class="text-left">Printed By: <?php echo $_SESSION['MI-KIOSK_USER-ONLINE']?>
			<br>Date and Time: <?php echo date_format(date_create(),'m/d/Y h:i:s a');?></p>
        </footer> 


      
		

		

										
		
	
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
			
	</body>
</html>


<?php
$html = ob_get_clean();
$dompdf->loadHtml($html);

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('Letter', 'Portrait');

// Render the HTML as PDF
$dompdf->render();

// Output the generated PDF to Browser
$dompdf->stream('DetailedCollection-Report.pdf',Array('Attachment'=>0));




?>