<?php
if (!isset($_POST['generateCollection'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
	
	$sDate = date_create($_POST['fromDate']);
	$sDate1 = date_create($_POST['toDate']);

	$mySQL->query('SELECT SUM(GROSSAMOUNT) SALESTOTAL,SUM(VATABLESALES) SALESVATABLE,SUM(VATAMOUNT) SALESVAT, SUM(EWTAMOUNT) SALESEWT, SUM(TOTALPAYABLE) TOTALSALES FROM table_transaction_header hdr 
				WHERE hdr.TRANSTYPE=:sales and VATINC = 1 and hdr.STORE = :store AND TRANSACTIONDT BETWEEN :date1 AND :date2');
	$mySQL->addParam(":sales",'Sales');
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$salesParam = $mySQL->singleResult();

	$mySQL->query('SELECT SUM(GROSSAMOUNT - VATABLESALES) VATEX FROM table_transaction_header 
				WHERE TRANSTYPE=:sales AND STORE=:store AND VATINC=:zero AND TRANSACTIONDT BETWEEN :date1 AND :date2');
	$mySQL->addParam(":sales",'Sales');
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":zero",0);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$vatExSales = $mySQL->singleResult();
	
	$mySQL->query("SELECT 
					sum(case STATUS when 'Approved' or 'Refunded' then CREDITEDAMOUNT else 0 end) as APPROVEDRETURN
					,sum(case STATUS when 'Pending' then CREDITEDAMOUNT else 0 end) as PENDINGRETURN
					FROM `table_return_header` ret
					left join `table_transaction_header` hdr on hdr.TRANSACTIONID = ret.TRANSACTIONID 
				WHERE ret.STORE=:store and hdr.VATINC = 0 AND ret.TRANSACTIONDT between :date1 and :date2");
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$vatExRet = $mySQL->singleResult(); 

	 $mySQL->query("SELECT 
						sum(case STATUS when 'Approved' or 'Refunded' then CREDITEDAMOUNT else 0 end) as APPROVEDRETURN
						,sum(case STATUS when 'Pending' then CREDITEDAMOUNT else 0 end) as PENDINGRETURN
						FROM `table_return_header` ret
						left join `table_transaction_header` hdr on hdr.TRANSACTIONID = ret.TRANSACTIONID 
					WHERE ret.STORE=:store and hdr.VATINC = 1 AND ret.TRANSACTIONDT between :date1 and :date2");
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$returnParam = $mySQL->singleResult(); 
	
	$mySQL->query("SELECT SUM(GROSSAMOUNT) PRESALESTOTAL,SUM(VATABLESALES) SALESVATABLE,SUM(VATAMOUNT) SALESVAT, SUM(EWTAMOUNT) SALESEWT, SUM(TOTALPAYABLE) TOTALSALES 
							FROM table_transaction_header hdr 
							left join `table_presales` pre on pre.TRANSACTIONID = hdr.TRANSACTIONID 
							WHERE hdr.TRANSTYPE=:sales and (ifnull(cast(pre.CLAIMEDDATE as date),'') not between :date1 and :date2)  AND hdr.STORE = :store AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2");
	$mySQL->addParam(":sales",'PreSales');
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$presalesParam = $mySQL->singleResult();
	
	$mySQL->query('select sum(GROSSAMOUNT)*-1 as NegAdv from `table_transaction_header` hdr
					left join `table_presales` pre on hdr.TRANSACTIONID = pre.PRESALESID
					where
					hdr.TRANSTYPE = :sales
					and hdr.STORE = :store
					and cast(pre.CLAIMEDDATE as date) between :date1 and :date2
					and pre.TRANSACTIONDT not between :date1 and :date2');
	$mySQL->addParam(":sales",'Sales');
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$negAdv = $mySQL->singleResult();
	
	$mySQL->query("select 
					sum(ret.CreditedAmount)*-1 as ApprovedRet
			from `table_return_header` ret
			left join `app_payment_types` types on types.PAYMENTTYPE = 'Return Credit'
			where ret.TRANSACTIONDT between :date1 and :date2
			and ret.STORE = :store
			and ret.STATUS = 'Refunded'");
	$mySQL->addParam(":store",$_POST['store']);
	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$refund = $mySQL->singleResult();	

	//$netGross = $salesParam['SALESTOTAL'] +  $returnParam['RETURNTOTAL'];
	//$netVatable = $salesParam['SALESVATABLE'] + $returnParam['RETURNVATABLE'];
	//$netVAT = $salesParam['SALESVAT'] + $returnParam['RETURNVAT'];
	$vatEx = $vatExSales['VATEX'];
	$vatExRetA = $vatExRet['APPROVEDRETURN'];
	$vatExRetP = $vatExRet['PENDINGRETURN'];
	$vatExTot = $vatEx - ($vatExRetA);
	
	
	$vatableSales = $salesParam['SALESTOTAL']/1.12;
	$vatableReturnA = $returnParam['APPROVEDRETURN']/1.12;
	$vatableReturnP = $returnParam['PENDINGRETURN']/1.12;
	$netVatable = $vatableSales - ($vatableReturnA);
	
	$vatSales = ($salesParam['SALESTOTAL']/1.12)*0.12;
	$vatReturnA = ($returnParam['APPROVEDRETURN']/1.12)*0.12;
	$vatReturnP = ($returnParam['PENDINGRETURN']/1.12)*0.12;
	$netVat= ($vatSales - ($vatReturnA));
}



// reference the Dompdf namespace
use Dompdf\Dompdf;

// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->set_option('defaultFont', 'Arial');
ob_start();
?>
<!DOCTYPE html>
<html class="fixed">
	<head>
		<!-- Basic -->
		<meta charset="UTF-8">
		<title></title>
		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		
		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style>
            /** 
                Set the margins of the page to 0, so the footer and the header
                can be of the full height and width !
             **/
            @page {
                margin: 0cm 0cm;
            }

            /** Define now the real margins of every page in the PDF **/
            body {
                margin-top: 2.5cm;
                margin-left: 1cm;
                margin-right: 1cm;
            }

            /** Define the header rules **/
            header {
                position: fixed;
                top: 0cm;
                left: 0cm;
                right: 0cm;
                height: 2cm;
            }

            /** Define the footer rules **/
            footer {
                position: fixed; 
                bottom: 0cm; 
                left: 0cm; 
                right: 0cm;
                height: 1.5cm;
            }
			table{
				width:100%;
			}
		
			
		
        </style>
	</head>
	<body id="printPage" class="print-body text-bold">


		 <!-- Define header and footer blocks before your content -->
        <header>
        	<div style="margin: 0.5cm 0.5cm;" class="row">
        		
        		<div class="text-center" style="margin-top: -2cm;">
        			<p class="text-bold">
        				<?php echo $storeName['STORENAME']; ?><br>Collection Report<br>Period Covered
        				<?php echo date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y') ?>
        			</p>
        			
        		</div>
        	</div>
        </header>
		
		<table class="table-bordered table-striped" id="">
			<thead>
				<tr>
					<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
					<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
					<th colspan=2 class="text-center" style="background-color:#34495E;color:#fff">Return</th>
					<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Pre Sales</th>
					<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Net Sales/Collection</th>
				</tr>
				<tr>
					<th class="text-center" style="background-color:#34495E;color:#fff">Approved</th>
					<th class="text-center" style="background-color:#34495E;color:#fff">Unapproved</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td colspan=6 class="text-danger">Sales Breakdown:</td>
				</tr>
				<tr>
					<td>Vatable Sales</td>
					<td class="text-right"><?php echo number_format($vatableSales,2,'.',','); ?></td>
					<td class="text-right"><?php echo number_format($vatableReturnA,2,'.',','); ?></td>
					<td class="text-right"><?php echo number_format($vatableReturnP,2,'.',','); ?></td>
					<td class="text-right"></td>
					<td class="text-right"><?php echo number_format($netVatable,2,'.',','); ?></td>
				</tr>
				
				<tr>
					<td>Vat</td>
					<td class="text-right"><?php echo number_format($vatSales,2,'.',','); ?></td>
					<td class="text-right"><?php echo number_format($vatReturnA,2,'.',','); ?> </td>
					<td class="text-right"><?php echo number_format($vatReturnP,2,'.',','); ?></td>
					<td class="text-right"></td>
					<td class="text-right"><?php echo number_format($netVat,2,'.',','); ?></td>
				</tr>
				<?php 
					if ($vatExSales['VATEX'] != 0 ) {
					echo '<tr>
							<td>VatEx</td>
							<td class="text-right">'.number_format($vatEx,2,".",",").'</td>
							<td class="text-right">'.number_format($vatExRetA,2,".",",").'</td>
							<td class="text-right">'.number_format($vatExRetP,2,".",",").'</td>
							<td class="text-right"></td>
							<td class="text-right">'.number_format($vatExTot,2,".",",").'</td>
						</tr>';
					} 
				?>
				<tr>
					<td class="text-danger">Total</td>
					<td class="text-danger text-right"><?php echo number_format($vatSales+$vatableSales+$vatEx,2,'.',','); ?></td>
					<td class="text-danger text-right"><?php echo number_format($vatReturnA+$vatableReturnA+$vatExRetA,2,'.',','); ?></td>
					<td class="text-danger text-right"><?php echo number_format($vatReturnP+$vatableReturnP+$vatExRetP,2,'.',','); ?></td>
					<td class="text-danger text-right"></td>
					<td class="text-right"><?php echo number_format($netVat+$netVatable+$vatExTot,2,'.',','); ?></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
				</tr>
				<tr>
					<td>Advance Payment</td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"><?php echo number_format($presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',','); ?></td>
					<td class="text-right"><?php echo number_format($presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',','); ?></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
					<td class="text-right"></td>
				</tr>
				<tr>
					<td class="text-left" style="background-color:#34495E;color:#fff">Total Amount Collected</td>
					<td class="text-right" style="background-color:#34495E;color:#fff"><?php echo number_format($vatSales+$vatableSales+$vatEx,2,'.',','); ?></td>
					<td class="text-right" style="background-color:#34495E;color:#fff"><?php echo number_format($vatReturnA+$vatableReturnA+$vatExRetA,2,'.',','); ?></td>
					<td class="text-right" style="background-color:#34495E;color:#fff"><?php echo number_format($vatReturnP+$vatableReturnP+$vatExRetP,2,'.',','); ?></td>
					<td class="text-right" style="background-color:#34495E;color:#fff"><?php echo number_format($presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',','); ?></td>
					<td class="text-right" style="background-color:#34495E;color:#fff"><?php echo number_format($netVat+$netVatable+$vatExTot+$presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',','); ?></td>
					
				</tr>
			</tbody>
		</table>
		<br>
		<?php 
			$mySQL->query("select PAYMENTTYPE,sum(Sales) as Sales, sum(Presell) as Presale, sum(ReturnAp) as ApprovedRet, sum(ReturnPen) as PendingRet from 
							(
							select PAYMENTTYPE,0 Sales,0 Presell,0 ReturnAp,0 ReturnPen,RECID from `app_payment_types` 
							union all
							select 
								tender.TENDERTYPE 
								,ifnull(tender.AMOUNT,0) as Sales
								,0 as Pres
								,0 as RetAp
								,0 as RetPen
								,types.RECID
							from `table_transaction_header` hdr
							left join `table_transaction_tender` tender on tender.TRANSACTIONID = hdr.TRANSACTIONID
							left join `app_payment_types` types on types.PAYMENTTYPE = tender.TENDERTYPE
							where hdr.TRANSTYPE = 'Sales'
							and hdr.STORE = :store
							and tender.TENDERTYPE is not null
							and hdr.TRANSACTIONDT between :date1 and :date2
							union all

							select 
								tender.TENDERTYPE 
								,ifnull(tender.AMOUNT,0) as Sales
								,0 as Pres
								,0 as RetAp
								,0 as RetPen
								,types.RECID
							from `table_transaction_header` hdr
							left join `table_presales` presales on presales.PRESALESID = hdr.TRANSACTIONID 
							left join `table_transaction_tender` tender on tender.TRANSACTIONID = presales.TRANSACTIONID
							left join `app_payment_types` types on types.PAYMENTTYPE = tender.TENDERTYPE 
							where hdr.TRANSTYPE = 'Sales'
							and hdr.STORE = :store
							and hdr.TRANSACTIONDT between :date1 and :date2
							and presales.TRANSACTIONDT between :date1 and :date2
							and cast(presales.CLAIMEDDATE as date) between :date1 and :date2
							and tender.TENDERTYPE is not null

							union all

							SELECT CASE ret.Status WHEN 'Approved' THEN 'Cash' ELSE 'RETURN CREDIT' END AS PaymentType
								,0 AS Sales
								,0 AS Presale
								,SUM(CASE ret.Status WHEN 'Approved' THEN ret.CreditedAmount ELSE 0 END) AS ApprovedRet
								,SUM(CASE ret.Status WHEN 'Pending' THEN ret.CreditedAmount ELSE 0 END) AS PendingRet
								,CASE ret.Status WHEN 'Approved' THEN 1 ELSE 26 END AS RECID
							FROM `table_return_header` ret
							WHERE ret.TRANSACTIONDT BETWEEN :date1 AND :date2
							AND ret.STORE = :store
							AND ret.STATUS IN ('Approved','Pending')
							GROUP BY ret.Status
							
							union all
							select tender.TENDERTYPE
								,0 as Sales
								,tender.AMOUNT as Presale
								,0 as RetAp
								,0 as RetPen
								,types.RECID
							from `table_presales` pre
							left join `table_transaction_tender` tender on tender.TRANSACTIONID = pre.TRANSACTIONID
							left join `app_payment_types` types on types.PAYMENTTYPE = tender.TENDERTYPE
							where pre.STORE = :store
							and pre.TRANSACTIONDT between :date1 and :date2
							and ifnull(cast(pre.CLAIMEDDATE as date),'') not between  :date1 and :date2
							) src
							where PAYMENTTYPE is not null
							group by PAYMENTTYPE,RECID
							order by RECID
							");
							
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
			$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
			$tenderParam = $mySQL->resultSet();	
			
			echo'	
				<table class="table-bordered table-striped" id="">
					<thead>
						<tr>
							<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
							<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
							<th colspan=2 class="text-center" style="background-color:#34495E;color:#fff">Return</th>
							<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Pre Sales</th>
							<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">TOTAL</th>
						</tr>
						<tr>
							<th class="text-center" style="background-color:#34495E;color:#fff">Approved</th>
							<th class="text-center" style="background-color:#34495E;color:#fff">Unapproved</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<th colspan=6 class="text-danger">Tender Breakdown:</th>
						</tr>';
					$gtotal=0;
					$sales=0;
					$retA =0;
					$retP =0;
					$presale=0;
					foreach($tenderParam as $tender)
					{
						
						if($tender['PAYMENTTYPE'] == 'CASH')
						{
							$refundS = (($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'');
							$total 		= $tender['Sales']+$tender['Presale'] + $refund['ApprovedRet'];
						}
						else 
						{
							$refundS = "";
							$total 		= $tender['Sales']+$tender['Presale'];
						}
						//$total 		= $tender['Sales']+$tender['Presale'];
						$gtotal	 	= $gtotal + $total;
						$sales 		= $sales + $tender['Sales'];
						$retA 		= $retA + $tender['ApprovedRet'];
						$retP 		= $retP + $tender['PendingRet'];
						$presale 	= $presale + $tender['Presale'];
					/* 	if($tender['PAYMENTTYPE'] == 'CASH')
						{
							$refundS = (($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'');
						}
						else 
						{
							$refundS = "";
						} */
						
						echo "<tr>
								<td class='text-left'>".$tender['PAYMENTTYPE']."</td>
								<td class='text-right'>".(($tender['Sales']!=0)? number_format($tender['Sales'],2,'.',','):'')."</td>
								<td class='text-right'>".$refundS."</td>
								<td class='text-right'>".(($tender['PendingRet']!=0)?number_format($tender['PendingRet'],2,'.',','):'')."</td>
								<td class='text-right'>".(($tender['Presale']!=0)?number_format($tender['Presale'],2,'.',','):'')."</td>
								<td class='text-right'>".(($total!=0)?number_format($total,2,'.',','):'')."</td>
							</tr>";
					}
					
					/* echo "<tr>
							<td class='text-left'>REFUND</td>
							<td class='text-right'></td>
							<td class='text-right'>".(($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'')."</td>
							<td class='text-right'></td>
							<td class='text-right'></td>
							<td class='text-right'>".(($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'')."</td>
						</tr>";
						 */
					$gtotal = $gtotal;
					
			echo	'
						<tr>
							<th class="text-left" style="background-color:#34495E;color:#fff">Total Collection</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($sales!=0)?number_format($sales,2,'.',','):'').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($refund['ApprovedRet']!=0)?number_format($refund['ApprovedRet'],2,'.',','):'').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($retP!=0)?number_format($retP,2,'.',','):'').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($presale!=0)?number_format($presale,2,'.',','):'').'</th>
							<th class="text-right" style="background-color:#34495E;color:#fff">'.(($gtotal!=0)?number_format($gtotal,2,'.',','):'').'</th>
						</tr>
					</tbody>
				</table>
			';
		?>
       <footer style="margin-left:20px;">
            <p class="text-left">Printed By: <?php echo $_SESSION['MI-KIOSK_USER-ONLINE']?>
			<br>Date and Time: <?php echo date_format(date_create(),'m/d/Y h:i:s a');?></p>
        </footer> 


      
		

		

										
		
	
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
			
	</body>
</html>


<?php
$html = ob_get_clean();
$dompdf->loadHtml($html);

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('Letter', 'Portrait');

// Render the HTML as PDF
$dompdf->render();

// Output the generated PDF to Browser
$dompdf->stream('DetailedCollection-Report.pdf',Array('Attachment'=>0));




?>