<?php
if (!isset($_POST['generateCollection'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
	
	$sDate = date_create($_POST['fromDate']);
	$sDate1 = date_create($_POST['toDate']);
	session_start();
}



// reference the Dompdf namespace
use Dompdf\Dompdf;

// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->set_option('defaultFont', 'Arial');
ob_start();
?>
<!DOCTYPE html>
<html class="fixed">
	<head>
		<!-- Basic -->
		<meta charset="UTF-8">
		<title></title>
		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		
		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style>
            /** 
                Set the margins of the page to 0, so the footer and the header
                can be of the full height and width !
             **/
            @page {
                margin: 0cm 0cm;
            }

            /** Define now the real margins of every page in the PDF **/
            body {
                margin-top: 3cm;
                margin-bottom: 1cm;
                margin-right: 2cm;
                margin-left: 1cm;
            }

            /** Define the header rules **/
            header {
                position: fixed;
                top: 0cm;
                left: 0cm;
                right: 0cm;
                height: 3cm;
            }

            /** Define the footer rules **/
            footer {
                position: fixed; 
                bottom: 0cm; 
                left: 0cm; 
                right: 0cm;
                height: 1.5cm;
            }
			table{
				width:100%;
			}
			table thead th{
				padding:5px;
			}
			table tbody td{
				padding:2px;
			}
			table tbody td
			{
				font-size:12px;
			}
		
        </style>
	</head>
	<body id="printPage" class="print-body text-bold">


		 <!-- Define header and footer blocks before your content -->
        <header>
        	<div style="margin: 0.5cm 0.5cm;" class="row">
        		
        		<div class="text-left" style="margin-top: -2cm;">
        			<p class="text-bold">
        				<?php echo $storeName['STORENAME']; ?><br>Discrepancy Report
						<br>Period Covered: <?php echo date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y') ?>
					</p>
        			
        		</div>
        	</div>
        </header>
		<?php
			
			$mySQL->query('set SQL_BIG_SELECTS=1');
			$mySQL->execute();
			
			$mySQL->query("select CREATEDDT,TRANSREFID,ITEMID,ITEMNAME,STATUS,QTYTRANSFER,RECEIVED,DISCREPANCY,UNRECEIVED FROM
						(
						SELECT hdr.CREATEDDT
							,hdr.TRANSREFID 
							,ln.ITEMID
							,ivt.ITEMNAME
							,hdr.STATUS
							,ln.QTYTRANSFER
							,sum(ifnull(trans.Qty,0)) Received
							,case hdr.STATUS
								when 'Approved Discrepancy Report' or 'Received with Discrepancy' then ln.QTYTRANSFER - sum(ifnull(trans.Qty,0)) 
								else 0
							 end as Discrepancy
							,case hdr.STATUS
								when 'Approved Discrepancy Report' or 'Received with Discrepancy' then 0
								else ln.QTYTRANSFER - sum(ifnull(trans.Qty,0)) 
							 end as Unreceived
						FROM `table_ton_header` as hdr
						left join `table_ton_lines` as ln on hdr.TRANSREFID = ln.TRANSREFID
						left join `table_inventtrans` as trans on trans.TRANSREFID = hdr.TRANSREFID and trans.ITEMID = ln.ITEMID and trans.TRANSTYPE = 'Transfer'
						left join `table_inventtable` as ivt on ivt.ITEMID = ln.ITEMID 
						where hdr.WHTO = :store
						and hdr.CREATEDDT between :date1 and :date2
						group by hdr.CREATEDDT
							,hdr.TRANSREFID 
							,ln.ITEMID
							,ivt.ITEMNAME
							,ln.QTYTRANSFER
						) src 
						where Discrepancy != 0 or Unreceived != 0");
			$mySQL->addParam(":store",$_POST['store']);
			$mySQL->addParam(':date1',date_format($sDate,'Y-m-d').' 00:00:00');
			$mySQL->addParam(':date2',date_format($sDate1,'Y-m-d').' 23:59:59');
			$discrepancy  = $mySQL->resultSet();	
			
			echo "
				<table class='table-bordered table-striped display' id='' cellpadding='2' cellspacing='0' >
					<thead>
						<tr>
							<th width='30px'style='background-color:#34495E;color:#fff'>Date</th>
							<th width='40px'style='background-color:#34495E;color:#fff'>Reference No.</th>
							<th width='30px'style='background-color:#34495E;color:#fff'>Item No.</th>
							<th width='220px'style='background-color:#34495E;color:#fff'>Item Description</th>
							<th width='100px' style='background-color:#34495E;color:#fff'>Status</th>
							<th width='20px' class='text-right' style='background-color:#34495E;color:#fff'>Transfer Qty</th>
							<th width='20px' class='text-right' style='background-color:#34495E;color:#fff'>Received Qty</th>
							<th width='20px' class='text-right' style='background-color:#34495E;color:#fff'>Discrepancy</th>
							<th width='20px' class='text-right' style='background-color:#34495E;color:#fff'>Unreceived</th>
						</tr>
					</thead>
					<tbody>
			";
			
			foreach($discrepancy as $result)
			{
				echo "<tr>
					<td>".date_format(date_create($result['CREATEDDT']),'m/d/Y')."</td>
					<td>".$result['TRANSREFID']."</td>
					<td>".$result['ITEMID']."</td>
					<td>".$result['ITEMNAME']."</td>
					<td>".$result['STATUS']."</td>
					<td class='text-right' >".$result['QTYTRANSFER']."</td>
					<td class='text-right' >".$result['RECEIVED']."</td>
					<td class='text-right' >".$result['DISCREPANCY']."</td>
					<td class='text-right' >".$result['UNRECEIVED']."</td>
				</tr>";
			}
			echo "</tbody>
				</table>
			";
			
			
			
			?>
		
        <footer style="margin-left:20px;">
            <p class="text-left">Printed By: <?php echo $_SESSION['MI-KIOSK_USER-ONLINE']?>
			<br>Date and Time: <?php echo date_format(date_create(),'m/d/Y h:i:s a');?></p>
        </footer> 


      
		

		

										
		
	
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
			
	</body>
</html>


<?php
$html = ob_get_clean();
$dompdf->loadHtml($html);

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('Letter', 'Landscape');

// Render the HTML as PDF
$dompdf->render();

// Parameters
$x          = 725;
$y          = 585;
$text       = "{PAGE_NUM} of {PAGE_COUNT}";     
$font       = $dompdf->getFontMetrics()->get_font('Helvetica', 'normal');   
$size       = 10;    
$color      = array(0,0,0);
$word_space = 0.0;
$char_space = 0.0;
$angle      = 0.0;
$dompdf->getCanvas()->page_text(
  $x, $y, $text, $font, $size, $color, $word_space, $char_space, $angle
); 


// Output the generated PDF to Browser
$dompdf->stream('Discrepancy-Report.pdf',Array('Attachment'=>0));




?>