<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	
	if (isset($_POST['transactionID'])) {
		$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID');
		$mySQL->addParam(":transID",$_POST['transactionID']);
		$trans = $mySQL->singleResult();
		if ($trans) {
			
			if ($trans['PRINTED'] != 0) {
				$reprint = '<p style="position: absolute; top: 1.8cm; left: 3.7cm;" class="text-dark">REPRINTED RECEIPT</p>';
			}else{
				$reprint = '';
			}
			echo '<input type="hidden" value="'.$_POST['transactionID'].'" id="transactionID">';
			echo '<input type="hidden" value="'.$trans['TRANSTYPE'].'" id="tranType">';

			$mySQL->query('SELECT CUSTOMERNAME FROM table_customer WHERE CUSTOMERID=:customerID');
			$mySQL->addParam(":customerID",$trans['CUSTOMERID']);
			$customerName = $mySQL->singleResult();
		}else{
			header('location: sales'); // invalid transaction ID
			exit();
		}
	}else{
		header('location: sales'); // direct url restriction
		exit();
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style type="text/css">
			 @page { 
			 	margin: 0; 
			 	font-style: Arial, sans-serif;
			 	font-weight: bold;
			 }
			 .print-body{
			 	font-size: 1rem;
			 }
		</style>
	</head>
	<body id="printPage" class="print-body text-bold" onload="window.print();">
		<?php echo $reprint ?>
		<?php
			$mySQL->query('SELECT it.SERIALIZED,ln.*,it.ITEMNAME,it.BOMUNIT
				FROM table_transaction_lines ln 
				JOIN table_inventtable it ON ln.ITEMID=it.ITEMID 
				WHERE ln.TRANSACTIONID=:transID AND ln.STORE=:store');
			$mySQL->addParam(":transID",$_POST['transactionID']);
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$tranLines = $mySQL->resultSet();
			$startTop = 3.8;
			$ic = 1;
			$page = 1;

			$discAmountDiplay = false;
			$totalLineAmount = 0;
			foreach ($tranLines as $tranLine) {
				echo '
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 0.3cm;" class="text-dark">'.$tranLine['QTY'].'</p>
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 0.7cm;" class="text-dark">'.$tranLine['BOMUNIT'].'</p>
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 1.35cm;" class="text-dark">'.$tranLine['ITEMID'].'</p>
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 2.65cm;" class="text-dark">'.(strlen($tranLine['ITEMNAME']) > 42 ? substr($tranLine['ITEMNAME'], 0,42).'...' : $tranLine['ITEMNAME']).'</p>
					<p class="small text-dark" style="width:60px; text-align:right; position: absolute; top: '.$startTop.'cm; left: 7.4cm;" class="text-dark">'.number_format($tranLine['SALESPRICE'],2).'</p>

					<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$startTop.'cm; left: 8.7cm;" class="text-dark">P'.number_format($tranLine['SUBTOTAL'],2).'</p>
				';
				if ($tranLine['SERIALIZED'] == 1) {
					$mySQL->query('SELECT * FROM table_serialnumber_logs WHERE DOCUMENTREF=:transID AND TRANSTYPE=:three AND ITEMID=:itemID AND EAN=:ean AND LINENUM=:lineNum');
					$mySQL->addParam(":transID",$_POST['transactionID']);
					$mySQL->addParam(":three",3);
					$mySQL->addParam(":lineNum",$tranLine['LINENUM']);
					$mySQL->addParam(":itemID",$tranLine['ITEMID']);
					$mySQL->addParam(":ean",$tranLine['EAN']);
					$serials = $mySQL->resultSet();
					if ($serials) {
						foreach ($serials as $serial) {
							
							if(($ic % 10) == 0)
							{
								$startTop = ($page*15.2) +  3.8;
								$startTop = $startTop + 0.575;
								$page ++;
							}
							else
							{
								$startTop = $startTop + 0.575;
							}
							$ic++;
							echo '
								<p style="font-style: italic; position: absolute; top: '.$startTop.'cm; left: 3.7cm;" class="text-dark small">* '.$serial['SERIALNUMBER'].'</p>
							';
						}
					}
				}

				$totalLineAmount = $totalLineAmount + ($tranLine['QTY'] * $tranLine['SALESPRICE']);

				if ($tranLine['DISCAMOUNT'] != 0 || $tranLine['DISCPERCENT'] !=0) {
					$discAmountDiplay = true;
				}

				
				if(($ic % 10) == 0)
				{
					$startTop = ($page*15.2) +  3.8;
					$page ++;
				}
				else
				{
					$startTop = $startTop + 0.575;
				}
				$ic++;
				//$startTop = $startTop + 0.55;
			}

			$startPos = 2;
			$a = 0;
			while ($a < $page){
				
				echo '<p style="position: absolute; top: '.($startPos-1).'cm; left: 0.5cm;" class="text-dark">'.$_POST['transactionID'].'</p>';

				echo '<p style="position: absolute; top: '.$startPos.'cm; left: 1.5cm;" class="text-dark">'.$customerName[0].'</p>';

				echo '<p style="position: absolute; top: '.$startPos.'cm; left: 8.7cm;" class="text-dark">'.date('m/d/Y').'</p>';
				$a++;
				$startPos = ($a*15.2)+2;
				
			}
			
			$vatSale = 9.5;
			$vatExSale = 9.93;
			$zeroRS = 10.33;
			$totSales = 10.75;
			$vatAmt = 11.15;
			$totPay = 11.58;
			$discAmt = 11.98;
			$ewt = 12.4;
			$net = 12.7;

			$usr = 13.5;
			$tenderTop = 10.3;
			
			$a = 0;
			while ($a < $page){

			$mySQL->query('SELECT * FROM table_transaction_tender WHERE TRANSACTIONID=:transID AND STORE=:store');
			$mySQL->addParam(":transID",$_POST['transactionID']);
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$tenders = $mySQL->resultSet();
			
			foreach ($tenders as $tender) {
				echo '
					<p class="small text-dark" style="position: absolute; top: '.$tenderTop.'cm; left: 0.5cm;" class="text-dark">'.$tender['TENDERTYPE'].' </p>
					<p class="small text-dark" style="width:110px; text-align:right; position: absolute; top: '.$tenderTop.'cm; left: 1.55cm;" class="text-dark">P'.number_format($tender['AMOUNT'],2).'</p>
					<p class="small text-dark" style="position: absolute; top: '.$tenderTop.'cm; left: 4.8cm;" class="text-dark">'.$tender['REFERENCE'].' </p>

				';
				$tenderTop = $tenderTop + 0.325;
			}

			$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID AND STORE=:store');
			$mySQL->addParam(":transID",$_POST['transactionID']);
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$tranHeader = $mySQL->singleResult();

			echo '
				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$vatSale.'cm; left: 8.7cm;" class="text-dark">P'.number_format($tranHeader['VATABLESALES'],2).'</p>

				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$vatExSale.'cm; left: 8.7cm;" class="text-dark">P'.number_format(($tranHeader['VATINC']==1 ? 0 : $tranHeader['GROSSAMOUNT']),2).'</p>

				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$zeroRS.'cm; left: 8.7cm;" class="text-dark">P0.00</p>

				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$totSales.'cm; left: 8.7cm;" class="text-dark">P'.number_format(($tranHeader['VATINC']==1 ? $tranHeader['VATABLESALES'] : $tranHeader['GROSSAMOUNT']),2).'</p>

				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$vatAmt.'cm; left: 8.7cm;" class="text-dark">P'.number_format($tranHeader['VATAMOUNT'],2).'</p>


				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$totPay.'cm; left: 8.7cm;" class="text-dark">P'.number_format($tranHeader['GROSSAMOUNT'],2).'</p>
			';

		if ($discAmountDiplay == true) {
			$totalDiscount = $totalLineAmount - $tranHeader['TOTALPAYABLE'];
			 echo '
	        	<p class="small text-dark" style="width:95px; text-align:right; position: absolute; top: '.$discAmt.'cm; left: 8.17cm;" class="text-dark">Total Disc. P'.number_format($totalDiscount,2).'</p>
	        ';
		}

		if ($tranHeader['EWTINC'] == 1) {
			$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
	        $mySQL->addParam(":setup",'EWT');
	        $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
	        $ewtPercent = $mySQL->singleResult();
	        echo '
	        	<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$ewt.'cm; left: 8.7cm;" class="text-dark">EWT('.($ewtPercent[0] * 100).'%) P'.number_format($tranHeader['EWTAMOUNT'],2).'</p>
	        ';
		}
	echo'
				<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$net.'cm; left: 8.7cm;" class="text-dark">P'.number_format($tranHeader['TOTALPAYABLE'],2).'</p>
			';

	echo 	'<p style="position: absolute; top: '.$usr.'cm; left: 6.5cm;" class="text-dark">'.$currentUser['FULLNAME'].'</p>';
				$a++;
				$vatSale = ($a*15.2)+ 9.5;
				$vatExSale = ($a*15.2)+9.93;
				$zeroRS = ($a*15.2)+10.33;
				$totSales = ($a*15.2)+10.75;
				$vatAmt = ($a*15.2)+11.15;
				$totPay = ($a*15.2)+11.58;
				$ewt = ($a*15.2)+12.4;
				$net = ($a*15.2)+12.7;
				$usr = ($a*15.2)+13.5;
				$tenderTop = ($a*15.2)+10.3;
			}
		?>
	
		<script type="text/javascript">
			// function tagAsPrinted(){

			// }


			 (function() {

			      var beforePrint = function() {
			         // alert('Functionality to run before printing.');
			      };

			     var afterPrint = function() {
			     	var transID = document.getElementById('transactionID').value;
			        var xmlhttp = new XMLHttpRequest();
			         xmlhttp.onreadystatechange = function(){
			 			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 				//alert(123);
			 				//location.reload(); 
			 				var type = document.getElementById('tranType').value;
			 				if (type=='Sales') {
			 					var page = 'sales';
			 				}else if (type=='PreSales'){
			 					var page = 'presales';
			 				}
			 			// 	setTimeout(function(){
							//   window.location.href = page;
							// },1000);
							 window.location.href = page;
			 			}
			 		}
		             xmlhttp.open('GET', 'functions/tagAsPrinted.php?transID='+transID, true);
		             xmlhttp.send();
			     };

				     // if (window.matchMedia) {
				     //     var mediaQueryList = window.matchMedia('print');
				     //     mediaQueryList.addListener(function(mql) {
				     //         if (mql.matches) {
				     //             beforePrint();
				     //         } else {
				     //             afterPrint();
				     //         }
				     //     });
				     // }

			     window.onbeforeprint = beforePrint;
			     window.onafterprint = afterPrint;

			 }());
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
	</body>
</html>