<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	
	if (isset($_POST['transactionID'])) {
		$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID');
		$mySQL->addParam(":transID",$_POST['transactionID']);
		$trans = $mySQL->singleResult();
		if ($trans) {
			if ($trans['PRINTED'] == 1) {
				header('location: sales?notif='.md5(1)); // already printed
				exit();
			}else{
				echo '<input type="hidden" value="'.$_POST['transactionID'].'" id="transactionID">';
			}
		}else{
			header('location: sales'); // invalid transaction ID
			exit();
		}
	}else{
		header('location: sales'); // direct url restriction
		exit();
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style type="text/css">
			 @page { 
			 	margin: 0; 
			 	font-size: 0.4rem;
			 	font-style: Arial, sans-serif;
			 }
		</style>
	</head>
	<body id="printPage" onload="window.print();">
		<p style="position: absolute; top: 0.7cm; left: 14.7cm;" class="text-dark"><?php echo date('m/d/Y h:i a') ?></p>
		<p style="position: absolute; top: 1.15cm; left: 14.7cm;" class="text-dark"><?php echo $_POST['transactionID'] ?></p>


		<?php
			$mySQL->query('SELECT it.SERIALIZED,ln.*,it.ITEMNAME
				FROM table_transaction_lines ln 
				JOIN table_inventtable it ON ln.ITEMID=it.ITEMID 
				WHERE ln.TRANSACTIONID=:transID AND ln.STORE=:store');
			$mySQL->addParam(":transID",$_POST['transactionID']);
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$tranLines = $mySQL->resultSet();
			$startTop = 2.3;
			foreach ($tranLines as $tranLine) {
				echo '
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 0.8cm;">'.$tranLine['EAN'].'</p>
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 3.7cm;" class="text-dark">'.(strlen($tranLine['ITEMNAME']) > 35 ? substr($tranLine['ITEMNAME'], 0,35).'...' : $tranLine['ITEMNAME']).'</p>
					<p class="small text-dark" style="position: absolute; top: '.$startTop.'cm; left: 10.1cm;" class="text-dark">'.$tranLine['QTY'].'</p>
					<p class="small text-dark" style="width:60px; text-align:right; position: absolute; top: '.$startTop.'cm; left: 11cm;" class="text-dark">P'.number_format($tranLine['SALESPRICE'],2).'</p>
					<p class="small text-dark" style="width:60px; text-align:right; position: absolute; top: '.$startTop.'cm; left: 12.8cm;" class="text-dark">P'.number_format($tranLine['DISCAMOUNT'],2).'</p>
					<p class="small text-dark" style="width:60px; text-align:right; position: absolute; top: '.$startTop.'cm; left: 14.5cm;" class="text-dark">'.$tranLine['DISCPERCENT'].'%</p>
					<p class="small text-dark" style="width:75px; text-align:right; position: absolute; top: '.$startTop.'cm; left: 16.4cm;" class="text-dark">P'.number_format($tranLine['SUBTOTAL'],2).'</p>
				';

				if ($tranLine['SERIALIZED'] == 1) {
					$mySQL->query('SELECT * FROM table_serialnumber_logs WHERE DOCUMENTREF=:transID AND TRANSTYPE=:three AND ITEMID=:itemID AND EAN=:ean');
					$mySQL->addParam(":transID",$_POST['transactionID']);
					$mySQL->addParam(":three",3);
					$mySQL->addParam(":itemID",$tranLine['ITEMID']);
					$mySQL->addParam(":ean",$tranLine['EAN']);
					$serials = $mySQL->resultSet();
					if ($serials) {
						foreach ($serials as $serial) {
							$startTop = $startTop + 0.35;
							echo '
								<p style="font-style: italic; position: absolute; top: '.$startTop.'cm; left: 3.7cm;" class="text-danger">* '.$serial['SERIALNUMBER'].'</p>
							';
						}
					}
					

				}

				$startTop = $startTop + 0.35;
			}



			$mySQL->query('SELECT * FROM table_transaction_tender WHERE TRANSACTIONID=:transID AND STORE=:store');
			$mySQL->addParam(":transID",$_POST['transactionID']);
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$tenders = $mySQL->resultSet();
			$tenderTop = 9.5;
			foreach ($tenders as $tender) {
				echo '
					<p class="small text-dark" style="position: absolute; top: '.$tenderTop.'cm; left: 0.8cm;" class="text-dark">'.$tender['TENDERTYPE'].' </p>
					<p class="small text-dark" style="width:85px; text-align:right; position: absolute; top: '.$tenderTop.'cm; left: 3.2cm;" class="text-dark">P'.$tender['AMOUNT'].'</p>

				';
				$tenderTop = $tenderTop + 0.35;
			}



			$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID AND STORE=:store');
			$mySQL->addParam(":transID",$_POST['transactionID']);
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$tranHeader = $mySQL->singleResult();

			echo '
				<p class="small text-dark" style="width:85px; text-align:right; position: absolute; top: 9.15cm; left: 16.6cm;" class="text-dark">P'.number_format($tranHeader['VATABLESALES'],2).'</p>
				<p class="small text-dark" style="width:85px; text-align:right; position: absolute; top: 9.5cm; left: 16.6cm;" class="text-dark">P'.number_format($tranHeader['VATAMOUNT'],2).'</p>
				<p class="small text-dark" style="width:85px; text-align:right; position: absolute; top: 10cm; left: 16.6cm;" class="text-dark">P'.number_format($tranHeader['TOTALPAYABLE'],2).'</p>
				<p class="small text-dark" style="width:85px; text-align:right; position: absolute; top: 10.8cm; left: 16.6cm;" class="text-dark">P'.number_format($tranHeader['TENDEREDAMOUNT'],2).'</p>
			';

			if ($tranHeader['EWTINC'] == 1) {
				$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup');
		        $mySQL->addParam(":setup",'EWT');
		        $ewtPercent = $mySQL->singleResult();

				echo '<p class="small text-dark" style="width:132px; text-align:right; position: absolute; top: 11.3cm; left: 15.345cm;" class="text-dark">EWT('.($ewtPercent[0] * 100).'%) P'.number_format($tranHeader['EWTAMOUNT'],2).'</p>';
			}


		?>
		



		

												
		
		<script type="text/javascript">
			// function tagAsPrinted(){

			// }


			 (function() {

			     var beforePrint = function() {
			        // alert('Functionality to run before printing.');
			     };

			     var afterPrint = function() {
			     	var transID = document.getElementById('transactionID').value;
			        var xmlhttp = new XMLHttpRequest();
			         xmlhttp.onreadystatechange = function(){
			 			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 				//alert(123);
			 				//location.reload(); 
			 				setTimeout(function(){
							  window.location.reload();
							},500);
			 			}
			 		}
		             xmlhttp.open('GET', 'functions/tagAsPrinted.php?transID='+transID, true);
		             xmlhttp.send();
			     };

			     if (window.matchMedia) {
			         var mediaQueryList = window.matchMedia('print');
			         mediaQueryList.addListener(function(mql) {
			             if (mql.matches) {
			                 beforePrint();
			             } else {
			                 afterPrint();
			             }
			         });
			     }

			     window.onbeforeprint = beforePrint;
			     window.onafterprint = afterPrint;

			 }());
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
	
	
		



		
	</body>
</html>