<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	
	if (isset($_GET['id'])) {
		$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transID');
		$mySQL->addParam(":transID",$_GET['id']);
		$trans = $mySQL->singleResult();
		if ($trans) {
			$mySQL->query('SELECT * FROM table_presales WHERE TRANSACTIONID=:transID');
			$mySQL->addParam(":transID",$_GET['id']);
			$preSales = $mySQL->singleResult();

			$mySQL->query('SELECT * FROM table_presell_header WHERE PRESELLINGID=:presellID');
			$mySQL->addParam(":presellID",$preSales['PRESELLINGID']);
			$presell = $mySQL->singleResult();

			$mySQL->query('SELECT * FROM table_customer WHERE CUSTOMERID=:custID');
			$mySQL->addParam(":custID",$preSales['CUSTOMERID']);
			$customer = $mySQL->singleResult();

			$mySQL->query('SELECT * FROM table_customer_address WHERE ADDRESSID=:addressID');
			$mySQL->addParam(":addressID",$preSales['ADDRESSID']);
			$address = $mySQL->singleResult();

			$mySQL->query('SELECT * FROM setup_users WHERE USERNAME=:username');
			$mySQL->addParam(":username",$trans['CREATEDBY']);
			$cashier = $mySQL->singleResult();

			$mySQL->query('SELECT * FROM setup_users WHERE USERNAME=:username');
			$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
			$user = $mySQL->singleResult();

			$mySQL->query('SELECT ln.*,it.ITEMNAME FROM table_transaction_lines ln LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY WHERE ln.TRANSACTIONID=:transID');
			$mySQL->addParam(":transID",$_GET['id']);
			$lines = $mySQL->resultSet();

			$mySQL->query('SELECT * FROM setup_stores WHERE STORECODE=:storeCode');
			$mySQL->addParam(":storeCode",$trans['STORE']);
			$storeName = $mySQL->singleResult();

			$oDate = date_create($trans['CREATEDDT']);

			if ($trans['PRINTED'] != 0) {
				echo '<p style="position: absolute; top: 0.8cm; left: 13cm;" class="text-danger text-bold">Re-Printed Copy</p>';
			}

			echo '<input type="hidden" value="'.$_GET['id'].'" id="transactionID">';
		}else{
			//header('location: presales'); // invalid transaction ID
			//exit();
		}
	}else{
		//header('location: presales'); // direct url restriction
		//exit();
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - STORE</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style type="text/css">
			 @page { 
			 	margin: 0; 
			 	font-size: 0.9rem;
			 	font-style: Arial, sans-serif;
			 }
		</style>
	</head>
	<body id="printPage" style="max-width: 20.32cm;" onload="window.print();">

		<p style="position: absolute; top: 0.7cm; left: 13cm;" class="text-dark h3 text-bold">SALES ORDER</p>
		<p style="position: absolute; top: 1.8cm; left: 13cm;" class="text-dark">Printed Date: <?php echo date('M d, Y h:i A') ?></p>

		<p style="position: absolute; top: 2.5cm; left: 13cm;" class="text-dark text-bold h4">Sales Order: <?php echo $_GET['id'] ?></p>
		<p style="position: absolute; top: 3.5cm; left: 13cm;" class="text-dark text-bold">Customer Details:</p>
		<p style="position: absolute; top: 4cm; left: 13cm;" class="text-dark">Customer Name: 
			<span class="text-bold"><?php echo $customer['CUSTOMERNAME'] ?></span>
		</p>
		<p style="position: absolute; top: 4.5cm; left: 13cm;" class="text-dark">Comment:</p>
		<p style="position: absolute; top: 5cm; left: 13cm;" class="text-dark">Address:
			<span class="text-bold"><?php echo (strlen($address['ADDRESS']) > 35 ? substr($address['ADDRESS'], 0,35).'...' : $address['ADDRESS']) ?></span>
		</p>
		<p style="position: absolute; top: 5.5cm; left: 13cm;" class="text-dark">Phone #:</p>



		<p style="position: absolute; top: 0.6cm; left: 0.9cm;" class="text-dark">
			<img width="30%" src="images/gmc.png">
		</p>
		<p class="text-bold text-dark h4" style="position: absolute; top: 2cm; left: 1cm;" class="text-dark">
			<?php echo $storeName['STORENAME'] ?>
		</p>
		<p style="position: absolute; top: 3cm; left: 1cm;" class="text-dark">Order Date: 
			<span class="text-bold"><?php echo date_format($oDate,'M d, Y h:iA') ?></span>
		</p>

		<p style="position: absolute; top: 3cm; left: 1cm;" class="text-dark">Order Date: 
			<span class="text-bold"><?php echo date_format($oDate,'M d, Y h:iA') ?></span>
		</p>
		<p style="position: absolute; top: 3.5cm; left: 1cm;" class="text-dark">Cashier: <span class="text-bold"><?php echo $cashier['FULLNAME'] ?></span></p>
		<p style="position: absolute; top: 4cm; left: 1cm;" class="text-dark">Pre Selling: <span class="text-bold"><?php echo $presell['PRESELLINGNAME'] ?></span></p>
		<p style="position: absolute; top: 4.5cm; left: 1cm;" class="text-dark">Description: <span class="text-bold"><?php echo $presell['DESCRIPTION'] ?></span></p>
		<p style="position: absolute; top: 5cm; left: 1cm;" class="text-dark">Claiming Date:</p>
		<p style="position: absolute; top: 5.5cm; left: 1cm;" class="text-dark">Printed By: <span class="text-bold"><?php echo $user['FULLNAME'] ?></span></p>




		<div style="position: absolute; top: 6.5cm; left: 1cm;">
			<table cellspacing="0" cellpadding="0" style="border-bottom: 2px solid; border-top: 2px solid;" class="table table-bordered table-sm text-dark">
				<tr class="h5">
					<th style="width: 1.9cm;">Item ID</th>
					<th style="width: 11cm;">Item Name</th>
					<th style="width: 1cm;" class="text-right">Qty</th>
					<th style="width: 2.5cm;" class="text-right">SRP</th>
					<th style="width: 2.5cm;" class="text-right">Total</th>
				</tr>
	<?php
		foreach ($lines as $line) {
			echo '
				<tr class="h6">
					<td style="width: 1.9cm;">'.$line['ITEMID'].'</td>
					<td style="width: 11cm;">'.$line['ITEMNAME'].'</td>
					<td style="width: 1cm;" class="text-right">'.$line['QTY'].'</td>
					<td style="width: 2.5cm;" class="text-right">P'.number_format($line['SALESPRICE'],2).'</td>
					<td style="width: 2.5cm;" class="text-right">P'.number_format($line['SUBTOTAL'],2).'</td>
				</tr>

			';
		}

	?>
				

			</table>

			<p class="text-bold text-dark h5 text-right" style="position: relative; top: -0.3cm; left: 14cm; width: 2cm">
				Subtotal: 
			</p>
			<p class="text-bold text-dark h5 text-right" style="position: relative; top: -0.965cm; left: 16cm; width: 3cm">
				P<?php echo number_format($trans['TOTALPAYABLE'],2) ?>
			</p>


			<p class="hidden text-bold text-dark h5 text-right" style="position: relative; top: -1cm; left: 14cm; width: 2cm">
				VAT:
			</p>
			<p class="hidden text-bold text-dark h5 text-right" style="position: relative; top: -1.65cm; left: 16cm; width: 3cm">
				 P<?php //echo number_format($trans['VATAMOUNT'],2) ?>
			</p>


			<p class="text-bold text-dark h5 text-right" style="position: relative; top: -1cm; left: 14cm; width: 2cm">
				Total: 
			</p>
			<p class="text-bold text-dark h5 text-right" style="position: relative; top: -1.65cm; left: 16cm; width: 3cm">
				P<?php echo number_format($trans['TOTALPAYABLE'],2) ?>
			</p>


			<p class="text-bold text-dark" style="position: relative; top:-2.3cm" >
				Prepared By:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				Checked By:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				Approved By:
			</p>
			<p class="text-bold text-dark" style="position: relative; top:-2.5cm" >
				______________________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;______________________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				______________________________
			</p>
			<p class="text-bold text-dark small" style="position: relative; top:-3cm" >
				Sig. Over Printed Name/Date&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				Sig. Over Printed Name/Date&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				Sig. Over Printed Name/Date
			</p>

			<p class="text-light small" style="position: relative; top:-2.5cm" >
				<b>Mechanics:</b> <br>
				<i><?php echo nl2br($presell['MECHANICS']);  ?></i>
			</p>


		</div>


		
		



		

												
		
		<script type="text/javascript">
			// function tagAsPrinted(){

			// }


			  (function() {

			     var beforePrint = function() {
			        // alert('Functionality to run before printing.');
			     };

			     var afterPrint = function() {
			     	var transID = document.getElementById('transactionID').value;
			        var xmlhttp = new XMLHttpRequest();
			         xmlhttp.onreadystatechange = function(){
			 			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 				//alert(123);
			 				//location.reload(); 
			 			// 	setTimeout(function(){
							//   window.location.href='presales';
							// },500);
							window.location.href='presales';
			 			}
			 		}
		             xmlhttp.open('GET', 'functions/tagAsPrinted.php?transID='+transID, true);
		             xmlhttp.send();
			     };

			     // if (window.matchMedia) {
			     //     var mediaQueryList = window.matchMedia('print');
			     //     mediaQueryList.addListener(function(mql) {
			     //         if (mql.matches) {
			     //             beforePrint();
			     //         } else {
			     //             afterPrint();
			     //         }
			     //     });
			     // }

			     window.onbeforeprint = beforePrint;
			     window.onafterprint = afterPrint;

			 }()); 
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
	
	
		



		
	</body>
</html>