<?php
if (!isset($_POST['generateSalesReport'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL.php';
	$mySQL = new mySQL;

	$sDate = date_create($_POST['fromDate']);
	$sDate1 = date_create($_POST['toDate']);
	if ($_POST['type'] == 'ALL') {
		$mySQL->query('SELECT hdr.TRANSTYPE,hdr.TRANSACTIONDT,ln.EAN,it.ITEMNAME,ln.SALESPRICE,ln.DISCAMOUNT,ln.DISCPERCENT,it.SERIALIZED,ln.ITEMID,
			SUM(ln.QTY) QTY,SUM(ln.SUBTOTAL) SUBTOTAL,SUM(ln.VATABLE) VATABLE
			FROM table_transaction_header hdr 
			LEFT JOIN table_transaction_lines ln ON hdr.TRANSACTIONID=ln.TRANSACTIONID AND hdr.COMPANY=ln.COMPANY 
			LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND it.COMPANY=ln.COMPANY
			WHERE hdr.TRANSACTIONDT  BETWEEN :date1 AND :date2 AND hdr.STORE=:store AND hdr.TRANSTYPE!=:refund
			GROUP BY hdr.TRANSTYPE,hdr.TRANSACTIONDT,ln.EAN,it.ITEMNAME,ln.SALESPRICE,ln.DISCAMOUNT,ln.DISCPERCENT,it.SERIALIZED,ln.ITEMID');
		$mySQL->addParam(":refund",'Refund');
	}elseif ($_POST['type'] == 'Sales and Return') {
		$mySQL->query('SELECT hdr.TRANSTYPE,hdr.TRANSACTIONDT,ln.EAN,it.ITEMNAME,ln.SALESPRICE,ln.DISCAMOUNT,ln.DISCPERCENT,it.SERIALIZED,ln.ITEMID,
			SUM(ln.QTY) QTY,SUM(ln.SUBTOTAL) SUBTOTAL,SUM(ln.VATABLE) VATABLE
			FROM table_transaction_header hdr 
			LEFT JOIN table_transaction_lines ln ON hdr.TRANSACTIONID=ln.TRANSACTIONID AND hdr.COMPANY=ln.COMPANY 
			LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND it.COMPANY=ln.COMPANY
			WHERE hdr.TRANSACTIONDT  BETWEEN :date1 AND :date2 AND hdr.STORE=:store AND (hdr.TRANSTYPE=:sales OR hdr.TRANSTYPE=:return)
			GROUP BY hdr.TRANSTYPE,hdr.TRANSACTIONDT,ln.EAN,it.ITEMNAME,ln.SALESPRICE,ln.DISCAMOUNT,ln.DISCPERCENT,it.SERIALIZED,ln.ITEMID');
		$mySQL->addParam(":sales",'Sales');
		$mySQL->addParam(":return",'Return');
		$typeParam = '';
	}else{
		$mySQL->query('SELECT hdr.TRANSTYPE,hdr.TRANSACTIONDT,ln.EAN,it.ITEMNAME,ln.SALESPRICE,ln.DISCAMOUNT,ln.DISCPERCENT,it.SERIALIZED,ln.ITEMID,
			SUM(ln.QTY) QTY,SUM(ln.SUBTOTAL) SUBTOTAL,SUM(ln.VATABLE) VATABLE
			FROM table_transaction_header hdr 
			LEFT JOIN table_transaction_lines ln ON hdr.TRANSACTIONID=ln.TRANSACTIONID AND hdr.COMPANY=ln.COMPANY 
			LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND it.COMPANY=ln.COMPANY
			WHERE hdr.TRANSACTIONDT  BETWEEN :date1 AND :date2 AND hdr.STORE=:store AND hdr.TRANSTYPE=:type
			GROUP BY hdr.TRANSTYPE,hdr.TRANSACTIONDT,ln.EAN,it.ITEMNAME,ln.SALESPRICE,ln.DISCAMOUNT,ln.DISCPERCENT,it.SERIALIZED,ln.ITEMID');
		$mySQL->addParam(":type",$_POST['type']);
	}

	$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
	$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
	$mySQL->addParam(":store",$_POST['store']);
	$rows = $mySQL->resultSet();


	$mySQL->query('SELECT * FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_POST['store']);
	$storeName = $mySQL->singleResult();
}



// reference the Dompdf namespace
use Dompdf\Dompdf;

// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->set_option('defaultFont', 'Arial');
ob_start();
?>
<!DOCTYPE html>
<html class="fixed">
	<head>
		<!-- Basic -->
		<meta charset="UTF-8">
		<title></title>
		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		
		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
		<style>
            /** 
                Set the margins of the page to 0, so the footer and the header
                can be of the full height and width !
             **/
            @page {
                margin: 0cm 0cm;
            }

            /** Define now the real margins of every page in the PDF **/
            body {
                margin-top: 2cm;
                margin-left: 2cm;
                margin-right: 2cm;
                margin-bottom: 2cm;
            }

            /** Define the header rules **/
            header {
                position: fixed;
                top: 0cm;
                left: 0cm;
                right: 0cm;
                height: 3cm;
            }

            /** Define the footer rules **/
            footer {
                position: fixed; 
                bottom: 0cm; 
                left: 0cm; 
                right: 0cm;
                height: 2cm;
            }
        </style>
	</head>
	<body id="printPage" class="print-body text-bold">


		 <!-- Define header and footer blocks before your content -->
        <header>
        	<div style="margin: 0.5cm 0.5cm;" class="row">
        		<div class="col-md-4">
        			<img src="images/miLogo2.png" width="25%" height="55%">
        		</div>
        		<div class="text-right col-md-8" style="margin-top: -2cm;">
        			<p class="text-bold">
        				<?php echo $storeName['STORENAME']; ?> Sales Report<br>
        				<?php echo date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y') ?>
        			</p>
        			
        		</div>
        	</div>
            
        </header>

        <!-- <footer style="background-color: #eeeeee;">
            <p class="text-center">Page footer Details</p>
        </footer> -->

        <!-- Wrap the content of your PDF inside a main tag -->
        <main>
            <table class="table">
				<thead>
					<tr>
						<th>Type</th>
						<th>Date</th>
						<th>Item</th>
						<th class="text-right" >Sales Price</th>
						<th class="text-right" >Disc Amt.</th>
						<th class="text-right" >Disc %</th>
						<th class="text-right" >Sold Qty</th>
						<th class="text-right" >Sub Total</th>
					</tr>
				</thead>
				<tbody>
		<?php
			$total = 0;
			foreach ($rows as $row) {
				$date = date_create($row['TRANSACTIONDT']);
				echo '
					<tr>
						<td>'.$row['TRANSTYPE'].'</td>
						<td>'.date_format($date,'M/d/Y').'</td>
						<td>'.$row['ITEMNAME'].'</td>
						<td class="text-right">'.number_format($row['SALESPRICE'],2).'</td>
		 				<td class="text-right">'.number_format($row['DISCAMOUNT'],2).'</td>
		 				<td class="text-right">'.number_format($row['DISCPERCENT'],2).'</td>
		 				<td class="text-right">'.number_format($row['QTY']).'</td>
		 				<td class="text-right">'.number_format($row['SUBTOTAL'],2).'</td>
					</tr>
				';
				$total = $total + $row['SUBTOTAL'];
			}

		?>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="7" class="text-right">Grand Total:</th>
						<th colspan="1" class="text-right">P<?php echo number_format($total,2) ?></th>
					</tr>
					<tr>
						<th colspan="7" class="text-right">Vatable / Net:</th>
						<th colspan="1" class="text-right">P<?php echo number_format(($total / 1.12),2) ?></th>
					</tr>
					<tr>
						<th colspan="7" class="text-right">Total VAT:</th>
						<th colspan="1" class="text-right">P<?php echo number_format(($total - ($total / 1.12)),2) ?></th>
					</tr>
				</tfoot>
			</table>
        </main>
		

		

										
		
	
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
			
	</body>
</html>


<?php
$html = ob_get_clean();
$dompdf->loadHtml($html);

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('Letter', 'landscape');

// Render the HTML as PDF
$dompdf->render();

// Output the generated PDF to Browser
$dompdf->stream('Sales-Report.pdf',Array('Attachment'=>0));




?>