<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
	$date = date_create($currentUser['CREATEDDT']);


	$mySQL->query('SELECT str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND usr.DEFAULTSTORE=:one');
	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
	$mySQL->addParam(":one",1);
	$curStore = $mySQL->singleResult();

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />
		<link rel="stylesheet" href="assets/vendor/morris/morris.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>

			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php' ?>

				<button id="defaultStoreChanged" class="hidden"></button>
				<button id="updatedInfo" class="hidden"></button>
				<button id="failedUpload" class="hidden"></button>
				<button id="invalidFormat" class="hidden"></button>
				<button id="incorrectPassword" class="hidden"></button>
				<button id="passwordNotMatch" class="hidden"></button>
				<button id="changedPassword" class="hidden"></button>

				<?php
				
				if(isset($_GET['changePass']) && $_GET['changePass'] == md5('changePass') )
				{
					echo '<script type="text/javascript">
							$(document).ready(function(){
								document.getElementById("changePassBtn").click();
							});
						</script>';
				}
				
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("defaultStoreChanged").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("updatedInfo").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("failedUpload").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidFormat").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("incorrectPassword").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(6)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("passwordNotMatch").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(7)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("changedPassword").click();
				                });
				          	</script>';
					}


					

					
				}

				?>



			
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Profile</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-home"></i>
									</a>
								</li>
								<li><span>Profile</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>


					<div class="row">
						<div class="col-md-4">

							<section class="panel">
								<div class="panel-body">
									<div class="thumb-info mb-md">
										<img src="images/userImages/<?php echo $currentUser['IMGPATH'] ?>" class="rounded img-responsive" alt="John Doe">
										<div class="thumb-info-title">
											<span class="thumb-info-inner"><?php echo $currentUser['FULLNAME'] ?></span>
											<span class="thumb-info-type"><?php echo $currentUser['USERTYPE'] ?></span>
										</div>
									</div>

									<div class="widget-toggle-expand mb-md">
										<div class="widget-header">
											<h6>Account Information</h6>
											<div class="widget-toggle">+</div>
										</div>
										
										<div class="widget-content-expanded">
											<ul class="simple-todo-list">
												<li><strong>Username: </strong> <?php echo $currentUser['USERNAME'] ?></li>
												<li><strong>Company: </strong> <?php echo $_SESSION['MI-KIOSK_COMPANYID-ONLINE'].' - '.$_SESSION['MI-KIOSK_COMPANYNAME-ONLINE'] ?></li>
												<li><strong>Default Store: </strong> <?php echo $curStore['STORENAME']; ?></li>
												<li><strong>Date Created: </strong> <?php echo date_format($date,'F d, Y') ?></li>
											</ul>
										</div>
									</div>

									<hr class="dotted short">
								</div>
							</section>


							

							

						</div>
						<div class="col-md-8">

							<div class="tabs tabs-primary">
								<ul class="nav nav-tabs tabs-primary">
									<li class="active">
										<a href="#edit" data-toggle="tab">Personal Information</a>
									</li>
									<li>
										<a href="#changePass" id="changePassBtn" data-toggle="tab">Change Password</a>
									</li>
									<li>
										<a href="#storeAssign" data-toggle="tab">Store Assignment</a>
									</li>
								</ul>
								<div class="tab-content">
									
									<div id="edit" class="tab-pane active">
										<form action="functions/profileUpdate.php" class="form-horizontal" method="post" enctype="multipart/form-data">
											<h4 class="mb-xlg">Personal Information</h4>
											<fieldset>
												<input value="<?php echo $currentUser['RECID'] ?>" type="hidden" name="recID">
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileFirstName">Fullname</label>
													<div class="col-md-8">
														<input value="<?php echo $currentUser['FULLNAME'] ?>" type="text" class="form-control" id="profileFirstName" name="fullname">
													</div>
												</div>

												<div class="form-group">
													<label class="col-md-3 control-label" for="profileAddress">Address</label>
													<div class="col-md-8">
														<input value="<?php echo $currentUser['ADDRESS'] ?>" type="text" class="form-control" id="profileAddress" name="address">
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileCompany">Job Title</label>
													<div class="col-md-8">
														<input readonly value="<?php echo $currentUser['USERTYPE'] ?>" name="jobTitle" type="text" class="form-control" id="profileCompany">
													</div>
												</div>
											</fieldset>
											<hr class="dotted tall">
											<h4 class="mb-xlg">Profile Picture</h4>
											<fieldset>
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileBio">Upload an Image</label>
													<div class="col-md-8">
														<input name="profileImage" type="file" class="form-control" id="profileCompany">
													</div>
												</div>
												
											</fieldset>
											
											<div class="panel-footer">
												<div class="row">
													<div class="col-md-9 col-md-offset-3">
														<button name="profileUpdate" type="submit" class="btn btn-primary">Update</button>
													</div>
												</div>
											</div>

										</form>
									</div>




									<div id="changePass" class="tab-pane">
										<form class="form-horizontal" method="post" action="functions/changePassword.php">
											<h4 class="mb-xlg">Change Password</h4>
											<fieldset class="mb-xl">
												<input value="<?php echo $currentUser['RECID'] ?>" type="hidden" name="recID">
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileOldPassword">Current Password</label>
													<div class="col-md-8">
														<input required name="oldPass" type="password" class="form-control" id="profileOldPassword">
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileNewPassword">New Password</label>
													<div class="col-md-8">
														<input required name="newPass" type="password" class="form-control" id="profileNewPassword">
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileNewPasswordRepeat">Repeat New Password</label>
													<div class="col-md-8">
														<input required name="newPass1" type="password" class="form-control" id="profileNewPasswordRepeat">
													</div>
												</div>
											</fieldset>
											<div class="panel-footer">
												<div class="row">
													<div class="col-md-9 col-md-offset-3">
														<button type="submit" name="changePassword" class="btn btn-primary">Change Password</button>
													</div>
												</div>
											</div>
										</form>
									</div>


									<div id="storeAssign" class="tab-pane">
										<form action="functions/userStoreUpdate1.php" class="form-horizontal" method="post" action="#">
											<h4 class="mb-xlg">Store Assignment</h4>
											<fieldset class="mb-xl">
												<input name="recID" value="<?php echo $currentUser['RECID'] ?>" type="hidden">
												<input name="toProfile" value="1" type="hidden">
												<div class="form-group">
													<label class="col-md-3 control-label" for="profileOldPassword">Assigned Store/s</label>
													<div class="col-md-8">
														
											<?php
												$mySQL->query('SELECT usr.*,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON str.STORECODE=usr.STORECODE WHERE usr.USERNAME=:username');
												$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
												$stores = $mySQL->resultSet();
												foreach ($stores as $store) {												 
													echo ' <span style="margin-bottom: 3px" class="btn btn-xs btn-primary">'.$store['STORENAME'].'</span> ';
												}

											?>
														
													</div>
												</div>


												<div class="form-group">
													<label class="col-md-3 control-label" for="profileOldPassword">Current Store</label>
													<div class="col-md-8">
														<select required data-plugin-selectTwo name="defaultStore" class="form-control">
									<option selected value="">Select Default Store</option>
								<?php
										$mySQL->query('SELECT usr.*,str.STORENAME FROM setup_user_store usr JOIN  setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username');
										$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
										$stores = $mySQL->resultSet();
										foreach ($stores as $store) {
											echo '<option '.($store['DEFAULTSTORE']==1 ? 'selected' : '').' value="'.$store['STORECODE'].'">'.$store['STORENAME'].'</option>';
										}
								?>
								</select>
													</div>
												</div>
												
											</fieldset>
											<div class="panel-footer">
												<div class="row">
													<div class="col-md-9 col-md-offset-3">
														<button type="submit" name="updateUserStores" class="btn btn-primary">Update</button>
													</div>
												</div>
											</div>
										</form>
									</div>




								</div>
							</div>
						</div>
						

					</div>
				</section>



				



			</div>

			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>

		<script src="assets/vendor/jquery-ui/js/jquery-ui-1.10.4.custom.js"></script>
		<script src="assets/vendor/jquery-ui-touch-punch/jquery.ui.touch-punch.js"></script>
		<script src="assets/vendor/jquery-appear/jquery.appear.js"></script>
		<script src="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.js"></script>
		<script src="assets/vendor/jquery-easypiechart/jquery.easypiechart.js"></script>
		<script src="assets/vendor/flot/jquery.flot.js"></script>
		<script src="assets/vendor/flot-tooltip/jquery.flot.tooltip.js"></script>
		<script src="assets/vendor/flot/jquery.flot.pie.js"></script>
		<script src="assets/vendor/flot/jquery.flot.categories.js"></script>
		<script src="assets/vendor/flot/jquery.flot.resize.js"></script>
		<script src="assets/vendor/jquery-sparkline/jquery.sparkline.js"></script>
		<script src="assets/vendor/raphael/raphael.js"></script>
		<script src="assets/vendor/morris/morris.js"></script>
		<script src="assets/vendor/gauge/gauge.js"></script>
		<script src="assets/vendor/snap-svg/snap.svg.js"></script>
		<script src="assets/vendor/liquid-meter/liquid.meter.js"></script>
		<script src="assets/vendor/jqvmap/jquery.vmap.js"></script>
		<script src="assets/vendor/jqvmap/data/jquery.vmap.sampledata.js"></script>
		<script src="assets/vendor/jqvmap/maps/jquery.vmap.world.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.africa.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.asia.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.australia.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.europe.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.north-america.js"></script>
		<script src="assets/vendor/jqvmap/maps/continents/jquery.vmap.south-america.js"></script>
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		

	
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
<!-- 		<script src="assets/javascripts/dashboard/examples.dashboard.js"></script> -->
		<script src="classes/notifications.js"></script>
	</body>
</html>