<?php
if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{

	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;

		require 'classes/axSQL.php';
		$axSQL = new axSQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Shipped TON') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		if (isset($_GET['ton'])) {
			$mySQL->query('SELECT * FROM table_ton_header WHERE TRANSREFID=:ton');
			$mySQL->addParam(":ton",$_GET['ton']);
			$tonHeader = $mySQL->singleResult();
			if ($tonHeader) {
				if ($tonHeader['STATUS']=='Received Pullout' || $tonHeader['STATUS']=='Received with Discrepancy') {
					header('location: pullouts');
					exit();
				}
			}
		}else{
			header('location: dashboard');
			exit();
		}


		// $axSQL->query('SELECT ton.*,it.ITEMNAME,
		// 			ISNULL((SELECT TOP 1 TAGGED 
  //                        FROM ITD_XIAOMI_IMEI_TAGGING_TABLE 
  //                        WHERE ITEMID=ton.ITEMID AND DATAAREAID=ton.DATAAREAID),0) SERIALIZED
		// 			FROM INVENTTRANSFERLINE ton
		// 			LEFT JOIN INVENTTABLE it ON ton.ITEMID = it.ITEMID AND ton.DATAAREAID = it.DATAAREAID
		// 			WHERE ton.TRANSFERID = :ton');
	 //  	$axSQL->addParam(":ton",$_GET['ton']);
	 //  	$tonLines = $axSQL->resultSet();


	}else{
		header('location: dashboard');
		exit();
	}

}




?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView();' : '').' loadReceivingItems(\''.$_GET['ton'].'\'); loadReceivingSerial(\''.$_GET['ton'].'\')' ?> ">
		<section class="body">

			<?php include 'includes/header.php' ?>

			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php' ?>

				<button id="tagNotMatch" class="hidden"></button>
				<button id="receivedItem" class="hidden"></button>
				<button id="withDes" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("tagNotMatch").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("receivedItem").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("withDes").click();
				                });
				          	</script>';
					}
					
					
				}

				?>


			
				<section role="main" class="content-body">
					
					<header class="page-header">
						<h2>TON Pullout</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cloud-upload"></i>
									</a>
								</li>
								<li><span>TON Pullout</span></li>
								<li><a href="pullouts">Pullout TON List</a></li>
								<li><span><?php echo $_GET['ton'] ?></span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<section class="panel">
						<header class="panel-heading">
							<div class="panel-actions">
								<a href="#" class="fa fa-caret-down"></a>
								<!-- <a href="#" class="fa fa-times"></a> -->
							</div>
					
							<h2 class="panel-title"><?php echo $_GET['ton'] ?> Item Details</h2>
						</header>

						<div id="receivingItems"></div>
						
						
					</section>

					<div class="row">
						

					</div>

					<section class="panel">
						<header class="panel-heading">

							<h2 class="panel-title">
								<div class="row">
									<div class="col-md-6">
										<span class=""><?php echo $_GET['ton'] ?>  Serial Number Details</span>
										<input type="hidden" id="tonNumber" value="<?php echo $_GET['ton'] ?>">
									</div>
									<div class="text-right col-md-6" style="margin-bottom: 10px;">
										<div class="input-group">
											<span class="input-group-addon">
												<i class="fa fa-barcode"></i>
											</span>
											<input id="serialScanning" name="serialNumber2" placeholder="Scan Serial Number here" type="text" class="form-control">
										</div>
										<div id="serialPrompt"></div>
										<small id="errorSerial" style="display:none;" class="text-bold text-danger">Error: Invalid Serial Number</small>
									</div>
								</div>
							</h2>	
						</header>
						<div id="receivingSerials"></div>
					</section>


					<section>
						
						<div class="row">
							<form id="receiveForm" method="post" action="functions/pulloutFromStore2.php">
								<div class="col-md-12 text-right">
									<div class="form-group">
										<div class="radio-custom radio-success pull-right">
											<input checked type="radio" id="radioExample3" name="rType" value="fpReceive">
											<label for="radioExample3" class="text-bold text-success">Full / Partial Receive</label>
											
										</div>
									</div>
								</div>
								<div class="col-md-12 text-right" style="margin-top: 10px;">
									<div class="form-group">
										<div class="radio-custom radio-danger pull-right">
											<input type="radio" id="radioExample5" name="rType" value="drReceive">
											<label for="radioExample5" class="text-bold text-danger">Full Receive with Discrepancy Report</label>
										</div>
									</div>
								</div>
								<input type="hidden" name="ton" value="<?php echo $_GET['ton'] ?>">
							</form>
							<div class="col-md-12 text-right" style="margin-top: 20px;">
								<button id="receiveBtn" onclick="confirmReceive();" class="btn btn-success btn-sm">Receive Pullout</button>
							</div>
						</div>
						
					</section>

					
					
				</section>
				
			</div>

			<?php include 'includes/rightbar.php'; ?>
		</section>


		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();
			} );

			function loadReceivingItems(ton){
			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('receivingItems');
			 			receiver.innerHTML = xmlhttp.responseText;

			 			$(document).ready(function() {
						    $('table.display').DataTable();
						} );
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'loads/loadReceivingAXItems.php?ton='+ton, true);
			 	 xmlhttp.send();
			 	
			}

			function loadReceivingSerial(ton){
			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('receivingSerials');
			 			receiver.innerHTML = xmlhttp.responseText;
			 			$(document).ready(function() {
						    $('table.display').DataTable();
						} );
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'loads/loadReceivingAXSerials.php?ton='+ton, true);
			 	 xmlhttp.send();
			 	
			}

			function updateToReceive(recID,qty,ton){
			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		loadReceivingItems(ton);
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'functions/updateToReceiveAX.php?recID='+recID+'&qty='+qty, true);
			 	 xmlhttp.send();
			}


			var txtSerialNumber = document.getElementById("serialScanning");
			txtSerialNumber.addEventListener("keyup", function(event) {
			  if (event.keyCode === 13) {
			    event.preventDefault();
			    if (this.value != '') {
			    	if (document.getElementById(this.value +'1')) {
			    		var serVal = document.getElementById(this.value +'1').value;
			    		var valArr = serVal.split("|");
						tagSerialNumber(this.value,valArr[0],valArr[1],valArr[2],valArr[3],1);
			    	}else{
			    		var ton = document.getElementById('tonNumber').value;
			    		tagSerialNumber(0,0,ton,0,0,0);
			    	}	
			    }
			  }
			});

			
			function tagSerialNumber(serialNumber,itemID,ton,cVal,lineNum,reset){

			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('serialPrompt');
			 			receiver.innerHTML = xmlhttp.responseText;
			 	 		document.getElementById('serialScanning').value = '';
			 	 		loadReceivingItems(ton);
			 	 		document.getElementById('errorSerial').style.display = 'none';
			 	 		if (reset==1) {
			 	 			loadReceivingSerial(ton);
			 	 		}
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'functions/tagSerialNumberAX.php?serial='+serialNumber+'&itemID='+itemID+'&ton='+ton+'&val='+cVal+'&line='+lineNum, true);
			 	 xmlhttp.send();
			}


		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>

		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>


		<!-- Examples -->
<!-- 		<script src="assets/javascripts/dashboard/examples.dashboard.js"></script> -->
		<script src="classes/notifications.js"></script>
	</body>
</html>