<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{

	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;

		require 'classes/axSQL.php';
		$axSQL = new axSQL;
	} catch (Exception $e) {
		header('location: conError');
	}

	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Pullout TON') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		$yearSetup = $mySQL->getYearSetup($_SESSION['MI-KIOSK_COMPANYID-ONLINE']);

	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="insufficientSOH" class="hidden"></button>
				<button id="invalidSerial" class="hidden"></button>
				<button id="receivedPullOut" class="hidden"></button>
				<button id="existingTON" class="hidden"></button>
				<button id="storeClosed" class="hidden"></button>
				

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("receivedPullOut").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("existingTON").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("invalidSerial").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("storeClosed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("insufficientSOH").click();
				                });
				          	</script>';
					}
				}
				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>TON Pullout</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cloud-upload"></i>
									</a>
								</li>
								<li><span>TON Pullout</span></li>
								<li><a href="pullouts">Pullout TON List</a></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->

						<div class="row">
							<form method="post" action="pullouts">
								<div class="form-group">
									<div class="col-md-6">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-btn">
													<button class="btn btn-success" type="submit" name="store">Load</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>

						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title"><?php echo (isset($_POST['store']) ? $_POST['storeCode'] : ''); ?> TON Pullout List</h2>
							</header>
							<div class="panel-body">
								
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>TON</th>
											<th>TYPE</th>
											<th>FROM</th>
											<th>TO</th>
											<th>VIEW</th>
										</tr>
									</thead>
									<tbody>

						<?php
							if (isset($_POST['store'])) {
								$axSQL->query('SELECT 
									itt.TRANSFERID as TON,
									ilfrom.NAME as WHFROM,
									ilto.NAME as WHTO,
									itt.SHIPDATE,
									CASE itt.STARPAPER_TRANSFERTYPE
										WHEN 1 THEN :dDelivery
										WHEN 2 THEN :dPullout
										WHEN 3 THEN :pDelivery
										WHEN 4 THEN :pPullout
										WHEN 5 THEN :ccDelivery
										WHEN 6 THEN :ccPullout
										WHEN 7 THEN :csDelivery
										WHEN 8 THEN :csPullout
										WHEN 9 THEN :sDelivery
										WHEN 10 THEN :sPullout
										WHEN 11 THEN :eDelivery
										WHEN 12 THEN :ePullout
										WHEN 13 THEN :salesInTrust
										WHEN 14 THEN :whs
										WHEN 15 THEN :kDelivery
										WHEN 16 THEN :kPullout
									END TRANSFERTYPE
									FROM INVENTTRANSFERTABLE itt
									LEFT JOIN INVENTLOCATION ilfrom ON itt.INVENTLOCATIONIDFROM = ilfrom.INVENTLOCATIONID AND itt.DATAAREAID = ilfrom.DATAAREAID
									LEFT JOIN INVENTLOCATION ilto ON itt.INVENTLOCATIONIDTO = ilto.INVENTLOCATIONID AND itt.DATAAREAID = ilto.DATAAREAID
									WHERE itt.DATAAREAID = :mi
									AND TRANSFERSTATUS = :received
									AND itt.STARPAPER_TRANSFERTYPE IN (:del1,:del2,:del3,:del4,:del5,:del6,:del7)
									AND YEAR(itt.CREATEDDATETIME)>=:fYear AND itt.INVENTLOCATIONIDFROM=:store');
								$axSQL->addParam(":mi",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
								$axSQL->addParam(":store",$_POST['storeCode']);
								$axSQL->addParam(":received",'2');
								$axSQL->addParam(":dDelivery",' Depot Delivery');
								$axSQL->addParam(":dPullout",' Depot Pullout');
								$axSQL->addParam(":pDelivery",' Prod Delivery');
								$axSQL->addParam(":pPullout",' Prod Pullout');
								$axSQL->addParam(":ccDelivery",' Concession Delivery');
								$axSQL->addParam(":ccPullout",' Concession Pullout');
								$axSQL->addParam(":csDelivery",' Consignment Delivery');
								$axSQL->addParam(":csPullout",' Consignment Pullout');
								$axSQL->addParam(":sDelivery",' Showroom Delivery');
								$axSQL->addParam(":sPullout",' Showroom Pullout');
								$axSQL->addParam(":eDelivery",' Ext Con Delivery');
								$axSQL->addParam(":ePullout",' Ext Con Pullout');
								$axSQL->addParam(":salesInTrust",' Sales in Trust');
								$axSQL->addParam(":whs",' WHS Transfer');
								$axSQL->addParam(":kDelivery",'Kiosk Delivery');
								$axSQL->addParam(":kPullout",'Kiosk Pullout');
								$axSQL->addParam(":del1",'2');
								$axSQL->addParam(":del2",'4');
								$axSQL->addParam(":del3",'6');
								$axSQL->addParam(":del4",'8');
								$axSQL->addParam(":del5",'10');
								$axSQL->addParam(":del6",'12');
								$axSQL->addParam(":del7",'16');
								$axSQL->addParam(":fYear",$yearSetup);
								$rows = $axSQL->resultSet();

								foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['TON'].'</td>
												<td>'.$row['TRANSFERTYPE'].'</td>
												<td>'.$row['WHFROM'].'</td>
												<td>'.$row['WHTO'].'</td>
												<td>
									';
										$mySQL->query('SELECT COUNT(1) FROM table_ton_header WHERE TRANSREFID=:ton');
										$mySQL->addParam(":ton",$row['TON']);
										$existing = $mySQL->singleResult();
										
										$mySQL->query('SELECT COUNT(1) FROM table_ton_auto_header WHERE TRANSFERID=:ton');
										$mySQL->addParam(":ton",$row['TON']);
										$auto = $mySQL->singleResult();
										
										if ($existing[0] == 0 && $auto[0] == 0) {
											echo '<button onclick="loadSerialNumber(\''.$row['TON'].'\')" data-toggle="modal" data-target="#sendToStore" class="badge btn-primary">Receive Pullout</button>';
										}else{
											echo '<button onclick="loadSerialNumber(\''.$row['TON'].'\')" data-toggle="modal" data-target="#sendToStore" class="badge btn-secondary">Received Pullout</button>';
										}
									echo '		
												</td>
												
											</tr>
										';
								}
							}
									
						?>
									</tbody>
								</table>
							</div>
						</section>

						<!-- <td>
							<a href="pulloutitems?ton='.$row['TON'].'" class="btn btn-xs btn-primary">View TON</a>
						</td> -->

					<!-- end: page -->
				</section>
			</div>






















<div class="modal fade" id="sendToStore" tabindex="-1" role="dialog" aria-labelledby="storeEdit" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">TON Details</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="sendToStoreList">

			</div>
			
		</div>
		
	</div>
</div>







			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			// function deleteStore(recID,storeName){
			// 	if (confirm('Are you sure to delete '+storeName+' ?') == true) {
			// 		window.location.href = "functions/storeDelete.php?recID="+recID;
			// 	}
			// }
			$(document).ready(function() {
			    $('table.display').DataTable();
			} );




			function disableSendButton(){
				document.getElementById('sendToStoreButton').disabled=true;
			}

			function loadSerialNumber(tonNumber){
				var receiver = document.getElementById('sendToStoreList');
				receiver.innerHTML = '';
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('sendToStoreList');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						} );

					}
				}
				xmlhttp.open('GET', 'loads/loadSerialNumberPullout.php?ton='+tonNumber, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>