<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Transactions') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		if ($mySQL->acceptStoreTrans($_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
			header('location: closestore?next=sales');
			exit();
		}else{
			if (isset($_POST['searchDate'])) {
				$sDate = date_create($_POST['dateSearch']);
				$sDate1 = date_create($_POST['dateSearch1']);
				$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONDT BETWEEN :date1 AND :date2 AND TRANSTYPE=:sales AND STORE=:store');
				$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
				$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));;

			}else{
				$mySQL->query('SELECT * FROM table_transaction_header WHERE YEAR(TRANSACTIONDT)=:tYear AND MONTH(TRANSACTIONDT)=:tMonth AND DAY(TRANSACTIONDT)=:tDay AND TRANSTYPE=:sales AND STORE=:store');
				$mySQL->addParam(":tYear",date('Y'));
				$mySQL->addParam(":tMonth",date('m'));
				$mySQL->addParam(":tDay",date('d'));
			}
			$mySQL->addParam(":sales",'Sales');
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$rows = $mySQL->resultSet();
		}

		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Regular Sales</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-money"></i>
									</a>
								</li>
								<li><a href="transactions">Transactions</a></li>
								<li><span>Regular Sales</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

						<div class="row">
							<div class="col-md-12">
								<a href="newsales" class="btn btn-primary btn-lg"> <i class="fa fa-plus"></i> New Regular Sales</a>
							</div>
							
						</div>
						<br>
					<!-- start: page -->

						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
							
								<h2 class="panel-title">Regular Sales List</h2>
							</header>
							<div class="panel-body">
								<div class="row">
									<form method="post" action="sales">
										<div class="form-group">

											<div class="col-md-6">
												<div class="input-group">
													<span class="input-group-addon">
														<i class="fa fa-calendar"></i>
													</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
													<span class="input-group-addon">to</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">

													<span class="input-group-btn">
														<button class="btn btn-primary" name="searchDate" type="submit">Load</button>
													</span>
												</div>
											</div>
										</div>
									</form>
									<hr>
								</div>
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>Transaction ID</th>
											<th>Date/Time</th>
											<th class="text-right">Amount</th>
											<th>Print</th>
											<th>View Details</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										$tranDt = date_create($row['CREATEDDT']);
										echo '
											<tr>
												<td>'.$row['TRANSACTIONID'].'</td>
												<td>'.date_format($tranDt,'m/d/Y h:i a').'</td>
												<td class="text-right">P'.number_format($row['TOTALPAYABLE'],2).'</td>
												<td>
									';
									if ($row['PRINTED'] == 0) {
										echo '<a href="printPage?'.md5('user').'='.md5($_SESSION['MI-KIOSK_USER-ONLINE']).'&'.md5('tranID').'='.$row['TRANSACTIONID'].'" class="btn btn-xs btn-success"><i class="fa fa-print"></i> Print</a>';
									}else{
										if ($row['PRINTED'] <= 2) {
											echo '<a href="printPage?'.md5('user').'='.md5($_SESSION['MI-KIOSK_USER-ONLINE']).'&'.md5('tranID').'='.$row['TRANSACTIONID'].'" class="btn btn-xs btn-warning"><i class="fa fa-print"></i> Re-Print</a>';
										}else{
											echo '<a href="#" class="btn btn-xs btn-dark"><i class="fa fa-print"></i> Re-Print</a>';
										}
									}
									echo '
												</td>
												<td>
													<button onclick="loadSalesDetails('.$row['RECID'].')" data-toggle="modal" data-target="#viewSales" class="badge btn-primary"><i class="fa fa-eye"></i> View</button>
													
												</td>

											</tr>
										';
									}

								?>
										

									</tbody>
								</table>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>
























<!-- modals: start -->



<div class="modal fade" id="viewSales" tabindex="-1" role="dialog" aria-labelledby="viewSales" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Transaction Details</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="salesView">
				
			</div>
			
		</div>
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			// function deleteStore(recID,storeName){
			// 	if (confirm('Are you sure to delete '+storeName+' ?') == true) {
			// 		window.location.href = "functions/storeDelete.php?recID="+recID;
			// 	}
			// }
			function loadSalesDetails(recID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('salesView');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						} );

					}
				}
				xmlhttp.open('GET', 'loads/loadSalesDetails.php?id='+recID, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>