<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Collection Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Collection Report</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="collections">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-addon">Date</span>
												<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
													<span class="input-group-addon">to</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
												<span class="input-group-btn">
													<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								
								<h2 class="panel-title">Collection Report</h2>
							</header>


				<?php
					if (isset($_POST['searchDate'])) {
						$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$storeName = $mySQL->singleResult();
						$sDate = date_create($_POST['dateSearch']);
						$sDate1 = date_create($_POST['dateSearch1']);
						echo '
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="h5 text-bold">Store</th>
											<td class="h5 text-bold">'.$_POST['storeCode'].' | '.$storeName['STORENAME'].'</td>
										</tr>
										<tr>
											<th class="h5 text-bold">Report Date</th>
											<td class="h5 text-bold">'.date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y').'</td>
										</tr>
									</thead>
								</table>
						';

						$mySQL->query('SELECT SUM(GROSSAMOUNT) SALESTOTAL,SUM(VATABLESALES) SALESVATABLE,SUM(VATAMOUNT) SALESVAT, SUM(EWTAMOUNT) SALESEWT, SUM(TOTALPAYABLE) TOTALSALES FROM table_transaction_header hdr 
							WHERE hdr.TRANSTYPE=:sales AND hdr.STORE=:storeCode AND TRANSACTIONDT BETWEEN :date1 AND :date2');
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$salesParam = $mySQL->singleResult();

						$mySQL->query('SELECT SUM(GROSSAMOUNT - VATABLESALES) VATEX FROM table_transaction_header 
							WHERE TRANSTYPE=:sales AND STORE=:storeCode AND VATINC=:zero AND TRANSACTIONDT BETWEEN :date1 AND :date2');
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$mySQL->addParam(":zero",0);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$vatExSales = $mySQL->singleResult();

						$mySQL->query('SELECT SUM(GROSSAMOUNT) RETURNTOTAL,SUM(VATABLESALES) RETURNVATABLE,SUM(VATAMOUNT) RETURNVAT,SUM(EWTAMOUNT) RETURNEWT, SUM(TOTALPAYABLE) TOTALRETURN FROM table_transaction_header hdr WHERE hdr.TRANSTYPE=:return AND hdr.STORE=:storeCode AND TRANSACTIONDT BETWEEN :date1 AND :date2');
						$mySQL->addParam(":return",'Return');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$returnParam = $mySQL->singleResult();

						$netGross = $salesParam['SALESTOTAL'] +  $returnParam['RETURNTOTAL'];
						$netVatable = $salesParam['SALESVATABLE'] + $returnParam['RETURNVATABLE'];
						$netVAT = $salesParam['SALESVAT'] + $returnParam['RETURNVAT'];
						echo'
								<hr>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-danger">SALES BREAKDOWN</th>
											<th class="text-right">Sales</th>
											<th class="text-right">Return</th>
											<th class="text-right">Net</th>
										</tr>

										<tr>
											<th>Gross</th>
											<td class="text-right">'.number_format($salesParam['SALESTOTAL'],2).'</td>
											<td class="text-right">'.number_format($returnParam['RETURNTOTAL'],2).'</td>
											<th class="text-right">'.number_format($netGross,2).'</td>
										</tr>
							
										<tr>
											<th>VAT</th>
											<td class="text-right">'.number_format($salesParam['SALESVAT'],2).'</td>
											<td class="text-right">'.number_format($returnParam['RETURNVAT'],2).'</td>
											<th class="text-right">'.number_format($netVAT,2).'</td>
										</tr>


										<tr>
											<th>Net of VAT</th>
											<td class="text-right">'.number_format($salesParam['SALESVATABLE'],2).'</td>
											<td class="text-right">'.number_format($returnParam['RETURNVATABLE'],2).'</td>
											<th class="text-right">'.number_format($netVatable,2).'</td>
										</tr>
							';
								if ($vatExSales['VATEX'] != 0 ) {
									echo '
										<tr>
											<th>VAT Exempt</th>
											<td class="text-right">'.number_format($vatExSales['VATEX'],2).'</td>
								 			<td class="text-right">'.number_format(0.00,2).'</td>
											<th class="text-right">'.number_format($vatExSales['VATEX'],2).'</td>
										</tr>
									';
								}

				
								if ($salesParam['SALESEWT'] != 0 || $returnParam['RETURNEWT'] != 0) {
									echo '
										<tr>
											<th>EWT</th>
											<td class="text-right">'.number_format($salesParam['SALESEWT'],2).'</td>
											<td class="text-right">'.number_format($returnParam['RETURNEWT'],2).'</td>
											<th class="text-right">'.number_format($salesParam['SALESEWT'] + $returnParam['RETURNEWT'],2).'</td>
										</tr>
									';
								}

							echo '		

										<tr>
											<th>Total Sales</th>
											<th class="text-right">'.number_format($salesParam['TOTALSALES'],2).'</th>
											<th class="text-right">'.number_format($returnParam['TOTALRETURN'],2).'</th>
											<th class="text-right">'.number_format($salesParam['TOTALSALES'] + $returnParam['TOTALRETURN'],2).'</th>
										</tr>
									</thead>
									
								</table>



								<hr>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-danger">TENDER BREAKDOWN</th>
											<th class="text-right">Sales</th>
											<th class="text-right">Pre Sales</th>
											<th class="text-right">Refund</th>
											<th class="text-right">Total</th>
										</tr>
										
									</thead>
									<tbody>

							';
								$mySQL->query('SELECT tdr.TENDERTYPE,
								SUM(CASE WHEN hdr.TRANSTYPE=:sales THEN tdr.AMOUNT ELSE 0 END ) SALES,
								SUM(CASE WHEN hdr.TRANSTYPE=:return THEN tdr.AMOUNT ELSE 0 END ) RETURNREFUND,
								SUM(CASE WHEN hdr.TRANSTYPE=:preSales THEN tdr.AMOUNT ELSE 0 END ) PRESALES
								FROM table_transaction_header hdr JOIN table_transaction_tender tdr
								ON hdr.TRANSACTIONID=tdr.TRANSACTIONID AND hdr.COMPANY=tdr.COMPANY
								WHERE hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
								AND hdr.STORE = :storeCode
								GROUP BY tdr.TENDERTYPE
								');
									$mySQL->addParam(":sales",'Sales');
									$mySQL->addParam(":return",'Refund');
									$mySQL->addParam(":preSales",'PreSales');
									$mySQL->addParam(":storeCode",$_POST['storeCode']);
									$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
									$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
									$sales = $mySQL->resultSet();
									$totalSales = 0;
									foreach ($sales as $row) {
										$total = ($row['SALES'] + $row['PRESALES']) + $row['RETURNREFUND'];
										echo '
											<tr>
												<th>'.$row['TENDERTYPE'].'</th>
												<td class="text-right">'.number_format($row['SALES'],2).'</td>
												<td class="text-right">'.number_format($row['PRESALES'],2).'</td>
												<td class="text-right">'.number_format($row['RETURNREFUND'],2).'</td>
												<th class="text-right">'.number_format($total,2).'</td>
											</tr>

										';
										$totalSales = $totalSales + $total;
									}
								
							echo'
										<tr>
											<th colspan="4" class="text-right">Total Collection</th>
											<th class="text-right">'.number_format($totalSales,2).'</th>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="panel-footer text-right">
								<form method="post" target="_blank" action="printcollectionreport">
									<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
									<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<button type="submit" name="generateCollection" class="btn btn-primary"><i class="fa fa-print"></i> Print Collection Report</button>
								</form>
							</div>
						';
					}
				?>
						</section>
					<!-- end: page -->
				</section>
			</div>


			


<!-- modals: start -->


<!-- 
<div class="modal fade" id="inventTrans" tabindex="-1" role="dialog" aria-labelledby="inventTrans" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">On Hand Stocks</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="transactions">
				
			</div>
			
		</div>
		
	</div>
</div> -->
<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			// $(document).ready(function() {
			//     $('table.display').DataTable();
			// } );
			// function loadInventTrans(itemID,store){
			// 	document.getElementById('sectionLoader').style.display='block';
			// 	var xmlhttp = new XMLHttpRequest();
			// 	xmlhttp.onreadystatechange = function(){
			// 		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			// 			var receiver = document.getElementById('transactions');
			// 			document.getElementById('sectionLoader').style.display='none';
			// 			receiver.innerHTML = xmlhttp.responseText;

			// 		}
			// 	}
			// 	xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
			// 	xmlhttp.send();
			// }
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>