<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Detailed Collection Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Detailed Collection Report</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="detailedCollections">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-addon">Date</span>
												<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
													<span class="input-group-addon">to</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
												<span class="input-group-btn">
													<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								
								<h2 class="panel-title">Detailed Collection Report</h2>
							</header>


				<?php
					if (isset($_POST['searchDate'])) {
						echo'
							<div class="panel-footer text-right">
								<form method="post" action="printDetailedCollectionReport" target="_blank">
									<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
									<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<button type="submit" name="generateCollection" class="btn btn-primary"><i class="fa fa-print"></i> Print Collection Report</button>
								</form>
							</div>
						'; 
						
						$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$storeName = $mySQL->singleResult();
						$sDate = date_create($_POST['dateSearch']);
						$sDate1 = date_create($_POST['dateSearch1']);
						echo '
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="h5 text-bold">Store</th>
											<td class="h5 text-bold">'.$_POST['storeCode'].' | '.$storeName['STORENAME'].'</td>
										</tr>
										<tr>
											<th class="h5 text-bold">Report Date</th>
											<td class="h5 text-bold">'.date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y').'</td>
										</tr>
									</thead>
								</table>
						';

						$mySQL->query('SELECT SUM(GROSSAMOUNT) SALESTOTAL,SUM(VATABLESALES) SALESVATABLE,SUM(VATAMOUNT) SALESVAT, SUM(EWTAMOUNT) SALESEWT, SUM(TOTALPAYABLE) TOTALSALES FROM table_transaction_header hdr 
							WHERE hdr.TRANSTYPE=:sales and VATINC = 1 and hdr.STORE = :store AND TRANSACTIONDT BETWEEN :date1 AND :date2');
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$salesParam = $mySQL->singleResult();

						$mySQL->query('SELECT SUM(GROSSAMOUNT - VATABLESALES) VATEX FROM table_transaction_header 
							WHERE TRANSTYPE=:sales AND STORE=:store AND VATINC=:zero AND TRANSACTIONDT BETWEEN :date1 AND :date2');
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":zero",0);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$vatExSales = $mySQL->singleResult();
						
						$mySQL->query("SELECT 
											sum(case STATUS when 'Approved' or 'Refunded' then CREDITEDAMOUNT else 0 end) as APPROVEDRETURN
											,sum(case STATUS when 'Pending' then CREDITEDAMOUNT else 0 end) as PENDINGRETURN
											FROM `table_return_header` ret
											left join `table_transaction_header` hdr on hdr.TRANSACTIONID = ret.TRANSACTIONID 
										WHERE ret.STORE=:store and hdr.VATINC = 0 AND ret.TRANSACTIONDT between :date1 and :date2");
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$vatExRet = $mySQL->singleResult(); 
						

						 $mySQL->query("SELECT 
											sum(case STATUS when 'Approved' or 'Refunded' then CREDITEDAMOUNT else 0 end) as APPROVEDRETURN
											,sum(case STATUS when 'Pending' then CREDITEDAMOUNT else 0 end) as PENDINGRETURN
											FROM `table_return_header` ret
											left join `table_transaction_header` hdr on hdr.TRANSACTIONID = ret.TRANSACTIONID 
										WHERE ret.STORE=:store and hdr.VATINC = 1 AND ret.TRANSACTIONDT between :date1 and :date2");
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$returnParam = $mySQL->singleResult(); 
						
						$mySQL->query("SELECT SUM(GROSSAMOUNT) PRESALESTOTAL,SUM(VATABLESALES) SALESVATABLE,SUM(VATAMOUNT) SALESVAT, SUM(EWTAMOUNT) SALESEWT, SUM(TOTALPAYABLE) TOTALSALES 
							FROM table_transaction_header hdr 
							left join `table_presales` pre on pre.TRANSACTIONID = hdr.TRANSACTIONID 
							WHERE hdr.TRANSTYPE=:sales and (ifnull(cast(pre.CLAIMEDDATE as date),'') not between :date1 and :date2)  AND hdr.STORE = :store AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2");
						$mySQL->addParam(":sales",'PreSales');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$presalesParam = $mySQL->singleResult();
						
						$mySQL->query('select sum(GROSSAMOUNT)*-1 as NegAdv from `table_transaction_header` hdr
										left join `table_presales` pre on hdr.TRANSACTIONID = pre.PRESALESID
										where
										hdr.TRANSTYPE = :sales
										and hdr.STORE = :store
										and cast(pre.CLAIMEDDATE as date) between :date1 and :date2
										and pre.TRANSACTIONDT not between :date1 and :date2');
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$negAdv = $mySQL->singleResult();
							
						$mySQL->query("select 
										sum(ret.CreditedAmount)*-1 as ApprovedRet
								from `table_return_header` ret
								left join `app_payment_types` types on types.PAYMENTTYPE = 'Return Credit'
								where ret.TRANSACTIONDT between :date1 and :date2
								and ret.STORE = :store
								and ret.STATUS = 'Refunded'");
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$refund = $mySQL->singleResult();	

	
						//$netGross = $salesParam['SALESTOTAL'] +  $returnParam['RETURNTOTAL'];
						//$netVatable = $salesParam['SALESVATABLE'] + $returnParam['RETURNVATABLE'];
						//$netVAT = $salesParam['SALESVAT'] + $returnParam['RETURNVAT'];
						$vatEx = $vatExSales['VATEX'];
						$vatExRetA = $vatExRet['APPROVEDRETURN'];
						$vatExRetP = $vatExRet['PENDINGRETURN'];
						$vatExTot = $vatEx - ($vatExRetA);
						
						$vatableSales = $salesParam['SALESTOTAL']/1.12;
						$vatableReturnA = $returnParam['APPROVEDRETURN']/1.12;
						$vatableReturnP = $returnParam['PENDINGRETURN']/1.12;
						$netVatable = $vatableSales - ($vatableReturnA);
						
						$vatSales = ($salesParam['SALESTOTAL']/1.12)*0.12;
						$vatReturnA = ($returnParam['APPROVEDRETURN']/1.12)*0.12;
						$vatReturnP = ($returnParam['PENDINGRETURN']/1.12)*0.12;
						$netVat= ($vatSales - ($vatReturnA));
						echo'
								<hr>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
											<th colspan=2 class="text-center" style="background-color:#34495E;color:#fff">Return</th>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Pre Sales</th>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Net Sales/Collection</th>
										</tr>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Approved</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Unapproved</th>
										</tr>
										<tr>
											<th colspan=6 class="text-danger">Sales Breakdown:</th>
										</tr>
							
										<tr>
											<th>Vatable Sales</th>
											<td class="text-right">'.number_format($vatableSales,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatableReturnA,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatableReturnP,2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($netVatable,2,'.',',').'</td>
										</tr>
										
										<tr>
											<th>Vat</th>
											<td class="text-right">'.number_format($vatSales,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatReturnA,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatReturnP,2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($netVat,2,'.',',').'</td>
										</tr>';
								if ($vatExSales['VATEX'] != 0 ) {
									echo '
										<tr>
											<th>VatEx</th>
											<td class="text-right">'.number_format($vatEx,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatExRetA,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatExRetP,2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($vatExTot,2,'.',',').'</td>
										</tr>
									';
								} 
									

									
								echo	'<tr>
											<th class="text-danger">Total</th>
											<td class="text-danger text-right">'.number_format($vatSales+$vatableSales+$vatEx,2,'.',',').'</td>
											<td class="text-danger text-right">'.number_format($vatReturnA+$vatableReturnA+$vatExRetA,2,'.',',').'</td>
											<td class="text-danger text-right">'.number_format($vatReturnP+$vatableReturnP+$vatExRetP,2,'.',',').'</td>
											<td class="text-danger text-right"></td>
											<td class="text-right">'.number_format($netVat+$netVatable+$vatExTot,2,'.',',').'</td>
										</tr>
										<tr>
											<th>&nbsp;</th>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
										</tr>
										<tr>
											<th>Advance Payment</th>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',',').'</td>
											<td class="text-right">'.number_format($presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',',').'</td>
										</tr>
										<tr>
											<th>&nbsp;</th>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
										</tr>
										<tr>
											<th class="text-left" style="background-color:#34495E;color:#fff">Total Amount Collected</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($vatSales+$vatableSales+$vatEx,2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($vatReturnA+$vatableReturnA+$vatExRetA,2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($vatReturnP+$vatableReturnP+$vatExRetP,2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($netVat+$netVatable+$vatExTot+$presalesParam['PRESALESTOTAL'] + $negAdv['NegAdv'],2,'.',',').'</th>
											
										</tr>
									</thead>
								</table>';
								
							$mySQL->query("select PAYMENTTYPE,sum(Sales) as Sales, sum(Presell) as Presale, sum(ReturnAp) as ApprovedRet, sum(ReturnPen) as PendingRet from 
											(
											select PAYMENTTYPE,0 Sales,0 Presell,0 ReturnAp,0 ReturnPen,RECID from `app_payment_types` 
											union all
											select 
												tender.TENDERTYPE 
												,ifnull(tender.AMOUNT,0) as Sales
												,0 as Pres
												,0 as RetAp
												,0 as RetPen
												,types.RECID
											from `table_transaction_header` hdr
											left join `table_transaction_tender` tender on tender.TRANSACTIONID = hdr.TRANSACTIONID
											left join `app_payment_types` types on types.PAYMENTTYPE = tender.TENDERTYPE
											where hdr.TRANSTYPE = 'Sales'
											and hdr.STORE = :store
											and tender.TENDERTYPE is not null
											and hdr.TRANSACTIONDT between :date1 and :date2
											union all

											select 
												tender.TENDERTYPE 
												,ifnull(tender.AMOUNT,0) as Sales
												,0 as Pres
												,0 as RetAp
												,0 as RetPen
												,types.RECID
											from `table_transaction_header` hdr
											left join `table_presales` presales on presales.PRESALESID = hdr.TRANSACTIONID 
											left join `table_transaction_tender` tender on tender.TRANSACTIONID = presales.TRANSACTIONID
											left join `app_payment_types` types on types.PAYMENTTYPE = tender.TENDERTYPE 
											where hdr.TRANSTYPE = 'Sales'
											and hdr.STORE = :store
											and hdr.TRANSACTIONDT between :date1 and :date2
											and presales.TRANSACTIONDT between :date1 and :date2
											and cast(presales.CLAIMEDDATE as date) between :date1 and :date2
											and tender.TENDERTYPE is not null

											union all

											SELECT CASE ret.Status WHEN 'Approved' THEN 'Cash' ELSE 'RETURN CREDIT' END AS PaymentType
												,0 AS Sales
												,0 AS Presale
												,SUM(CASE ret.Status WHEN 'Approved' THEN ret.CreditedAmount ELSE 0 END) AS ApprovedRet
												,SUM(CASE ret.Status WHEN 'Pending' THEN ret.CreditedAmount ELSE 0 END) AS PendingRet
												,CASE ret.Status WHEN 'Approved' THEN 1 ELSE 26 END AS RECID
											FROM `table_return_header` ret
											WHERE ret.TRANSACTIONDT BETWEEN :date1 AND :date2
											AND ret.STORE = :store
											AND ret.STATUS IN ('Approved','Pending')
											GROUP BY ret.Status

											union all
											select tender.TENDERTYPE
												,0 as Sales
												,tender.AMOUNT as Presale
												,0 as RetAp
												,0 as RetPen
												,types.RECID
											from `table_presales` pre
											left join `table_transaction_tender` tender on tender.TRANSACTIONID = pre.TRANSACTIONID
											left join `app_payment_types` types on types.PAYMENTTYPE = tender.TENDERTYPE
											where pre.STORE = :store
											and pre.TRANSACTIONDT between :date1 and :date2
											and ifnull(cast(pre.CLAIMEDDATE as date),'') not between  :date1 and :date2
											) src
											where PAYMENTTYPE is not null
											group by PAYMENTTYPE,RECID
											order by RECID
											");
											
							$mySQL->addParam(":store",$_POST['storeCode']);
							$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
							$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
							$tenderParam = $mySQL->resultSet();	
							
									
							
							echo'	
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
											<th colspan=2 class="text-center" style="background-color:#34495E;color:#fff">Return</th>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">Pre Sales</th>
											<th rowspan=2 class="text-center" style="background-color:#34495E;color:#fff">TOTAL</th>
										</tr>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Approved</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Unapproved</th>
										</tr>
										<tr>
											<th colspan=6 class="text-danger">Tender Breakdown:</th>
										</tr>';
									$gtotal=0;
									$sales=0;
									$retA =0;
									$retP =0;
									$presale=0;
									foreach($tenderParam as $tender)
									{	
										if($tender['PAYMENTTYPE'] == 'CASH')
										{
											$refundS = (($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'');
											$total 		= $tender['Sales']+$tender['Presale'] + $refund['ApprovedRet'];
										}
										else 
										{
											$refundS = "";
											$total 		= $tender['Sales']+$tender['Presale'];
										}
										$gtotal	 	= $gtotal + $total;
										$sales 		= $sales + $tender['Sales'];
										$retA 		= $retA + $tender['ApprovedRet'];
										$retP 		= $retP + $tender['PendingRet'];
										$presale 	= $presale + $tender['Presale'];
								
										echo "<tr>
												<th class='text-left'>".$tender['PAYMENTTYPE']."</th>
												<td class='text-right'>".(($tender['Sales']!=0)? number_format($tender['Sales'],2,'.',','):'')."</td>
												<td class='text-right'>".$refundS."</td>
												<td class='text-right'>".(($tender['PendingRet']!=0)?number_format($tender['PendingRet'],2,'.',','):'')."</td>
												<td class='text-right'>".(($tender['Presale']!=0)?number_format($tender['Presale'],2,'.',','):'')."</td>
												<td class='text-right'>".(($total!=0)?number_format($total,2,'.',','):'')."</td>
											</tr>";
									}
									
									
									 /* echo "<tr>
										<th class='text-left'>REFUND</th>
										<td class='text-right'></td>
										<td class='text-right'>".(($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'')."</td>
										<td class='text-right'></td>
										<td class='text-right'></td>
										<td class='text-right'>".(($refund['ApprovedRet'] != 0 )?number_format($refund['ApprovedRet'],2,'.',','):'')."</td>
									</tr>"; */
									
									$gtotal = $gtotal;
								
							echo	'
										<tr>
											<th class="text-left" style="background-color:#34495E;color:#fff">Total Collection</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.(($sales!=0)?number_format($sales,2,'.',','):'').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.(($refund['ApprovedRet']!=0)?number_format($refund['ApprovedRet'],2,'.',','):'').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.(($retP!=0)?number_format($retP,2,'.',','):'').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.(($presale!=0)?number_format($presale,2,'.',','):'').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.(($gtotal!=0)?number_format($gtotal,2,'.',','):'').'</th>
										</tr>
									</thead>
								</table>
							';
							/*  if ($vatExSales['VATEX'] != 0 ) {
									echo '
										<tr>
											<th>VAT Exempt</th>
											<td class="text-right">'.number_format($vatExSales['VATEX'],2).'</td>
								 			<td class="text-right">'.number_format(0.00,2).'</td>
											<th class="text-right">'.number_format($vatExSales['VATEX'],2).'</td>
										</tr>
									';
								} 

				
								 if ($salesParam['SALESEWT'] != 0 || $returnParam['RETURNEWT'] != 0) {
									echo '
										<tr>
											<th>EWT</th>
											<td class="text-right">'.number_format($salesParam['SALESEWT'],2).'</td>
											<td class="text-right">'.number_format($returnParam['RETURNEWT'],2).'</td>
											<th class="text-right">'.number_format($salesParam['SALESEWT'] + $returnParam['RETURNEWT'],2).'</td>
										</tr>
									';
								} 

							 echo '		

										<tr>
											<th>Total Sales</th>
											<th class="text-right">'..'</th>
											<th class="text-right">'..'</th>
											<th class="text-right">'..'</th>
										</tr>
									</thead>
									
								</table>



								<hr>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-danger">TENDER BREAKDOWN</th>
											<th class="text-right">Sales</th>
											<th class="text-right">Pre Sales</th>
											<th class="text-right">Refund</th>
											<th class="text-right">Total</th>
										</tr>
										
									</thead>
									<tbody>

							'; 
							 $mySQL->query('SELECT tdr.TENDERTYPE,
								SUM(CASE WHEN hdr.TRANSTYPE=:sales THEN tdr.AMOUNT ELSE 0 END ) SALES,
								SUM(CASE WHEN hdr.TRANSTYPE=:return THEN tdr.AMOUNT ELSE 0 END ) RETURNREFUND,
								SUM(CASE WHEN hdr.TRANSTYPE=:preSales THEN tdr.AMOUNT ELSE 0 END ) PRESALES
								FROM table_transaction_header hdr JOIN table_transaction_tender tdr
								ON hdr.TRANSACTIONID=tdr.TRANSACTIONID AND hdr.COMPANY=tdr.COMPANY
								WHERE hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
								GROUP BY tdr.TENDERTYPE
								');
									$mySQL->addParam(":sales",'Sales');
									$mySQL->addParam(":return",'Refund');
									$mySQL->addParam(":preSales",'PreSales');
									$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
									$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
									$sales = $mySQL->resultSet();
									$totalSales = 0;
									foreach ($sales as $row) {
										$total = ($row['SALES'] + $row['PRESALES']) + $row['RETURNREFUND'];
										echo '
											<tr>
												<th>'.$row['TENDERTYPE'].'</th>
												<td class="text-right">'.number_format($row['SALES'],2).'</td>
												<td class="text-right">'.number_format($row['PRESALES'],2).'</td>
												<td class="text-right">'.number_format($row['RETURNREFUND'],2).'</td>
												<th class="text-right">'.number_format($total,2).'</td>
											</tr>

										';
										$totalSales = $totalSales + $total;
									}
								*/
							
					}
				?>
						</section>
					<!-- end: page -->
				</section>
			</div>


			


<!-- modals: start -->


<!-- 
<div class="modal fade" id="inventTrans" tabindex="-1" role="dialog" aria-labelledby="inventTrans" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">On Hand Stocks</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="transactions">
				
			</div>
			
		</div>
		
	</div>
</div> -->
<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			// $(document).ready(function() {
			//     $('table.display').DataTable();
			// } );
			// function loadInventTrans(itemID,store){
			// 	document.getElementById('sectionLoader').style.display='block';
			// 	var xmlhttp = new XMLHttpRequest();
			// 	xmlhttp.onreadystatechange = function(){
			// 		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			// 			var receiver = document.getElementById('transactions');
			// 			document.getElementById('sectionLoader').style.display='none';
			// 			receiver.innerHTML = xmlhttp.responseText;

			// 		}
			// 	}
			// 	xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
			// 	xmlhttp.send();
			// }
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>