<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Detailed Collection Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Detailed Collection Report</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="detailedCollections">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-addon">Date</span>
												<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
													<span class="input-group-addon">to</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
												<span class="input-group-btn">
													<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								
								<h2 class="panel-title">Detailed Collection Report</h2>
							</header>


				<?php
					if (isset($_POST['searchDate'])) {
						echo'
							<div class="panel-footer text-right">
								<form method="post" action="printDetailedCollectionReport" target="_blank">
									<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
									<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<button type="submit" name="generateCollection" class="btn btn-primary"><i class="fa fa-print"></i> Print Collection Report</button>
								</form>
							</div>
						'; 
						
						$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$storeName = $mySQL->singleResult();
						$sDate = date_create($_POST['dateSearch']);
						$sDate1 = date_create($_POST['dateSearch1']);
						echo '
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="h5 text-bold">Store</th>
											<td class="h5 text-bold">'.$_POST['storeCode'].' | '.$storeName['STORENAME'].'</td>
										</tr>
										<tr>
											<th class="h5 text-bold">Report Date</th>
											<td class="h5 text-bold">'.date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y').'</td>
										</tr>
									</thead>
								</table>
						';
						
						$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
										WHERE store =:store
										AND TRANSTYPE =:type
										AND VATINC = 1
										AND transactiondt between :date1 and :date2
										');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":type",'Sales');
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$salesVal = $mySQL->singleResult();
						
						$salesVatable = $salesVal['AMOUNT'] / 1.12;
						$salesVat = ($salesVal['AMOUNT'] / 1.12) * 0.12;
						
						$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
										WHERE store =:store
										AND TRANSTYPE =:type
										AND VATINC = 1
										AND transactiondt between :date1 and :date2
										');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":type",'Return');
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$returnVal = $mySQL->singleResult();
						
						$returnVatable = $returnVal['AMOUNT'] / 1.12;
						$returnVat = ($returnVal['AMOUNT'] / 1.12) * 0.12;
						
						
						$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
										WHERE store =:store
										AND TRANSTYPE =:type
										AND VATINC = 1
										AND transactiondt between :date1 and :date2
										');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":type",'PreSales');
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$preSales = $mySQL->singleResult();
						
						$preSalesVatable = $preSales['AMOUNT'] / 1.12;
						$preSalesVat = ($preSales['AMOUNT'] / 1.12) * 0.12;
						
						$mySQL->query('SELECT sum( case TRANSTYPE when :sales then GROSSAMOUNT end ) as SALES
										,sum(case TRANSTYPE when :return then GROSSAMOUNT end ) as RET
										,sum(case TRANSTYPE when :presales then GROSSAMOUNT end) as PRESALE
										,count(1) RECORD
										FROM table_transaction_header
										WHERE store =:store
										AND VATINC = 0
										AND transactiondt between :date1 and :date2
										');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":return",'Return');
						$mySQL->addParam(":presales",'PreSales');
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$vatEx = $mySQL->singleResult();
						
						$mySQL->query('SELECT SUM(GROSSAMOUNT) AMOUNT FROM table_transaction_header
										WHERE store =:store
										AND TRANSTYPE in (:sales,:return,:presale)
										AND transactiondt between :date1 and :date2
										');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":presale",'PreSales');
						$mySQL->addParam(":return",'Return');
						$mySQL->addParam(":sales",'Sales');
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$totalSales = $mySQL->singleResult();
						
						//$sales = $salesVal['AMOUNT'] + $returnVal['AMOUNT'] + $preSales ['AMOUNT'] + $vatEx['SALES'] + $vatEx['RET'] + $vatEx['PRESALE'];
						
						echo'<hr>
								<h4><b>A. Sales Summary</b></h4>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Pre Sales</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Approved Return</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Total Sales</th>
										</tr>
										<tr>
											<th colspan=5 class="text-danger">Sales Breakdown:</th>
										</tr>
							
										<tr>
											<th>Vatable Sales</th>
											<td class="text-right">'.number_format($salesVatable,2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($returnVatable*-1,2,'.',',').'</td>
											<td class="text-right">'.number_format($salesVatable+$returnVatable,2,'.',',').'</td>
										</tr>
										
										<tr>
											<th>Vat</th>
											<td class="text-right">'.number_format($salesVat,2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($returnVat*-1,2,'.',',').'</td>
											<td class="text-right">'.number_format($salesVat+$returnVat,2,'.',',').'</td>
										</tr>';
							
							
							
							if ($vatEx['RECORD'] != 0) {
									
									
									echo '
										<tr>
											<th>VatEx</th>
											<td class="text-right">'.number_format($vatEx['SALES'],2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($vatEx['RET']*-1,2,'.',',').'</td>
											<td class="text-right">'.number_format($vatEx['SALES']+$vatEx['RET'],2,'.',',').'</td>
										</tr>
									';
							} 
									

									
								echo	'<tr>
											<th class="text-danger">Total</th>
											<td class="text-right">'.number_format($salesVal['AMOUNT'],2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($returnVal['AMOUNT']*-1,2,'.',',').'</td>
											<td class="text-right">'.number_format($salesVal['AMOUNT']+$returnVal['AMOUNT'],2,'.',',').'</td>
										</tr>
										<tr>
											<th>&nbsp;</th>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
										</tr>
										<tr>
											<th>Advance Payment</th>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($preSales['AMOUNT'],2,'.',',').'</td>
											<td class="text-right"></td>
											<td class="text-right">'.number_format($preSales['AMOUNT'],2,'.',',').'</td>
										</tr>
										<tr>
											<th>&nbsp;</th>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
											<td class="text-right"></td>
										</tr>
										<tr>
											<th class="text-left" style="background-color:#34495E;color:#fff">Total Amount Collected</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($salesVal['AMOUNT']+$vatEx['SALES'],2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($preSales['AMOUNT']+$vatEx['PRESALE'],2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format(($returnVal['AMOUNT']+$vatEx['RET'])*-1,2,'.',',').'</th>
											<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($totalSales['AMOUNT'],2,'.',',').'</th>
											
										</tr>
									</thead>
								</table>';
								
							$mySQL->query("SET SQL_BIG_SELECTS=1");
							$mySQL->execute();	
							$mySQL->query("SELECT PAYMENTTYPE,SUM(SALES) SALES,SUM(REFUND) REFUND
											FROM (
											SELECT RECID,PAYMENTTYPE,0 SALES,0 REFUND FROM app_payment_types 
											UNION ALL
											SELECT ptype.RECID,tender.TENDERTYPE,SUM(tender.AMOUNT) SALES, 0 REFUND FROM table_transaction_header hdr
											LEFT JOIN table_transaction_tender tender ON tender.TRANSACTIONID = hdr.TRANSACTIONID
											LEFT JOIN app_payment_types ptype ON ptype.PAYMENTTYPE = tender.TENDERTYPE
											WHERE hdr.STORE= :store
											AND hdr.TRANSTYPE IN ('Sales','PreSales')
											AND hdr.`TRANSACTIONID` IN (SELECT TRANSACTIONID FROM table_transaction_header WHERE STORE =  :store  AND TRANSACTIONDT BETWEEN :date1 and :date2 GROUP BY TRANSACTIONID HAVING SUM(GROSSAMOUNT) != 0)
											AND hdr.TRANSACTIONDT BETWEEN :date1 and :date2
											GROUP BY tender.TENDERTYPE,ptype.RECID
											UNION ALL
											SELECT ptype.RECID,tender.TENDERTYPE,0 SALES, SUM(tender.AMOUNT) REFUND FROM table_transaction_header hdr
											LEFT JOIN table_transaction_tender tender ON tender.TRANSACTIONID = hdr.TRANSACTIONID
											LEFT JOIN app_payment_types ptype ON ptype.PAYMENTTYPE = tender.TENDERTYPE
											WHERE hdr.STORE=:store
											AND hdr.TRANSTYPE IN ('Refund')
											AND hdr.TRANSACTIONDT BETWEEN :date1 and :date2
											GROUP BY tender.TENDERTYPE,ptype.RECID
											) src
											GROUP BY PAYMENTTYPE
											ORDER BY RECID");
											
							$mySQL->addParam(":store",$_POST['storeCode']);
							$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
							$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
							$tenderParam = $mySQL->resultSet();	
							$collectedSale = 0;
							$collectedRefund = 0;
									
							
							echo'	
							<hr>
								<h4><b>B. Collection Summary</b></h4>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Particulars</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Sales</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Approved Refund</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">TOTAL</th>
										</tr>
									</thead>
									<tbody>	
										<tr>
											<th colspan=4 class="text-danger">Tender Breakdown:</th>
										</tr>';
							foreach($tenderParam as $tender)
							{
								$collectedSale = $collectedSale + $tender['SALES'];
								$collectedRefund = $collectedRefund + $tender['REFUND'];
								echo"<tr>
											<td  class='text-left'>".(($tender['PAYMENTTYPE'] == 'RETURN CREDIT') ? $tender['PAYMENTTYPE'].' (USED)':$tender['PAYMENTTYPE'])."</td>
											<td  class='text-right'>".(($tender['SALES'] != 0) ?number_format($tender['SALES'],2,'.',',') : '')."</td>
											<td  class='text-right'>".(($tender['REFUND'] != 0) ?number_format($tender['REFUND']*-1,2,'.',',') : '')."</td>
											<td  class='text-right'>".((($tender['REFUND']+$tender['SALES']) != 0) ?number_format(($tender['REFUND']+$tender['SALES']),2,'.',',') : '')."</td>
									</tr>
								";
							} 
							
						 echo '
									<tr>
										<th class="text-left" style="background-color:#34495E;color:#fff">Total Collection</th>
										<th class="text-right" style="background-color:#34495E;color:#fff">'.(($collectedSale!=0)?number_format($collectedSale,2,'.',','):'').'</th>
										<th class="text-right" style="background-color:#34495E;color:#fff">'.(($collectedRefund!=0)?number_format($collectedRefund*-1,2,'.',','):'').'</th>
										<th class="text-right" style="background-color:#34495E;color:#fff">'.(number_format($collectedRefund+$collectedSale,2,'.',',')).'</th>
										
									</tr>
							</tbody>';
							
							echo "</table>";
						
							
							$mySQL->query("SELECT ret.RETURNID,hdr.TRANSACTIONDT,tender.AMOUNT,ret.CREATEDDT CREATED,log.CREATEDDT APPROVED FROM table_transaction_header hdr
										LEFT JOIN table_transaction_tender tender ON tender.TRANSACTIONID = hdr.TRANSACTIONID
										LEFT JOIN table_return_header ret on ret.RETURNID = tender.REFERENCE
										left join table_return_logs log on log.RETURNID = ret.RETURNID and log.STATUS ='Approved'
										WHERE hdr.STORE=:store
										AND hdr.TRANSTYPE IN ('Sales')
										AND tender.TENDERTYPE ='RETURN CREDIT'
										AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
										GROUP BY tender.TENDERTYPE");
							$mySQL->addParam(":store",$_POST['storeCode']);
							$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
							$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
							$usedCredit = $mySQL->resultSet();	
							$totalUsed;
						echo '<hr>
								<h4><b>C. Return Credits (Used)</b></h4>
						<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Return ID</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Amount</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Date Created</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Date Approved</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Date Applied</th>
										</tr>
									</thead>
									<tbody>	';
						foreach($usedCredit as $used)
						{
							$totalUsed = $totalUsed  + $used['AMOUNT'];
							echo '<tr>
										<td class="text-left">'.$used['RETURNID'].'</td>
										<td class="text-right">'.number_format($used['AMOUNT'],2,'.',',').'</td>
										<td class="text-right">'.date_format(date_create($used['CREATED']),'M d,Y').'</td>
										<td class="text-right">'.(isset($used['APPROVED'])?date_format(date_create($used['APPROVED']),'M d,Y'):'').'</td>
										<td class="text-right">'.(isset($used['TRANSACTIONDT'])?date_format(date_create($used['TRANSACTIONDT']),'M d,Y'):'').'</td>
									</tr>';
						}
						echo '</tbody>
							<tfooter>
								<th class="text-left" style="background-color:#34495E;color:#fff">Totals</th>
								<th class="text-right" style="background-color:#34495E;color:#fff">'.number_format($totalUsed,2,'.',',').'</th>
								<th></th>
								<th></th>
								<th></th>
							</tfooter>
							</table>';
							
						$mySQL->query("SELECT hdr.TRANSACTIONID,hdr.GROSSAMOUNT,ps.TRANSACTIONDT PRESOLD,hdr.TRANSACTIONDT CLAIMED FROM table_transaction_header hdr
										LEFT JOIN table_presales ps ON ps.PRESALESID = hdr.TRANSACTIONID
										WHERE hdr.STORE = :store
										AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
										order by hdr.TRANSACTIONID");
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$claimed = $mySQL->resultSet();	
						
						echo '<hr>
								<h4><b>D. Return Credits (Pending)</b></h4>
						<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Transaction ID</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Amount</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Pre-sold Date</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Claimed Date</th>
										</tr>
									</thead>
									<tbody>	';
						foreach($claimed as $claim)
						{
							echo '<tr>
										<td class="text-left">'.$claim['TRANSACTIONID'].'</td>
										<td class="text-right">'.number_format($claim['GROSSAMOUNT'],2,'.',',').'</td>
										<td class="text-right">'.date_format(date_create($claim['PRESOLD']),'M d,Y').'</td>
										<td class="text-right">'.(isset($claim['CLAIMED'])?date_format(date_create($claim['CLAIMED']),'M d,Y'):'').'</td>
									</tr>';
						}
						echo '</tbody>
							</table>';	
						
						$mySQL->query("SELECT hdr.RETURNID,hdr.CREDITEDAMOUNT AMOUNT, hdr.STATUS,hdr.CREATEDDT CREATED,logs.CREATEDDT APPROVED FROM `table_return_header` hdr
								left join `table_return_logs` `logs` on logs.RETURNID = hdr.RETURNID and logs.STATUS = hdr.STATUS
								where hdr.STATUS not in ('Used','Refunded','Disapproved')  
								and hdr.CREDITEDAMOUNT > 0
								and hdr.STORE =:store
								ORDER BY `hdr`.`TRANSACTIONDT` DESC");
						$mySQL->addParam(":store",$_POST['storeCode']);
						$pendingCredit = $mySQL->resultSet();	
						
						echo '<hr>
								<h4><b>D. Return Credits (Pending)</b></h4>
						<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Return ID</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Amount</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Date Created</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Date Approved</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Status</th>
										</tr>
									</thead>
									<tbody>	';
						foreach($pendingCredit as $pending)
						{
							echo '<tr>
										<td class="text-left">'.$pending['RETURNID'].'</td>
										<td class="text-right">'.number_format($pending['AMOUNT'],2,'.',',').'</td>
										<td class="text-right">'.date_format(date_create($pending['CREATED']),'M d,Y').'</td>
										<td class="text-right">'.(isset($pending['APPROVED'])?date_format(date_create($pending['APPROVED']),'M d,Y'):'').'</td>
										<td class="text-right">'.$pending['STATUS'].'</td>
									</tr>';
						}
						echo '</tbody>
							</table>';	
							
						echo '
							<hr>
							<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-left" style="background-color:#34495E;color:#fff">Net Variance: (A = B - C)</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">'.number_format(($totalSales['AMOUNT']-(($collectedRefund+$collectedSale)-$totalUsed)),2,'.',',').'</th>
										</tr>
									</thead>
							</table>';
					}
				?>
						</section>
					<!-- end: page -->
				</section>
			</div>


			


<!-- modals: start -->


<!-- 
<div class="modal fade" id="inventTrans" tabindex="-1" role="dialog" aria-labelledby="inventTrans" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">On Hand Stocks</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="transactions">
				
			</div>
			
		</div>
		
	</div>
</div> -->
<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			// $(document).ready(function() {
			//     $('table.display').DataTable();
			// } );
			// function loadInventTrans(itemID,store){
			// 	document.getElementById('sectionLoader').style.display='block';
			// 	var xmlhttp = new XMLHttpRequest();
			// 	xmlhttp.onreadystatechange = function(){
			// 		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			// 			var receiver = document.getElementById('transactions');
			// 			document.getElementById('sectionLoader').style.display='none';
			// 			receiver.innerHTML = xmlhttp.responseText;

			// 		}
			// 	}
			// 	xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
			// 	xmlhttp.send();
			// }
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>