<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Inventory Onhand Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Inventory Onhand Report</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="reportOnhand">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-btn">
													<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								
								<h2 class="panel-title">Inventory Onhand Report</h2>
							</header>


				<?php
					if (isset($_POST['searchDate'])) {
						echo'
							<div class="panel-footer text-right">
								<form method="post" action="exportOnhand" target="_blank">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<button type="submit" name="generateCollection" class="btn btn-primary"><i class="fa fa-file-excel-o"></i> Export Invent Onhand Report</button>
								</form>
							</div>
						'; 
						
						$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$storeName = $mySQL->singleResult();
						$sDate = date_create($_POST['dateSearch']);
						$sDate1 = date_create($_POST['dateSearch1']);
						echo '
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="h5 text-bold">Store</th>
											<td class="h5 text-bold">'.$_POST['storeCode'].' | '.$storeName['STORENAME'].'</td>
										</tr>
									</thead>
								</table>
						';
						$mySQL->query("SET SQL_BIG_SELECTS=1");
						$mySQL->execute();
						
						$mySQL->query('select ivt.ITEMID
										,ivt.ITEMNAME
										,ifnull(isum.AVAIL,0) AVAIL
										,ifnull(price.AMOUNT,0) AMOUNT
									from `table_inventtable` ivt
									left join `table_inventsum` isum on isum.ItemId = ivt.ItemId and isum.STORE =:store
									left join `app_setup` setup  on setup.SETUPNAME =:priceGroup and setup.STORE = :store
									left join `table_price_group` price on price.ItemId = ivt.ItemId and price.PRICEGROUP = setup.VALUE
									');
						$mySQL->addParam(":priceGroup",'PRICEGROUP');	
						$mySQL->addParam(":store",$_POST['storeCode']);	
						$onHand = $mySQL->resultSet();
						echo "
							<table class='table table-bordered table-striped display' id=''>
								<thead>
									<tr>
										<th style='background-color:#34495E;color:#fff'>Item number</th>
										<th style='background-color:#34495E;color:#fff'>Item Description</th>
										<th class='text-right' style='background-color:#34495E;color:#fff'>O/H Qty</th>
										<th class='text-right' style='background-color:#34495E;color:#fff'>O/H Avg Unit Price</th>
									</tr>
								</thead>
								<tbody>
								
						";
							foreach ($onHand as $items) {
								echo "<tr>
									<td>".$items['ITEMID']."</td>
									<td>".$items['ITEMNAME']."</td>
									<td class='text-right'>".(($items['AVAIL'] != 0)?$items['AVAIL']:'-')."</td>
									<td class='text-right'>".(($items['AMOUNT'] != 0)?number_format($items['AMOUNT'],2,'.',','):'-')."</td>
								</tr>";
							}
						echo "</tbody>
							</table>
						";
							
					}
				?>
						</section>
					<!-- end: page -->
				</section>
			</div>


			



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			$(document).ready(function() {
			     $('table.display').DataTable();
			} );
			// $(document).ready(function() {
			//     $('table.display').DataTable();
			// } );
			// function loadInventTrans(itemID,store){
			// 	document.getElementById('sectionLoader').style.display='block';
			// 	var xmlhttp = new XMLHttpRequest();
			// 	xmlhttp.onreadystatechange = function(){
			// 		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			// 			var receiver = document.getElementById('transactions');
			// 			document.getElementById('sectionLoader').style.display='none';
			// 			receiver.innerHTML = xmlhttp.responseText;

			// 		}
			// 	}
			// 	xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
			// 	xmlhttp.send();
			// }
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>