<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Sales Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Invoice Registry</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="invoiceRegistry">
								<div class="form-group">
									<div class="col-md-6">
										<div class="input-group mb-md">
												<span class="input-group-addon">Store</span>
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												
										</div>
									</div>

									<div class="col-md-6">
										<div class="input-group mb-md">
												
												<span class="input-group-addon">Type</span>
												<select name="type" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected="" value="">Select Type</option>
										<?php
											if (isset($_POST['searchDate'])) {
												echo '
													<option '.($_POST['type']=='Sales' ? 'selected' : '').' value="Sales">Sales</option>
													<option '.($_POST['type']=='Return' ? 'selected' : '').' value="Return">Return</option>
													<option '.($_POST['type']=='Sales and Return' ? 'selected' : '').' value="Sales and Return">Sales and Return</option>
													<option '.($_POST['type']=='PreSales' ? 'selected' : '').' value="PreSales">PreSales</option>
													<option '.($_POST['type']=='ALL' ? 'selected' : '').' value="ALL">All</option>
												';
											}else{
												echo '
													<option value="Sales">Sales</option>
													<option value="Return">Return</option>
													<option value="Sales and Return">Sales and Return</option>
													<option value="PreSales">PreSales</option>
													<option value="ALL">All</option>
												';
											}

										?>
													
												</select>
										</div>
									</div>


									<div class="col-md-12">
										<div class="input-group mb-md">
											<span class="input-group-addon">Date</span>
											<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
												<span class="input-group-addon">to</span>
												<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
											<span class="input-group-btn">
												<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
											</span>
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								<div class="pull-right">
									<!-- <a href="#" class="btn btn-xs btn-success"><i class="fa fa-print"></i> Print w/ Serial</a>
									<a href="#" class="btn btn-xs btn-primary"><i class="fa fa-print"></i> Print</a>
						
								 -->
								</div>
						
								<h2 class="panel-title">Invoice Registry</h2>
							</header>





							<div class="panel-body">
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>Type</th>
											<th>Store</th>
											<th>Transaction</th>
											<th>Date</th>
											<th>Total Qty</th>
											<th class="text-right">Vat. Sales</th>
											<th class="text-right">Vat. Amount</th>
											<th class="text-right">Amount</th>
											<th class="text-right">Tender</th>
										</tr>
									</thead>
									<tbody>
					<?php
						$grandTotal = 0;
						$vatable = 0;
						$vatAmount = 0;
						if (isset($_POST['storeCode'])) {
							$mySQL->query("SET SQL_BIG_SELECTS=1");
							$mySQL->execute();
							$sDate = date_create($_POST['dateSearch']);
							$sDate1 = date_create($_POST['dateSearch1']);
							if ($_POST['type'] == 'ALL') {
								$mySQL->query('SELECT hdr.TRANSTYPE
										,hdr.TRANSACTIONID
										,cust.CUSTOMERNAME
										,addr.ADDRESS
										,hdr.GROSSAMOUNT
										,hdr.VATABLESALES
										,hdr.VATAMOUNT
										,hdr.TRANSACTIONDT
										,st.STORENAME
										,SUM(dtl.QTY) QTY
									FROM table_transaction_header hdr
									LEFT JOIN table_transaction_lines dtl ON dtl.TRANSACTIONID = hdr.TRANSACTIONID
									LEFT JOIN table_customer cust ON cust.CUSTOMERID = hdr.CUSTOMERID AND cust.STORE = hdr.STORE
									LEFT JOIN table_customer_address addr ON addr.ADDRESSID = hdr.ADDRESSID AND addr.CUSTOMERID = cust.CUSTOMERID AND addr.STORE = cust.STORE
									LEFT JOIN setup_stores st ON st.STORECODE = hdr.STORE 
									WHERE hdr.STORE =:store
									AND hdr.TRANSTYPE != :refund
									AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
									GROUP BY hdr.TRANSTYPE
									,hdr.TRANSACTIONID
									,cust.CUSTOMERNAME
									,addr.ADDRESS
									,hdr.GROSSAMOUNT
									,hdr.VATABLESALES
									,hdr.VATAMOUNT
									,hdr.TRANSACTIONDT
									,st.STORENAME');
								$mySQL->addParam(":refund",'Refund');
							}elseif ($_POST['type'] == 'Sales and Return') {
								$mySQL->query('SELECT hdr.TRANSTYPE
										,hdr.TRANSACTIONID
										,cust.CUSTOMERNAME
										,addr.ADDRESS
										,hdr.GROSSAMOUNT
										,hdr.VATABLESALES
										,hdr.VATAMOUNT
										,hdr.TRANSACTIONDT
										,st.STORENAME
										,SUM(dtl.QTY) QTY
									FROM table_transaction_header hdr
									LEFT JOIN table_transaction_lines dtl ON dtl.TRANSACTIONID = hdr.TRANSACTIONID
									LEFT JOIN table_customer cust ON cust.CUSTOMERID = hdr.CUSTOMERID AND cust.STORE = hdr.STORE
									LEFT JOIN table_customer_address addr ON addr.ADDRESSID = hdr.ADDRESSID AND addr.CUSTOMERID = cust.CUSTOMERID AND addr.STORE = cust.STORE
									LEFT JOIN setup_stores st ON st.STORECODE = hdr.STORE 
									WHERE hdr.STORE =:store
									AND hdr.TRANSTYPE in (:sales,:return)
									AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
									GROUP BY hdr.TRANSTYPE
									,hdr.TRANSACTIONID
									,cust.CUSTOMERNAME
									,addr.ADDRESS
									,hdr.GROSSAMOUNT
									,hdr.VATABLESALES
									,hdr.VATAMOUNT
									,hdr.TRANSACTIONDT
									,st.STORENAME');
								$mySQL->addParam(":sales",'Sales');
								$mySQL->addParam(":return",'Return');
								$typeParam = '';
							}else{
								$mySQL->query('SELECT hdr.TRANSTYPE
										,hdr.TRANSACTIONID
										,cust.CUSTOMERNAME
										,addr.ADDRESS
										,hdr.GROSSAMOUNT
										,hdr.VATABLESALES
										,hdr.VATAMOUNT
										,hdr.TRANSACTIONDT
										,st.STORENAME
										,SUM(dtl.QTY) QTY
									FROM table_transaction_header hdr
									LEFT JOIN table_transaction_lines dtl ON dtl.TRANSACTIONID = hdr.TRANSACTIONID
									LEFT JOIN table_customer cust ON cust.CUSTOMERID = hdr.CUSTOMERID AND cust.STORE = hdr.STORE
									LEFT JOIN table_customer_address addr ON addr.ADDRESSID = hdr.ADDRESSID AND addr.CUSTOMERID = cust.CUSTOMERID AND addr.STORE = cust.STORE
									LEFT JOIN setup_stores st ON st.STORECODE = hdr.STORE 
									WHERE hdr.STORE =:store
									AND hdr.TRANSTYPE =:type
									AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
									GROUP BY hdr.TRANSTYPE
									,hdr.TRANSACTIONID
									,cust.CUSTOMERNAME
									,addr.ADDRESS
									,hdr.GROSSAMOUNT
									,hdr.VATABLESALES
									,hdr.VATAMOUNT
									,hdr.TRANSACTIONDT
									,st.STORENAME');
								$mySQL->addParam(":type",$_POST['type']);
							}

							
							



							$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
							$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
							$mySQL->addParam(":store",$_POST['storeCode']);
							$rows = $mySQL->resultSet();
	
							foreach ($rows as $row) {
								$date = date_create($row['TRANSACTIONDT']);
								echo '
										<tr>
							 				<td>'.$row['TRANSTYPE'].'</td>
							 				<td>'.$row['STORENAME'].'</td>
							 				<td><a onclick="loadInvoiceDetails(\''.$row['TRANSACTIONID'].'\')" href="#serialNumberList" data-toggle="modal">'.$row['TRANSACTIONID'].'</a></td>
							 				<td>'.date_format($date,'m/d/Y').'</td>
							 				<td class="text-right">'.number_format($row['QTY'],0,'.',',').'</td>
							 				<td class="text-right">'.number_format($row['VATABLESALES'],2,'.',',').'</td>
							 				<td class="text-right">'.number_format($row['VATAMOUNT'],2,'.',',').'</td>
											<td class="text-right">'.number_format($row['GROSSAMOUNT'],2,'.',',').'</td>
											<td class="text-right"><input onclick="loadTenderList(\''.$row['TRANSACTIONID'].'\')" type="button" href="#tenderList" data-toggle="modal" class="btn btn-primary" value="View"></td>
										</tr>
								';
								$grandTotal = $grandTotal + $row['GROSSAMOUNT'];
								$vatable = $vatable + $row['VATABLESALES'];
							}
							$vatAmount = $grandTotal - $vatable;
						}
					?>
									</tbody>
									<tfooter>
										<tr>
											<th colspan="7" class="text-right">Grand Total</th>
											<th class="text-right" colspan="2"><?php echo number_format($grandTotal,2) ?></th>
										</tr>
										<tr>
											<th colspan="7" class="text-right">Vatable / NET</th>
											<th class="text-right" colspan="2"><?php echo number_format($vatable,2) ?></th>
										</tr>
										<tr>
											<th colspan="7" class="text-right">Total VAT</th>
											<th class="text-right" colspan="2"><?php echo number_format($vatAmount,2) ?></th>
										</tr>
									</tfooter>
								</table>
							</div>
							<div class="panel-footer text-right">
					<?php
						if (isset($_POST['storeCode'])) {
							echo '
								<form method="post" target="_blank" action="exportInvoiceRegistry">
									<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
									<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<input type="hidden" name="type" value="'.$_POST['type'].'">
									<button type="submit" name="generateSalesReport" class="btn btn-primary"><i class="fa fa-file-excel-o"></i> Export Invoice Registry</button>
								</form>
							';
						}

					?>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->



<div class="modal fade" id="serialNumberList" tabindex="-1" role="dialog" aria-labelledby="serialNumberList" aria-hidden="true" >
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Transaction Details</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="serialNumbers">
				
			</div>
			
		</div>
		
	</div>
</div>


<div class="modal fade" id="tenderList" tabindex="-1" role="dialog" aria-labelledby="tenderList" aria-hidden="true" >
	<div class="modal-dialog ">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Tenders</h4>
			</div>
			<img width="100%" id="sectionLoader2" style="display: none;" src="images/page-loader.gif">
			<div id="tender">
				
			</div>
			
		</div>
		
	</div>
</div>


<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();
			});
			function loadInvoiceDetails(transactionId){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('serialNumbers');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						});
					}
				}
				xmlhttp.open('GET', 'loads/loadInvoiceRegistry.php?transaction='+transactionId, true);
				xmlhttp.send();
			}
			
			function loadTenderList(transactionId){
				document.getElementById('sectionLoader2').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('tender');
						document.getElementById('sectionLoader2').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						});
					}
				}
				xmlhttp.open('GET', 'loads/loadTenderList.php?transaction='+transactionId, true);
				xmlhttp.send();
			}
			function loadSerialNumbers(itemID,ean,dateFrom,dateTo,type){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('serialNumbers');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();
						});
					}
				}
				xmlhttp.open('GET', 'loads/loadSalesSerialNumbers.php?itemID='+itemID+'&ean='+ean+'&from='+dateFrom+'&to='+dateTo+'&type='+type, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>