<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL1.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - STORE</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Sales Report with Serial</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Sales Report with Serial</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="reportSalesItem">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-addon">Date</span>
												<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
													<span class="input-group-addon">to</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
												<span class="input-group-btn">
													<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								
								<h2 class="panel-title">Sales Report with Serial</h2>
							</header>


				<?php
					if (isset($_POST['searchDate'])) {
						echo'
							<div class="panel-footer text-right">
								<form method="post" action="exportSalesItem" target="_blank">
									<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
									<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<button type="submit" name="generateCollection" class="btn btn-primary"><i class="fa fa-file-excel-o"></i> Export Sales Report</button>
								</form>
							</div>
						'; 
						
						$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$storeName = $mySQL->singleResult();
						$sDate = date_create($_POST['dateSearch']);
						$sDate1 = date_create($_POST['dateSearch1']);
						echo '
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="h5 text-bold">Store</th>
											<td class="h5 text-bold">'.$_POST['storeCode'].' | '.$storeName['STORENAME'].'</td>
										</tr>
										<tr>
											<th class="h5 text-bold">Report Date</th>
											<td class="h5 text-bold">'.date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y').'</td>
										</tr>
									</thead>
								</table>
						';
						
						
						echo '<table class="table table-bordered table-striped display">
								<thead>
									<th>Serial Number</th>
									<th>Item No</th>
									<th>Item Name</th>
									<th class="text-right">Qty Sold</th>
									<th class="text-right">Price WT</th>
								</thead>
								<tbody>';
								
						$mySQL->query("SET SQL_BIG_SELECTS=1");
						$mySQL->execute();
						
						$mySQL->query("SELECT sn.SERIALNUMBER
										,tln.ITEMID
										,ivt.ITEMNAME
										,hdr.TRANSTYPE
										,SUM(CASE 
											WHEN IFNULL(sn.SERIALNUMBER,1) = 1 THEN tln.QTY
											ELSE CASE WHEN hdr.TRANSTYPE = 'Sales' THEN 1
												ELSE -1 END
										 END) AS Qty
										,IFNULL(tln.SubTotal,0) / tln.QTY SalesPrice
									FROM `table_transaction_header` hdr
									LEFT JOIN `table_transaction_lines` tln ON tln.TRANSACTIONID = hdr.TRANSACTIONID
									LEFT JOIN (SELECT DISTINCT DOCUMENTREF,ITEMID,LINENUM,TRANSTYPE,SERIALNUMBER FROM `table_serialnumber_logs`) sn ON sn.DOCUMENTREF = tln.TRANSACTIONID AND sn.ITEMID = tln.ITEMID AND sn.LINENUM = tln.LINENUM AND sn.TRANSTYPE IN (3,4)
									LEFT JOIN `table_inventtable` ivt ON ivt.ITEMID = tln.ITEMID
									WHERE hdr.STORE = :store
									AND hdr.TRANSTYPE IN ('Sales','Return')
									AND hdr.TRANSACTIONDT BETWEEN :date1 AND :date2
									GROUP BY sn.SERIALNUMBER
										,tln.ITEMID
										,ivt.ITEMNAME
										 ,IFNULL(tln.SubTotal,0) / tln.QTY
									HAVING SUM(CASE 
											WHEN IFNULL(sn.SERIALNUMBER,1) = 1 THEN tln.QTY
											ELSE CASE WHEN hdr.TRANSTYPE = 'Sales' THEN 1
												ELSE -1 END
										 END) != 0");
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));							
						$sales = $mySQL->resultSet();	
						foreach($sales as $sale)
						{
							echo "<tr>
									<td>".$sale['SERIALNUMBER']."</td>
									<td>".$sale['ITEMID']."</td>
									<td>".$sale['ITEMNAME']."</td>
									<td class='text-right'>".$sale['Qty']."</td>
									<td class='text-right'>".(($sale['SalesPrice']!=0)?$sale['SalesPrice']:'-')."</td>
							</tr>";
						}	
						
						echo'	</tbody>
							</table>';
					}
				?>
						</section>
					<!-- end: page -->
				</section>
			</div>


			


<!-- modals: start -->




			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			 $(document).ready(function() {
			     $('table.display').DataTable();
			 } );
			// function loadInventTrans(itemID,store){
			// 	document.getElementById('sectionLoader').style.display='block';
			// 	var xmlhttp = new XMLHttpRequest();
			// 	xmlhttp.onreadystatechange = function(){
			// 		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			// 			var receiver = document.getElementById('transactions');
			// 			document.getElementById('sectionLoader').style.display='none';
			// 			receiver.innerHTML = xmlhttp.responseText;

			// 		}
			// 	}
			// 	xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
			// 	xmlhttp.send();
			// }
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>