<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Serial Numbers') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

	}else{
		header('location: accesserror');
	}

}

?>


<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

			
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Serial Numbers</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-barcode"></i>
									</a>
								</li>
								<li><span>Serial Numbers</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							
								<div class="form-group">
									<form method="post" action="serialnumbers">
										<div class="col-md-6">
											<div class="input-group mb-md">
												
													<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
														<option selected value="">Select Store</option>
											<?php
												$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
												$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
												$mySQL->addParam(":hq",'HQ');
												$userStores = $mySQL->resultSet();
												foreach ($userStores as $userStore) {
													echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
												}
											?>
													</select>
													<span class="input-group-btn">
														<button class="btn btn-success" type="submit" name="store">Load</button>
													</span>
												
											</div>
										</div>
									</form>
									<form method="post" action="serialnumbers">
										<div class="col-md-6">
											<div class="input-group mb-md">
													<input required placeholder="Scan Serial Number here..." type="text" name="serialNumber" class="form-control">
													<span class="input-group-btn">
														<button class="btn btn-success" type="submit" name="serial">Search</button>
													</span>
											</div>
										</div>
									</form>
								</div>
							
						</div>
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Serial Numbers</h2>
							</header>
							<div class="panel-body">
								<div class="row">
									<div class="col-sm-6">
										<div class="mb-md">
											<!-- <button data-toggle="modal" data-target="#addNew" class="btn btn-primary"> Add New <i class="fa fa-plus"></i></button> -->
										</div>
									</div>
								</div>
								<?php
									


									if(isset($_POST['serial'])){
										$mySQL->query("SET SQL_BIG_SELECTS=1");
										$mySQL->execute();
										
										$mySQL->query('SELECT av.*,IFNULL(str.STORENAME,av.CURLOCATION) STORENAME,it.ITEMNAME,it.EAN FROM table_serialnumber_available av 
											JOIN table_inventtable it ON it.ITEMID=av.ITEMID AND it.COMPANY=av.COMPANY
											LEFT JOIN setup_stores str ON str.STORECODE=av.CURLOCATION AND str.COMPANY=av.COMPANY 
											WHERE av.SERIALNUMBER=:serialNumber');
										$mySQL->addParam(":serialNumber",$_POST['serialNumber']);
										$serialnumbers = $mySQL->resultSet();

										$perSerial = $_SESSION['MI-KIOSK_USER-ONLINE'];
										
										$jsonString = 'JSON/perSerial-'.$perSerial.'.json';
										$response = array();
										$posts = array();

										foreach ($serialnumbers as $row) {
											$posts[] = array(
												$row['STORENAME'],
												$row['EAN'],
												$row['ITEMNAME'],
												$row['SERIALNUMBER'],
												($row['IFAVAILABLE'] == 1 ? 'Yes' : 'No'),
												'<button onclick="loadSerialLogs(\''.$row['ITEMID'].'\',\''.$row['SERIALNUMBER'].'\')" data-target="#viewSerialLogs" data-toggle="modal" class="mmb-xs mt-xs mr-xs btn btn-xs btn-primary"><i class="fa fa-eye"></i> View</button>'
											);
										}
										
										$response['aaData'] = $posts;

										$fp = fopen('JSON/perSerial-'.$perSerial.'.json', 'w');
										fwrite($fp, json_encode($response));
										fclose($fp);

										echo '<table class="table table-bordered table-striped" id="datatable-ajax" data-url="'.$jsonString.'">
												<thead>
													<tr>
														<th>LOCATION</th>
														<th>BARCODE</th>
														<th>ITEM NAME</th>
														<th>SERIAL NUMBER</th>
														<th>AVAILABLE</th>
														<th>LOGS</th>
													</tr>
												</thead>
												<tbody>
												

												</tbody>
											</table>';
									}

									elseif (isset($_POST['store'])) {
										$mySQL->query("SET SQL_BIG_SELECTS=1");
										$mySQL->execute();

										$mySQL->query('SELECT av.*,str.STORENAME,it.ITEMNAME,it.EAN FROM table_serialnumber_available av 
											JOIN table_inventtable it ON it.ITEMID=av.ITEMID AND it.COMPANY=av.COMPANY
											JOIN setup_stores str ON str.STORECODE=av.CURLOCATION  AND str.COMPANY=av.COMPANY
											WHERE av.CURLOCATION=:storeCode');
										$mySQL->addParam(":storeCode",$_POST['storeCode']);
										$serialnumbers = $mySQL->resultSet();

										$storeCode = $_POST['storeCode'];
										
										$jsonString = 'JSON/availSerials-'.$storeCode.'.json';
										$response = array();
										$posts = array();

										foreach ($serialnumbers as $row) {
											$posts[] = array(
												$row['STORENAME'],
												$row['EAN'],
												$row['ITEMNAME'],
												$row['SERIALNUMBER'],
												($row['IFAVAILABLE'] == 1 ? 'Yes' : 'No'),
												'<button onclick="loadSerialLogs(\''.$row['ITEMID'].'\',\''.$row['SERIALNUMBER'].'\')" data-target="#viewSerialLogs" data-toggle="modal" class="mmb-xs mt-xs mr-xs btn btn-xs btn-primary"><i class="fa fa-eye"></i> View</button>'
											);
										}

										$response['aaData'] = $posts;

										$fp = fopen('JSON/availSerials-'.$storeCode.'.json', 'w');
										fwrite($fp, json_encode($response));
										fclose($fp);

										echo '<table class="table table-bordered table-striped" id="datatable-ajax" data-url="'.$jsonString.'">
												<thead>
													<tr>
														<th>STORE</th>
														<th>BARCODE</th>
														<th>ITEM NAME</th>
														<th>SERIAL NUMBER</th>
														<th>AVAILABLE</th>
														<th>LOGS</th>
													</tr>
												</thead>
												<tbody>
												

												</tbody>
											</table>';

									}


								?>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>

			<div class="modal fade" id="viewSerialLogs" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">
						
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
							<h4 class="modal-title" id="myModalLabel">Serial Number Logs</h4>
						</div>
						<div id="serialLogs" class="modal-body">
							<div class="text-center" id="divLoader">
								<img class="img-reponsive" src="images/div-loader.gif">
							</div>	 
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
						</div>
						
					</div>
				</div>
			</div>


			<script type="text/javascript">
				function loadSerialLogs(ean,serialNumber){

					var xmlhttp = new XMLHttpRequest();
					xmlhttp.onreadystatechange = function(){
						if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
							var receiver = document.getElementById('serialLogs');
							//document.getElementById('divLoader').style.display='none';
							receiver.innerHTML = xmlhttp.responseText;
						}
					}
					xmlhttp.open('GET', 'loads/loadSerialNumberLogs.php?ean='+ean+'&serial='+serialNumber, true);
					xmlhttp.send();

				}

			</script>

			<?php include 'includes/rightbar.php'; ?>





		</section>

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.ajax.js"></script>
		<script src="classes/notifications.js"></script>



		
	</body>
</html>