<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Serial Numbers') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		$mySQL->query('SELECT * FROM table_serialnumber_available WHERE CURLOCATION=:storeCode');
		$mySQL->addParam(":storeCode",$_SESSION['MI-KIOSK_STORE-ONLINE']);
		$serialnumbers = $mySQL->resultSet();

		$storeCode = $_SESSION['MI-KIOSK_STORE-ONLINE'];
		
		$jsonString = 'JSON/availSerials-'.$storeCode.'.json';
		$response = array();
		$posts = array();

		foreach ($serialnumbers as $row) {
			$posts[] = array(
				$row['ITEMID'],
				$row['SERIALNUMBER'],
				($row['IFAVAILABLE'] == 1 ? 'Yes' : 'No'),
				'<button onclick="loadSerialLogs(\''.$row['ITEMID'].'\',\''.$row['SERIALNUMBER'].'\')" data-target="#viewSerialLogs" data-toggle="modal" class="mmb-xs mt-xs mr-xs btn btn-xs btn-primary"><i class="fa fa-eye"></i> View Logs</button>'
			);
		}

		$response['aaData'] = $posts;

		$fp = fopen('JSON/availSerials-'.$storeCode.'.json', 'w');
		fwrite($fp, json_encode($response));
		fclose($fp);

	}else{
		header('location: accesserror');
	}

}

?>


<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title><?php echo $mySQL->getPageTitle(); ?></title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

			
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Serial Numbers</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-barcode"></i>
									</a>
								</li>
								<li><span>Serial Numbers</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Serial Numbers</h2>
							</header>
							<div class="panel-body">
								<div class="row">
									<div class="col-sm-6">
										<div class="mb-md">
											<!-- <button data-toggle="modal" data-target="#addNew" class="btn btn-primary"> Add New <i class="fa fa-plus"></i></button> -->
										</div>
									</div>
								</div>
								<table class="table table-bordered table-striped" id="datatable-ajax" data-url="<?php echo $jsonString; ?>">
									<thead>
										<tr>
											<th>ITEMID</th>
											<th>SERIAL NUMBER</th>
											<th>AVAILABLE</th>
											<th>LOGS</th>
										</tr>
									</thead>
									<tbody>
									

									</tbody>
								</table>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>

			<div class="modal fade" id="viewSerialLogs" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">
						<form class="form-horizontal form-bordered" method="post" action="functions/patientUpdate.php">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
								<h4 class="modal-title" id="myModalLabel">Serial Number Logs</h4>
							</div>
							<div id="serialLogs" class="modal-body">
								<div class="text-center" id="divLoader">
									<img class="img-reponsive" src="images/div-loader.gif">
								</div>	 
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
							</div>
						</form>
					</div>
				</div>
			</div>
			<script type="text/javascript">
				function loadSerialLogs(ean,serialNumber){

					var xmlhttp = new XMLHttpRequest();
					xmlhttp.onreadystatechange = function(){
						if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
							var receiver = document.getElementById('serialLogs');
							//document.getElementById('divLoader').style.display='none';
							receiver.innerHTML = xmlhttp.responseText;
						}
					}
					xmlhttp.open('GET', 'loads/loadSerialNumberLogs.php?ean='+ean+'&serial='+serialNumber, true);
					xmlhttp.send();

				}

			</script>

			<?php include 'includes/rightbar.php'; ?>





		</section>

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.ajax.js"></script>
		<script src="classes/notifications.js"></script>



		
	</body>
</html>