<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Stores') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		$mySQL->query('SELECT str.*,com.COMPANYNAME FROM setup_stores str JOIN app_company com ON str.COMPANY=com.COMPANYID ');
		$rows = $mySQL->resultSet();

	
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="storeSaved" class="hidden"></button>
				<button id="storeUpdated" class="hidden"></button>
				<button id="storeAddFailed" class="hidden"></button>
				<button id="storeDelete" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("storeSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("storeUpdated").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("storeAddFailed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("storeDelete").click();
				                });
				          	</script>';
					}
				}

				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Stores</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-university"></i>
									</a>
								</li>
								<li><span>Stores</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Store List</h2>
							</header>
							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md">
											<button data-toggle="modal" data-target="#addNewStore" class="btn btn-primary"> Add New Store <i class="fa fa-plus"></i></button>
										</div>

									</div>
								</div>
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>Company</th>
											<th>AX WH Code</th>
											<th>Store Code</th>
											<th>Store Name</th>
											<th>Actions</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['COMPANYNAME'].'</td>
												<td>'.$row['STORECODE'].'</td>
												<td>'.$row['ALIAS'].'</td>
												<td>'.$row['STORENAME'].'</td>
												<td>
													<button onclick="loadDynamicStore('.$row['RECID'].')" data-toggle="modal" data-target="#storeEdit" class="badge btn-primary"><i class="fa fa-pencil"></i></button>
													<button onclick="deleteStore('.$row['RECID'].',\''.$row['STORENAME'].'\')" class="badge btn-danger"><i class="fa fa-trash-o"></i></button>
												</td>

											</tr>
										';
									}

								?>
										

									</tbody>
								</table>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>
























<!-- modals: start -->
<div class="modal fade" id="addNewStore" tabindex="-1" role="dialog" aria-labelledby="addNewStore" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add New Store</h4>
			</div>
			<form action="functions/storeSave.php" method="post">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-7">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									AX WH Code
								</span>
								<input name="storeCode" required type="text" class="form-control" placeholder="Input AX Warehouse Code">
							</div>
			 			</div>

			 			<div class="col-md-5">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Store Code
								</span>
								<input name="storeAlias" required type="text" class="form-control" placeholder="Input Store Code">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Store Name
								</span>
								<input name="storeName" required type="text" class="form-control" placeholder="Input Store Name">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Company
								</span>
								<select required name="company" class="form-control">
									<option selected value="">Select Store Company</option>
									<?php
										$mySQL->query('SELECT * FROM app_company');
										$stores = $mySQL->resultSet();
										foreach ($stores as $store) {
											echo '<option value="'.$store['COMPANYID'].'">'.$store['COMPANYNAME'].'</option>';
										}
									?>
								</select>
							</div>
			 			</div>
			 			
			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="saveStore" class="btn btn-primary btn-sm">Save Store</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="storeEdit" tabindex="-1" role="dialog" aria-labelledby="storeEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Edit Store</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editStore">
				
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			function deleteStore(recID,storeName){
				if (confirm('Are you sure to delete '+storeName+' ?') == true) {
					window.location.href = "functions/storeDelete.php?recID="+recID;
				}
			}
			function loadDynamicStore(recID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editStore');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'loads/storeEditModal.php?id='+recID, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>