<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Sync Monitoring') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

	
	
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Sync Monitoring</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-exchange"></i>
									</a>
								</li>
								<li><span>Sync Monitoring</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->

						<div class="row">
							<form method="post" action="syncLogs">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											<span class="input-group-addon">Store</span>
											<select name="user" data-plugin-selectTwo class="form-control populate" class="form-control">
												<option selected value="">All Store</option>
									<?php
										$mySQL->query('SELECT STORECODE,STORENAME FROM setup_stores');
										$rows = $mySQL->resultSet();
										foreach ($rows as $row) {
											echo '<option value="'.$row['STORECODE'].'">'.$row['STORENAME'].'</option>';
											
										}
									?>
											</select>
											<span class="input-group-addon">From</span>
											<input required value="<?php echo (isset($_POST['searchTrail']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
											<span class="input-group-addon">To</span>
											<input required value="<?php echo (isset($_POST['searchTrail']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
											
											<span class="input-group-btn">
												<button class="btn btn-success" name="searchTrail" type="submit" name="store">Search</button>
											</span>
										</div>
									</div>
								</div>
							</form>
						</div>



						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">Store Sync Logs</h2>
								<!-- <h5>
									<strong>
										Module: <?php echo (isset($_POST['modules']) ? $mods : '') ?>
									</strong>
								</h5> -->
								<?php echo (empty($_POST['user']) ? '' : '<h5><strong>Responsible: '.$_POST['user'] .'</strong></h5>') ?>
							</header>
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>Store</th>
											<th>User</th>
											<th>Date Time</th>
											<th>Type</th>
											<th>Record Count</th>
										</tr>
									</thead>
									<tbody>

								<?php
									if (isset($_POST['searchTrail'])) {
										$fDate = date_create($_POST['dateSearch'].' 00:00:00');
										$tDate = date_create($_POST['dateSearch1'].' 23:59:59');
										
										if (trim($_POST['user']) == '' || is_null($_POST['user']) || empty($_POST['user'])) {
											$mySQL->query('select 
															sync.`Store`
															,st.`STORENAME`
															,sync.`UserID`
															,usr.FULLNAME
															,date_add(sync.`DateTime`, interval 13 hour) as DateTime
															,case sync.`Type`
																when 0 then :start
																when 1 then :end
															end as STAT
															,sync.TotalRecords
														from table_StoreSyncRec sync
														left join setup_stores st on st.`STORECODE` = sync.`Store`
														left join setup_users usr on usr.USERNAME = sync.USERID
														where date_add(sync.`DateTime`, interval 13 hour) between :date1 and :date2
														');
										}else{
											$mySQL->query('select 
															sync.`Store`
															,st.`STORENAME`
															,sync.`UserID`
															,usr.FULLNAME
															,date_add(sync.`DateTime`, interval 13 hour) as DateTime
															,case sync.`Type`
																when 0 then :start
																when 1 then :end
															end as STAT
															,sync.TotalRecords
														from table_StoreSyncRec sync
														left join setup_stores st on st.`STORECODE` = sync.`Store`
														left join setup_users usr on usr.USERNAME = sync.USERID
														where sync.STORE = :store and date_add(sync.`DateTime`, interval 13 hour) between :date1 and :date2');
											$mySQL->addParam(":store",$_POST['user']);
										}
										//$mySQL->addParam(":module",$mods);
										$mySQL->addParam(":start",'Start');
										$mySQL->addParam(":end",'End');
										$mySQL->addParam(":date1",date_format($fDate,'Y-m-d H:i:s'));
										$mySQL->addParam(":date2",date_format($tDate,'Y-m-d H:i:s'));
										$rows = $mySQL->resultSet();

										foreach ($rows as $row) {
											echo '
												<tr>
													<td class="text-primary">'.$row['STORENAME'].'</td>
													<td>'.$row['FULLNAME'].'</td>
													<td>'.date_format(date_create($row['DateTime']),'Y-m-d H:i:s').'</td>
													<td>'.$row['STAT'].'</td>
													<td>'.$row['TotalRecords'].'</td>';
										}
									}


									

								?>
										

									</tbody>
								</table>
								<div class="panel-footer text-right">
								<?php
									if (isset($_POST['searchTrail'])) {
										echo '
											<form method="post" target="_blank" action="exportSyncLogs">
												<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
												<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
												<input type="hidden" name="store" value="'.$_POST['user'].'">
												<button type="submit" name="generateSyncLogs" class="btn btn-success"><i class="fa fa-file-excel-o"></i> Export Invoice Registry</button>
											</form>
										';
									}

								?>
								</div>
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>
























<!-- modals: start -->
<div class="modal fade" id="addNewStore" tabindex="-1" role="dialog" aria-labelledby="addNewStore" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add New Store</h4>
			</div>
			<form action="functions/storeSave.php" method="post">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-7">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									AX WH Code
								</span>
								<input name="storeCode" required type="text" class="form-control" placeholder="Input AX Warehouse Code">
							</div>
			 			</div>

			 			<div class="col-md-5">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Store Code
								</span>
								<input name="storeAlias" required type="text" class="form-control" placeholder="Input Store Code">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Store Name
								</span>
								<input name="storeName" required type="text" class="form-control" placeholder="Input Store Name">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Company
								</span>
								<select required name="company" class="form-control">
									<option selected value="">Select Store Company</option>
									<?php
										$mySQL->query('SELECT * FROM app_company');
										$stores = $mySQL->resultSet();
										foreach ($stores as $store) {
											echo '<option value="'.$store['COMPANYID'].'">'.$store['COMPANYNAME'].'</option>';
										}
									?>
								</select>
							</div>
			 			</div>
			 			
			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="saveStore" class="btn btn-primary btn-sm">Save Store</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="storeEdit" tabindex="-1" role="dialog" aria-labelledby="storeEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Edit Store</h4>
			</div>
			
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			
			<div id="editStore">
				
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			function deleteStore(recID,storeName){
				if (confirm('Are you sure to delete '+storeName+' ?') == true) {
					window.location.href = "functions/storeDelete.php?recID="+recID;
				}
			}
			function loadDynamicStore(recID){
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editStore');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'loads/storeEditModal.php?id='+recID, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>