<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}

	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Receive TON') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		if ($mySQL->acceptStoreTrans($_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
			header('location: closestore?next=receiving');
			exit();
		}else{
			$mySQL->query('SELECT hdr.RECID,hdr.TRANSREFID,hdr.STATUS,
				hdr.SHIPDATE,hdr.CREATEDDT,IFNULL(str.STORENAME,hdr.WHFROM) WHFROM,
				CASE TRANSFERTYPE
					WHEN 1 THEN :dDelivery
					WHEN 2 THEN :dPullout
					WHEN 3 THEN :pDelivery
					WHEN 4 THEN :pPullout
					WHEN 5 THEN :ccDelivery
					WHEN 6 THEN :ccPullout
					WHEN 7 THEN :csDelivery
					WHEN 8 THEN :csPullout
					WHEN 9 THEN :sDelivery
					WHEN 10 THEN :sPullout
					WHEN 11 THEN :eDelivery
					WHEN 12 THEN :ePullout
					WHEN 13 THEN :salesInTrust
					WHEN 14 THEN :whs
					WHEN 15 THEN :kDelivery
					WHEN 16 THEN :kPullout
				END TRANSFERTYPE
				FROM table_ton_header hdr LEFT JOIN setup_stores str ON hdr.WHFROM=str.STORECODE 
				WHERE hdr.STATUS != :received AND hdr.STATUS != :withDiscre AND hdr.STATUS!=:appDisc
				AND hdr.STATUS!=:recDisc AND hdr.WHTO = :store');
			$mySQL->addParam(":received",'Received By Store');
			$mySQL->addParam(":withDiscre",'Reported with Discrepancy');
			$mySQL->addParam(":appDisc",'Approved Discrepancy Report');
			$mySQL->addParam(":recDisc",'Received with Discrepancy');
			$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
			$mySQL->addParam(":dDelivery",' Depot Delivery');
			$mySQL->addParam(":dPullout",' Depot Pullout');
			$mySQL->addParam(":pDelivery",' Prod Delivery');
			$mySQL->addParam(":pPullout",' Prod Pullout');
			$mySQL->addParam(":ccDelivery",' Concession Delivery');
			$mySQL->addParam(":ccPullout",' Concession Pullout');
			$mySQL->addParam(":csDelivery",' Consignment Delivery');
			$mySQL->addParam(":csPullout",' Consignment Pullout');
			$mySQL->addParam(":sDelivery",' Showroom Delivery');
			$mySQL->addParam(":sPullout",' Showroom Pullout');
			$mySQL->addParam(":eDelivery",' Ext Con Delivery');
			$mySQL->addParam(":ePullout",' Ext Con Pullout');
			$mySQL->addParam(":salesInTrust",' Sales in Trust');
			$mySQL->addParam(":whs",' WHS Transfer');
			$mySQL->addParam(":kDelivery",'Kiosk Delivery');
			$mySQL->addParam(":kPullout",'Kiosk Pullout');
			$rows = $mySQL->resultSet();
		}	
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		<link rel="stylesheet" href="assets/vendor/jstree/themes/default/style.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="receiveTON" class="hidden"></button>
				<button id="receivedItem" class="hidden"></button>
				<button id="withDes" class="hidden"></button>
				
				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("receiveTON").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("receivedItem").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("withDes").click();
				                });
				          	</script>';
					}
				}
				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>To Receive</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cloud-download"></i>
									</a>
								</li>
								<li><span>Receive TON</span></li>
								<li><span>To Receive</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
								
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">To Receive TON List</h2>
							</header>


	 						<!-- display for desktop/laptop  -->
							<div class="panel-body">
								
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>TON</th>
											<th>TYPE</th>
											<th>WHFROM</th>
											<th>SENT DATE</th>
											<th>STATUS</th>
											<th>VIEW</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										$date1 = date_create($row['CREATEDDT']);
										echo '
											<tr>
												<td>'.$row['TRANSREFID'].'</td>
												<td>'.$row['TRANSFERTYPE'].'</td>
												<td>'.$row['WHFROM'].'</td>
												<td>'.date_format($date1,"m/d/Y h:i A").'</td>
												<td><span class="btn btn-xs btn-default">'.$row['STATUS'].'</span></td>
												<td>
													<a href="itemreceiving?ton='.$row['TRANSREFID'].'" class="btn btn-xs btn-success">View TON</a>
												</td>
											</tr>
										';
									}
								?>
									</tbody>
								</table>
							</div>



							
						</section>
				</section>
			</div>






<div class="modal fade" id="sendToStore" tabindex="-1" role="dialog" aria-labelledby="storeEdit" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Are you sure to <strong>Receive From Store</strong> the following serial number ?</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="sendToStoreList">

			</div>
			
		</div>
		
	</div>
</div>







			<?php include 'includes/rightbar.php'; ?>
		</section>

		<script type="text/javascript">

			$(document).ready(function() {
			    $('table.display').DataTable();
			} );


			function disableReceiveButton(){
				 document.getElementById('receiveFromStoreButton').disabled=true;
			}

			function loadSerialNumber(tonNumber){

				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('sendToStoreList');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						$(document).ready(function() {
						    $('table.display').DataTable();

						} );
					}
				}
				xmlhttp.open('GET', 'loads/loadSerialNumber.php?ton='+tonNumber, true);
				xmlhttp.send();
			}
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		<script src="assets/vendor/jstree/jstree.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>

		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/ui-elements/examples.treeview.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>