<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Transaction Discount') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		
	}else{
		header('location: accesserror');
	}
}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>


				<button id="discountSaved" class="hidden"></button>
				<button id="discountUpdated" class="hidden"></button>
				<button id="discountAddFailed" class="hidden"></button>
				<button id="discountAddFailed1" class="hidden"></button>

				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountUpdated").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountAddFailed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("discountAddFailed1").click();
				                });
				          	</script>';
					}
				}

				?>
				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Transaction Discount</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-tags"></i>
									</a>
								</li>
								<li><span>Transaction Discount</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
								<h2 class="panel-title">Transaction Discount</h2>
							</header>

							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md">
											<button data-toggle="modal" data-target="#addNewItem" class="btn btn-primary"> Add Transaction Discount <i class="fa fa-plus"></i></button>
										</div>
									</div>
								</div>
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>NAME</th>
											<th>Description</th>
											<th>FROM</th>
											<th>TO</th>
											<th>TYPE</th>
											<th>VALUE</th>
											<th>STORES</th>
											<th>STATUS</th>
											<th>UDPATE</th>
										</tr>
									</thead>

									

									<tbody>

								<?php
									$mySQL->query('SELECT * FROM setup_transaction_discount WHERE COMPANY=:company');
									$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
									$rows = $mySQL->resultSet();
									foreach ($rows as $row) {
										$date1 = date_create($row['FROMDATE']);
										$date2 = date_create($row['TODATE']);
										if ($row['TYPE'] == 'AMOUNT') {
											$value = 'P'.number_format($row['VALUE']);
										}else{
											$value = number_format($row['VALUE']).'%';
										}
										echo '
											<tr>
												<td>'.$row['NAME'].'</td>
												<td>'.$row['DESCRIPTION'].'</td>
												<td>'.date_format($date1,'M d, Y').'</td>
												<td>'.date_format($date2,'M d, Y').'</td>
												<td>'.$row['TYPE'].'</td>
												<td>'.$value.'</td>
												<td>
													<button onclick="loadStoreItem(\''.$row['TRANDISCID'].'\')" data-toggle="modal" data-target="#storeItems" class="badge btn-success"><i class="fa fa-eye"></i> View</button>
												</td>
												<td>'.($row['ISACTIVE']==1 ? '<span class="text-bold text-primary">ACTIVE</span>' : '<span class="text-bold text-danger">INACTIVE</span>').'</td>
												<td>
													<button onclick="loadDynamicPrice('.$row['RECID'].')" data-toggle="modal" data-target="#priceDiscEdit" class="btn btn-xs btn-primary"><i class="fa fa-pencil"></i> Update</button>
												</td>

											</tr>
										';
									 }
								?>
									</tbody>
								</table>
							</div>

											<!-- <td>
												<div class="switch switch-sm switch-primary">
													<input onchange="tagSerialized('.$row['RECID'].',this.checked);" type="checkbox" name="switch" data-plugin-ios-switch '.($row['SERIALIZED']==1 ? 'checked' : '').'>
												</div>
											</td> -->

						</section>
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->



<div class="modal fade" id="addNewItem" tabindex="-1" role="dialog" aria-labelledby="addNewItem" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add Transaction Discount</h4>
			</div>
			<form onsubmit="disbleSaveButton();" action="functions/tranDiscountSave.php" method="post">
			<div class="modal-body">
			 		<div class="row">
						<div class="form-group">
							<div class="col-md-12">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Discount Name
									</span>
									<input name="pdName" required type="text" class="form-control" placeholder="Input Transaction Discount Name">
								</div>
				 			</div>

				 			<div class="col-md-12">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Description
									</span>
									<input name="pdDesc" required type="text" class="form-control" placeholder="Input Description">
								</div>
				 			</div>

				 			<div class="col-md-6">
								<div class="input-group">
									<span class="input-group-addon">
										<label for="checkboxExample4">Discount Type</label>
									</span>
									<select onchange="changeMax(this.value)" name="pdType" data-plugin-selectTwo class="form-control populate" class="form-control" required>
										<option selected value="PERCENTAGE">PERCENTAGE</option>
										<option value="AMOUNT">AMOUNT</option>
									</select>
								</div>
							</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										Value
									</span>
									<input id="pdValue" max="100" name="pdValue" required type="number" min="0.00" step="0.01" class="form-control" value="0.00">
								</div>
				 			</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										From Date
									</span>
									<input name="pdFrom" value="" required type="date" class="form-control">
								</div>
				 			</div>

				 			<div class="col-md-6">
				 				<div class="input-group mb-md">
									<span class="input-group-addon">
										To Date
									</span>
									<input name="pdTo" value="" required type="date" class="form-control">
								</div>
				 			</div>

						</div>
			 		</div>
			 	
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button id="savePD" type="submit" name="saveTranDiscount" class="btn btn-primary btn-sm">Save Transaction Discount</button>
			</div>
			</form>
			
		</div>
	</div>
</div>




<div class="modal fade" id="storeItems" tabindex="-1" role="dialog" aria-labelledby="storeItems" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Discount Details</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div class="modal-body">
				<div id="itemStore">
		
				</div>
			</div>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="priceDiscEdit" tabindex="-1" role="dialog" aria-labelledby="priceDiscEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Price Discount Update</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editPriceDisc">
		
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->

		<script src="assets/javascripts/ajaxsubmit/ajax-jquery17.js"></script> 
		
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>

		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/forms/examples.advanced.form.js" /></script>
		
		<script src="classes/notifications.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
			    $('table.display').DataTable();

			} );

			
			function deleteDiscountStore(recID,name){
				if (confirm('Are you sure to remove '+name+' ?') == true) {
					window.location.href ='functions/deleteDiscountStore.php?id='+recID;
				}
			}
		    
		    function disbleSaveButton(){
		    	document.getElementById("savePD").disabled = true;
		    	document.getElementById("savePD").innerHTML = 'Saving. Please Wait...';
		    
		    }

		    function changeMax(value){
		     	if (value == 'AMOUNT') {
		     		document.getElementById("pdValue").max = 999999999999999999;
		     	}else{
		     		document.getElementById("pdValue").max = 100;
		     	}
		     	document.getElementById("pdValue").value = 0;
		    
		    }

	
			function loadStoreItem(pdID){
				var receiver = document.getElementById('itemStore');
				receiver.innerHTML = '';
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				$.getScript("assets/javascripts/ajaxsubmit/malsup.js");
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('itemStore');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;

						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}

						}).apply(this, [ jQuery ]);

						$('#storeForm').submit(function(e){
			                 if($('#pdID').val()){
			                     e.preventDefault()
			                     $(this).ajaxSubmit({
			                         success: function(){
			                             loadStoreItem($('#pdID').val());
			                         },
			                         resetForm: true
			                    }) 
			                }
			            });


					}
				}
				xmlhttp.open('GET', 'loads/discountDetailsModal.php?pdID='+pdID, true);
				xmlhttp.send();
			}

			function loadDynamicPrice(pdID){
				var receiver = document.getElementById('editPriceDisc');
				receiver.innerHTML = '';
				document.getElementById('sectionLoader').style.display='block';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editPriceDisc');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {
								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/tranDiscEditModal.php?pdID='+pdID, true);
				xmlhttp.send();
			}

			// function tagSerialized(recID,status){
	  //           var xmlhttp = new XMLHttpRequest();
	  //           if(status==true){
	  //               xmlhttp.open('GET', 'functions/serializedItem.php?id='+recID+'&status=1', true);
	  //           }
	  //           else{
	  //               xmlhttp.open('GET', 'functions/serializedItem.php?id='+recID+'&status=0', true);
	  //           }
	  //           xmlhttp.send();
	            
	  //       }

	      
		</script>
		
	</body>
</html>