<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'User Management') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);

		$mySQL->query('SELECT * FROM setup_users');
		$rows = $mySQL->resultSet();

	
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				<button id="userSaved" class="hidden"></button>
				<button id="userUpdated" class="hidden"></button>
				<button id="userAddFailed" class="hidden"></button>
				<button id="userDelete" class="hidden"></button>
				<button id="userDeleteFailed" class="hidden"></button>
				<button id="userUpdateFailed" class="hidden"></button>
				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("userSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("userUpdated").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("userAddFailed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("userDelete").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("userDeleteFailed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(6)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("userUpdateFailed").click();
				                });
				          	</script>';
					}
				}

				?>
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>User Management</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-user"></i>
									</a>
								</li>
								<li><span>User Management</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
						
								<h2 class="panel-title">User List</h2>
							</header>
							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md col-md-6">
											<button data-toggle="modal" data-target="#sectionList" class="btn btn-primary"> Add New User <i class="fa fa-plus"></i></button>
										</div>
										<div class="mb-md col-md-6 text-right">
											<form method="post" target="_blank" action="exportUserAccess" class="align-right">
												<button type="submit" name="generateReport" class="btn btn-success"><i class="fa fa-file-excel-o"></i> Generate User Access</button>
											</form>
										</div>
									</div>
									
								</div>
								<table class="table table-bordered table-striped" id="datatable-default">
									<thead>
										<tr>
											<th>USERNAME</th>
											<th>FULLNAME</th>
											<th>JOB TITLE</th>
											<th>STORE/S</th>
											<th>MODULE/S</th>
											<th>ACTIVE</th>
											<th>Actions</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['USERNAME'].'</td>
												<td>'.$row['FULLNAME'].'</td>
												<td>'.$row['USERTYPE'].'</td>
												<td>
													<button onclick="loadStores(\''.$row['RECID'].'\')" data-target="#userStores" data-toggle="modal" class="badge btn-xs btn-success">View Store/s</button> 
												</td>
												<td>
													<button onclick="loadKeys(\''.$row['RECID'].'\')" data-target="#userKeys" data-toggle="modal" class="badge btn-xs btn-success">View Modules</button> 
													
												</td>
												<td>
													<div class="switch switch-sm switch-primary">
														<input onchange="activate('.$row['RECID'].',this.checked);" type="checkbox" name="switch" data-plugin-ios-switch '.($row['ACTIVE']==1 ? 'checked' : '').'>
													</div>
												</td>
												<td>
													<button onclick="loadDynamicUser('.$row['RECID'].')" data-toggle="modal" data-target="#userEdit" class="badge btn-primary"><i class="fa fa-pencil"></i></button>
													<button onclick="deleteUser('.$row['RECID'].',\''.$row['USERNAME'].'\')" class="badge btn-danger"><i class="fa fa-trash-o"></i></button>
												</td>

											</tr>
										';
									}

								?>
									</tbody>
								</table>
								
							</div>
						</section>
					<!-- end: page -->
				</section>
			</div>
























<!-- modals: start -->
<div class="modal fade" id="sectionList" tabindex="-1" role="dialog" aria-labelledby="sectionList" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Add New User</h4>
			</div>
			<form action="functions/userSave.php" method="post">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Username
								</span>
								<input name="username" required type="text" class="form-control" placeholder="Input Username">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Password
								</span>
								<input name="password" id="password" required type="text" class="form-control" placeholder="Input Password">
								<span class="input-group-addon btn btn-default" onclick="generatePassword()" id="generatePassword" style="cursor: pointer;">
									Generate
								</span>
							</div>
			 			</div>
			 			
			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Fullname
								</span>
								<input name="fullname" required type="text" class="form-control" placeholder="Input Fullname">
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Job Title
								</span>
								<!-- <input name="jobTitle" required type="text" class="form-control" placeholder="Input Job Title"> -->
								<select  data-plugin-selectTwo required name="jobTitle" class="form-control">
									<option selected value="">Select Position</option>
									<option value="Store Cashier">Store Cashier</option>
									<option value="Store Personnel">Store Personnel</option>
									<option value="Store Supervisor">Store Supervisor</option>
									<option value="Inventory Planner">Inventory Planner</option>
									<option value="Main Office Personnel">Main Office Personnel</option>
									<option value="Operations Manager">Operations Manager</option>
									<option value="System Administrator">System Administrator</option>
								</select>
							</div>
			 			</div>
						
						<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md"   title="For Authorized Personnel">
								<span class="input-group-addon">
									Special Access
								</span>
								<!-- <input name="jobTitle" required type="text" class="form-control" placeholder="Input Job Title"> -->
								<select  data-plugin-selectTwo required name="userLevel" class="form-control">
									<option selected value=""></option>
									<option value="3">Yes</option>
									<option value="0">No</option>
								</select>
							</div>
			 			</div>

			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Default Store
								</span>
								<select  data-plugin-selectTwo required name="store" class="form-control">
									<option selected value="">Select Default Store</option>
									<?php
										$mySQL->query('SELECT * FROM setup_stores');
										$stores = $mySQL->resultSet();
										foreach ($stores as $store) {
											echo '<option value="'.$store['STORECODE'].'">'.$store['STORENAME'].'</option>';
										}
									?>
								</select>
							</div>
			 			</div>


			 			

			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="saveUser" class="btn btn-primary btn-sm">Save User</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>



<div class="modal fade" id="userEdit" tabindex="-1" role="dialog" aria-labelledby="sectionEdit" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Edit User</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="editUser">
				
			</div>
			
		</div>
		
	</div>
</div>


<div class="modal fade" id="userKeys" tabindex="-1" role="dialog" aria-labelledby="userKeys" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">User Modules</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="moduleUser">
				
			</div>
			
		</div>
		
	</div>
</div>


<div class="modal fade" id="userStores" tabindex="-1" role="dialog" aria-labelledby="userStores" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">User Stores</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="storeUser">
				
			</div>
			
		</div>
		
	</div>
</div>


<!-- modals: end -->
























			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->

		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>

		<script src="assets/vendor/jquery-ui/js/jquery-ui-1.10.4.custom.js"></script>
		<script src="assets/vendor/jquery-ui-touch-punch/jquery.ui.touch-punch.js"></script>

		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		
		
		<script src="classes/notifications.js"></script>
			<script type="text/javascript">
			
			
			function deleteUser(recID,username){
				if (confirm('Are you sure to delete '+username+' ?') == true) {
					window.location.href = "functions/userDelete.php?recID="+recID;
				}
			}
			function loadDynamicUser(recID){
				document.getElementById('sectionLoader').style.display='block';
				document.getElementById('editUser').innerHTML = '';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('editUser');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/userEditModal.php?id='+recID, true);
				xmlhttp.send();
			}
			

			function loadStores(recID){
				document.getElementById('sectionLoader').style.display='block';
				document.getElementById('storeUser').innerHTML = '';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('storeUser');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/userStores.php?id='+recID, true);
				xmlhttp.send();
			}

			function loadKeys(recID){
				document.getElementById('sectionLoader').style.display='block';
				document.getElementById('moduleUser').innerHTML = '';
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('moduleUser');

						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}
						}).apply(this, [ jQuery ]);
					}
				}
				xmlhttp.open('GET', 'loads/userKeys.php?id='+recID, true);
				xmlhttp.send();
			}
			
			function resetPassword()
			{
				if(document.getElementById("passwordResetButton").innerHTML == "Reset")
				{
					document.getElementById("passwordReset").disabled = false;
					document.getElementById("passwordReset").value = (Math.random() + 1).toString(36).substring(2);
					document.getElementById("passwordResetButton").innerHTML = "Cancel";
				}
				else
				{
					document.getElementById("passwordReset").disabled = true;
					document.getElementById("passwordReset").value = "";
					document.getElementById("passwordResetButton").innerHTML = "Reset";
				}
			}
			function generatePassword()
			{
				
				document.getElementById("password").value = (Math.random() + 1).toString(36).substring(2);
			}	
			function activate(recId,status)
			{
				var xmlhttp = new XMLHttpRequest();
	            if(status==true){
	                xmlhttp.open('GET', 'functions/activateUser.php?id='+recId+'&status=1', true);
	            }
	            else{
	                xmlhttp.open('GET', 'functions/activateUser.php?id='+recId+'&status=0', true);
	            }
	            xmlhttp.send();
			}
		</script>

		
	</body>
</html>