<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Vouchers') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);
		
		$mySQL->query('SELECT it.* FROM table_voucher_header it 
			WHERE it.COMPANY=:company');
		$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$rows = $mySQL->resultSet();
		
	}else{
		header('location: accesserror');
	}
	
	
	$disableToggle = array('Used','Assigned');
					
}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />

		
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>


				<button id="voucherSaved" class="hidden"></button>
				<button id="voucherFailed" class="hidden"></button>
				<button id="assignmentRemove" class="hidden"></button>
				<button id="voucherExists" class="hidden"></button>
				<button id="voucherData" class="hidden"></button>
				<button id="voucherAssigned" class="hidden"></button>
				<button id="voucherSubmitted" class="hidden"></button>
				<button id="voucherApproved" class="hidden"></button>
				<button id="voucherDeclined" class="hidden"></button>
			
				<?php
				if (isset($_GET['notif'])) {
					if ($_GET['notif'] == md5(1))  {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherSaved").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(2)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherFailed").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(3)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("assignmentRemove").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(4)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherExists").click();
				                });
				          	</script>';
					}elseif ($_GET['notif'] == md5(5)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherData").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(6)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherAssigned").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(7)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherSubmitted").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(8)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherApproved").click();
				                });
				          	</script>';
					}
					elseif ($_GET['notif'] == md5(9)) {
						echo '<script type="text/javascript">
				                $(document).ready(function(){
				                  document.getElementById("voucherDeclined").click();
				                });
				          	</script>';
					}
					
				}

				?>
				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Voucher Uploading Facility</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-cube"></i>
									</a>
								</li>
								<li><span>Voucher Uploading Facility</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						
						<section class="panel">
							<header class="panel-heading">
								<div class="panel-actions">
									<a href="#" class="fa fa-caret-down"></a>
									<!-- <a href="#" class="fa fa-times"></a> -->
								</div>
								<h2 class="panel-title">Voucher Uploading Facility</h2>
							</header>


							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div class="mb-md col-md-6">
										
											<button data-toggle="modal" data-target="#uploadVouchers" class="btn btn-primary"> Upload Vouchers <i class="fa fa-upload"></i></button>
										
										</div>
										
									</div>
										
								</div>
							
								
								<table class="table table-bordered table-striped display" id="">
									<thead>
										<tr>
											<th>Voucher Ref#</th>
											<th>Status</th>
											<th>Created By</th>
											<th>Created Date</th>
											<th>Approved By</th>
											<th>Approved Date</th>
											<th>Approval logs</th>
											<th>View</th>
										</tr>
									</thead>
									<tbody>

								<?php
									foreach ($rows as $row) {
										echo '
											<tr>
												<td>'.$row['VOUCHERREF'].'</td>
												<td>'.$row['STATUS'].'</td>
												<td>'.$row['CREATEDBY'].'</td>
												<td>'.date_format(date_create($row['CREATEDDATE']),'m-d-Y').'</td>
												<td>'.$row['APPROVEDBY'].'</td>
												<td>'.date_format(date_create($row['APPROVALDATE']),'m-d-Y').'</td>
												<td><button data-toggle="modal" data-target="#viewLogs" onClick="viewLogs('.$row['RECID'].')" class="badge btn-primary"><span class="fa fa-eye"></span> Logs</button></td>
												<td><button data-toggle="modal" data-target="#viewDtl" onClick="viewDtl('.$row['RECID'].')" class="badge btn-primary"><span class="fa fa-eye"></span> View</button></td>
											</tr>
										';
									}
								?>
									</tbody>
								</table>
							</div>


						</section>
						
					<!-- end: page -->
				</section>
			</div>



<!-- modals: start -->


<div class="modal fade" id="uploadVouchers" tabindex="-1" role="dialog" aria-labelledby="uploadVouchers" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Upload Vouchers</h4>
			</div>
			<form action="functions/uploadVoucher1.php" method="post" id="formUploadVoucher" enctype="multipart/form-data">
			<div class="modal-body">
			 	<div class="form-group">
			 		<div class="row">


			 			<div class="col-md-12">
			 				<div class="input-group input-group-sm mb-md">
								<span class="input-group-addon">
									Browse
								</span>
								<input name="voucherFile" id="voucherFile" required type="file" accept=".csv" class="form-control">
							</div>
			 			</div>
			 		</div>
			 	</div>
			</div>
			<div class="modal-footer">
				<button data-dismiss="modal" class="btn btn-light btn-sm">Cancel</button>
				<button type="submit" name="uploadVoucher" id="uploadVoucher" onClick="return checkFile();" class="btn btn-primary btn-sm">Upload</button>
			</div>
			</form>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="viewLogs" tabindex="-1" role="dialog" aria-labelledby="viewLogs" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Logs</h4>
			</div>
			
			<div class="modal-body">
				<img width="100%" id="sectionLoader2" style="display: none;" src="images/page-loader.gif">
				<div id="voucherLogs">
					
				</div>
			</div>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="viewDtl" tabindex="-1" role="dialog" aria-labelledby="viewDtl" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Vouchers</h4>
			</div>
			<img width="100%" id="sectionLoader3" style="display: none;" src="images/page-loader.gif">
			<div id="voucherDtl">
				
			</div>
			
		</div>
		
	</div>
</div>

<div class="modal fade" id="voucherRemarks" tabindex="-1" role="dialog" aria-labelledby="voucherRemarks" aria-hidden="true">
	<div class="modal-dialog modal-dialog-centered">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">Remarks</h4>
			</div>
			<img width="100%" id="sectionLoader4" style="display: none;" src="images/page-loader.gif">
			<div id="viewRemarks">
				
			</div>
			
		</div>
		
	</div>
</div>



<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script src="assets/javascripts/ajaxsubmit/ajax-jquery17.js"></script> 
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>

		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		<script src="assets/vendor/ios7-switch/ios7-switch.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		<script src="assets/javascripts/forms/examples.advanced.form.js" /></script>
		
		<script src="classes/notifications.js"></script>
		
		<script type="text/javascript">
			function removeStoreAssignment(RecId,name)
			{
				if (confirm('Are you sure to remove Store assignment to voucher '+name+' ?') == true) {
					window.location.href ='functions/unassignVoucher.php?id='+RecId;
				}
			}
			
			$(document).ready(function() {
			    $('table.display').DataTable();
			});
			
			$('input[type=submit]').click(function() {
				$(this).attr('disabled', 'disabled');
				$(this).parents('form').submit();
			});
			
			
			function checkFile() {
				var fileElement = document.getElementById("voucherFile");
				var fileExtension = "";
				if (fileElement.value.lastIndexOf(".") > 0) {
					fileExtension = fileElement.value.substring(fileElement.value.lastIndexOf(".") + 1, fileElement.value.length);
				}
				if (fileExtension.toLowerCase() == "csv") {
					document.getElementById('uploadVoucher').disabled = true;
					document.getElementById('formUploadVoucher').submit();
				}
				else {
					alert("You must select a csv file for upload");
					return false;
				}
			}
			
			function validateVouchers(RecId)
			{
				document.getElementById('sectionLoader3').style.display='block';
				var receiver = document.getElementById('voucherDtl');
				receiver.innerHTML = "";
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						
						document.getElementById('sectionLoader3').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						
						$(document).ready(function() {
						    $('table.display1').DataTable({
								"order": [ 8, 'desc' ]
							});
						});
					}
				}
				xmlhttp.open('GET', 'functions/validateVoucher.php?RecId='+RecId, true);
				xmlhttp.send();
			}
			
			function removeVoucher(RecId)
			{
				document.getElementById('sectionLoader3').style.display='block';
				var receiver = document.getElementById('voucherDtl');
				receiver.innerHTML = "";
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						
						document.getElementById('sectionLoader3').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						
						$(document).ready(function() {
						    $('table.display1').DataTable({
								"order": [ 8, 'desc' ]
							});
						});
					}
				}
				xmlhttp.open('GET', 'functions/voucherRemove.php?RecId='+RecId, true);
				xmlhttp.send();
			}
			
			function viewRemarks(RecId)
			{
				document.getElementById('sectionLoader4').style.display='block';
				var receiver = document.getElementById('viewRemarks');
				receiver.innerHTML = "";
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						
						document.getElementById('sectionLoader4').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						
						/* $(document).ready(function() {
						    $('table.display1').DataTable({
								"order": [ 8, 'desc' ]
							});
						}); */
					}
				}
				xmlhttp.open('GET', 'loads/loadVoucherRemarks.php?RecId='+RecId, true);
				xmlhttp.send();
			}
			
			function viewLogs(RecId)
			{
				document.getElementById('sectionLoader2').style.display='block';
				var receiver = document.getElementById('voucherLogs');
				receiver.innerHTML = "";
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						
						document.getElementById('sectionLoader2').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/voucherApprovalLogs.php?RecId='+RecId, true);
				xmlhttp.send();
			}
			
			function viewDtl(RecId)
			{
				document.getElementById('sectionLoader3').style.display='block';
				var receiver = document.getElementById('voucherDtl');
				receiver.innerHTML = "";
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						
						document.getElementById('sectionLoader3').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
						
						$(document).ready(function() {
						    $('table.display1').DataTable({
								"order": [ 8, 'desc' ]
							});
						});
					}
				}
				xmlhttp.open('GET', 'loads/loadVoucherDetails.php?RecId='+RecId, true);
				xmlhttp.send();
			}
			
			
			function generateCode(RecId,load){
				
				if(load)
				{
					document.getElementById('sectionLoader').style.display='block';
				}
				var xmlhttp = new XMLHttpRequest();
				//$.getScript("assets/javascripts/ajaxsubmit/ajax-jquery17.js");
				$.getScript("assets/javascripts/ajaxsubmit/malsup.js");
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('generatedCode');
						document.getElementById('sectionLoader').style.display='none';
						receiver.innerHTML = xmlhttp.responseText;
					
						(function( $ ) {
							'use strict';
							if ( $.isFunction($.fn[ 'select2' ]) ) {

								$(function() {
									$('[data-plugin-selectTwo]').each(function() {
										var $this = $( this ),
											opts = {};

										var pluginOptions = $this.data('plugin-options');
										if (pluginOptions)
											opts = pluginOptions;

										$this.themePluginSelect2(opts);
									});
								});
							}

						}).apply(this, [ jQuery ]);

			            /* $('#storeForm').submit(function(e){
			            	$('#addStore3').prop('disabled', true);
							$("#addStore3").html("Adding Store...");
			                if($('#voucherId').val()){
			                     e.preventDefault()
			                     $(this).ajaxSubmit({
			                         success: function(){
			                             generateCode($('#voucherId').val(),false);
			                         },
			                         resetForm: true
			                    }) 
			                }
			            }); */
					}
				}
				xmlhttp.open('GET', 'loads/generatedCode.php?RecId='+RecId, true);
				xmlhttp.send();
			
			}
			function tagVoucher(recID,status){
	            var xmlhttp = new XMLHttpRequest();
	            if(status==true){
	                xmlhttp.open('GET', 'functions/activateVoucher.php?id='+recID+'&status=1', true);
	            }
	            else{
	                xmlhttp.open('GET', 'functions/activateVoucher.php?id='+recID+'&status=0', true);
	            }
	            xmlhttp.send();
	            
	        }
			
			
		</script>
		
	</body>
</html>